Introduction

Navigation: »No topics above this level«

Introduction

 Return to chapter overview

English Deutsch Français Русский

Welcome to the CADEditorX library help system!

CADEditorX is a multipurpose library that provides viewing of 2D drawings, raster images and 3D models (STEP, IGES, STL and other file formats). This is a full functional CAD platform for editing AutoCAD DWG, DXF and other files. A unique easy-to-use XML API containing a single function and a single event allows you to quickly integrate CADEditorX into your final application.

We would like to draw your attention to the most important topics that will help you to start working with CADEditorX library quickly and easily:

§ Installation

§ Getting started

§ XML API

§ Editing of drawings

§ Markups to the drawing

§ Supported formats

§ Export formats

§ Tool for work with drawings

§ Read entities data

§ Add entities

§ CAD Drawing XML structure

§ Application area

§ Licensing


Installation

Navigation: Introduction >

Installation

 Return to chapter overview

1. Unzip the archive and run setup.

2. During the installation you need to select to select/deselect additional SHX fonts installation:

Leave this box unchecked for the first time.

SHX fonts require about 80 Mb of additional space. If you see any problems with fonts while opening the CAD files, we suggest to install this package or find and connect proper shx fonts to the library.

3. After installation XML IDE application is run by default:

You can find the CADEditorX help, executable demos and source code examples for a number of programming languages in the Start menu (Start > CADSoftTools CADEditorX).


Getting started

Navigation: Introduction >

Getting started

 Return to chapter overview

English Deutsch Français Русский

1. Run XML IDE and click Execute XML.

2. In the opened CADEditorX control click Editor tab and select Line:

You can draw a line and use a lot of different features such as coordinate input, snap, tracking and others. User interface is translated into many languages and the Help systems for it exists in English, German, Russian and French.

3. In the Start menu open the necessary demo project:

4. Demos show how to run the most common instructions:

The DoCommand function creates XML which sends "Open" text to the CADEditorX Command Line and the Open Dialog appears:

File> Open in C#

        private void menu_open_Click(object sender, EventArgs e)

        {

            DoCommand("Open");

        }

Open in Delphi

procedure TForm1.mmi_openClick(Sender: TObject);
begin
DoCommand('Open');
end;

5. See Tutorials

6. Read more about CAD XML Interface

7. Use XML IDE to find more XML examples and to create new XML data for your project.

8. Find out how to connect to XML interface.

9. Use CAD XML API Reference.

10. Don't forget about the How to section.


Application area

Navigation: Introduction >

Application area

 Return to chapter overview

English Deutsch Français Русский

CADEditorX is a multipurpose library with a wide scope of use, which is necessary for developing applications in a vast range of industrial sectors. This software product is successfully used in:

§ database systems

§ monitoring and remote control programs

§ CNC machines

§ CAD applications development

§ data export to CAD formats

§ document management systems

§ highly specialized products that work with drawings

CADEditorX library can be used in the following programming languages: Visual C++, .NET languages (C#, VB .NET), Delphi, Visual Basic, Javascript, C++Builder.


Changes

Navigation: Introduction >

Changes

 Return to chapter overview

23.07.2014

Result structure is completely changed.

XML version is changed to 2.0:

<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<cadsofttools version="2.0">
</cadsofttools>

28.01.2014

·The SAVE instruction uses the ExportParams child parameter instead of the one used earlier.

Instead of

<save file="d/1.dxf" type="dxf" version="acr2004" isconvertimagetoole="FALSE"/>

it is needed to write

<!-- Save as DXF -->
<save>
<ExportParams FileName="d/1.dxf" Format=".dxf">
<Version>acR2004</Version>
<IsConvertImageToOLE>True</IsConvertImageToOLE>
</ExportParams>
</save>

The ShowSelectEntities instruction has been deleted. Please use the ShowSelectedEntities instruction instead.

·The ShowEntityPrecision and ShowEntityMethod parameters are transferred from the Editor instruction to the ShowSelectedEntities instruction.


What's new

Navigation: Introduction >

What's new

 Return to chapter overview

February, 2016

CADEditorX 11

· Measuring of STP and IGES files

·Export to DWG 2004

·Loading of custom line types.

·Support of Big SHX Fonts (for Asian characters)

·New Align tool

·New Pan tool

·The OnMeasure event that outputs measuring results as XML is added

·The Getcadcoords instruction that converts screen coordinates into the drawing coordinates is added

·Parameters for the Comparefiles command added

·New system variables added:

oGetCommandStatus returns the on/off command status as XML

oPOLARANG sets the angle interval for polar tracking

oExportJPEGQuality and ExportJPEGSmoothing set quality and smoothing during export to JPG

·New commands added:

oZoomAtPoint is used to scale the current file and allows setting the scrolling distance per mouse wheel scroll

oShowScrollbar hides the scroll bars

oMovePicture offsets the drawing at the distance specified in screen coordinates

oSetWindowState sets the drawing window display order

oUnionEdges checks whether the outline is closed; if there is a break, it draws an interconnecting line.

oHideAllInterface hides all interface elements

oConvertToPolyline transforms objects into a 2D polyline

·The capability of setting the background color via XML API with the BackgroundColor command is added

·EMF export to DWG and DXF improved

·The dynamic input while switching tasks in MFC fixed

·The XML output information of the TsgDXFStyle object fixed

·Batch Print greatly improved

·The setting that saves each layout of a multipage file into a separate file in Batch is added

·Work under Windows 8 and Windows 10 improved


Licensing

Navigation: Introduction >

Licensing

 Return to chapter overview

English Deutsch Français Русский

Our flexible license policy allows everyone to find a convenient license option. Our sales department is ready to discuss a custom license so that it perfectly meets your needs.

We offer free support and updates within the major version.

For more information please contact us at info@cadsofttools.com


Concepts

Navigation: »No topics above this level«

Concepts

 Return to chapter overview

English Deutsch Français Русский

A unique easy-to-use XML API containing a single function and a single event allows you to quickly integrate this CADSoftTools SDK into your application. Please pay attention to the following introductory topics:

§ XML Structure

§ XML IDE

§ XML

§ How to Create and Process XML

§ Connect to XML from your programming language

§ CAD XML instructions, classes and parameters reference

§ Drawing XML Structure

§ Examples

§ How to


XML Structure

Navigation: Concepts >

XML Structure

 Return to chapter overview

The XML structure consists of:

·header

·instructions

·footer

Header

<?xml version="1.0" encoding="UTF-8" standalone="no"?> | Standard XML Declaration string.
<cadsofttools version="2.0"> | Standard CADSoftTools XML Declaration string

Instructions

Instructions are XML nodes that store all needed parameters to manage CADEditorX.

<add> | Adds entities. The ADD instruction adds entities and the Drawing Structure Data to the current drawing. There are many examples of adding particular classes by the ADD instruction that are described in the Classes examples.
<!-- The following line adds a line. --> | Commentary inside XML
<cstLine Point="0,0,0" Point1="10,0,0"/> | Nodes inside the <Add/> instruction are Entities Classes. This code adds Line with the following coordinate parameters Point.X = 0; Point.Y=0; Point.Z=0 and Point1.X=1; Point1.Y=1; Point1.Z=1.
<cstLine /> </add> | <cstLine/> is an empty-element tag while <Add> has the end tag
<FitToSize/> - Fit to Size instruction | The Fit to Size instruction

Learn more about tag syntax.

Footer

</cadsofttools>

End-tag for the <cadsofttools> node.

The XML code described above is contained inside XML IDE:

When the Execute XML button is pressed, the line is added and zoomed to window:

After pressing Execute XML CADEditorX returns result also in XML format:

<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<cadsofttools version="2.0">
<Results>
<Result Instruction="add">
<Output>
<Created Handle="$22" Position="6,6"/>
</Output>
</Result>
<Result Instruction="FitToSize"/>
</Results>
</cadsofttools>

Result has the same Header and Footer:

Header:

<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<cadsofttools version="2.0">

Footer:

</cadsofttools>

Results

Results are contained inside the <Results> tag. Each instruction returns to the <Result> tag

<Result> has subnodes: <Output> or <Errors>:

<Output>
<Created Handle="$22" Position="6,6"/>
</Output>

The <Created> node means that a new Entitiy (Class) is created.

Parameters:

Handle | Unique identification of the Entity
Position | Position in the input XML file where this instruction was written

The last one is used for debugging. Just double click the Result inside XML IDE and the instruction will be highlighted in the input window:


XML IDE

Navigation: Concepts >

XML IDE

 Return to chapter overview

CADEditorX contains XML IDE that has convenient XML editor and a lot of ready examples. The screenshot below shows the structure of this application:

I. Select the host application

II. Choose the example section. The Instructions option is set by default.

III. Run examples. Initially we recommend to run all the Instruction examples step by step.

IV. XML code for ProcessXML function

V. Type anything, for instance "<s" and press Ctrl+Space to call code completion. It is convenient while creating xml files to test the library.

VI. Press the Execute XML button to execute the ProcessXML function.

VII. See the result data from the OnProcess callback function.

VIII. The result can be opened in a browser. It is convenient to check results after the <get/> instruction.


XML

Navigation: Concepts >

XML

 Return to chapter overview

Extensible Markup Language (XML) is a markup language that defines a set of rules for encoding documents in a format that is both human- and machine-readable. It is defined in the XML 1.0 Specification produced by the W3C, and several other related specifications which are all free open standards.

Why is CAD XML API based on XML?

XML:

·is used straightforwardly over the Internet;

·supports a wide variety of applications;

·it is easy to write programs that process XML documents.

XML document:

·is ordinary text files (UTF8, UTF16, ...);

·is properly nested brackets/tags describing a tree structure;

·allows applications from different vendors to exchange data;

·is standardized and widely accepted;

·is human-legible and reasonably clear;

·is easy to create.

That is why XML has been chosen as the basis for CAD XML API.

All XML API commands are text documents created according to the rules of the XML Specification produced by the W3C.

To understand XML API correctly it is very important to know two terms on which the work of XML API is based:

1. XML API document

2. XML API instruction

An XML API instruction is a part of an XML API document. The XML API document should contain at least one instruction. However, the number of instructions in one XML API document can be more than one. The number of instructions in an XML API document is limited only by the size of the computer RAM that is necessary for correct processing of all the instructions.

The source code for the XML API document should contain:

§XML document declaration

§start tag of the root node

§XML API Command(s)

§end tag of the root node

Tags

§start tag < >

§end tag </>

§empty-element tag </>

Comments

Comments may appear anywhere in the XML API document outside of other markups. Comments cannot appear before the XML declaration. Comments start with "<!--" and end with "-->".

Example:

<!-- XML document declaration -->
<?xml version="2.0" encoding="UTF-8"?>
<!-- start-tag of the root node -->
<cadsofttools version="2">
<!-- XML command GET -->
<get/>
<!-- end-tag of the root node -->
</cadsofttools>

Note: XML API supports Unicode and we strongly recommend to use Unicode encoding XML API documents to prevent possible loss of data.

Commands

An XML API command is an element of the XML document that either begins with a start tag and ends with a matching end tag or consists only of an empty element tag.

The characters between the start and end tags define the XML API command.

The XML API command may have a list of input parameters, if any, the parameters are defined with the help of attributes consisting of a name/value pair that exists between the start tag and the end tag of the XML API command.

Note: Letter case is ignored in XML API commands, that means that you can write both <get> or <Get> with the same result.

Example:

The GET instruction may have no parameters:

<!-- XML document declaration -->
<?xml version="1.0" encoding="UTF-8"?>
<!-- start-tag of the root node -->
<cadsofttools version="2.0">
<!-- XML command GET -->
<get> </get>
<!-- end-tag of the root node -->
</cadsofttools>

The GET instruction can also be written with an empty element tag:

<!-- XML document declaration -->
<?xml version="1.0" encoding="UTF-8"?>
<!-- start-tag of the root node -->
<cadsofttools version="2.0">
<!-- XML command GET with empty-element tag-->
<get/>
<!-- end-tag of the root node -->
</cadsofttools>

The APPLY instruction has a list of parameters:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<Select Handle="@1"/>
<!-- XML API command APPLY parameters are lineweight="7" point1="50,10,0" Color="0;33;" -->
<apply lineweight="7" point1="50,10,0" Color="0;33;"/>
<UnSelect Handle="@1"/>
<!-- Zoom rect of tne selected entities to the screen -->
<ShowSelectedEntities/>
</cadsofttools>

How to Create and Process XML


How to Create and Process XML

Navigation: Concepts >

How to Create and Process XML

 Return to chapter overview

There are two ways allowing creating and processing XML format.

XML as simple string

XML can be created as a simple string with the help of any programming language This is the most simple way that can be recommended for initial investigation and for many projects where there is no need to handle complicated XML files.

A simple way to work with CAD XML API:

1. Look at the example XML files and How to help section.

2. Create XML strings on the basis of demo examples to implement the required features.

3. You can either load XML files from HDD or add all these XML texts as string constants directly to the application source code.

We recommend to use the Format() function (which is present in all popular programming languages) to insert data to XML strings.

C# example for calling line:

      string command =

            @"<?xml version=""1.0"" encoding=""UTF-8""?>

            <cadsofttools version=""2.0"">

              <command text=""Line""/>

            </cadsofttools>";

  string result = CADEditorX.ProcessXML(command);

XML obtained with the help of the OnProcess callback function can be also parsed using the common functions used to parse strings in your programming language.

C# example for the OnProcess callback:

string result = CADEditorX.ProcessXML("");

XML Parser

There are many XML parsers that are suggested for all popular development languages. Microsoft Windows has the DOM technology for handling XML, which is very powerful but not very fast. There are a lot of simple and fast XML parsers that are suggested as opensource for many programming languages.

It is recommended to use XML parser to implement complicated tasks with the help of CAD XML API.


Connect to XML from your programming language

Navigation: Concepts >

Connect to XML from your programming language

 Return to chapter overview

XML API is universal. It can be used in different ways to carry out data exchange.

Dynamic Data Exchange (DDE) is the protocol that allows exchanging data between applications. The DDE is supported by ABViewer. So integration of DDE support into a custom-developed application (app) will allow to interact with ABViewer. The following steps are required to carry out the DDE interaction with ABViewer:

1. ABViewer must be specified as a DDE client. The service and topic parameters for the client must be specified as "abviewer".

2. The connection must be established between the server (app) and the client (ABViewer)

3. The command execution by the client. ABViewer will automatically initialize the feedback connection (ABViewer server -> app client) when it is necessary. So the app name as parameter ("appsender=app_name") must be provided within the command body.

Exchange data with COM (CADEditorX, CADViewX) objects is based on the use of a single function and a single event.

The ProcessXML function is used for processing of instructions. To process XML instructions call the ProcessXML method and input the XML document that contains XML data as a parameter.

Syntax:

Delphi
function ProcessXML(const AInput: WideString): WideString

C#
public string ProcessXML(string AInput)

VB.NET

Public Function ProcessXML(aInput As String) As String

C++
BSTR ProcessXML(BSTR AInput)

JScript
public function ProcessXML(AInput : String) : String

Parameters

AInput

The input XML API document

Return value

XML document that contains some output data.

The OnProcess event fires when the ProcessXML function has handled the provided instruction. This makes the event useful for parsing of the returned XML data.

Syntax (CADEditorX):

Delphi
property OnProcess = procedure(ASender: TObject; const AXML: WideString) of object

C#
public event AxCADEditorLib.ISgCADEditorEvents_OnProcessEventHandler OnProcess

public delegate void ISgCADEditorEvents_OnProcessEventHandler(object ASender, AxCADEditorLib.ISgCADEditorEvents_OnProcessEvent e)

VB.NET

Public Event OnProcess(ByVal aSender As Object, ByVal e As AxCADEditorLib.ISgCADEditorEvents_OnProcessEvent)

C++/ATL
public IDispEventSimpleImpl<1, CCADEditorXEvents, &__uuidof(CADEditorLib::ISgCADEditorEvents)>

JScript
public event OnProcess(ASender : Object, AXML: String)

Parameters

ASender | Control providing the data
AXML | The XML document containing the output data


Add entities

Navigation: Concepts >

Add entities

 Return to chapter overview

English Deutsch Français Русский

The <Add> XML command allows adding sections and entities to the current drawing.

1. Examples showing how to add entities are presented in the Classes section of the drop-down menu:

2. Select Layer:

3. The result of the <Add> XML command is presented in the following screenshot:


Results

Navigation: Concepts >

Results

 Return to chapter overview

XML Result data

Result template:

<cadsofttools version="2.0">
<Results errors="Number of errors"/>
<Result instruction= “Name of instruction or event” type=”instruction|event” >
<!-- Each instruction has its Result. If Result exists, then instruction was processed.
If there is no <Error> for the instruction, then it was successful without errors.
-->
<Output>
<!-- Output - compulsory parameter which stores Output data for instruction if any. -->
</ Output >
<Errors>
<!-- Errors - compulsory parameter which consists of errors if any. -->
<Error message=””>
<!-- Information about a certain error. -->
</Error>
</Errors>
</Result>
</Results>
</cadsofttools>

Example:

1. Run XML IDE.

2. Click Execute XML for Add.xml (it is set by default).

Select Events > SignToOnSelectEntity.xml and click Execute XML:

Input XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Sign to OnSelectEntity event. Handle in result will be the last selected entity.
All the selected entities can be accessed through calling "GetSelected" command, see GetSelected.xml -->
<signtoevent Event="OnSelectEntity"/>
</cadsofttools>

Output XML:

<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<cadsofttools version="2.0">
<Results>
<Result Instruction="signtoevent"/>
</Results>
</cadsofttools>

In this case we see only one Result which has the instruction name without the <Output> or <Errors> nodes.

3. Go to the CADEditorX form and either click the "CADSoftTools" text or select any other entity.

In XML IDE we will see the following Result:

<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<cadsofttools version="2.0">
<Results>
<Result Instruction="OnSelectEntity" Type="event" guid="{AED1356D-6800-443D-8725-332FD5D4D199}">
<Output SelectedCount="1">
<selected handle="$22"/>
</Output>
</Result>
</Results>
</cadsofttools>

Now in the Result section we see the Output node with attribute "SelectedCount" which defines the number of the selected entities. In API reference you can find information on each instruction or attribute.


Read entities data

Navigation: Concepts >

Read entities data

 Return to chapter overview

Show/Hide Hidden Text

English Deutsch Français Русский

The XML <Get> command allows getting structure of the current drawing in the XML format and returning properties of the entity specified by handle.

The following example demonstrates how to call the complete drawing structure in the XML format:

<XML>
<cadsofttools version="2.0">
<cstConverter>

<cstSectionHeader Name="HEADER" />

<cstSectionTables Name="TABLES">
<SubEntities>
<cstTable Handle="$1" Name="LTYPE">
<SubEntities>

<cstLineType Handle="$7" Name="BYLAYER" />
<cstLineType Handle="$8" Name="BYBLOCK" />
<cstLineType Handle="$9" Name="CONTINUOUS" />
<cstLineType Handle="$16" Name="CENTER" />
<cstLineType Handle="$17" Name="ISO dash" />
<cstLineType Handle="$18" Name="ISO dot" />
<cstLineType Handle="$19" Name="ISO dash dot" />
<cstLineType Handle="$1A" Name="ISO dash double-dot" />
<cstLineType Handle="$1B" Name="ISO dash triple-dot" />
<cstLineType Handle="$1C" Name="ISO dash long gaps" />

</SubEntities>

</cstTable>
<cstTable Handle="$2" Name="LAYER">
<SubEntities>

<cstLayer LineWeight="-3" Handle="$D" Color="0;7;" Name="0" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$22" Color="0;3;" Name="Layer2" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$23" Color="0;7;" Name="Invisible" Visible="false" Locked="false" />
<cstLayer LineWeight="-3" Handle="$24" Flags="4" Color="0;7;" Name="Locked" Visible="true" Locked="true" />

</SubEntities>

</cstTable>
<cstTable Handle="$3" Name="STYLE">
<SubEntities>

<cstStyle Handle="$A" Name="STANDARD" />
<cstStyle Handle="$12" Name="GOST" />

</SubEntities>

</cstTable>
<cstTable Handle="$4" Name="DIMSTYLE">
<SubEntities>

<cstDimensionStyle Handle="$B" Name="STANDARD" />
<cstDimensionStyle Handle="$13" Name="GOST" />

</SubEntities>

</cstTable>
<cstBlockRecords Handle="$5" Name="BLOCK_RECORD">
<SubEntities>

<cstBlockRecord Handle="$10" Name="_CLOSEDFILLED" />
<cstBlockRecord Handle="$15" Name="ABViewer_RedLine" />
<cstBlockRecord Handle="$21" Name="*[Model]" />
<cstBlockRecord Handle="$28" Name="block1" />

</SubEntities>

</cstBlockRecords>
<cstTable Handle="$6" Name="VPORT">
<SubEntities>

<cstVport Handle="$1D" Name="*ACTIVE" CircleZoomPercent="100" UCSOrigin="0,0,1" UCSXDir="1,0,0" UCSYDir="0,1,0" UCSVP="false" ViewAspectRatio="1" ViewCenterPoint="0,0,0" ViewDirection="0,0,1" ViewTarget="0,0,0" ViewHeight="0" ViewTwistAngle="0" />

</SubEntities>

</cstTable>

</SubEntities>

</cstSectionTables>
<cstSectionBlocks Name="BLOCKS">
<SubEntities>
<cstBlock Handle="$F" Name="_CLOSEDFILLED">
<SubEntities>

<cstSolid LineWeight="-2" Handle="$C" Color="0;0;" Point="-1,0.166666666666667,0" Point1="0,0,0" Length="1.0137937550497" Point2="-1,0.166666666666667,0" Point3="-1,-0.166666666666667,0" />

<cstLine LineWeight="-2" Handle="$E" Color="0;0;" Point="-1,0,0" Point1="-2,0,0" Length="1" />

</SubEntities>

</cstBlock>

<cstBlock Handle="$14" Flags="1" Name="ABViewer_RedLine" />

<cstBlock Handle="$20" Name="*[Model]">
<SubEntities>

<cstInsert Handle="$2A" Layer="$22" Point="0,50,0" BlockName="block1" Extrusion="0,0,1" Angle="0" Scale="1,1,1" />

<cstLine Handle="$2B" Point="10,10,0" Point1="20,30,0" Length="22.3606797749979" />

<cstCircle Handle="$2C" Flags="128" Point="10,10,0" Radius="20" CircleLength="125.663706143592" Area="1256.63706143592" />

<cstText Handle="$2D" Point="0,-20,0" Height="3" Rotation="0" ObliqueAngle="0" Text="Enghlish Русский Französisch Français" StyleName="STANDARD" />

</SubEntities>

</cstBlock>
<cstBlock Handle="$27" Name="block1">
<SubEntities>

<cstLine Handle="$25" Point="0,0,0" Point1="50,0,0" Length="50" />

<cstText Handle="$26" Point="0,3,0" Height="3" Rotation="0" ObliqueAngle="0" Text="This is a block" StyleName="STANDARD" />

<cstLWPolyline Handle="$29" Point="0,0,0">
<SubEntities>

<cstVertex Point="10,10,0" />

<cstVertex Point="10,40,0" />

<cstVertex Point="40,40,0" />

</SubEntities>

</cstLWPolyline>

</SubEntities>

</cstBlock>

</SubEntities>

</cstSectionBlocks>
<cstSectionObjects Name="OBJECTS">
<SubEntities>

<cstDictionary Name="MLINESTYLES" />

<cstDictionary Name="LAYOUTS">
<SubEntities>

<cstLayout Handle="$11" Name="Model" PaperSpaceBlock="*[Model]" />

</SubEntities>

</cstDictionary>

<cstDictionary Name="IMAGEDEFS" />

</SubEntities>

</cstSectionObjects>

</cstConverter>

</cadsofttools>

</XML>


CAD Drawing Database

Navigation: Concepts >

CAD Drawing Database

 Return to chapter overview

Interactive CAD Drawing Database map

How to get information about entities


CAD Drawing Database XML Structure

Navigation: Concepts >

CAD Drawing Database XML Structure

 Return to chapter overview

English Deutsch Français Русский

How to get information about entities

The main concept of the CAD Drawing Database XML structure is that all the information contained in the drawing file is structured in a tree form.

Each object of the file is represented as an element node with a set of attributes. The attribute defines a specific object property, attribute name and attribute value consisting of strings of characters.

To get the CAD Drawing Database XML structure it is necessary to execute the GET XML API instruction.

The XML structure can be represented in the following way:

cstConverter is the drawing in this structure. There are the following sections below it:

HEADER

TABLES

BLOCKS

OBJECTS

The TABLES section saves line types, layers, styles and other information. Еntities are in the BLOCKS section in the <cstBlock Name="*MODEL_SPACE"> block.

The <get> command returns either the whole drawing XML structure or the selected object of the drawing data and all its child objects. It is convenient to use the result of the <get> command as parameters of the <add> XML API command where it is necessary to specify the XML structure from the SECTION to which the object belongs, to the table or block, where the object will be added via the <add> XML API command.

It is necessary to know that there is no ENTITY section in the XML structure. This section is replaced by the *MODEL_SPACE block that is always present in the drawing database. Entities, unless it is otherwise stated by the XML structure, are always added to the BLOCKS section into the block named *MODEL_SPACE. That is why if you add entities using the <add> command, you should not specify the BLOCKS section and the *MODEL_SPACE block. All entities are added there by default.

Objects in the drawing database are created by the class name. You can find the list of all supported objects, which can be created by the class name, in this help file in the Entities part.

XML API commands allow changing object properties in the drawing. For this purpose it is necessary to change the object attribute via the XML command. All attributes, except for the read-only attributes, can be changed with the help of XML API commands.

You can find the full list of attributes related to a certain object class in the description of a particular object.

For example, the cstLine class object representing a Line in the drawing database has the following attributes:

Syntax:

<cstLine LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" Point1 ="FPoint" Length ="Double" Angle ="Double" />

Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
Point1 | FPoint | 3D point defining entity
Length | Double | Length value
Angle | Double | Angle value

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
<!-- Description: A Line is specified by two Points. -->
<add>
<cstLine point="0,0,0" Point1="10,5,0"/>
</add>
<fittosize/>
</cadsofttools>


SubEntities

Navigation: Concepts > CAD Drawing Database XML Structure >

SubEntities

 Return to chapter overview

The <subentities> element is added to all sub-entities in the Drawing Structure Database. Elements like <knots> Spline or in Hatch are attributes of base entity and are written without the <subentities> tag.


<cadsofttools>

Navigation: Concepts > CAD Drawing Database XML Structure >

<cadsofttools>

 Return to chapter overview

The <cadsofttools> element is the root node of the XML API document. It contains information about the version of the XML API.

Attributes of <cadsofttools>

Attribute | Description
version | [Required] XML-based format version (the current version is "2.0") Example: <cadsofttools version="2.0"> </cadsofttools>

Child elements

§<cstConverter>


Drawing <cstConverter>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> >

Drawing <cstConverter>

 Return to chapter overview

Show/Hide Hidden Text

Parent element

§<cadsofttools>

The <cstConverter> XML element contains information about the XML structure of the drawing file. The drawing structure consists of some sections while the sections comprise various information about the drawing. There are the following sections in any drawing:

DRAWING

HEADER

TABLES

LTYPE

LAYER

STYLE

DIMSTYLE

BLOCK_RECORD

VPORT
BLOCKS

*MODEL

BLOCK

Note:

Block named *MODEL_SPACE always appears in the BLOCKS section. This block includes the ENTITIES section of the drawing. All other blocks may be absent from the drawing.

OBJECTS

Child elements

§ <cstSectionHeader>

§ <cstSectionTables>

§ <cstSectionBlocks>

§ <cstSectionObjects>


Sections Common Attributes

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> >

Sections Common Attributes

 Return to chapter overview

All child elements of the <cstConverter> element have the following attributes:

Attribute | Description
Name | [Read-only] Section name (HEADER, TABLES, BLOCKS, OBJECTS).
Handle | [Read-only] Handle value.


HEADER <cstSectionHeader>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> >

HEADER <cstSectionHeader>

 Return to chapter overview

The element contains information about the HEADER section of the drawing file. The HEADER section contains settings of variables associated with the drawing.

The HEADER section has no Handle attribute.

Attributes of <cstSectionHeader>

Attribute

Description

ACADVer

The AutoCAD drawing database version number:

AC1006 = R10

AC1009 = R11 and R12

AC1012 = R13

AC1014 = R14

AC1015 = AutoCAD 2000

AC1018 = AutoCAD 2004

AC1021 = AutoCAD 2007

AC1024 = AutoCAD 2010

AC1027 = AutoCAD 2013

AttributeMode

CEColor

Current entity color number.

CELTScale

Current entity linetype scale.

CELType

Entity linetype name, or BYBLOCK or BYLAYER.

CELWeight

Lineweight of new objects.

CLayer

Current layer name.

DimAlt

Specifies whether an alternate unit dimensioning performed (True or False).

DimAltF

Alternate unit scale factor.

DimAPost

Alternate dimensioning suffix.

DimAsz

Dimensioning arrow size.

DimCen

Size of center mark/lines.

DimClrD

Dimension line color.

DimClrE

Dimension extension line color.

DimClrT

Dimension text color.

DimDec

Number of decimal places for the tolerance values of a primary units dimension.

DimExe

Extension line extension.

DimExo

Extension line offset.

DimGap

Dimension line gap.

DimLFac

Linear measurements scale factor.

DimLwD

Dimension line lineweight:

-3 = Standard

-2 = ByLayer

-1 = ByBlock

0-211 = an integer representing 100th of mm

DimLwE

Extension line lineweight:

-3 = Standard

-2 = ByLayer

-1 = ByBlock

0-211 = an integer representing 100th of mm

DimPost

General dimensioning suffix.

DimSah

Specifies whether to use separate arrow blocks (True or False).

DimSD1

Suppression of first extension line: False = Not suppressed; True = Suppressed.

DimSD2

Suppression of second extension line: False = Not suppressed; True = Suppressed.

DimSE1

Specifies whether first extension line is suppressed: False = Not suppressed; True = Suppressed.

DimSE2

Specifies whether second extension line is suppressed: False = Not suppressed; True = Suppressed.

DimScale

Overall dimensioning scale factor.

DimStyle

Dimension style name.

DimTad

Text above dimension line if nonzero.

DimTih

Text inside horizontal if True.

DimTix

Force text inside extensions if nonzero

DimToh

Text outside horizontal if True.

DimTxt

Dimensioning text height.

CodePage

Drawing code page.

ExtMax

X, Y, and Z drawing extents upper-right corner (in WCS).

ExtMin

X, Y, and Z drawing extents lower-left corner (in WCS).

FilletRadius

Fillet radius.

InsBase

Insertion base (in WCS).

InsUnits

Default drawing units for blocks:

0 = Unitless; 1 = Inches; 2 = Feet; 3 = Miles; 4 = Millimeters; 5 = Centimeters; 6 = Meters; 7 = Kilometers;

8 = Microinches; 9 = Mils; 10 = Yards; 11 = Angstroms; 12 = Nanometers; 13 = Microns; 14 = Decimeters;

15 = Decameters; 16 = Hectometers; 17 = Gigameters; 18 = Astronomical units; 19 = Light years; 20 = Parsecs

LScale

Global linetype scale.

Measurement

Drawing units: 0 = English; 1 = Metric

PointDisplayMode

Point display mode.

PointDisplaySize

Point display size.

TextSize

Default text height.

TileMode

1 for previous release compatibility mode; 0 otherwise.

UCSORG

Origin of current UCS (in WCS)

UCSXDir

Direction of the current UCS X axis (in WCS).

UCSYDir

Direction of the current UCS Y axis (in WCS).

Parent element

§ <cstConverter>


TABLES <cstSectionTables>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> >

TABLES <cstSectionTables>

 Return to chapter overview

TABLES <cstSectionTables> section. This section contains definitions of named items.

§Linetype table (LTYPE)

§Layer table (LAYER)

§Text Style table (STYLE)

§Dimension Style table (DIMSTYLE)

§Block record symbol table (BLOCK_RECORD)

§Viewport configuration table (VPORT)

§View table (VIEW) [optional table]

§User Coordinate System table (UCS) [optional table]

§Application Identification table (APPID) [optional table]

The TABLES <cstSectionTables> element has common attributes only.


Symbol Tables Common Attributes

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

Symbol Tables Common Attributes

 Return to chapter overview

All child elements of the <cstSectionTables> TABLES have the following attributes:

Attribute | Description
Name | [Read-only] Table name (APPID, DIMSTYLE, LAYER, LTYPE, STYLE, UCS, VIEW, VPORT, or BLOCK_RECORD).
Handle | [Read-only] Handle value.


<cstTable>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

<cstTable>

 Return to chapter overview

This element implements the definitions of a named table item in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ <cstPenTableItem>

Code samples

Adding a <cstPenTableItem>


<cstPenTableItem>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> > <cstTable> >

<cstPenTableItem>

 Return to chapter overview

This element represents a table record in <cstTable> in the drawing <cstConverter>.

The table record has common attributes only.


Symbol Table Record Common Attributes

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> > <cstTable> > <cstPenTableItem> >

Symbol Table Record Common Attributes

 Return to chapter overview

The child elements of TABLE <cstTable> may have the following attributes:

Attribute | Description
Name | [Read-only] Name.
Handle | [Read-only] Handle value.


LTYPE <cstTable>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

LTYPE <cstTable>

 Return to chapter overview

This element implements the Linetype table, which consists of line types in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ < cst LineType>


<cstLineType>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> > LTYPE <cstTable> >

<cstLineType>

 Return to chapter overview

The element contains information about linetype.

Attributes of <cstLineType>

Attribute | Description
Name | Linetype name.
Handle | [Read-only] Linetype handle value.


LAYER <cstTable>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

LAYER <cstTable>

 Return to chapter overview

This element implements the Layer table, which consists of the layers list in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ < cst Layer>


<cstLayer>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> > LAYER <cstTable> >

<cstLayer>

 Return to chapter overview

The element contains information about layer.

Attributes of <cstLayer>

Attribute | Description
Name | [Required] Layer name.
Handle | [Read-only] Handle value.
Color | [Optional] Color number (default is 0;256).
LineWeight | [Optional] Lineweight value.
Locked | [Optional] Value indicating whether the layer is locked: True = Locked, False = Not locked.
Visible | [Optional] Value indicating whether a layer is visible: True = Visible, False = Not visible.

Definition:

<Layer Name="Layer2" Color="0;3;" Locked="False" Visible="False"/>


STYLE <cstTable>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

STYLE <cstTable>

 Return to chapter overview

This element implements the Text Style table, which consists of text styles in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ <cstStyle>


<cstStyle>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> > STYLE <cstTable> >

<cstStyle>

 Return to chapter overview

The element contains information about style.

Attributes of <cstStyle>

Attribute | Description
Name | Style name.
Handle | [Read-only] Style handle value.


VIEW <cstTable>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

VIEW <cstTable>

Return to chapter overview

This element implements the View table in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ <cstPenTableItem>


UCS <cstTable>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

UCS <cstTable>

Return to chapter overview

This element implements the User Coordinate System table in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ <cstPenTableItem>


DIMSTYLE <cstTable>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

DIMSTYLE <cstTable>

 Return to chapter overview

This element implements the Dimension Style table, which consists of dimension styles in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ < cst DimensionStyle>


<cstDimensionStyle>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> > DIMSTYLE <cstTable> >

<cstDimensionStyle>

 Return to chapter overview

The element contains information about DIMSTYLE object.

Attributes of <cstDimensionStyle>

Attribute | Description
Name | Dimension style name
Handle | [Read-only] Dimension style handle value.


VPORT <cstTable>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

VPORT <cstTable>

 Return to chapter overview

This element implements the Viewport configuration table in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ < cst VPort>


<cstVport>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> > VPORT <cstTable> >

<cstVport>

 Return to chapter overview

The element contains information about VPORT.

Attributes of <cstVport>

Attribute | Description
Name | Viewport name.
Handle | [Read-only] Handle value.
CircleZoomPercent |
UCSOrigin | UCS (User Coordinate System) origin.
UCSVP |
UCSXDir | UCS X-axis direction.
UCSYDir | UCS Y-axis direction.
ViewAspectRatio | View aspect ratio.
ViewCenterPoint | View center point (in DCS).
ViewDirection | View direction from target point (in WCS).
ViewHeight | View height.
ViewTarget | View target point (in WCS)
ViewTwistAngle | View twist angle.


APPID

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

APPID

 Return to chapter overview

This element implements the Application Identification table in the <cstConverter> XML element.

The table has common attributes only.

Child elements

§ <cstPenTableItem>


BLOCK_RECORD <cstBlockRecords>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> >

BLOCK_RECORD <cstBlockRecords>

 Return to chapter overview

The element contains information about BLOCK_RECORD symbol table entries in the <cstConverter> XML element. Block records define the names of available blocks in the drawing.

The table has common attributes only.

Child elements

§ < cst BlockRecord>


<cstBlockRecord>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > TABLES <cstSectionTables> > BLOCK_RECORD <cstBlockRecords> >

<cstBlockRecord>

 Return to chapter overview

The element contains information about BLOCK_RECORD object.

Attributes of <cstBlockRecord>

Attribute | Description
Name | Block name.
Handle | [Read-only] Handle value.


BLOCKS <cstSectionBlocks>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> >

BLOCKS <cstSectionBlocks>

 Return to chapter overview

The element contains information about the BLOCKS section in the drawing file.

The <cstSectionBlocks> element has common attributes only.

Child elements

§ <cstBlock>


<cstBlock>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > BLOCKS <cstSectionBlocks> >

<cstBlock>

 Return to chapter overview

The element contains the block definition. Each block definition contains the entities that make up that block as it is used in the drawing.

Attributes of <cstBlock>

Attribute | Description
Name | [Required] Block name.
Handle | [Read-only] Handle value.

Definition:

<Block Name="Block1">

<SubEntities>
<!-- Place entities definition here -->

<SubEntities/>
</Block>


OBJECTS <cstSectionObjects>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> >

OBJECTS <cstSectionObjects>

 Return to chapter overview

The element contains information about the OBJECTS section in the drawing file. The Objects section stores a number of object types, including dictionary entries, multi-line styles, groups and application defined custom objects.

The <cstSectionObjects> element has common attributes only.

Child elements

§ <cstDictionary>


<cstDictionary>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > OBJECTS <cstSectionObjects> >

<cstDictionary>

 Return to chapter overview

The element contains information about DICTIONARY object entries in the drawing file.

Attributes of <cstDictionary>

Attribute | Description
Name | Entry name.


<cstLayout>

Navigation: Concepts > CAD Drawing Database XML Structure > <cadsofttools> > Drawing <cstConverter> > OBJECTS <cstSectionObjects> > <cstDictionary> >

<cstLayout>

 Return to chapter overview

The element contains information about LAYOUT object.

Attributes of <cstLayout>

Attribute | Description
Name | Layout name.
Handle | [Read-only] Handle value.
PaperSpaceBlock | Name of this layout's associated paper space block.
UCSOrigin | UCS origin.
UCSXDir | UCS X-axis direction.
UCSYDir | UCS Y-axis direction.


API Reference

CAD XML API Reference

Navigation: »No topics above this level«

CAD XML API Reference

 Return to chapter overview
CADSoftTools XML Reference

Filter:

Instructions | Instruction Parameters | Classes | Classes Parameters | Types | Events | Command line examples
add | Angle | cstAcadTable | ACADVer | Undefined | OnUndefined | cmdstat
apply | AskOnDelete | cstAcadTableStyle | Angle | Boolean | OnMouseMove | CmpFiles
buttonmenu | Author | cstArc | AngleFromXY | Byte | OnMouseDown | dimstyle
capturescreen | base64 | cstAttdef | AngleInXY | Word | OnMouseUp | DIMTXSTY
command | BitPerPixel | cstAttrib | ArcDefPoint | Integer | OnMouseWheel | GetBkColor
ContextMenu | Bottom | cstBlock | Area | Int64 | OnSelectEntity | HideAllInterface
CreateHatch | Box | cstBlockPattern | Arrowhead | Color | OnConfirmEntitiesDeletion | HideToolbarsPanels
CustomSelectMode | CADArea | cstBlockRecords | ArrowSize | Handle | OnChangeEntities | layer
delete | Calcs | cstCircle | ArrowType | Single | OnCopyEntities | mirror
Editor | Caption | cstConverter | Attmode | Double | OnCreateEntities | mirror2
FitToSize | caption | cstDictionary | Attribs | Pointer | OnDeleteEntities | MovePicture
get | Changed | cstDimension | BackClipPlane | String | OnCancelEntities | RectZooming
getbox | Color | cstDimensionStyle | BasePoint | Point | OnLayoutBeforeChange | rotate
getcadcoords | Compression | cstEllipse | BigFont | F2DPoint | OnLayoutAfterChange | rotate2
getdrawingchanged | Created | cstEntity | BlockName | FPoint | OnPasteEntities | savetopng
getdrawingslist | CustomDraw | cstField | BLOCKS | Rect | OnRedoEntities | Scrollbar visible
GetExternalFiles | DPUX | cstFieldList | Boundaries | F2DRect | OnUndoEntities | SetBkColor
getimage | DPUY | cstFill | Boundary | FRect | OnKeyDown | SetJPEGExport
getselected | Drawing | cstGradientPolygon | Bulge | Version | OnKeyUp | SetJPEGSmoothingOff
GetView | DrawingData | cstGroup | Calc | ColorCAD | OnKeyPress | SetLanguage
getviewrect | EMail | csthArc | CEColor | EntHandle | OnPaint | SetLineWeight
Help | Enabled | cstHatch | CELTScale | EntName | OnMenuContextClick | SetLineWeightOff
Invalidate | Errors | csthBoundaryList | CELType | List | OnMenuButtonClick | SetOrtho
load | Event | csthCurve | CELWeight | ListItem | OnApplicationExeption | SetOrthoOff
menuItemClick | ExportParams | cstHelix | CenterMass | StringInternal | OnMeasure | SetPolar
Registration | ExternalFile | csthLine | CenterPoint | Base64 |  | ShowToolbar
ribbon | File | csthPoints | CircleLength | Singles |  | shxdefaultfont
save | Format | csthPolyline | CircleZoomPercent | FPoints2DOr3D |  | shxdefaultpath
select | Guid | cstImageDef | CLayer | Procedure |  | shxfonts
SetCustomInsert | Handle | cstImageEnt | ClippingBoundaryHandle | Parameters |  | shxfromacad
setdrawingchanged | HatchName | cstInsert | Clockwise | Guid |  | SwitchToModel
SetView | Height | cstInsertXRef | Closed |  |  | UnionEdges
setviewrect | Index | cstLayer | CodePage |  |  | ZoomAtPoint
showselectedentities | Instruction | cstLayout | Color |  |  |
signtoevent | IsConvertImageToOLE | cstLeader | ColSpacing |  |  |
SupportedClassesList | Item | cstLine | ColumnCount |  |  |
SupportedInstructionsList | Items | cstLineType | ControlPoints |  |  |
switchdrawing | Key | cstLWPolyline | Count |  |  |
Undefined | LayoutExportMode | cstMPolygon | Dash |  |  |
unload | LayoutNameExportMode | cstMText | DefPoint |  |  |
unselect | Left | cstObjectEntity | Degree |  |  |
 | LineWeight | cstOle2Frame | DeltaX |  |  |
 | Marker | cstOwneredItem | DeltaY |  |  |
 | MeasureInPixels | cstPenTableItem | DeltaZ |  |  |
 | Mode | cstPoint | Description |  |  |
 | Mode | cstPolyline | DictValue |  |  |
 | Mode | cstPolyPolygon | DimAlt |  |  |
 | Mode | cstProxy | DimAltF |  |  |
 | Output | cstSection | DimAPost |  |  |
 | PageHeight | cstSectionBlocks | DimAsz |  |  |
 | PageWidth | cstSectionEntities | DimBlk |  |  |
 | Parameters | cstSectionHeader | DimBlk1 |  |  |
 | PathName | cstSectionObjects | DimBlk2 |  |  |
 | PathToXMLExamples | cstSectionTables | DimCen |  |  |
 | PatternScale | cstSolid | DimClrD |  |  |
 | Point | cstSortEntsTable | DimClrE |  |  |
 | Proportional | cstSpline | DimClrT |  |  |
 | Quality | cstStyle | DimDec |  |  |
 | ReadOnly | cstTable | DimExe |  |  |
 | Rect | cstText | DimExo |  |  |
 | Registration | cstVertex | DimGap |  |  |
 | Result | cstViewport | DimLFac |  |  |
 | Right | cstVport | DimLwD |  |  |
 | Selected | cstWipeout | DimLwE |  |  |
 | SelectedCount | cstXref | DimPost |  |  |
 | ShowEntityMethod |  | DimRBlk |  |  |
 | ShowEntityPrecision |  | DimSah |  |  |
 | Text |  | DimScale |  |  |
 | Top |  | DimScaleOverall |  |  |
 | Transparent |  | DimSD1 |  |  |
 | Updated |  | DimSD2 |  |  |
 | User |  | DimSE1 |  |  |
 | Version |  | DimSE2 |  |  |
 | Visible |  | DimStyle |  |  |
 | VisibleArea |  | DimTad |  |  |
 | Width |  | DimTih |  |  |
 |  |  | DimTix |  |  |
 |  |  | DimToh |  |  |
 |  |  | DIMTXSTY |  |  |
 |  |  | DimTxt |  |  |
 |  |  | Distance |  |  |
 |  |  | Elevation |  |  |
 |  |  | EndAngle |  |  |
 |  |  | EndParam |  |  |
 |  |  | EndPoint |  |  |
 |  |  | EndTangentVector |  |  |
 |  |  | EndWidth |  |  |
 |  |  | ENTITIES |  |  |
 |  |  | ExtData |  |  |
 |  |  | ExtMax |  |  |
 |  |  | EXTMIN |  |  |
 |  |  | Extrusion |  |  |
 |  |  | FileName |  |  |
 |  |  | FILLETRAD |  |  |
 |  |  | FitPoints |  |  |
 |  |  | FixedHeight |  |  |
 |  |  | Flags |  |  |
 |  |  | FontName |  |  |
 |  |  | FontStyle |  |  |
 |  |  | FrontClipPlane |  |  |
 |  |  | Frozen |  |  |
 |  |  | FrozenByNewViewPort |  |  |
 |  |  | GlobalWidth |  |  |
 |  |  | Handle |  |  |
 |  |  | HandleSave |  |  |
 |  |  | HatchName |  |  |
 |  |  | HEADER |  |  |
 |  |  | Height |  |  |
 |  |  | ImageDef |  |  |
 |  |  | InsBase |  |  |
 |  |  | InsUnits |  |  |
 |  |  | IsPlotting |  |  |
 |  |  | IsSolid |  |  |
 |  |  | Justify |  |  |
 |  |  | Knot |  |  |
 |  |  | KnotsPoints |  |  |
 |  |  | LastHeightUsed |  |  |
 |  |  | Layer |  |  |
 |  |  | LayoutScale |  |  |
 |  |  | LeaderPathType |  |  |
 |  |  | Length |  |  |
 |  |  | LinDefPoint1 |  |  |
 |  |  | LinDefPoint2 |  |  |
 |  |  | LineAngle |  |  |
 |  |  | Lines |  |  |
 |  |  | LineType |  |  |
 |  |  | LineTypeScale |  |  |
 |  |  | LineWeight |  |  |
 |  |  | Locked |  |  |
 |  |  | LTScale |  |  |
 |  |  | MajorPoint |  |  |
 |  |  | Measurement |  |  |
 |  |  | MiddlePoint |  |  |
 |  |  | Mode |  |  |
 |  |  | ModelScale |  |  |
 |  |  | MSpaceCenter |  |  |
 |  |  | MSpaceHeight |  |  |
 |  |  | Name |  |  |
 |  |  | OBJECTS |  |  |
 |  |  | ObliqueAngle |  |  |
 |  |  | Offset |  |  |
 |  |  | OriginalName |  |  |
 |  |  | PaperSpaceBlock |  |  |
 |  |  | PatternAngle |  |  |
 |  |  | PatternScale |  |  |
 |  |  | Pattren |  |  |
 |  |  | Pattrens |  |  |
 |  |  | PDMODE |  |  |
 |  |  | PDSIZE |  |  |
 |  |  | Perimeter |  |  |
 |  |  | Periodic |  |  |
 |  |  | Point |  |  |
 |  |  | Point1 |  |  |
 |  |  | Point2 |  |  |
 |  |  | Point3 |  |  |
 |  |  | PolylineLength |  |  |
 |  |  | PrimaryFont |  |  |
 |  |  | Properties |  |  |
 |  |  | PScale |  |  |
 |  |  | PSpaceCenter |  |  |
 |  |  | PSpaceHeight |  |  |
 |  |  | PSpaceWidth |  |  |
 |  |  | RadDefPoint |  |  |
 |  |  | Radius |  |  |
 |  |  | RadPt |  |  |
 |  |  | Ratio |  |  |
 |  |  | Rational |  |  |
 |  |  | RectWidth |  |  |
 |  |  | Rotation |  |  |
 |  |  | RowCount |  |  |
 |  |  | RowSpacing |  |  |
 |  |  | Scale |  |  |
 |  |  | ScaleFactor |  |  |
 |  |  | SegmentIndex |  |  |
 |  |  | Size |  |  |
 |  |  | SolidFill |  |  |
 |  |  | Start |  |  |
 |  |  | StartAngle |  |  |
 |  |  | StartParam |  |  |
 |  |  | StartPoint |  |  |
 |  |  | StartTangentVector |  |  |
 |  |  | StartWidth |  |  |
 |  |  | StatusField |  |  |
 |  |  | StyleName |  |  |
 |  |  | SubEntities |  |  |
 |  |  | TABLES |  |  |
 |  |  | Tag |  |  |
 |  |  | Text |  |  |
 |  |  | TextGenFlags |  |  |
 |  |  | TextSize |  |  |
 |  |  | TextStyle |  |  |
 |  |  | TextValue |  |  |
 |  |  | Thickness |  |  |
 |  |  | ThisID |  |  |
 |  |  | TileMode |  |  |
 |  |  | Transparency |  |  |
 |  |  | TransparentColor |  |  |
 |  |  | TurnHeight |  |  |
 |  |  | Turns |  |  |
 |  |  | UCSORG |  |  |
 |  |  | UCSOrigin |  |  |
 |  |  | UCSVP |  |  |
 |  |  | UCSXDir |  |  |
 |  |  | UCSYDir |  |  |
 |  |  | UVector |  |  |
 |  |  | Value |  |  |
 |  |  | Vertex |  |  |
 |  |  | Vertexes |  |  |
 |  |  | ViewAspectRatio |  |  |
 |  |  | ViewCenterPoint |  |  |
 |  |  | ViewDirection |  |  |
 |  |  | ViewHeight |  |  |
 |  |  | ViewTarget |  |  |
 |  |  | ViewTwistAngle |  |  |
 |  |  | Visible |  |  |
 |  |  | Volume |  |  |
 |  |  | VVector |  |  |
 |  |  | Weight |  |  |
 |  |  | Weights |  |  |
 |  |  | Width |  |  |
 |  |  | WidthFactor |  |  |
 |  |  | XrefLink |  |  |

Instructions

add

Description: Instruction ADD adds entities and Drawing Structure Data to the current drawing. There are many examples of adding particular classes with ADD instruction which are described in Classes examples.

Syntax:

<add DrawingData ="List" />
add parameters are:
Parameter | Type | Description
DrawingData | List | Drawing data structure

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output field accepts the following child:
Parameter | Type | Description
Created | ListItem | Created
Updated | ListItem | Updated

Created parameters are:
Parameter | Type | Description
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"

Updated parameters are:
Parameter | Type | Description
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: Instruction ADD adds entities and Drawing Structure Data to the current drawing. There are many examples of adding particular classes with ADD instruction which are described in Classes examples. -->
  <add>
  <!-- The following line adds a text. -->
    <cstText Text="CADSoftTools" Point="0.5, 0.5" Height="1"/>
  <!-- The following line adds a line. -->
    <cstLine point="0,0,0" Point1="10,0,0"/>
</add>
  <FitToSize/>
  </cadsofttools>
Example 2:
Description: The example shows how to add a complicated Drawing Structure Data to the current drawing.

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: The example shows how to add a complicated Drawing Structure Data to the current drawing. -->
  <add>
    <cstSectionTables Name="TABLES">
      <SubEntities>
        <cstTable Name="LAYER">
          <SubEntities>
            <cstLayer name="Layer2" Color="0;3;" />
            <cstLayer name="Invisible" Visible="False" />
            <cstLayer name="Locked" Locked="True" />
          </SubEntities>
        </cstTable>
      </SubEntities>
    </cstSectionTables>
    <cstSectionBlocks Name="BLOCKS">
      <SubEntities>
        <cstBlock name="block1">
          <SubEntities>
            <cstLine point="0,0,0" point1="50,0,0" />
            <cstText point="0,3,0" text="This is a block" height="3" />
          </SubEntities>
        </cstBlock>
      </SubEntities>
    </cstSectionBlocks>
    <!-- Add entities Model -->
    <cstInsert blockname="block1" point="0,50,0" layer="Layer2" />
    <cstLine point="10,10,0" point1="20,30,0" Color="0;1;" HandleSave="@1" />
    <cstCircle point="10,10,0" radius="20" HandleSave="@2" />
    <cstText point="0,-20,0" text="Enghlish ??????? Franzosisch Francais" height="3" />
    <!-- Add to an existing block -->
    <cstSectionBlocks Name="BLOCKS">
      <SubEntities>
        <cstBlock name="block1">
          <SubEntities>
            <cstLWPolyline>
              <SubEntities>
                <cstVertex point="10,10,0" />
                <cstVertex point="10,40,0" />
                <cstVertex point="40,40,0" />
              </SubEntities>
            </cstLWPolyline>
          </SubEntities>
        </cstBlock>
      </SubEntities>
    </cstSectionBlocks>
  </add>
  <fittosize />
  <!-- To get the handle of the created entities, use the attribute HandleSave="@Index". -->
  <!-- Then you'll be able to use it as an alias to the real Handle of the object. -->
  <!-- To get the real Handle, use the command <get Handle="@Index"/> -->
  <get Handle="@1" />
</cadsofttools>
Example 3:
Description: the example shows how to work with HandleSave

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: the example shows how to work with HandleSave -->
  <add>
    <cstText point="10,10,0" Text="HandleSave is @77" Height="3" HandleSave="@77" />
</add>
<!-- Handles alias @77 can be used for select and other instructions -->
<select Handle="@77" />
 <apply Color="0;1;"/>
<FitToSize/>
   <!-- Signs to OnSelectEntity event. Handle in result will be the last selected entity.
    If you press the entity which is created in this example, the result will be its real Handle. -->
  <signtoevent Event="OnSelectEntity"/>
</cadsofttools>

apply

Description: Instruction APPLY assigns new values to the entity attributes. The entity must be selected at first, by using Select Instruction, by mouse, etc.

Syntax:

<apply Parameters ="String" />
apply parameters are:
Parameter | Type | Description
Parameters | String | Any object's attribute that has no read-only modifiers can be used as a parameter

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Instruction APPLY assigns new values to the entity attributes. The entity must be selected at first, by using Select Instruction, by mouse, etc. -->
    <!-- XML for adding a line to select by handle parameter -->
    <add>
        <cstLine point="0,0,0" Point1="10,0,0" Handlesave="@1" />
    </add>

    <Select Handle="@1"/>
    <apply lineweight="7" point1="50,10,0" Color="0;33;"/>
    <!-- Zoom rect of the selected entities to the screen -->
    <ShowSelectedEntities/>
    <UnSelect Handle="@1"/>
</cadsofttools>
Example 2:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!--Description: Changing layer properties. -->
  <!--Adds layers-->
  <add>
      <cstSectionTables Name="TABLES">
      <SubEntities>
        <cstTable Name="LAYER">
          <SubEntities>
            <cstLayer name="Layer1" Color="0;3;" />
            <cstLayer name="Layer2"/>
          </SubEntities>
        </cstTable>
      </SubEntities>
    </cstSectionTables>
  </add>
  <!--Selection of layers for changing.
  IMPORTANT! While selecting the objects that are not visible in the area Model it is necessary to state the parameter Marker="false"-->
  <select PathName="TABLES;LAYER;Layer1" Marker="false"/>
  <!--Assignation of new values to the properties of the selected layers. -->
  <apply visible="false" Locked="true"/>
  <!--Deselection of the selected layers.-->
  <unselect PathName="TABLES;LAYER;Layer1" Marker="false"/>
</cadsofttools>
Example 3:
Description: Changing of the text style properties; setting of the current text style.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Description: Changing of the text style properties; setting of the current text style. -->
  <!--XML for adding a new text style -->
   <add>
      <cstSectionTables Name="TABLES">
         <SubEntities>
            <cstTable Name="STYLE">
               <SubEntities>
                  <cstStyle Name="Arial bold" PrimaryFont="arialbd.ttf" FontName="Arial" FontStyle="2"/>
               </SubEntities>
            </cstTable>
         </SubEntities>
      </cstSectionTables>
   </add>
  <!--Selection of a text style according to its name and assignation of new values to the text style properties.
  IMPORTANT! While selecting the objects that are not visible in the area Model it is necessary to state the parameter Marker="false" -->
   <select PathName="TABLES;STYLE;Arial bold;" Marker="false"/>
   <apply PrimaryFont="arialbi.ttf" FontStyle="3" FixedHeight="6"/>
   <unselect PathName="TABLES;STYLE;Arial bold" Marker="false"/>
  <!--Setting a new text style as the current one. -->
   <command text="TextStyle "Arial bold""/>
</cadsofttools>
Example 4:
Description: Changing of the dimension style properties; setting the current dimension style.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Description: Changing of the dimension style properties; setting the current dimension style. -->
  <!-- ArrowType = DimRBlk:
  0 = _CLOSEDFILLED; 1 =_CLOSEDBLANK; 2 = _CLOSED; 3 = _DOT; 4 = _ARCHTICK; 5 = _OBLIQUE; 6 = _OPEN; 7 = _ORIGIN;
  8 = _ORIGIN2; 9 = _OPEN90; 10 = _OPEN30; 11 = _DOTSMALL; 12 = _DOTBLANK; 13 = _SMALL; 14 = _BOXBLANK; 15 = _BOXFILLED;
  16 = _DATUMBLANK; 17 = _DATUMFILLED; 18 = _INTEGRAL; 20 = _NONE.-->
     <add>
      <cstSectionTables Name="TABLES">
         <SubEntities>
            <cstTable Name="DIMSTYLE">
               <SubEntities>
                  <cstDimensionStyle Name="CADSoftTools" DimTxt="3.5" DimBlk="_OBLIQUE" DimBlk1="_OBLIQUE" DimBlk2="_OBLIQUE" DimAsz="2.5"/>
               </SubEntities>
            </cstTable>
         </SubEntities>
      </cstSectionTables>
   </add>
  <!--Selection of a dimension style according to its name and assignation of new values to the dimension style properties.
  IMPORTANT! While selecting the objects that are not visible in the area Model it is necessary to state the parameter Marker="false" -->
   <select PathName="TABLES;DIMSTYLE;STANDARD;" Marker="false"/>
   <apply DimBlk="_ARCHTICK" DimBlk1="_ARCHTICK" DimBlk2="_ARCHTICK" DimAsz="0.25" DimTxt="0.3"/>
   <unselect PathName="TABLES;DIMSTYLE;STANDARD" Marker="false"/>
  <!--Setting the dimension style as the current one. -->
   <command text="DimStyle "CADSoftTools""/>
</cadsofttools>

buttonmenu

Add or delete button by tools palette

Syntax:

<buttonmenu Caption ="String" />
buttonmenu parameters are:
Parameter | Type | Description
Caption | String | Caption of button

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

capturescreen

Unsupported.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output parameters are:
Parameter | Type | Description
Format | String | Output file format
base64 | Base64 | Picture in Base64 encoding.

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Takes a screenshot and turns it into a Base64 string.  -->
  <capturescreen/>
</cadsofttools>

command

Description: Instruction Command executes Command line with parameters described in Text attribute. Commands are described in the user manual, also there are many command examples provided in "Commands" section.

Syntax:

<command Text ="String" />
command parameters are:
Parameter | Type | Description
Text | String | Text for the console command line, help, etc.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output parameters are:
Parameter | Type | Description
Result | List | Result data.

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Instruction Command executes Command line with parameters described in Text attribute. Commands are described in the user manual, also there are many command examples provided in "Commands" section. -->

    <!-- Executes "Line" command, i.e. starts to draw a line with the mouse: -->
  <command text="line"/>
</cadsofttools>

ContextMenu

Description: Context menu instruction allows to replace the context menu by a new one or to add new menu items to the top or to the end of the current menu. When the user clicks on a menu item, its caption returns as event <MenuItemClick caption=" "/> Sender and onClick parameters of theItem are optional. They should be direct addresses to Sender object and onPopup event pointers in a parent application.

Syntax:

<ContextMenu Mode ="Integer" />
ContextMenu parameters are:
Parameter | Type | Description
Mode | Integer | Context menu mode: 0: replace, 1: add to bottom, 2: add to top

ContextMenu field accepts the following child:
Parameter | Type | Description
Items | List | Accepts Item child nodes.

Items field accepts the following child:
Parameter | Type | Description
Item | ListItem | Creates a context menu item with the caption from parameter "caption". This caption is returned as result data when the item is clicked.

Item parameters are:
Parameter | Type | Description
caption | String | Caption of a menu item

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output field accepts the following child:
Parameter | Type | Description
Parameters | String | Any object's attribute that has no read-only modifiers can be used as a parameter

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<!-- Description: Context menu instruction allows to replace the context menu by a new one or to add new menu items to the top or to the end of the current menu.
When the user clicks on a menu item, its caption returns as event <MenuItemClick caption=" "/>
 Sender and onClick parameters of theItem are optional. They should be direct addresses to Sender object and onPopup event pointers in a parent application. -->
<!-- mode: 0 - replace, 1 - to bottom, 2: to top -->
  <contextmenu mode="2">
    <items>
      <item caption="Menu Item 1"/>
      <item caption="Menu Item 2" Sender="$00000000" />
      <item caption="Menu Item 3" Sender="$00000000" onClick="$00000000"/>
      <item caption="Menu Item 4" Sender="$00000000" onClick="$00000000" onPopup="$00000000"/>
    </items>
  </contextmenu>
</cadsofttools>

CreateHatch

Description: Instruction CREATEHATCH creates Hatch using selecte entities as countours. Please select entity by mouse or by xml Instruction SELECT before calling this Instruction.

Syntax:

<CreateHatch HatchName ="String" Angle ="Double" PatternScale ="Double" Color ="ColorCAD" />
CreateHatch parameters are:
Parameter | Type | Description
HatchName | String | Hatch name
Angle | Double | Angle
PatternScale | Double | Pattern scale
Color | ColorCAD | Color CAD

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output field accepts the following child:
Parameter | Type | Description
Selected | ListItem | Stores handles of the selected entities

Selected parameters are:
Parameter | Type | Description
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"

Example:

<?xml version="1.0" encoding="UTF-8"?>
<!-- Description: Instruction CREATEHATCH creates Hatch using selecte entities as countours.
     Please select entity by mouse or by xml Instruction SELECT before calling this Instruction.-->
<!-- Syntax:
     <createhatch Hatchname="" Angle="" PatternScale="" Color=""/>
     Attributes:
     Hatchname - string - name of Hatch, default is "SOLID" which creates a solid hatch.
     Other names: "Box", "Escher" and others can be found in Hatch dialog in user interface.
     Angle - Double - rotation angle of hatch
     PatternScale - Double - scale of hatch's pattern
     Color - sring CADSoftTools color structure - color as index or RGB
-->

<cadsofttools version="2">
  <!-- Create simple rectangular Solid Hatch. Handle of polyline is saved as "@1" -->
  <add>
    <cstLWPolyline HandleSave="@1">
      <SubEntities>
        <cstVertex Point="140,100,0"/>
        <cstVertex Point="141,100,0"/>
        <cstVertex Point="141,103,0"/>
        <cstVertex Point="140,103,0"/>
      </SubEntities>
    </cstLWPolyline>
  </add>
  <!-- Select polyline -->
  <Select Handle="@1"/>
  <!-- Create hatch -->
  <createhatch/>
  <UnSelect Handle="@1"/>

  <!-- Create polyline for Hatch,  -->
  <add>
    <cstLWPolyline HandleSave="@2">
      <SubEntities>
        <cstVertex Point="141,109,0"/>
        <cstVertex Point="142,112,0"/>
        <cstVertex Point="143,109,0"/>
        <cstVertex Point="147,109,0"/>
        <cstVertex Point="144,107,0"/>
        <cstVertex Point="145,105,0"/>
        <cstVertex Point="142,107,0"/>
        <cstVertex Point="141,105,0"/>
        <cstVertex Point="141,107,0"/>
        <cstVertex Point="138,108,0"/>
        <cstVertex Point="141,109,0"/>
      </SubEntities>
    </cstLWPolyline>
  </add>
  <!-- Select polyline -->
  <Select Handle="@2"/>
  <!-- Create hatch -->
  <createhatch hatchname="BOX" Angle="30" PatternScale="0.1"  Color="0;34;"/>
  <UnSelect Handle="@2"/>

  <!-- Create and select some countours for creating hatch. -->
  <add>
    <cstLine point="120,120,0"  point1="130,130,0" Color="0;3;" HandleSave="@3"/>
    <cstLine point="120,120,0"  point1="130,110,0" Color="0;3;" HandleSave="@4"/>
    <cstLine point="130,110,0"  point1="130,130,0" Color="0;3;" HandleSave="@5"/>
    <cstCircle point="100,100,0"  radius="10" Color="0;3;" HandleSave="@6"/>
  </add>
  <!-- Select contours -->
  <Select Handle="@3;@4;@5;@6;"/>
  <createhatch hatchname="SOLID" Color="0;3;"/>
  <UnSelect/>

  <fittosize/>
</cadsofttools>

CustomSelectMode

The CUSTOMSELECTMODE instruction allows defining custom selections and turning on the read-only mode with a possibility to select certain entities.

Syntax:

<CustomSelectMode CustomDraw ="Boolean" ReadOnly ="Boolean" AskOnDelete ="Boolean" Color ="ColorCAD" LineWeight ="Double" Handle ="EntHandle" />
CustomSelectMode parameters are:
Parameter | Type | Description
CustomDraw | Boolean | The selected entities are drawn with custom color and lineweight
ReadOnly | Boolean | Read-only status
AskOnDelete | Boolean | If true, the library asks before deleting entities, whose handles are specified in the CUSTOMSELECTMODE parameters
Color | ColorCAD | Color CAD
LineWeight | Double | Line weight
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
   <add>
      <cstLine Point="0,0"  Point1="10,5" HandleSave="@1"/>
      <cstText Point="2,3" Text="Example text" Height="0.5" HandleSave="@2"/>
      <cstLine Point="0,-3"  Point1="10,2" HandleSave="@3"/>
   </add>

   <!--Changes the color and the line weight of the object selection for all the drawings.-->
   <CustomSelectMode CustomDraw="True" Color="0;33;" LineWeight="3" />

   <!-- Changes the color and the line weight of the object selection for the object with Handle=@3
   and displays a confirmation dialog when deleting it. -->
   <CustomSelectMode ReadOnly="False" AskOnDelete="True" CustomDraw="True" Color="0;5;" LineWeight="2" Handle="@3"/>

   <!-- The object with Handle="@2" is read only; it cannot be deleted. -->
   <CustomSelectMode ReadOnly="True" Handle="@1"/>

   <fittosize/>
</cadsofttools>

delete

The DELETE instruction deletes the selected entities.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Selects entities to delete -->
  <select Handle="@1"/>
  <delete/>
</cadsofttools>

Editor

The EDITOR instruction specifies parameters for the CAD editor.

Syntax:

<Editor ReadOnly ="Boolean" ShowEntityPrecision ="Double" ShowEntityMethod ="Byte" />
Editor parameters are:
Parameter | Type | Description
ReadOnly | Boolean | Read-only status
ShowEntityPrecision | Double | Property of the ShowSelectEntities instruction, a value of the precision calculation.
ShowEntityMethod | Byte | Property of the ShowSelectEntities instruction, the type of the precision calculation. Possible parameters are (0: Proportional, 1: Absolute, 2: FitToSize)

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
   <add>
      <cstLWPolyline>
         <SubEntities>
            <cstVertex Point="0,0"/>
            <cstVertex Point="10,0"/>
            <cstVertex Point="10,5"/>
            <cstVertex Point="0,5"/>
            <cstVertex Point="0,0"/>
         </SubEntities>
      </cstLWPolyline>
   </add>

   <!-- The editor is switched to the ReadOnly mode, modifying of objects is turned off for the current drawing,
   but it is possible to add new elements. -->
   <Editor ReadOnly="True"/>

   <fittosize/>
</cadsofttools>
Example 2:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
   <add>
      <cstLWPolyline HandleSave="@1">
         <SubEntities>
            <cstVertex Point="0,0"/>
            <cstVertex Point="10,0"/>
            <cstVertex Point="10,10"/>
            <cstVertex Point="0,10"/>
            <cstVertex Point="0,0"/>
         </SubEntities>
      </cstLWPolyline>
      <cstLine Point="-5,3" Point1="2,7" HandleSave="@2"/>
   </add>

   <!-- The Editor instruction specifies global settings for the ShowSelectedEntities instruction.
   The ShowEntityMethod parameter can have the following values:
   0- offset is specified in percents from the size of the selected object;
   1- offset is specified in pixels;
   2- there is no offset. -->
   <!-- In this example, the offset is defined as 10 pixels from the working area in the ShowSelectedEntities instruction,
   then the object with Handle="@2" is selected and is fitted to the working area with the help
   of the ShowSelectedEntities instruction with the margins set. -->
   <Editor ReadOnly="False" ShowEntityMethod="1" ShowEntityPrecision="20"/>

   <Select Handle="@2"/>
   <ShowSelectedEntities/>
   <UnSelect Handle="@2"/>
</cadsofttools>

FitToSize

Description: The instruction FITTOSIZE fits the drawing to the view area proportionally.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: The instruction FITTOSIZE fits the drawing to the view area proportionally. -->
    <fittosize/>
  </cadsofttools>

get

Description: Instruction GET returns the full structure of the drawing if no parameters are given as a result. If handle parameter is provided, the instruction returns properties of the entity specified by this handle.

Syntax:

<get Handle ="EntHandle" PathName ="String" />
get parameters are:
Parameter | Type | Description
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"
PathName | String | A set of symbols showing the location of the named sections or objects in the Converter name space (which is similar to the DXF structure). As a separator the sign ";" is used.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output field accepts the following child:
Parameter | Type | Description
DrawingData | List | Drawing data structure

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<!-- Description: Instruction GET returns the full structure of the drawing if no parameters are given as a result.
 If handle parameter is provided, the instruction returns properties of the entity specified by this handle. -->
  <get/>
</cadsofttools>
Example 2:
Description: This example adds an entity and gets its parameters. HandleSave="@1" and Handle="@1" are used for handling of the entity.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<!-- Description: This example adds an entity and gets its parameters.
HandleSave="@1" and Handle="@1" are used for handling of the entity. -->
  <add>
    <cstLine point="10,10,0" point1="20,30,0" Color="0;1;" HandleSave="@1" />
  </add>
  <get Handle="@1"/>
</cadsofttools>
Example 3:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- PathName allows to get access to the object according to its path in the Converter name space -->
   <!-- Example: "TABLES;LAYER" "TABLES;STYLE;STANDARD" -->
  <get PathName="TABLES;LAYER"/>
</cadsofttools>
Example 4:
Description: use of the filter in the instruction GET.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<!-- Description: use of the filter in the instruction GET. -->
<!-- Getting of the red lines and the green circles situated in the layer called “Layer1”. -->
  <get Layer="Layer1">
    <cstLine color="0;1;"/>
    <cstCircle color="0;3;"/>
  </get>

<!-- Getting of all block references of the drawing. -->
  <get>
    <cstInsert/>
  </get>

<!-- Getting a list of invisible layers. -->
  <get PathName="TABLES;LAYER;" Visible="false"/>
</cadsofttools>

getbox

Returns the 3D box that encloses the selected entities.

Syntax:

<getbox Handle ="EntHandle" PathName ="String" />
getbox parameters are:
Parameter | Type | Description
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"
PathName | String | A set of symbols showing the location of the named sections or objects in the Converter name space (which is similar to the DXF structure). As a separator the sign ";" is used.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output parameters are:
Parameter | Type | Description
Box | FRect | Box

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <getbox/>
  <select Handle="@1;@2"/>
  <getbox/>
  <unselect Handle="@1;@2"/>
  <getbox Handle="@1;@2"/>
  <getbox PathName="BLOCKS;block1"/>
</cadsofttools>

getcadcoords

Convert point to cad coordinat system

Syntax:

<getcadcoords Point ="FPoints2DOr3D" />
getcadcoords parameters are:
Parameter | Type | Description
Point | FPoints2DOr3D | points for conversion to cad coordinate system

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Converts screen coordinates into the CAD coordinate system. The origin of screen coordinates is located in the top left corner of the display area.  -->
  <getcadcoords Point="10,10"/>
</cadsofttools>

getdrawingchanged

Description: GETDRAWINGCHANGED instruction checks if any changes have been made in a Drawing. The result parameter CHANGED returns True if any changes have been implemeted in a Drawing.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output parameters are:
Parameter | Type | Description
Changed | Boolean | CHANGED returns True if any changes were implemented in a Drawing.

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Description: GETDRAWINGCHANGED instruction checks if any changes have been made in a Drawing. The result parameter CHANGED returns True if any changes have been implemeted in a Drawing. -->
  <getdrawingchanged/>
</cadsofttools>

getdrawingslist

Returns guids for all opened drawings.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output field accepts the following child:
Parameter | Type | Description
Drawing | ListItem | Drawing item

Drawing parameters are:
Parameter | Type | Description
Guid | String | Drawing Guid
File | String | Path to the file
Index | Integer | Drawing Index
Mode | Integer | Full drawing mode

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Returns guids for all opened drawings.-->
  <getdrawingslist/>
</cadsofttools>

GetExternalFiles

Returns a list of referenced files with paths.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output field accepts the following child:
Parameter | Type | Description
ExternalFile | ListItem | External file item

ExternalFile parameters are:
Parameter | Type | Description
File | String | Path to the file

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Returns a list of dependent files (xref, imagedef) -->
  <GetExternalFiles/>
</cadsofttools>

getimage

Description: Returns picture of the current view in Base64 encoding.

Syntax:

<getimage Top ="Integer" Left ="Integer" Right ="Integer" Bottom ="Integer" Width ="Integer" Height ="Integer" />
getimage parameters are:
Parameter | Type | Description
Top | Integer | Top
Left | Integer | Left
Right | Integer | Right
Bottom | Integer | Bottom
Width | Integer | Width
Height | Integer | Height

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output field accepts the following child:
Parameter | Type | Description
base64 | Base64 | Picture in Base64 encoding.

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Returns picture of the current view in Base64 encoding. -->
  <getimage>
      <ExportParams FileName = "C:\Users\softgold5\Documents\CADEditorX 11\Drawings\Image" Format=".png"><!-- attribute 'FileName' calls additional saving to file -->
         <Width>1024</Width><!--always needs setup  -->
         <Height>768</Height><!--always needs setup -->
         <Proportional>True</Proportional>
         <BitPerPixel>24</BitPerPixel>
         <MeasureInPixels>True</MeasureInPixels>
         <Transparent>True</Transparent>
         <BackgroundColor>$FFFFFF</BackgroundColor><!--default value white -->
         <DefaultColor>$000000</DefaultColor><!--default value black -->
         <ClipMode>4</ClipMode>
         <ClipRect>0,0,0,2048,1536,0</ClipRect>
         <LayoutNameExportMode>Layout Bud2</LayoutNameExportMode><!--default current layout. The first char '@' of this name is layout index -->
      </ExportParams>
    </getimage>
</cadsofttools>

getselected

Description: Instruction GETSELECTED returns handles of the selected entities.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output parameters are:
Parameter | Type | Description
SelectedCount | Integer | The number of the selected entities

Output field accepts the following child:
Parameter | Type | Description
Selected | ListItem | Stores handles of the selected entities

Selected parameters are:
Parameter | Type | Description
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Instruction GETSELECTED returns handles of the selected entities.  -->
  <getselected/>
</cadsofttools>

GetView

The GETVIEW instruction asks current view area as cstVport data. Use with SETVIEW instruction.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Asks current view area as cstVport data. Use with SETVIEW instruction.-->
  <getview/>
</cadsofttools>

getviewrect

Unsupported

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output field accepts the following child:
Parameter | Type | Description
VisibleArea | ListItem | VisibleArea item
CADArea | ListItem | CADArea item

VisibleArea parameters are:
Parameter | Type | Description
Width | Integer | Width
Height | Integer | Height

CADArea parameters are:
Parameter | Type | Description
Rect | FRect | Rect

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Asks current view area as a rectangle. Use with SETVIEWRECT instruction.-->
  <getviewrect/>
</cadsofttools>

Help

Creates CAD XML API help in html format

Syntax:

<Help Text ="String" File ="String" PathToXMLExamples ="String" />
Help parameters are:
Parameter | Type | Description
Text | String | Text for the console command line, help, etc.
File | String | Path to the file
PathToXMLExamples | String | The path to the parent XML examples directory for using them in the HTML Help.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Invalidate

Invalidates the current layout or area specified by the Box attribute.

Syntax:

<Invalidate Box ="FRect" />
Invalidate parameters are:
Parameter | Type | Description
Box | FRect | Box

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!--Invalidates the current layout or area specified by the Box attribute.-->
  <Invalidate/>
  <Invalidate Box="10,10,0,1,1,0"/>
</cadsofttools>

load

The LOAD instruction loads a file from the HDD or from a URL.

Syntax:

<load File ="String" base64 ="Base64" />
load parameters are:
Parameter | Type | Description
File | String | Path to the file
base64 | Base64 | Picture in Base64 encoding.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output parameters are:
Parameter | Type | Description
Guid | String | Drawing Guid
File | String | Path to the file
Index | Integer | Drawing Index

menuItemClick

MenuItemClick is a result instruction only. it returns the caption of a clicked context menu item and its index.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Registration

The REGISTRATION instruction can be used to input a license key for CADSoftTools software.

Syntax:

<Registration User ="String" EMail ="String" Key ="String" />
Registration parameters are:
Parameter | Type | Description
User | String | User
EMail | String | EMail
Key | String | Key

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Output parameters are:
Parameter | Type | Description
Registration | Integer | Registration

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<!--0 - Registration error. -->
<!--1 - Registration was successful. -->
<!--2 - The application has been registered before. -->
  <registration User="" EMail="" Key=""/>
</cadsofttools>

ribbon

Defines the ribbon visibility. Use the instruction with the on/off switch.

Syntax:

<ribbon Visible ="Boolean" />
ribbon parameters are:
Parameter | Type | Description
Visible | Boolean | Visible

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Defines the ribbon visibility. -->
    <Ribbon Visible="False"/>
</add>
  <FitToSize/>
  </cadsofttools>

save

Saves the current drawing. The ExportParams attribute must be defined.
save field accepts the following child:
Parameter | Type | Description
ExportParams | List | ExportParams is a child attribute of the SAVE instruction.

ExportParams field accepts the following child:
Parameter | Type | Description
Width | Integer | Width
Height | Integer | Height
Proportional | Boolean |
BitPerPixel | Byte |
MeasureInPixels | Boolean |
Transparent | Boolean | Sets transparency for GIF
DPUX | Byte | DPI X
DPUY | Byte | DPI Y
Compression | String | Compression for raster: LZW, Deflate, JPEG, CCITT3, CCITT4, CCITT6, Rle, Auto, None
PageHeight | Integer | Page Height
Author | String | Author
LayoutExportMode | Byte | Selects layouts to be exported: 0: Model; 1: AllLayouts; 2:LayoutByName; 3:AllPaperSpaces; 4:CurrentLayout.
LayoutNameExportMode | String | Layout name, used if layouts export mode is "LayoutByName."
Version | String | DWG or DXF version. For instance: acR2004, acR2000.
IsConvertImageToOLE | Boolean | Converts external images to OLE in DWG/DXF export.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Saves using XML export parametrs -->

  <!-- Saves as a raster image-->
  <save>
      <ExportParams FileName="C:\Users\softgold5\Documents\CADEditorX 11\Drawings\ImageJPG" Format=".jpg">
         <Width>1024</Width>
         <Height>-1</Height>
         <Proportional>True</Proportional>
         <BitPerPixel>24</BitPerPixel>
         <!-- Set quality in percent for JPG -->
         <Quality>100</Quality>
         <MeasureInPixels>True</MeasureInPixels>
         <!-- Set transparent for GIF -->
         <Transparent>False</Transparent>
         <!-- Set dpi for JPG: always 2 parameters -->
         <DPUX>96</DPUX>
         <DPUY>96</DPUY>
        <!-- Compression for TIFF: LZW, Deflate, JPEG, CCITT3, CCITT4, CCITT6, Rle, Auto, None -->
        <Compression>LZW</Compression>
      </ExportParams>
  </save>

  <!-- Saves as PDF-->
  <save>
      <ExportParams FileName="C:\Users\softgold5\Documents\CADEditorX 11\Drawings\ImagePDF" Format=".pdf">
         <PageWidth>1024</PageWidth>
         <PageHeight>1024</PageHeight>
         <Author>Author</Author>
         <!-- Select layouts for export:
              0: Model;
              1: AllLayouts;
              2:LayoutByName;
              3:AllPaperSpaces;
              4:CurrentLayout;  -->
         <LayoutExportMode>3</LayoutExportMode>
         <!-- Used if layouts export mode is 'LayoutByName' -->
         <LayoutNameExportMode/>
      </ExportParams>
  </save>

  <!-- Saves as PNG -->
  <save>
      <ExportParams FileName="C:\Users\softgold5\Documents\CADEditorX 11\Drawings\ImagePNG" Format=".png">
         <Width>1024</Width>
         <Height>-1</Height>
         <Proportional>True</Proportional>
         <BitPerPixel>24</BitPerPixel>
         <MeasureInPixels>True</MeasureInPixels>
      </ExportParams>
  </save>

  <!-- When saving to DXF and DWG, the format version is inidicated in the Version parameter in the following way:
       AC1015 = AutoCAD2000;
       AC1018 = AutoCAD2004;
       AC1021 = AutoCAD2007;

  <!-- Saves as DXF -->
  <save>
      <ExportParams FileName="C:\Users\softgold5\Documents\CADEditorX 11\Drawings\ImageDXF" Format=".dxf">
        <Version>AutoCAD2004</Version>
        <IsConvertImageToOLE>True</IsConvertImageToOLE>
      </ExportParams>
  </save>

  <!-- Saves as DWG -->
  <save>
      <ExportParams FileName="C:\Users\softgold5\Documents\CADEditorX 11\Drawings\ImageDWG" Format=".dwg">
        <Version>AutoCAD2000</Version>
        <IsConvertImageToOLE>True</IsConvertImageToOLE>
      </ExportParams>
  </save>

</cadsofttools>

select

Description: Instruction SELECT selects entity(ies) by its handle(s).

Syntax:

<select Handle ="EntHandle" Marker ="Boolean" PathName ="String" Mode ="Integer" />
select parameters are:
Parameter | Type | Description
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"
Marker | Boolean | Shows (True) or does not show (False) editor markers for the selected entity.
PathName | String | A set of symbols showing the location of the named sections or objects in the Converter name space (which is similar to the DXF structure). As a separator the sign ";" is used.
Mode | Integer | 0 - set, 1 - remove, 2 - add. default value = 0

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
   <!-- Description: Instruction SELECT selects entity(ies) by its handle(s).  -->
   <add>
      <cstText Point="-18, 0, 0" Height="1" Text="Text marker is visible while Ellipse markers is not shown." HandleSave="@1"/>
      <cstEllipse Point="0,0,0" RadPt="20,0,0" Ratio="0.5" StartAngle="0" EndAngle="360" HandleSave="@2"/>
   </add>
   <FitToSize/>

   <!-- The following selects Text (@1) and ellipse (@2) but the marker is shown only for text. -->
   <!-- After selecting an object with the help of Select instruction and fulfilling the needed operations,
   please, deselect this object as it remains selected. -->
   <!-- Mode - this mode is used if the Marker attribute is "True":
           0 - set entities
           1 - remove from the selected entities
           2 - add to the selected entities -->
   <select Handle="@1" Marker="True" Mode="0"/>
   <select Handle="@2" Marker="False"/>

   <!-- Changes color for both selected entities -->
   <apply Color="0;1"/>
</cadsofttools>
Example 2:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
   <add>
      <cstSectionTables Name="TABLES">
         <SubEntities>
            <cstTable Name="LAYER">
               <SubEntities>
                  <cstLayer name="Layer2" HandleSave="@1"/>
                  <cstLayer name="Layer3" HandleSave="@2"/>
               </SubEntities>
            </cstTable>
         </SubEntities>
      </cstSectionTables>
      <cstLine Point="0,0" Point1="10,10" Layer="Layer2"/>
      <cstLine Point="0,5" Point1="10,15" Layer="Layer3"/>
   </add>

   <!-- To edit objects that cannot be selected in the editor window set the variable Marker="False". -->
   <!-- After selecting an object with the help of Select instruction and fulfilling the needed operations,
   please, deselect this object as it remains selected. -->
   <!-- Here are two ways of selecting objects:
   1) by specifying the object's Handle (@1)
   2) by specifying the section in the file and the object name. -->

   <Select Handle="@1" Marker="False"/>
   <apply lineweight="0.5" Color="0;1;"/>
   <UnSelect Handle="@1" Marker="False"/>

   <Select PathName="STYLE;STANDARD" Marker="False"/>
   <apply WidthFactor="0.75" PrimaryFont="txt.shx"/>
   <UnSelect PathName="STYLE;STANDARD" Marker="False"/>

   <FitToSize/>
</cadsofttools>

SetCustomInsert

For special use.

Syntax:

<SetCustomInsert Handle ="EntHandle" Color ="ColorCAD" LineWeight ="Double" />
SetCustomInsert parameters are:
Parameter | Type | Description
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"
Color | ColorCAD | Color CAD
LineWeight | Double | Line weight

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!--  Changes the color and lineweight for the insert -->
  <SetCustomInsert Handle="@1" Color="0;3;" LineWeight="3"/>
</cadsofttools>

setdrawingchanged

Set true or false value depending on changes were applied to the drawing by guid or Mode. If do not find GUID then Mode = 1(current drawing)

Syntax:

<setdrawingchanged Guid ="String" Mode ="Integer" Changed ="Boolean" />
setdrawingchanged parameters are:
Parameter | Type | Description
Guid | String | Drawing Guid
Mode | Integer | 0 - by guid, 1 - current drawing, 2 - all drawings
Changed | Boolean | CHANGED returns True if any changes were implemented in a Drawing.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <getdrawingchanged/>

  <!-- Set true or false value depending on changes were applied to the drawing by guid or Mode. -->
  <setdrawingchanged Mode="1" changed="false"/>

  <getdrawingchanged/>
</cadsofttools>

SetView

The SETVIEW instruction zooms the display area to given cstVport data. Use with GETVIEW instruction.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!--Zooms the display area to given cstVport data. Use with GETVIEW instruction.-->
  <setview>
    <cstVport CircleZoomPercent="100" UCSOrigin="0,0,1" UCSXDir="1,0,0" UCSYDir="0,1,0" UCSVP="false" ViewAspectRatio="1" ViewCenterPoint="0,0,0" ViewDirection="0,0,1" ViewTarget="0,0,0" ViewHeight="0" ViewTwistAngle="0"/>
  </setview>
</cadsofttools>

setviewrect

Unsupported

Syntax:

<setviewrect Rect ="FRect" />
setviewrect parameters are:
Parameter | Type | Description
Rect | FRect | Rect

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!--Zooms the display area to a given rectangle. Use with GETVIEWRECT instruction.-->
  <setviewrect Rect="1,2.55227261471941,0,6.0130718954248,-1.04249862711065,0"/>
</cadsofttools>

showselectedentities

The SHOWSELECTEDENTITIES instruction zooms view to show the selected entities. Parameters are set in the Editor Instruction.

Syntax:

<showselectedentities ShowEntityMethod ="Byte" />
showselectedentities parameters are:
Parameter | Type | Description
ShowEntityMethod | Byte | Property of the ShowSelectEntities instruction, the type of the precision calculation. Possible parameters are (0: Proportional, 1: Absolute, 2: FitToSize)

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Instruction SHOWSELECTEDENTITIES zooms view to show selected entities. Please select any entities with the mouse or with the help of SELECT instruction before executing SHOWSELECTEDENTITIES. -->
  <ShowSelectedEntities/>
  </cadsofttools>

signtoevent

Description: Instruction SignToEvent signs for particular events to accept callbacks with XML data.

Syntax:

<signtoevent Event ="String" Enabled ="Boolean" />
signtoevent parameters are:
Parameter | Type | Description
Event | String | The accepted event names are: "OnSelectEntity" , "OnMouseDown" , OnConfirmEntitiesDeletion.
Enabled | Boolean | Enabled (True) or Disabled (False)

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Description: Instruction SignToEvent signs for particular events to accept callbacks with XML data. -->

  <!-- Description: mouse events. -->
  <signtoevent Event="OnMouseDown" Enabled="True"/>
  <signtoevent Event="OnMouseMove" Enabled="True"/>
  <signtoevent Event="OnMouseUp" Enabled="True"/>
  <signtoevent Event="OnMouseWheel" Enabled="True"/>

  <!-- Description: editor events. -->
  <signtoevent Event="OnChangeEntities" Enabled="True"/>
  <signtoevent Event="OnCopyEntities" Enabled="True"/>
  <signtoevent Event="OnCreateEntities" Enabled="True"/>
  <signtoevent Event="OnDeleteEntities" Enabled="True"/>
  <signtoevent Event="OnLayoutAfterChange" Enabled="True"/>
  <signtoevent Event="OnLayoutBeforeChange" Enabled="True"/>
  <signtoevent Event="OnPasteEntities" Enabled="True"/>
  <signtoevent Event="OnRedoEntities" Enabled="True"/>
  <signtoevent Event="OnUndoEntities" Enabled="True"/>
  <signtoevent Event="OnSelectEntity" Enabled="True"/>
  <signtoevent Event="OnConfirmEntitiesDeletion" Enabled="True"/>

  <!-- Description: key events. -->
  <signtoevent Event="OnKeyDown" Enabled="True"/>
  <signtoevent Event="OnKeyUp" Enabled="True"/>
  <signtoevent Event="OnKeyPress" Enabled="True"/>

  <!-- Description: main events. -->
  <signtoevent Event="OnPaint" Enabled="True"/>

  <!-- To find out if an event was set, use the command signtoevent without attributes.  -->
  <signtoevent/>
</cadsofttools>

SupportedClassesList

Returns classes of objects (lines, sections, layers, etc.) supported by the XML interface. All objects are returned with default values.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <SupportedClassesList/>
</cadsofttools>

SupportedInstructionsList

Returns all command supported by XML interface

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <SupportedInstructionsList/>
</cadsofttools>

switchdrawing

Switches the active drawing. The drawing can be specified by guid or index.

Syntax:

<switchdrawing Index ="Integer" Guid ="String" />
switchdrawing parameters are:
Parameter | Type | Description
Index | Integer | Drawing Index
Guid | String | Drawing Guid

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!--Switches the active drawing.-->
  <switchdrawing index="0"/>
</cadsofttools>

Undefined

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

unload

Closes the specified drawing. The drawing can be specified by guid, index or current parameter.

Syntax:

<unload Index ="Integer" Guid ="String" />
unload parameters are:
Parameter | Type | Description
Index | Integer | Drawing Index
Guid | String | Drawing Guid

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

unselect

The UNSELECT instruction unselects entities which are specified by Handles.

Syntax:

<unselect Marker ="Boolean" Handle ="EntHandle" PathName ="String" />
unselect parameters are:
Parameter | Type | Description
Marker | Boolean | Shows (True) or does not show (False) editor markers for the selected entity.
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"
PathName | String | A set of symbols showing the location of the named sections or objects in the Converter name space (which is similar to the DXF structure). As a separator the sign ";" is used.

The returned value has the following structure:
Result parameters are:
Parameter | Type | Description
Instruction | String | The name of the command which the result is for

Result field accepts the following child:
Parameter | Type | Description
Output | List | Contains the result of the command
Errors | List | Contains the errors of the command

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Please run "add.xml" and Select all (Ctrl+A) entities. Then run 'getSelected.xml' and add unselect Handle="HANDLE" for each Handle. After that, run this xml.  -->
  <unselect Handle="HANDLE"/>
</cadsofttools>

Instruction Parameters

Parameter | Type | Description
Angle | Double | Angle
AskOnDelete | Boolean | If true, the library asks before deleting entities, whose handles are specified in the CUSTOMSELECTMODE parameters
Author | String | Author
base64 | Base64 | Picture in Base64 encoding.
BitPerPixel | Byte |
Bottom | Integer | Bottom
Box | FRect | Box
CADArea | ListItem | CADArea item
Calcs | List | Accepts Calc child nodes.
Caption | String | Caption of button
caption | String | Caption of a menu item
Changed | Boolean | CHANGED returns True if any changes were implemented in a Drawing.
Color | ColorCAD | Color CAD
Compression | String | Compression for raster: LZW, Deflate, JPEG, CCITT3, CCITT4, CCITT6, Rle, Auto, None
Created | ListItem | Created
CustomDraw | Boolean | The selected entities are drawn with custom color and lineweight
DPUX | Byte | DPI X
DPUY | Byte | DPI Y
Drawing | ListItem | Drawing item
DrawingData | List | Drawing data structure
EMail | String | EMail
Enabled | Boolean | Enabled (True) or Disabled (False)
Errors | List | Contains the errors of the command
Event | String | The accepted event names are: "OnSelectEntity" , "OnMouseDown" , OnConfirmEntitiesDeletion.
ExportParams | List | ExportParams is a child attribute of the SAVE instruction.
ExternalFile | ListItem | External file item
File | String | Path to the file
Format | String | Output file format
Guid | String | Drawing Guid
Handle | EntHandle | Handle can be given directly via $ or indirectly via @ attributes, it also accepts a list of handles divided by the ";" sign. For example: Handle="$24", Handle="@1", Handle="@;$27;$28"
HatchName | String | Hatch name
Height | Integer | Height
Index | Integer | Drawing Index
Instruction | String | The name of the command which the result is for
IsConvertImageToOLE | Boolean | Converts external images to OLE in DWG/DXF export.
Item | ListItem | Creates a context menu item with the caption from parameter "caption". This caption is returned as result data when the item is clicked.
Items | List | Accepts Item child nodes.
Key | String | Key
LayoutExportMode | Byte | Selects layouts to be exported: 0: Model; 1: AllLayouts; 2:LayoutByName; 3:AllPaperSpaces; 4:CurrentLayout.
LayoutNameExportMode | String | Layout name, used if layouts export mode is "LayoutByName."
Left | Integer | Left
LineWeight | Double | Line weight
Marker | Boolean | Shows (True) or does not show (False) editor markers for the selected entity.
MeasureInPixels | Boolean |
Mode | Integer | Context menu mode: 0: replace, 1: add to bottom, 2: add to top
Mode | Integer | 0 - set, 1 - remove, 2 - add. default value = 0
Mode | Integer | Full drawing mode
Mode | Integer | 0 - by guid, 1 - current drawing, 2 - all drawings
Output | List | Contains the result of the command
PageHeight | Integer | Page Height
PageWidth | Integer | Page Width
Parameters | String | Any object's attribute that has no read-only modifiers can be used as a parameter
PathName | String | A set of symbols showing the location of the named sections or objects in the Converter name space (which is similar to the DXF structure). As a separator the sign ";" is used.
PathToXMLExamples | String | The path to the parent XML examples directory for using them in the HTML Help.
PatternScale | Double | Pattern scale
Point | FPoints2DOr3D | points for conversion to cad coordinate system
Proportional | Boolean |
Quality | Double |
ReadOnly | Boolean | Read-only status
Rect | FRect | Rect
Registration | Integer | Registration
Result | List | Result data.
Right | Integer | Right
Selected | ListItem | Stores handles of the selected entities
SelectedCount | Integer | The number of the selected entities
ShowEntityMethod | Byte | Property of the ShowSelectEntities instruction, the type of the precision calculation. Possible parameters are (0: Proportional, 1: Absolute, 2: FitToSize)
ShowEntityPrecision | Double | Property of the ShowSelectEntities instruction, a value of the precision calculation.
Text | String | Text for the console command line, help, etc.
Top | Integer | Top
Transparent | Boolean | Sets transparency for GIF
Updated | ListItem | Updated
User | String | User
Version | String | DWG or DXF version. For instance: acR2004, acR2000.
Visible | Boolean | Visible
VisibleArea | ListItem | VisibleArea item
Width | Integer | Width

Classes

cstAcadTable

Represents an AcadTable in a Drawing Database.

Syntax:

<cstAcadTable LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" BlockName ="EntName" Extrusion ="FPoint" Angle ="Double" PScale ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
BlockName | EntName | Name of a Block
Extrusion | FPoint | Extrusion direction point
Angle | Double | Angle value
PScale | FPoint | Scale factor

cstAcadTableStyle

Represents an AcadTableStyle in a Drawing Database.

Syntax:

<cstAcadTableStyle LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstArc

Represents an Arc in a Drawing Database.

Syntax:

<cstArc LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" Radius ="Double" Length ="Double" Area ="Double" Height ="Double" EndAngle ="Double" StartAngle ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
Radius | Double | Radius value
Length | Double | Length value
Area | Double | Area value
Height | Double | Height value
EndAngle | Double | End angle value
StartAngle | Double | Start angle value

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description:  An arc is specified by a Point, a Radius, Start and End angles. -->
  <add>
     <cstArc Point="0,0,0" StartAngle="0" EndAngle="180" Radius="1"/>
  </add>
  <fittosize />
</cadsofttools>

cstAttdef

Represents an Attdef in a Drawing Database.

Syntax:

<cstAttdef LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Height ="Double" Rotation ="Double" WidthFactor ="Double" ObliqueAngle ="Double" StyleName ="String" Tag ="String" Value ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Height | Double | Height value
Rotation | Double | Rotation angle
WidthFactor | Double | Width factor for Style
ObliqueAngle | Double | Oblique angle
StyleName | String | Name of a Style
Tag | String | Attribute or attribute definition tag string
Value | String | String value

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
    <!-- Description:  An attribute definition is specified by a Point and a Height. The Tag and Value parameters are optional. -->
  <add>
    <cstAttdef Point="4.5,3" Height="3.5" Tag="Attribute tag" Value="" />
  </add>
  <fittosize />
</cadsofttools>

cstAttrib

Represents an Attrib in a Drawing Database.

Syntax:

<cstAttrib LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Height ="Double" Rotation ="Double" WidthFactor ="Double" ObliqueAngle ="Double" StyleName ="String" Tag ="String" Value ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Height | Double | Height value
Rotation | Double | Rotation angle
WidthFactor | Double | Width factor for Style
ObliqueAngle | Double | Oblique angle
StyleName | String | Name of a Style
Tag | String | Attribute or attribute definition tag string
Value | String | String value

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
    <!-- Description: Block attributes are added to the child element "Attribs" of the cstInsert object. -->
  <add>
    <!-- Adds a block with attributes -->
    <!-- Attribute flags:
    1 = Attribute is invisible;
    2 = This is a constant attribute;
    4 = Verification is required on input of this attribute;
    8 = Attribute is preset.-->
    <cstSectionBlocks Name="BLOCKS">
      <SubEntities>
        <cstBlock name="block">
          <SubEntities>
            <cstAttdef flags="1" point="0,0" height="2.5" tag="invisible" value=""/>
            <cstAttdef flags="2" point="0,-4" height="2.5" tag="constant" value="" color="0;1"/>
            <cstAttdef flags="2" point="0,-8" height="2.5" tag="constant2" value="constant value" color="0;1" StyleName="GOST"/>
            <cstAttdef flags="4" point="0,-12" height="2.5" tag="controlled" value=""/>
            <cstAttdef flags="8" point="0,-16" height="2.5" tag="set" value=""/>
            <cstAttdef point="0,-20" height="2.5" tag="tag_attribute" value=""/>
            <cstAttdef flags="3" point="0,-24" height="2.5" tag="invisible+constant" value="invisible+constant value" color="0;1" HandleSave="@1"/>
            <cstAttdef flags="5" point="0,-28" height="2.5" tag="invisible+controlled" value=""/>
            <cstAttdef flags="9" point="0,-32" height="2.5" tag="invisible+set" value=""/>
            <cstAttdef flags="12" point="0,-36" height="2.5" tag="set+controlled" value=""/>
            <cstAttdef flags="13" point="0,-40" height="2.5" tag="invisble+control+set" value=""/>
          </SubEntities>
        </cstBlock>
      </SubEntities>
    </cstSectionBlocks>
    <!-- Adds entities Model -->
    <cstInsert blockname="block" point="0,0">
          <SubEntities>
            <cstAttrib flags="1" point="0,0" height="2.5" tag="invisible" value="invisible value"/>
            <cstAttrib flags="4" point="0,-12" height="2.5" tag="controlled" value="controlled value"/>
            <cstAttrib flags="8" point="0,-16" height="2.5" tag="set" value="set value" />
            <cstAttrib point="0,-20" height="2.5" tag="tag_attribute" value="attribute value" color="0;5" StyleName="GOST"/>
            <cstAttrib flags="5" point="0,-28" height="2.5" tag="invisible+controlled" value="invisible+controlled value"/>
            <cstAttrib flags="9" point="0,-32" height="2.5" tag="invisible+set" value="invisible+set value"/>
            <cstAttrib flags="12" point="0,-36" height="2.5" tag="set+controlled" value="set+controlled value"/>
            <cstAttrib flags="13" point="0,-40" height="2.5" tag="invisble+control+set" value=""/>
          </SubEntities>
    </cstInsert>
  </add>
  <!-- Selects entity with handle @1 and changes parameter Flags. -->
  <Select Handle="@1"/>
  <apply flags="2"/>
  <Unselect Handle="@1"/>
  <fittosize/>
</cadsofttools>

cstBlock

Represents a Block in a Drawing Database.

Syntax:

<cstBlock LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Name ="String" BasePoint ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Name | String | Name string value
BasePoint | FPoint | Base 3D point

cstBlockPattern

Represents a BlockPattern in a Drawing Database.

Syntax:

<cstBlockPattern LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Name ="String" BasePoint ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Name | String | Name string value
BasePoint | FPoint | Base 3D point

cstBlockPattern accepts the following child atributes:
Parameter | Type | Description
ExtData | StringInternal | Extended data

cstBlockRecords

Represents a BlockRecords in a Drawing Database.

Syntax:

<cstBlockRecords LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstCircle

Represents a Circle in a Drawing Database.

Syntax:

<cstCircle LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" Radius ="Double" Length ="Double" Area ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
Radius | Double | Radius value
Length | Double | Length value
Area | Double | Area value

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description:  A circle is specified by a Point and a Radius.   -->
  <add>
    <cstCircle point="0,0,0" Radius="10"/>
   </add>
   <fittosize />
 </cadsofttools>

cstDictionary

Represents a Dictionary in a Drawing Database.

Syntax:

<cstDictionary LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstDimension

Represents a Dimension in a Drawing Database.

Syntax:

<cstDimension LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" BlockName ="EntName" Extrusion ="FPoint" Angle ="Double" PScale ="FPoint" DimStyle ="String" DefPoint ="FPoint" LinDefPoint1 ="FPoint" LinDefPoint2 ="FPoint" MiddlePoint ="FPoint" ArcDefPoint ="FPoint" RadDefPoint ="FPoint" ArrowType ="Byte" ArrowSize ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
BlockName | EntName | Name of a Block
Extrusion | FPoint | Extrusion direction point
Angle | Double | Angle value
PScale | FPoint | Scale factor
DimStyle | String | Header variable. Dimension style name
DefPoint | FPoint | Definition point for Dimension
LinDefPoint1 | FPoint | Start point of the first extension line for Dimension
LinDefPoint2 | FPoint | Start point of the second extension line for Dimension
MiddlePoint | FPoint | Middle point of dimension text for Dimension
ArcDefPoint | FPoint | Point defining dimension arc for angular Dimension
RadDefPoint | FPoint | Definition point for diameter, radius, and angular Dimensions
ArrowType | Byte | Arrow type for entities
ArrowSize | Double | Dimensioning arrow size

cstDimension accepts the following child atributes:
Parameter | Type | Description
Properties | List | Dimension style properties

cstDimensionStyle

Represents a DimensionStyle in a Drawing Database.

Syntax:

<cstDimensionStyle LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" DimBlk ="EntName" DimBlk1 ="EntName" DimBlk2 ="EntName" DimRBlk ="EntName" DimAlt ="Boolean" DimAltF ="Double" DimAPost ="String" DimAsz ="Double" DimSah ="Boolean" DimCen ="Double" DimClrD ="ColorCAD" DimClrE ="ColorCAD" DimClrT ="ColorCAD" DimSD1 ="Boolean" DimSD2 ="Boolean" DimSE1 ="Boolean" DimSE2 ="Boolean" DimDec ="Integer" DimExe ="Double" DimExo ="Double" DimGap ="Double" DimLFac ="Double" DimLwD ="Double" DimLwE ="Double" DimPost ="String" DimScale ="Double" DimTad ="Integer" DimTih ="Boolean" DimTix ="Integer" DimToh ="Boolean" DimTxt ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value
DimBlk | EntName | Arrow block name
DimBlk1 | EntName | First arrow block name
DimBlk2 | EntName | Second arrow block name
DimRBlk | EntName | Arrow block name for leaders
DimAlt | Boolean | Alternate unit dimensioning performed if nonzero
DimAltF | Double | Alternate unit scale factor
DimAPost | String | Alternate dimensioning suffix
DimAsz | Double | Dimensioning arrow size
DimSah | Boolean | Use separate arrow blocks if nonzero
DimCen | Double | Size of center mark/lines
DimClrD | ColorCAD | Dimension line color
DimClrE | ColorCAD | Dimension extension line color
DimClrT | ColorCAD | Dimension text color
DimSD1 | Boolean | Suppression of first extension line
DimSD2 | Boolean | Suppression of second extension line
DimSE1 | Boolean | First extension line suppressed if nonzero
DimSE2 | Boolean | Second extension line suppressed if nonzero
DimDec | Integer | Number of decimal places for the tolerance values of aprimary units dimension
DimExe | Double | Extension line extension
DimExo | Double | Extension line offset
DimGap | Double | Dimension line gap
DimLFac | Double | Linear measurements scale factor
DimLwD | Double | Dimension line lineweight
DimLwE | Double | Extension line lineweight
DimPost | String | General dimensioning suffix
DimScale | Double | Overall dimensioning scale factor
DimTad | Integer | Text above dimension line if nonzero
DimTih | Boolean | Text inside horizontal if nonzero
DimTix | Integer | Force text inside extensions if nonzero
DimToh | Boolean | Text outside horizontal if nonzero
DimTxt | Double | Dimensioning text height

cstEllipse

Represents an Ellipse in a Drawing Database.

Syntax:

<cstEllipse Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" EndAngle ="Double" StartAngle ="Double" RadPt ="FPoint" Ratio ="Double" />
Parameter | Type | Description
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
EndAngle | Double | End angle value
StartAngle | Double | Start angle value
RadPt | FPoint | End point of the major axis relative to the Center point for Ellipse
Ratio | Double | Ratio of minor axis to major axis for elliptic entities or a two values ratio

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description:  An ellipse is specified by a Point, a RadPt, Ratio, Start and End angles..   -->
  <add>
     <cstEllipse Point="0,0,0" RadPt="2,0,0" Ratio="0.5" StartAngle="0" EndAngle="360"/>
  </add>
  <fittosize />
 </cadsofttools>

cstEntity

Represents an Entity in a Drawing Database.

Syntax:

<cstEntity LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType

cstField

Represents a Field in a Drawing Database.

Syntax:

<cstField LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstFieldList

Represents a FieldList in a Drawing Database.

Syntax:

<cstFieldList LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstFill

Represents a Fill in a Drawing Database.

Syntax:

<cstFill LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" HatchName ="String" SolidFill ="Boolean" Elevation ="FPoint" Extrusion ="FPoint" Offset ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
HatchName | String | Name of a Hatch pattern
SolidFill | Boolean | Specifies if a Hatch have solid filling
Elevation | FPoint | Elevation value
Extrusion | FPoint | Extrusion direction point
Offset | FPoint | 3D offset point

cstFill accepts the following child atributes:
Parameter | Type | Description
Boundaries | List | List of boundaries of a Hatch

cstGradientPolygon

Represents a GradientPolygon in a Drawing Database.

Syntax:

<cstGradientPolygon LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" HatchName ="String" SolidFill ="Boolean" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
HatchName | String | Name of a Hatch pattern
SolidFill | Boolean | Specifies if a Hatch have solid filling

cstGroup

Represents a Group in a Drawing Database.

Syntax:

<cstGroup LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer

csthArc

Represents a hArc in a Drawing Database.

Syntax:

<csthArc CenterPoint ="FPoint" EndParam ="FPoint" Radius ="Double" StartParam ="FPoint" />
Parameter | Type | Description
CenterPoint | FPoint | 3D center point
EndParam | FPoint | End parameter for 2D Arc and inherited curves
Radius | Double | Radius value
StartParam | FPoint | Start parameter for 2D Arc and inherited curves

cstHatch

Represents a Hatch in a Drawing Database.

Syntax:

<cstHatch LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" HatchName ="String" SolidFill ="Boolean" Elevation ="FPoint" Extrusion ="FPoint" Offset ="FPoint" PatternAngle ="Double" PatternScale ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
HatchName | String | Name of a Hatch pattern
SolidFill | Boolean | Specifies if a Hatch have solid filling
Elevation | FPoint | Elevation value
Extrusion | FPoint | Extrusion direction point
Offset | FPoint | 3D offset point
PatternAngle | Double | Angle of lines in Hatch pattern
PatternScale | Double | Scale for Hatch pattern

cstHatch accepts the following child atributes:
Parameter | Type | Description
Boundaries | List | List of boundaries of a Hatch
Pattrens | List | List of patterns for Hatches

Example:

<?xml version="1.0" encoding="UTF-8"?>
    <!-- Description: Instruction CREATEHATCH creates Hatch using selected entities as contours. Please select an entity with the mouse or with the help of xml Instruction SELECT before calling this Instruction. -->
<!--
Syntax:
  <createhatch Hatchname="" Angle="" PatternScale="" Color=""/>
Attributes:
Hatchname - string - name of Hatch, default is "SOLID" which creates a solid hatch. Other names: "Box", "Escher" and others can be found in Hatch dialog box of the user interface.
Angle - Double - rotation angle of the hatch
PatternScale - Double - scale of the hatch pattern
Color - string CADSoftTools color structure - color as an index or RGB
 -->

<cadsofttools version="2">
  <!-- Creates a simple rectangular Solid Hatch. Handle of polyline is saved as "@1" -->
  <add>
    <cstLWPolyline HandleSave="@1">
    <SubEntities>
    <cstVertex Point="140,100,0"/>
    <cstVertex Point="141,100,0"/>
    <cstVertex Point="141,103,0"/>
    <cstVertex Point="140,103,0"/>
    </SubEntities>
    </cstLWPolyline>
  </add>
    <!-- Selects polyline -->
  <Select Handle="@1"/>
    <!-- Creates hatch -->
  <createhatch/>
  <UnSelect Handle="@1"/>

    <!-- Creates a polyline for the Hatch,  -->

  <add>
    <cstLWPolyline HandleSave="@2">
    <SubEntities>
    <cstVertex Point="141,109,0"/>
    <cstVertex Point="142,112,0"/>
    <cstVertex Point="143,109,0"/>
    <cstVertex Point="147,109,0"/>
    <cstVertex Point="144,107,0"/>
    <cstVertex Point="145,105,0"/>
    <cstVertex Point="142,107,0"/>
    <cstVertex Point="141,105,0"/>
    <cstVertex Point="141,107,0"/>
    <cstVertex Point="138,108,0"/>
    <cstVertex Point="141,109,0"/>
    </SubEntities>
    </cstLWPolyline>
  </add>
    <!-- Selects polyline -->
  <Select Handle="@2"/>
    <!-- Creates hatch -->
  <createhatch hatchname="BOX" Angle="30" PatternScale="0.1"  Color="0;34;"/>
  <UnSelect Handle="@2"/>

  <!-- Creates and selects some contours for creating hatch. -->
  <add>
    <cstLine point="120,120,0"  point1="130,130,0" Color="0;3;" HandleSave="@3"/>
    <cstLine point="120,120,0"  point1="130,110,0" Color="0;3;" HandleSave="@4"/>
    <cstLine point="130,110,0"  point1="130,130,0" Color="0;3;" HandleSave="@5"/>
    <cstCircle point="100,100,0"  radius="10" Color="0;3;" HandleSave="@6"/>
  </add>
    <!-- Selects contours -->
  <Select Handle="@3"/>
  <Select Handle="@4"/>
  <Select Handle="@5"/>
  <Select Handle="@6"/>
  <createhatch hatchname="SOLID" Color="0;3;"/>
  <UnSelect Handle="@3"/>
  <UnSelect Handle="@4"/>
  <UnSelect Handle="@5"/>
  <UnSelect Handle="@6"/>

  <fittosize />
</cadsofttools>

csthBoundaryList

Represents a hBoundaryList in a Drawing Database.

Syntax:

<csthBoundaryList />
Parameter Type Description

csthCurve

Represents a hCurve in a Drawing Database.

Syntax:

<csthCurve />
Parameter Type Description

cstHelix

Represents a Helix in a Drawing Database.

Syntax:

<cstHelix LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" Degree ="Double" StartTangentVector ="FPoint" EndTangentVector ="FPoint" Start ="FPoint" Radius ="Double" Turns ="Double" TurnHeight ="Double" Clockwise ="Boolean" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
Degree | Double | Degree value
StartTangentVector | FPoint | Start tangent direction point
EndTangentVector | FPoint | End tangent direction point
Start | FPoint | Start point for Helix
Radius | Double | Radius value
Turns | Double | Number of turns for Helix
TurnHeight | Double | Turn height for Helix
Clockwise | Boolean | Specifies if Helix is twisted clockwise

cstHelix accepts the following child atributes:
Parameter | Type | Description
ControlPoints | FPoints2DOr3D | List of Controls for spline and based entities
FitPoints | FPoints2DOr3D | List of Fits for spline based entities
KnotsPoints | FPoints2DOr3D | List of Knots for spline based entities
Weights | Singles | List of Weights for spline based entities

csthLine

Represents a hLine in a Drawing Database.

Syntax:

<csthLine StartPoint ="FPoint" EndPoint ="FPoint" />
Parameter | Type | Description
StartPoint | FPoint | Start point, can be used with 2D and 3D entities
EndPoint | FPoint | End point, can be used with 2D and 3D entities

csthPoints

Represents a hPoints in a Drawing Database.

Syntax:

<csthPoints />
Parameter Type Description

csthPolyline

Represents a hPolyline in a Drawing Database.

Syntax:

<csthPolyline Closed ="Boolean" />
Parameter | Type | Description
Closed | Boolean | Specifies if entity is closed

csthPolyline accepts the following child atributes:
Parameter | Type | Description
Vertexes | List | List of Vertexes

cstImageDef

Represents an ImageDef in a Drawing Database.

Syntax:

<cstImageDef LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" FileName ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value
FileName | String | File name string

cstImageEnt

Represents an ImageEnt in a Drawing Database.

Syntax:

<cstImageEnt LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" UVector ="FPoint" VVector ="FPoint" Size ="FPoint" Width ="Double" Height ="Double" Transparency ="Boolean" TransparentColor ="Color" ImageDef ="Handle" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
UVector | FPoint | UVector for Wipeout and inherited entities
VVector | FPoint | VVector for Wipeout and inherited entities
Size | FPoint | Size of image for Wipeout and inherited entities
Width | Double | Width value
Height | Double | Height value
Transparency | Boolean | Definition transparency for imageent
TransparentColor | Color | Definition transparent color for imageent
ImageDef | Handle | Handle of ImageDef object of Image entity

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Adds entities -->
  <add>

  <cstSectionObjects Name="OBJECTS">
    <SubEntities>
      <cstDictionary name="IMAGEDEFS">
        <SubEntities>
          <!-- FileName="Specify the file path" -->
          <cstImageDef  FileName="C:\Users\softgold5\Documents\CADEditorX 11\Samples\image.jpg"   HandleSave="@1"/>
        </SubEntities>
      </cstDictionary>
    </SubEntities>
  </cstSectionObjects>

   <!-- Point - insertion point (corresponds to the bottom left corner of the image) -->
   <!-- Point1 - top left corner in the drawing coordinates (top left corner of the image) -->
   <!-- Point2 - bottom right corner in the drawing coordinates (bottom right corner of the image) -->
   <cstImageEnt Point="0,0,0" imagedef="@1">
     <Calc mode="0" Point1="0,100,0" Point2="100,0,0"/>
   </cstImageEnt>

   <cstImageEnt Point="0,0,0" imagedef="@1">
     <Calc mode="1" Width="100" Height="400" Angle="30"/>
   </cstImageEnt>

  </add>
    <fittosize />
</cadsofttools>

cstInsert

Represents an Insert in a Drawing Database.

Syntax:

<cstInsert LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" BlockName ="EntName" Extrusion ="FPoint" Angle ="Double" PScale ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
BlockName | EntName | Name of a Block
Extrusion | FPoint | Extrusion direction point
Angle | Double | Angle value
PScale | FPoint | Scale factor

cstInsertXRef

Represents an InsertXRef in a Drawing Database.

Syntax:

<cstInsertXRef LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" BlockName ="EntName" Extrusion ="FPoint" Angle ="Double" PScale ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
BlockName | EntName | Name of a Block
Extrusion | FPoint | Extrusion direction point
Angle | Double | Angle value
PScale | FPoint | Scale factor

cstLayer

Represents a Layer in a Drawing Database.

Syntax:

<cstLayer LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" Color ="ColorCAD" Visible ="Boolean" Locked ="Boolean" Frozen ="Boolean" FrozenByNewViewPort ="Boolean" XrefLink ="Boolean" IsPlotting ="Boolean" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value
Color | ColorCAD | Color specified with TsgColorCAD
Visible | Boolean | Specifies entity visibility
Locked | Boolean | Specifies entity editability
Frozen | Boolean | Specifies if Layer is frozen
FrozenByNewViewPort | Boolean | Specifies if Layer is frozen for new Viewports
XrefLink | Boolean | Specifies if entity is externally dependent on an xref
IsPlotting | Boolean | Specifies if this layer will be plotted

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: The example shows how to add a complicated Drawing Structure Data to the current drawing. -->
  <add>
    <cstSectionTables Name="TABLES">
      <SubEntities>
        <cstTable Name="LAYER">
          <SubEntities>
            <cstLayer name="Layer2" Color="0;3;" Visible="False" Locked="True"/>
          </SubEntities>
        </cstTable>
      </SubEntities>
    </cstSectionTables>
</add>
  </cadsofttools>
Example 2:
Description: getting a list of all the layers of a drawing and their info.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Description: getting a list of all the layers of a drawing and their info. -->
  <get PathName="TABLES;LAYER"/>
</cadsofttools>

cstLayout

Represents a Layout in a Drawing Database.

Syntax:

<cstLayout LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" PaperSpaceBlock ="EntName" UCSOrigin ="FPoint" UCSXDir ="FPoint" UCSYDir ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value
PaperSpaceBlock | EntName | Layout name
UCSOrigin | FPoint | VPort UCS origin
UCSXDir | FPoint | Header variable. Direction of the current UCS X axis (in WCS)
UCSYDir | FPoint | Header variable. Direction of the current UCS Y axis (in WCS)

cstLeader

Represents a Leader in a Drawing Database.

Syntax:

<cstLeader LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" Degree ="Double" StartTangentVector ="FPoint" EndTangentVector ="FPoint" Arrowhead ="Boolean" DimStyle ="String" LeaderPathType ="Integer" ArrowType ="Byte" ArrowSize ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
Degree | Double | Degree value
StartTangentVector | FPoint | Start tangent direction point
EndTangentVector | FPoint | End tangent direction point
Arrowhead | Boolean | Specifies if arrowhead is present for Leader
DimStyle | String | Header variable. Dimension style name
LeaderPathType | Integer | Specifies if Leader path is spline
ArrowType | Byte | Arrow type for entities
ArrowSize | Double | Dimensioning arrow size

cstLeader accepts the following child atributes:
Parameter | Type | Description
ControlPoints | FPoints2DOr3D | List of Controls for spline and based entities
FitPoints | FPoints2DOr3D | List of Fits for spline based entities
KnotsPoints | FPoints2DOr3D | List of Knots for spline based entities
Weights | Singles | List of Weights for spline based entities
Properties | List | Dimension style properties

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: Adding a linear leader to the drawing. -->
  <!-- ArrowType = DimRBlk:
  0 = _CLOSEDFILLED; 1 =_CLOSEDBLANK; 2 = _CLOSED; 3 = _DOT; 4 = _ARCHTICK; 5 = _OBLIQUE; 6 = _OPEN; 7 = _ORIGIN;
  8 = _ORIGIN2; 9 = _OPEN90; 10 = _OPEN30; 11 = _DOTSMALL; 12 = _DOTBLANK; 13 = _SMALL; 14 = _BOXBLANK; 15 = _BOXFILLED;
  16 = _DATUMBLANK; 17 = _DATUMFILLED; 18 = _INTEGRAL; 20 = _NONE.-->
  <add>
    <!-- Simplified adding of a leader -->
    <cstLeader DimStyle="STANDARD" ArrowType="10" ArrowSize="2.8" color="0;1">
        <ControlPoints Values="0,20|5,28|10,28" />
    </cstLeader>

    <!-- Adds a leader with properties by dimension style. When the instruction "Properties" is used,
    the properties of the instruction "cstLeader" are overridden and a leader is created according
    to the set Dimension Style. -->
    <cstLeader DimStyle="GENISO" HandleSave="@1">
        <ControlPoints Values="0,10|5,18|10,18" />
        <Properties/>
    </cstLeader>

    <!-- Adds a leader and overrides the values of the style properties. -->
    <cstLeader DimStyle="GENISO">
        <ControlPoints Values="0,0|5,8|10,8" />
        <Properties DimRBlk="_ORIGIN2" DimAsz="4"/>
    </cstLeader>
  </add>

  <!-- Selects the leader with handle "@1" and changes the type of the leader using the instruction "Properties". -->
  <select Handle="@1"/>
  <apply color="0;4">
    <Properties DimRBlk="_DATUMFILLED" DimAsz="3"/>
  </apply>
  <unselect handle="@1"/>
  <fittosize />
</cadsofttools>

cstLine

Represents a Line in a Drawing Database.

Syntax:

<cstLine LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" Point1 ="FPoint" Length ="Double" Angle ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
Point1 | FPoint | 3D point defining entity
Length | Double | Length value
Angle | Double | Angle value

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: A Line is specified by two Points.  -->
  <add>
    <cstLine point="0,0,0" Point1="10,5,0"/>
  </add>
  <fittosize/>
</cadsofttools>

cstLineType

Represents a LineType in a Drawing Database.

Syntax:

<cstLineType LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstLWPolyline

Represents a LWPolyline in a Drawing Database.

Syntax:

<cstLWPolyline LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" GlobalWidth ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
GlobalWidth | Double | Global width value

cstMPolygon

Represents a MPolygon in a Drawing Database.

Syntax:

<cstMPolygon LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" HatchName ="String" SolidFill ="Boolean" Elevation ="FPoint" Extrusion ="FPoint" Offset ="FPoint" PatternAngle ="Double" PatternScale ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
HatchName | String | Name of a Hatch pattern
SolidFill | Boolean | Specifies if a Hatch have solid filling
Elevation | FPoint | Elevation value
Extrusion | FPoint | Extrusion direction point
Offset | FPoint | 3D offset point
PatternAngle | Double | Angle of lines in Hatch pattern
PatternScale | Double | Scale for Hatch pattern

cstMPolygon accepts the following child atributes:
Parameter | Type | Description
Boundaries | List | List of boundaries of a Hatch
Pattrens | List | List of patterns for Hatches

cstMText

Represents a MText in a Drawing Database.

Syntax:

<cstMText LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" BlockName ="EntName" Extrusion ="FPoint" Angle ="Double" PScale ="FPoint" Height ="Double" StyleName ="String" RectWidth ="Double" TextValue ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
BlockName | EntName | Name of a Block
Extrusion | FPoint | Extrusion direction point
Angle | Double | Angle value
PScale | FPoint | Scale factor
Height | Double | Height value
StyleName | String | Name of a Style
RectWidth | Double | Width of a rectangle
TextValue | String | Text string value

Example:

<?xml version="1.0" encoding="utf-8"?>
  <!-- Description: An Mtext is specified by a Point, a Height and a Textvalue.   -->
<cadsofttools version="2">
  <add>
    <cstMText Point="0,0" Height="3" TextValue="MultilineText"/>
  </add>
  <fittosize />
</cadsofttools>
Example 2:
Description: The following code uses many optional parametres for MText.

<?xml version="1.0" encoding="utf-8"?>
  <!-- Description: The following code uses many optional parametres for MText.  -->
<cadsofttools version="2">
  <add>
    <cstMText Point="10.5,5,1.33" Layer="Layer1" color="1;(145,30,45)" LineWeight="0.23" LineType="byblock" LineTypeScale="0.25" Extrusion="1,2,1" Angle="15" PScale="1,2,1" Height="3.5" StyleName="STANDARD" RectWidth="20.1" TextValue="MultilineText"/>
  </add>
  <fittosize />
</cadsofttools>

cstObjectEntity

Represents an ObjectEntity in a Drawing Database.

Syntax:

<cstObjectEntity LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer

cstOle2Frame

Represents an Ole2Frame in a Drawing Database.

Syntax:

<cstOle2Frame LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity

cstOwneredItem

Represents an OwneredItem in a Drawing Database.

Syntax:

<cstOwneredItem LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstPenTableItem

Represents a PenTableItem in a Drawing Database.

Syntax:

<cstPenTableItem LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstPoint

Represents a Point in a Drawing Database.

Syntax:

<cstPoint LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: Adds a Point.  -->
  <add>
    <cstPoint Point="-0.56,1.9"/>
  </add>
  <fittosize />
</cadsofttools>
Example 2:
Description: When a Point is added, the maximal number of parameters is used.

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description:  When a Point is added, the maximal number of parameters is used. -->
  <add>
    <cstPoint Point="-0.56,1.69,-10.15" Layer="Layer1" Color="0;5" LineWeight="0.25" LineType="byblock" LineTypeScale="0.3"/>
  </add>
</cadsofttools>

cstPolyline

Represents a Polyline in a Drawing Database.

Syntax:

<cstPolyline LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" GlobalWidth ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
GlobalWidth | Double | Global width value

Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
  <!-- Description: The instruction ADD adds entities and Drawing Structure Data to the current drawing. There are many examples of adding particular classes with ADD instruction which are described in Classes examples. -->
    <add>
    <cstLWPolyline Point="0,0" Thickness="5">
                <SubEntities>
                  <cstVertex Point="0,0"/>
                  <cstVertex Point="10,0"/>
                  <cstVertex Point="10,10"/>
                </SubEntities>
              </cstLWPolyline>
</add>
<fittosize />
  </cadsofttools>

cstPolyPolygon

Represents a PolyPolygon in a Drawing Database.

Syntax:

<cstPolyPolygon LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" HatchName ="String" SolidFill ="Boolean" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
HatchName | String | Name of a Hatch pattern
SolidFill | Boolean | Specifies if a Hatch have solid filling

cstProxy

Represents a Proxy in a Drawing Database.

Syntax:

<cstProxy LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point

cstSection

Represents a Section in a Drawing Database.

Syntax:

<cstSection LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstSectionBlocks

Represents a SectionBlocks in a Drawing Database.

Syntax:

<cstSectionBlocks LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstSectionHeader

Represents a SectionHeader in a Drawing Database.

Syntax:

<cstSectionHeader Name ="String" ACADVer ="String" CodePage ="String" TextStyle ="String" CLayer ="String" CELType ="String" CEColor ="ColorCAD" CELTScale ="Double" CELWeight ="Double" DimStyle ="String" DIMTXSTY ="String" DimAlt ="Boolean" DimAltF ="Double" DimAPost ="String" DimAsz ="Double" DimSah ="Boolean" DimCen ="Double" DimClrD ="ColorCAD" DimClrE ="ColorCAD" DimClrT ="ColorCAD" DimSD1 ="Boolean" DimSD2 ="Boolean" DimSE1 ="Boolean" DimSE2 ="Boolean" DimDec ="Integer" DimExe ="Double" DimExo ="Double" DimGap ="Double" DimLFac ="Double" DimLwD ="Double" DimLwE ="Double" DimPost ="String" DimScale ="Double" DimTad ="Integer" DimTih ="Boolean" DimTix ="Integer" DimToh ="Boolean" DimTxt ="Double" EXTMIN ="FPoint" ExtMax ="FPoint" FILLETRAD ="Double" InsUnits ="Integer" LTScale ="Double" Measurement ="Integer" PDMODE ="Integer" PDSIZE ="Double" TextSize ="Double" TileMode ="Integer" UCSORG ="FPoint" UCSXDir ="FPoint" UCSYDir ="FPoint" InsBase ="FPoint" Attmode ="Integer" />
Parameter | Type | Description
Name | String | Name string value
ACADVer | String | Header variable. The AutoCAD drawing database version number
CodePage | String | Header variable. Drawing code page
TextStyle | String | Header variable. Current text style name
CLayer | String | Header variable. Current layer name
CELType | String | Header variable. Entity linetype name, or BYBLOCK or BYLAYER
CEColor | ColorCAD | Header variable. Current entity color
CELTScale | Double | Header variable. Current entity linetype scale
CELWeight | Double | Header variable. Lineweight of new objects
DimStyle | String | Header variable. Dimension style name
DIMTXSTY | String | Dimension text style
DimAlt | Boolean | Alternate unit dimensioning performed if nonzero
DimAltF | Double | Alternate unit scale factor
DimAPost | String | Alternate dimensioning suffix
DimAsz | Double | Dimensioning arrow size
DimSah | Boolean | Use separate arrow blocks if nonzero
DimCen | Double | Size of center mark/lines
DimClrD | ColorCAD | Dimension line color
DimClrE | ColorCAD | Dimension extension line color
DimClrT | ColorCAD | Dimension text color
DimSD1 | Boolean | Suppression of first extension line
DimSD2 | Boolean | Suppression of second extension line
DimSE1 | Boolean | First extension line suppressed if nonzero
DimSE2 | Boolean | Second extension line suppressed if nonzero
DimDec | Integer | Number of decimal places for the tolerance values of aprimary units dimension
DimExe | Double | Extension line extension
DimExo | Double | Extension line offset
DimGap | Double | Dimension line gap
DimLFac | Double | Linear measurements scale factor
DimLwD | Double | Dimension line lineweight
DimLwE | Double | Extension line lineweight
DimPost | String | General dimensioning suffix
DimScale | Double | Overall dimensioning scale factor
DimTad | Integer | Text above dimension line if nonzero
DimTih | Boolean | Text inside horizontal if nonzero
DimTix | Integer | Force text inside extensions if nonzero
DimToh | Boolean | Text outside horizontal if nonzero
DimTxt | Double | Dimensioning text height
EXTMIN | FPoint | Header variable. X, Y, and Z drawing extents lower-left corner (in WCS)
ExtMax | FPoint | Header variable. X, Y, and Z drawing extents upper-right corner (in WCS)
FILLETRAD | Double | Header variable. Fillet radius
InsUnits | Integer | Header variable. Default drawing units for AutoCAD DesignCenter blocks
LTScale | Double | Header variable. Global linetype scale
Measurement | Integer | Header variable. Drawing units: 0 = English; 1 = Metric
PDMODE | Integer | Header variable. Point display mode
PDSIZE | Double | Header variable. Point display size
TextSize | Double | Header variable. Default text height
TileMode | Integer | Header variable. 1 for previous release compatibility mode; 0 otherwise
UCSORG | FPoint | Header variable. Origin of current UCS (in WCS)
UCSXDir | FPoint | Header variable. Direction of the current UCS X axis (in WCS)
UCSYDir | FPoint | Header variable. Direction of the current UCS Y axis (in WCS)
InsBase | FPoint | Header variable. Insertion base set by BASE command (in WCS)
Attmode | Integer | Header variable. Attribute visibility: 0 = None 1 = Normal 2 = All

cstSectionObjects

Represents a SectionObjects in a Drawing Database.

Syntax:

<cstSectionObjects LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstSectionTables

Represents a SectionTables in a Drawing Database.

Syntax:

<cstSectionTables LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstSolid

Represents a Solid in a Drawing Database.

Syntax:

<cstSolid LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" Point1 ="FPoint" Length ="Double" Angle ="Double" Point2 ="FPoint" Point3 ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
Point1 | FPoint | 3D point defining entity
Length | Double | Length value
Angle | Double | Angle value
Point2 | FPoint | 3D point defining entity
Point3 | FPoint | 3D point defining entity

cstSortEntsTable

Represents a SortEntsTable in a Drawing Database.

Syntax:

<cstSortEntsTable LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstSpline

Represents a Spline in a Drawing Database.

Syntax:

<cstSpline LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" Degree ="Double" StartTangentVector ="FPoint" EndTangentVector ="FPoint" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
Degree | Double | Degree value
StartTangentVector | FPoint | Start tangent direction point
EndTangentVector | FPoint | End tangent direction point

cstSpline accepts the following child atributes:
Parameter | Type | Description
ControlPoints | FPoints2DOr3D | List of Controls for spline and based entities
FitPoints | FPoints2DOr3D | List of Fits for spline based entities
KnotsPoints | FPoints2DOr3D | List of Knots for spline based entities
Weights | Singles | List of Weights for spline based entities

Example:

<?xml version="1.0" encoding="utf-8"?>
  <!-- Description:  A circle is specified by a Point and a Radius.   -->
<cadsofttools version="2">
  <!-- Adds entities -->
  <add>
    <cstSpline Point="0,0,0" StartTangentVector="0,0,0" EndTangentVector="0,0,0">
<FitPoints Type="FPoint" Values="0,0,0|0,10.5,0|8.1,-10,0|15,10,0|20,-10,0"/>
  </cstSpline>
  </add>
 <fittosize />
  </cadsofttools>

cstStyle

Represents a Style in a Drawing Database.

Syntax:

<cstStyle LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" WidthFactor ="Double" ObliqueAngle ="Double" TextGenFlags ="Integer" LastHeightUsed ="Double" PrimaryFont ="String" BigFont ="String" FontName ="String" FixedHeight ="Double" FontStyle ="Integer" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value
WidthFactor | Double | Width factor for Style
ObliqueAngle | Double | Oblique angle
TextGenFlags | Integer | Text generation flags for Style
LastHeightUsed | Double | Last used font height for Style
PrimaryFont | String | Primary font file name for Style
BigFont | String | Bigfont file name for Style
FontName | String | Font name
FixedHeight | Double | Fixed text heigh for Style
FontStyle | Integer | Font style

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
   <!-- Description: Setting the font (regular, italic, bold, bold italic) when adding a text style. It is compulsory to use
   the parameters PrimaryFont and FontStyle. Names for other fonts in PrimaryFont can differ from FontName.  -->
   <add>
      <cstSectionTables Name="TABLES">
         <SubEntities>
            <cstTable Name="STYLE">
               <SubEntities>
                  <cstStyle Name="STANDARD-1" PrimaryFont="arial.ttf" FontName="Arial" FontStyle="0"/>
                  <cstStyle Name="STANDARD-2" PrimaryFont="ariali.ttf" FontName="Arial" FontStyle="1"/>
                  <cstStyle Name="STANDARD-3" PrimaryFont="arialbd.ttf" FontName="Arial" FontStyle="2"/>
                  <cstStyle Name="STANDARD-4" PrimaryFont="arialbi.ttf" FontName="Arial" FontStyle="3"/>
               </SubEntities>
            </cstTable>
         </SubEntities>
      </cstSectionTables>
   </add>
</cadsofttools>

cstTable

Represents a Table in a Drawing Database.

Syntax:

<cstTable LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value

cstText

Represents a Text in a Drawing Database.

Syntax:

<cstText LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Height ="Double" Rotation ="Double" WidthFactor ="Double" ObliqueAngle ="Double" Text ="String" StyleName ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Height | Double | Height value
Rotation | Double | Rotation angle
WidthFactor | Double | Width factor for Style
ObliqueAngle | Double | Oblique angle
Text | String | Text string
StyleName | String | Name of a Style

Example:

<?xml version="1.0" encoding="utf-8"?>
  <!-- Description:  Demonstrates how to add a single-line text.   -->
<cadsofttools version="2">
  <add>
    <cstText Point="0,0" Height="3" Rotation="90" ObliqueAngle="0" Text="Single Line Text" StyleName="STANDARD" Color="0;5;"/>
    <cstText Point="5,15" Height="1.7" ObliqueAngle="15" WidthFactor="0.9" Text="Simbols: \U+2205, %%d, %%p" StyleName="GOST" LineWeight="0.53"/>
  </add>
  <fittosize/>
</cadsofttools>

cstVertex

Represents a Vertex in a Drawing Database.

Syntax:

<cstVertex Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Point ="FPoint" Bulge ="Double" StartWidth ="Double" EndWidth ="Double" />
Parameter | Type | Description
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Point | FPoint | 3D Point defining entity
Bulge | Double | Vertex bulge value
StartWidth | Double | Start width for a segment
EndWidth | Double | End width for a segment

cstViewport

Represents a Viewport in a Drawing Database.

Syntax:

<cstViewport LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" PSpaceCenter ="FPoint" MSpaceCenter ="FPoint" ViewDirection ="FPoint" ViewTarget ="FPoint" PSpaceWidth ="Double" PSpaceHeight ="Double" FrontClipPlane ="Double" BackClipPlane ="Double" MSpaceHeight ="Double" ViewTwistAngle ="Double" StatusField ="Integer" ThisID ="Integer" ClippingBoundaryHandle ="Handle" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
PSpaceCenter | FPoint | Viewport center point on layout
MSpaceCenter | FPoint | Viewport model view area center point
ViewDirection | FPoint | Viewport view direction vector (in WCS)
ViewTarget | FPoint | Viewport view target point (in WCS)
PSpaceWidth | Double | Viewport width on layout
PSpaceHeight | Double | Viewport height on layout
FrontClipPlane | Double | Viewport front cut off plane
BackClipPlane | Double | Viewport back cut off plane
MSpaceHeight | Double | Viewport model view area height
ViewTwistAngle | Double | Viewport view twist angle
StatusField | Integer | Viewport status field
ThisID | Integer | Viewport ID
ClippingBoundaryHandle | Handle | Handle of an entity that serves as a clipping boundary for the Viewport

cstVport

Represents a Vport in a Drawing Database.

Syntax:

<cstVport LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" CircleZoomPercent ="Integer" UCSOrigin ="FPoint" UCSXDir ="FPoint" UCSYDir ="FPoint" UCSVP ="Boolean" ViewAspectRatio ="Double" ViewCenterPoint ="FPoint" ViewDirection ="FPoint" ViewTarget ="FPoint" ViewHeight ="Double" ViewTwistAngle ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value
CircleZoomPercent | Integer | VPort circle zoom percent
UCSOrigin | FPoint | VPort UCS origin
UCSXDir | FPoint | Header variable. Direction of the current UCS X axis (in WCS)
UCSYDir | FPoint | Header variable. Direction of the current UCS Y axis (in WCS)
UCSVP | Boolean | Display UCS icon at UCS origin flag
ViewAspectRatio | Double | VPort view aspect ratio
ViewCenterPoint | FPoint | VPort view center point
ViewDirection | FPoint | Viewport view direction vector (in WCS)
ViewTarget | FPoint | Viewport view target point (in WCS)
ViewHeight | Double | VPort view height
ViewTwistAngle | Double | Viewport view twist angle

cstWipeout

Represents a Wipeout in a Drawing Database.

Syntax:

<cstWipeout LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Layer ="EntName" Color ="ColorCAD" LineTypeScale ="Double" Point ="FPoint" Thickness ="Double" Extrusion ="FPoint" UVector ="FPoint" VVector ="FPoint" Size ="FPoint" Width ="Double" Height ="Double" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Layer | EntName | Name of a Layer
Color | ColorCAD | Color specified with TsgColorCAD
LineTypeScale | Double | Scale for Line Type elements
Point | FPoint | 3D Point defining entity
Thickness | Double | Thickness
Extrusion | FPoint | Extrusion direction point
UVector | FPoint | UVector for Wipeout and inherited entities
VVector | FPoint | VVector for Wipeout and inherited entities
Size | FPoint | Size of image for Wipeout and inherited entities
Width | Double | Width value
Height | Double | Height value

cstXref

Represents a Xref in a Drawing Database.

Syntax:

<cstXref LineWeight ="Double" Handle ="EntHandle" Flags ="Integer" LineType ="EntName" Name ="String" FileName ="String" />
Parameter | Type | Description
LineWeight | Double | Line Weight in mm
Handle | EntHandle | Handle value
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
LineType | EntName | Name of a LineType
Name | String | Name string value
FileName | String | File name string

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
  <!-- Description:  Adding a file to the current drawing as an external reference. The path to the Xref is specified in the BLOCKS section, the Flags and Name parameters are compulsory. -->
  <add>
    <cstSectionBlocks Name="BLOCKS">
      <SubEntities>
        <cstBlock Flags="4" Name="xref">
          <SubEntities>
            <!-- FileName="Specify the file path" -->
            <cstXref FileName="C:\Users\softgold5\Documents\CADEditorX 11\Samples\Gasket.dwg"/>
          </SubEntities>
        </cstBlock>
      </SubEntities>
    </cstSectionBlocks>
    <!-- Adds entities Model -->
    <cstInsert Point="0.5,-0.5,0" BlockName="xref" Extrusion="0,0,1" Angle="0" PScale="1,1,1"/>
  </add>
  <fittosize />
</cadsofttools>

Parameters

Parameter | Type | Description
ACADVer | String | Header variable. The AutoCAD drawing database version number
Angle | Double | Angle value
AngleFromXY | Double | Angle from plane XY
AngleInXY | Double | Angle in plane XY
ArcDefPoint | FPoint | Point defining dimension arc for angular Dimension
Area | Double | Area value
Arrowhead | Boolean | Specifies if arrowhead is present for Leader
ArrowSize | Double | Dimensioning arrow size
ArrowType | Byte | Arrow type for entities
Attmode | Integer | Header variable. Attribute visibility: 0 = None 1 = Normal 2 = All
Attribs | List | List of attributes
BackClipPlane | Double | Viewport back cut off plane
BasePoint | FPoint | Base 3D point
BigFont | String | Bigfont file name for Style
BlockName | EntName | Name of a Block
BLOCKS | List | Blocks section
Boundaries | List | List of boundaries of a Hatch
Boundary | List | List of elements forming a boundary of a Hatch
Bulge | Double | Vertex bulge value
Calc | Procedure | Alternative creation method
CEColor | ColorCAD | Header variable. Current entity color
CELTScale | Double | Header variable. Current entity linetype scale
CELType | String | Header variable. Entity linetype name, or BYBLOCK or BYLAYER
CELWeight | Double | Header variable. Lineweight of new objects
CenterMass | FPoint | Center mass point, for BREP topology
CenterPoint | FPoint | 3D center point
CircleLength | Double | Length of a circle
CircleZoomPercent | Integer | VPort circle zoom percent
CLayer | String | Header variable. Current layer name
ClippingBoundaryHandle | Handle | Handle of an entity that serves as a clipping boundary for the Viewport
Clockwise | Boolean | Specifies if Helix is twisted clockwise
Closed | Boolean | Specifies if entity is closed
CodePage | String | Header variable. Drawing code page
Color | ColorCAD | Color specified with TsgColorCAD
ColSpacing | Double | Spacing for columns
ColumnCount | Integer | Number of columns
ControlPoints | FPoints2DOr3D | List of Controls for spline and based entities
Count | Integer | Number of members in list
Dash | Double | Dash element from list of elements for dotted lines
DefPoint | FPoint | Definition point for Dimension
Degree | Double | Degree value
DeltaX | Double | Delta X
DeltaY | Double | Delta Y
DeltaZ | Double | Delta Z
Description | Color | Description
DictValue | String | Dictionary value
DimAlt | Boolean | Alternate unit dimensioning performed if nonzero
DimAltF | Double | Alternate unit scale factor
DimAPost | String | Alternate dimensioning suffix
DimAsz | Double | Dimensioning arrow size
DimBlk | EntName | Arrow block name
DimBlk1 | EntName | First arrow block name
DimBlk2 | EntName | Second arrow block name
DimCen | Double | Size of center mark/lines
DimClrD | ColorCAD | Dimension line color
DimClrE | ColorCAD | Dimension extension line color
DimClrT | ColorCAD | Dimension text color
DimDec | Integer | Number of decimal places for the tolerance values of aprimary units dimension
DimExe | Double | Extension line extension
DimExo | Double | Extension line offset
DimGap | Double | Dimension line gap
DimLFac | Double | Linear measurements scale factor
DimLwD | Double | Dimension line lineweight
DimLwE | Double | Extension line lineweight
DimPost | String | General dimensioning suffix
DimRBlk | EntName | Arrow block name for leaders
DimSah | Boolean | Use separate arrow blocks if nonzero
DimScale | Double | Overall dimensioning scale factor
DimScaleOverall | Double | Overall dimensioning scale factor
DimSD1 | Boolean | Suppression of first extension line
DimSD2 | Boolean | Suppression of second extension line
DimSE1 | Boolean | First extension line suppressed if nonzero
DimSE2 | Boolean | Second extension line suppressed if nonzero
DimStyle | String | Header variable. Dimension style name
DimTad | Integer | Text above dimension line if nonzero
DimTih | Boolean | Text inside horizontal if nonzero
DimTix | Integer | Force text inside extensions if nonzero
DimToh | Boolean | Text outside horizontal if nonzero
DIMTXSTY | String | Dimension text style
DimTxt | Double | Dimensioning text height
Distance | Double | Distance
Elevation | FPoint | Elevation value
EndAngle | Double | End angle value
EndParam | FPoint | End parameter for 2D Arc and inherited curves
EndPoint | FPoint | End point, can be used with 2D and 3D entities
EndTangentVector | FPoint | End tangent direction point
EndWidth | Double | End width for a segment
ENTITIES | List | Entities section
ExtData | StringInternal | Extended data
ExtMax | FPoint | Header variable. X, Y, and Z drawing extents upper-right corner (in WCS)
EXTMIN | FPoint | Header variable. X, Y, and Z drawing extents lower-left corner (in WCS)
Extrusion | FPoint | Extrusion direction point
FileName | String | File name string
FILLETRAD | Double | Header variable. Fillet radius
FitPoints | FPoints2DOr3D | List of Fits for spline based entities
FixedHeight | Double | Fixed text heigh for Style
Flags | Integer | Flags are not suggested for usage. They have different meanings for particular entities, most of them are represented also directly via other attributes.
FontName | String | Font name
FontStyle | Integer | Font style
FrontClipPlane | Double | Viewport front cut off plane
Frozen | Boolean | Specifies if Layer is frozen
FrozenByNewViewPort | Boolean | Specifies if Layer is frozen for new Viewports
GlobalWidth | Double | Global width value
Handle | EntHandle | Handle value
HandleSave | EntHandle | Value for alternative access to a Handle
HatchName | String | Name of a Hatch pattern
HEADER | List | Header section
Height | Double | Height value
ImageDef | Handle | Handle of ImageDef object of Image entity
InsBase | FPoint | Header variable. Insertion base set by BASE command (in WCS)
InsUnits | Integer | Header variable. Default drawing units for AutoCAD DesignCenter blocks
IsPlotting | Boolean | Specifies if this layer will be plotted
IsSolid | Boolean | Specifies if pattern of a dotted line is solid
Justify | Integer | Specifies justification type
Knot | Double | Knot value for spline based entities
KnotsPoints | FPoints2DOr3D | List of Knots for spline based entities
LastHeightUsed | Double | Last used font height for Style
Layer | EntName | Name of a Layer
LayoutScale | Color | Layout units scale
LeaderPathType | Integer | Specifies if Leader path is spline
Length | Double | Length value
LinDefPoint1 | FPoint | Start point of the first extension line for Dimension
LinDefPoint2 | FPoint | Start point of the second extension line for Dimension
LineAngle | Double | Hatch line tilt angle
Lines | List | List of elements for dotted lines
LineType | EntName | Name of a LineType
LineTypeScale | Double | Scale for Line Type elements
LineWeight | Double | Line Weight in mm
Locked | Boolean | Specifies entity editability
LTScale | Double | Header variable. Global linetype scale
MajorPoint | FPoint | End point of the major axis relative to the Center point for 2D Ellipse
Measurement | Integer | Header variable. Drawing units: 0 = English; 1 = Metric
MiddlePoint | FPoint | Middle point of dimension text for Dimension
Mode | Integer | Mode for alternative creation method
ModelScale | Color | Model units scale
MSpaceCenter | FPoint | Viewport model view area center point
MSpaceHeight | Double | Viewport model view area height
Name | String | Name string value
OBJECTS | List | Objects section
ObliqueAngle | Double | Oblique angle
Offset | FPoint | 3D offset point
OriginalName | String | Original name, for BREP topology
PaperSpaceBlock | EntName | Layout name
PatternAngle | Double | Angle of lines in Hatch pattern
PatternScale | Double | Scale for Hatch pattern
Pattren | List | List of elements of a Hatch pattern
Pattrens | List | List of patterns for Hatches
PDMODE | Integer | Header variable. Point display mode
PDSIZE | Double | Header variable. Point display size
Perimeter | Double | Perimeter
Periodic | Boolean | Specifies if Spline based entity is periodic
Point | FPoint | 3D Point defining entity
Point1 | FPoint | 3D point defining entity
Point2 | FPoint | 3D point defining entity
Point3 | FPoint | 3D point defining entity
PolylineLength | Double | Polyline length
PrimaryFont | String | Primary font file name for Style
Properties | List | Dimension style properties
PScale | FPoint | Scale factor
PSpaceCenter | FPoint | Viewport center point on layout
PSpaceHeight | Double | Viewport height on layout
PSpaceWidth | Double | Viewport width on layout
RadDefPoint | FPoint | Definition point for diameter, radius, and angular Dimensions
Radius | Double | Radius value
RadPt | FPoint | End point of the major axis relative to the Center point for Ellipse
Ratio | Double | Ratio of minor axis to major axis for elliptic entities or a two values ratio
Rational | Boolean | Specifies if Spline based entity is rational
RectWidth | Double | Width of a rectangle
Rotation | Double | Rotation angle
RowCount | Integer | Number of rows
RowSpacing | Double | Spacing for rows
Scale | Double | Scale value
ScaleFactor | Double | ScaleFactor
SegmentIndex | Integer | Segment index
Size | FPoint | Size of image for Wipeout and inherited entities
SolidFill | Boolean | Specifies if a Hatch have solid filling
Start | FPoint | Start point for Helix
StartAngle | Double | Start angle value
StartParam | FPoint | Start parameter for 2D Arc and inherited curves
StartPoint | FPoint | Start point, can be used with 2D and 3D entities
StartTangentVector | FPoint | Start tangent direction point
StartWidth | Double | Start width for a segment
StatusField | Integer | Viewport status field
StyleName | String | Name of a Style
SubEntities | List | Sub entities list
TABLES | List | Tables section
Tag | String | Attribute or attribute definition tag string
Text | String | Text string
TextGenFlags | Integer | Text generation flags for Style
TextSize | Double | Header variable. Default text height
TextStyle | String | Header variable. Current text style name
TextValue | String | Text string value
Thickness | Double | Thickness
ThisID | Integer | Viewport ID
TileMode | Integer | Header variable. 1 for previous release compatibility mode; 0 otherwise
Transparency | Boolean | Definition transparency for imageent
TransparentColor | Color | Definition transparent color for imageent
TurnHeight | Double | Turn height for Helix
Turns | Double | Number of turns for Helix
UCSORG | FPoint | Header variable. Origin of current UCS (in WCS)
UCSOrigin | FPoint | VPort UCS origin
UCSVP | Boolean | Display UCS icon at UCS origin flag
UCSXDir | FPoint | Header variable. Direction of the current UCS X axis (in WCS)
UCSYDir | FPoint | Header variable. Direction of the current UCS Y axis (in WCS)
UVector | FPoint | UVector for Wipeout and inherited entities
Value | String | String value
Vertex | ListItem | Vertex element
Vertexes | List | List of Vertexes
ViewAspectRatio | Double | VPort view aspect ratio
ViewCenterPoint | FPoint | VPort view center point
ViewDirection | FPoint | Viewport view direction vector (in WCS)
ViewHeight | Double | VPort view height
ViewTarget | FPoint | Viewport view target point (in WCS)
ViewTwistAngle | Double | Viewport view twist angle
Visible | Boolean | Specifies entity visibility
Volume | Double | Volume value, for BREP topology
VVector | FPoint | VVector for Wipeout and inherited entities
Weight | Double | Weight value for spline based entities
Weights | Singles | List of Weights for spline based entities
Width | Double | Width value
WidthFactor | Double | Width factor for Style
XrefLink | Boolean | Specifies if entity is externally dependent on an xref

Types

Type | Description
Undefined | Undefined value
Boolean | Provides an enumeration of the logical True and False values
Byte | Supports positive integers from 0 to 255. Occupies 8 bits of storage
Word | Supports positive integers from 0 to 65535. Occupies 16 bits of storage
Integer | Supports positive and negative integers. Includes 1 bit sign, and 31 bits value
Int64 | Supports positive and negative integers. Includes 1 bit sign, and 63 bits value
Color | Represents color values in range from -$7FFFFFFF-1 to $7FFFFFFF. The last 3 bytes represents R, G and B values correspondingly
Handle | Direct Handle via $
Single | Supports single-precision floating-point values
Double | Supports double-precision floating-point values
Pointer | Provides a general use pointer to any memory based variable
String | Represents a string of chars, International alphabet
Point | Represents a record holding X and Y integer values
F2DPoint | Represents a record holding X and Y double values
FPoint | Represents a record holding X, Y and Z double values
Rect | Represents a record holding 2D rectangle integer values as either 4 coordinates or 2 points
F2DRect | Represents a record holding 2D rectangle double values as either 4 coordinates or 2 points
FRect | Represents a record holding 3D rectangle double values as either 6 coordinates or 2 points
Version | Represents a record holding major version and minor version integer numbers
ColorCAD | Complex type: [0: Index | 1: RGB; Value;]
EntHandle | $handle or @handle
EntName | String value representing an entity name
List | Represents a list ob objects
ListItem | Represents an object from a list
StringInternal | String value for internal use
Base64 | Represents binary data as string
Singles | Represents list of Single values
FPoints2DOr3D | Represents list of F2DPoint or FPoint
Procedure | A method
Parameters | List of parameters
Guid | Represents a guid identifier

Events

Parameter | Type | Description
OnUndefined | Undefined | Abstract event
OnMouseMove | Parameters | Return values: X="Screen X" Y="Screen Y" point="x,y,z"
OnMouseDown | Parameters | Return values: X="Screen X" Y="Screen Y" point="x,y,z"
OnMouseUp | Parameters | Return values: X="Screen X" Y="Screen Y" point="x,y,z"
OnMouseWheel | Parameters | Return values: X="Screen X" Y="Screen Y" WheelDelta="DELTA" point="x,y,z"
OnSelectEntity | String | Return values: Result handle="handle of selected entity"
OnConfirmEntitiesDeletion | String | Event returns handles of the entities to be deleted. Parent application can call a confirmation dialog and delete the entities by command.
OnChangeEntities | String | Return values: Result handle="handle of selected entity
OnCopyEntities | String | Return values: Result handle="handle of selected entity
OnCreateEntities | String | Return values: Result handle="handle of selected entity
OnDeleteEntities | String | Return values: Result handle="handle of selected entity
OnCancelEntities | String | Return values: Result handle="handle of selected entity
OnLayoutBeforeChange | String | Return values: Result handle="handle of selected entity
OnLayoutAfterChange | String | Return values: Result handle="handle of selected entity
OnPasteEntities | String | Return values: Result handle="handle of selected entity
OnRedoEntities | String | Return values: Result handle="handle of selected entity
OnUndoEntities | String | Return values: Result handle="handle of selected entity
OnKeyDown | Parameters | Return values: Key="KEYCHAR"
OnKeyUp | Parameters | Return values: Key="KEYCHAR"
OnKeyPress | Parameters | Return values: Key="KEY"
OnPaint | Undefined |
OnMenuContextClick | Parameters | Return values: Caption and Index of menu
OnMenuButtonClick | Parameters | Return values: Caption and Handle of button
OnApplicationExeption | Parameters | Return values: info of an exception
OnMeasure | Parameters | Return values: Measure

SignToEvent examples

SignToOnApplicationExeption

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnApplicationExeption event. The result is the id of the drawing, the name and the description of the error-->
  <signtoevent Event="OnApplicationExeption" Enabled="True"/>
</cadsofttools>

SignToOnCancelEntities

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnCancelEntities event. The result is the handle of the object that will not be added.
         For instance, the user has started to create a line and then pressed esc. As a result, the handle of this line will be returned-->
  <signtoevent Event="OnCancelEntities" Enabled="True"/>
</cadsofttools>

SignToOnChangeEntities

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnChangeEntities event. The result is a list of handles of the modified objects-->
  <signtoevent Event="OnChangeEntities" Enabled="True"/>
</cadsofttools>

SignToOnConfirmEntitiesDeletion

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnConfirmEntitiesDeletion event. Result is a list of deleted entities handles.
         The entities deletion works only with xml commands. -->
  <signtoevent Event="OnConfirmEntitiesDeletion" Enabled="True"/>
</cadsofttools>

SignToOnCopyEntities

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnCopyEntities event. The result is the number and a list of handles of the copied objects-->
  <signtoevent Event="OnCopyEntities" Enabled="True"/>
</cadsofttools>

SignToOnCreateEntities

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnCreateEntities event. The result is the handle of the created object-->
  <signtoevent Event="OnCreateEntities" Enabled="True"/>
</cadsofttools>

SignToOnDeleteEntities

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnDeleteEntities event. The result is a list of handles of the deleted objects and their number-->
  <signtoevent Event="OnDeleteEntities" Enabled="True"/>
</cadsofttools>

SignToOnKeyDown

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnKeyDown event. The result is the key of the pressed key.
         Please also see the OnKeyUp, OnKeyPress event-->
  <signtoevent Event="OnKeyDown" Enabled="True"/>
</cadsofttools>

SignToOnLayoutBeforeChange

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnLayoutBeforeChange event. The result is the events before switchingto the layout.
         Please also see the OnLayoutAfterChange event-->
  <signtoevent Event="OnLayoutBeforeChange" Enabled="True"/>
</cadsofttools>

SignToOnMeasure

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnMeasure event. The result is the measurements with the tools on the Viewer tab on the ribbon-->
  <signtoevent Event="OnMeasure" Enabled="True"/>
</cadsofttools>

SignToOnMenuButtonClick

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnMenuButtonClick event. The result is the caption and the handle of the button in the custom menu in the ribbon-->
  <signtoevent Event="OnMenuButtonClick" Enabled="True"/>
</cadsofttools>

SignToOnMenuContextClick

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnMenuContextClick event. The result is the caption and the index of the button in the custom context menu-->
  <signtoevent Event="OnMenuContextClick" Enabled="True"/>
</cadsofttools>

SignToOnMouseDown

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnMouseDown event. Result is X and Y in the screen and global coordinates.
         Please also see the OnMouseMove, OnMouseUp, OnMouseWheel events-->
  <signtoevent Event="OnMouseDown" Enabled="True"/>
</cadsofttools>

SignToOnPaint

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnPaint event. The result is the id of the drawing where the background or object color has been modified-->
  <signtoevent Event="OnPaint" Enabled="True"/>
</cadsofttools>

SignToOnPasteEntities

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnPasteEntities event. The result is the handle of the pasted object-->
  <signtoevent Event="OnPasteEntities" Enabled="True"/>
</cadsofttools>

SignToOnRedoEntities

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Signs to OnRedoEntities event. The result is a list of handles of the objects that have been modified, deleted or added after the Redo command applied.
         Please also see the OnUndoEntities event-->
  <signtoevent Event="OnRedoEntities" Enabled="True"/>
</cadsofttools>

SignToOnSelectEntity

Description: Signs to OnSelectEntity event. Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<!-- Description: Signs to OnSelectEntity event. -->
    <!--  Handles in result will be the last selected entity.
    All the selected entities can be accessed through calling "GetSelected" command, see GetSelected.xml -->
  <signtoevent Event="OnSelectEntity" Enabled="True"/>
</cadsofttools>

Command line examples

Command line supports hundreds of commands which are described in User Help. Here are some examples which shows the most important command line actions which enhance XML interface.

cmdstat

Description: return command status to XML IDE Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: return command status to XML IDE -->
  <command text="GetCommandStatus LineWeight"/>
</cadsofttools>

CmpFiles

Description: Open the Compare dialog and set compared filenames Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
     <!-- Description:  Open the Compare dialog and set compared filenames -->
  <command text="Comparefiles "drawing1.dxf" "drawing2.dxf""/>
    <!-- Optional parameters: Flags DeletedColor AddedColor ModifiedColor UnmodifiedColor -->
    <!-- Flags bits: 0 - Layer, 1 - LineType, 2 - LineTypeScale, 3 - Thickness, 4 - Color, 5 - LineWeight, 6 - GeomertyDatas -->
    <!-- If optional parameters are passed, the Compare dialog are not showed -->
  <command text="Comparefiles "drawing1.dxf" "drawing2.dxf" 127"/>
</cadsofttools>

dimstyle

Description: Sets dimension style: DimStyle dimStyleName Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Sets dimension style: DimStyle dimStyleName -->
  <command text="DimStyle STANDARD"/>
</cadsofttools>

DIMTXSTY

Description: Sets dimension text style: DIMTXSTY textStyleName Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Sets dimension text style: DIMTXSTY textStyleName -->
  <command text="DIMTXSTY STANDARD"/>
</cadsofttools>

GetBkColor

Description: get background color to XML IDE Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: get background color to XML IDE -->
  <command text="GetCommandStatus BackgroundColor"/>
</cadsofttools>

HideAllInterface

Description: Hide all interface Example:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
    <!-- Description:  Hide all interface -->
  <command text="HideAllInterface" />
</cadsofttools>

HideToolbarsPanels

Description: Uses the commands HideTabSet, HideSysButtons, HideStatusbar, HideLayoutPanel, HideInterface, HideMenuButton + on/off to hide toolbars and panels Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Uses the commands HideTabSet, HideSysButtons, HideStatusbar,
  HideLayoutPanel, HideInterface, HideMenuButton + on/off to hide toolbars and panels -->

    <!-- Hides the tab set with the open drawing -->
  <command text="HideTabSet"/>
    <!-- Hides application system buttons -->
  <command text="HideSysButtons"/>
    <!-- Hides the application statusbar -->
  <command text="HideStatusbar"/>
    <!-- Hides the tab set with layouts -->
  <command text="HideLayoutPanel"/>
    <!-- Hides the Interface -->
  <command text="HideInterface"/>
    <!-- Hides the menu button -->
  <command text="HideMenuButton"/>
    <!-- Hides the Ribbon -->
  <command text="Ribbon off"/>
   <!-- Hides the Toolbar with caption Tools on the Page with caption Viewer -->
  <command text=""ToolbarConf" "Viewer" "Tools" "False""/>
    <!-- Hides Editor page with page caption Editor -->
  <command text=""ToolbarConf" "Editor" "allpage" "False""/>
</cadsofttools>

layer

Description: Sets current layer: CLayer layerName Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Sets current layer: CLayer layerName -->
  <command text="CLayer Layer1"/>
</cadsofttools>

mirror

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Mirror of the selected objects by base point and angle: mirror BasePoint Angle -->
  <command text="mirror 1,1 30"/>
</cadsofttools>

mirror2

Description: Mirrors the selected objects by base point and second point, which defines the angle: mirror BasePoint SecondPoint Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Mirrors the selected objects by base point and second point, which defines the angle: mirror BasePoint SecondPoint -->
  <command text="mirror 1,1 0,3"/>
</cadsofttools>

MovePicture

Description: Move CAD picture Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Move CAD picture -->
  <command text="MovePicture -2 -3"/>
</cadsofttools>

RectZooming

Description: Zoom to the rectangle area specified by two points: left-bottom corner (X, Y), right-top corner (X, Y) Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Zoom to the rectangle area specified by two points: left-bottom corner (X, Y), right-top corner (X, Y) -->
  <command text="RectZooming 0,0 5,5"/>
</cadsofttools>

rotate

Description: Rotates the selected objects by angle: rotate RotatePoint Angle Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Rotates the selected objects by angle: rotate RotatePoint Angle -->
  <command text="rotate 1,1 30"/>
</cadsofttools>

rotate2

Description: Rotates the selected objects by base point and the second point, which defines the angle: rotate BasePoint SecondPoint Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Rotates the selected objects by base point and the second point, which defines the angle: rotate BasePoint SecondPoint -->
  <command text="rotate 1,1 0,4"/>
</cadsofttools>

savetopng

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Saves as PNG: save Filename.png Width Height Bitperpixel[default = 24] -->
  <command text="filedia 0"/>
  <command text="save "C:\Users\softgold5\Documents\CADEditorX 11\Drawings\Image1.png" 200 100"/>
  <command text="filedia 1"/>
</cadsofttools>

Scrollbar visible

Description: Hide ScrollBar in the drawing Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Hide ScrollBar in the drawing -->
  <command text="ShowScrollbar Off" />
    <!-- Description: Show ScrollBar in the drawing -->
  <command text="ShowScrollbar On" />
</cadsofttools>

SetBkColor

Description: set background color by RGB (BackgroundColor red green blue) Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: set background color by RGB (BackgroundColor red green blue) -->
  <command text="BackgroundColor 255 45 0"/>
</cadsofttools>

SetJPEGExport

Description: JPEG export settings Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: JPEG export settings -->
    <!-- Enables JPEG Smooting -->
  <command text="ExportJPEGSmooting on"/>
    <!-- Sets JPEG Quality in percent 0..100 -->
  <command text="ExportJPEGQuality 32"/>
</cadsofttools>

SetJPEGSmoothingOff

Description: disables JPEG Smooting Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: disables JPEG Smooting -->
  <command text="ExportJPEGSmooting off"/>
</cadsofttools>

SetLanguage

Description: Sets interface language Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Sets interface language -->
  <command text="SetLanguage Russian"/>
</cadsofttools>

SetLineWeight

Description: enables line weight Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: enables line weight -->
  <command text="LineWeight on"/>
</cadsofttools>

SetLineWeightOff

Description: disables line weight Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: disables line weight -->
  <command text="LineWeight off"/>
</cadsofttools>

SetOrtho

Description: enables polar tracking Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: enables polar tracking -->
  <command text="Ortho on"/>
</cadsofttools>

SetOrthoOff

Description: disables polar tracking Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: disables polar tracking -->
  <command text="Ortho off"/>
</cadsofttools>

SetPolar

Description: Sets polar snap settings Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Sets polar snap settings -->
    <!-- Enables polar tracking -->
  <command text="PolarTracking on"/>
    <!-- Sets polar angle step -->
  <command text="POLARANG 15"/>
</cadsofttools>

ShowToolbar

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Shows the tab set with open drawing -->
  <command text="ShowTabSet"/>
    <!-- Shows application system buttons -->
  <command text="ShowSysButtons"/>
    <!-- Shows the application statusbar -->
  <command text="ShowStatusbar"/>
    <!-- Shows the tab set with layouts -->
  <command text="ShowLayoutPanel"/>
    <!-- Shows the Interface -->
  <command text="ShowInterface"/>
    <!-- Shows the menu button -->
  <command text="ShowMenuButton"/>
    <!-- Shows the Ribbon -->
  <command text="Ribbon on"/>
    <!-- Shows the Toolbar with caption Tools on the Page with caption Viewer -->
  <command text=""ToolbarConf" "Viewer" "Tools" "True""/>
    <!-- Shows the Editor page with page caption Editor -->
  <command text=""ToolbarConf" "Editor" "allpage" "True""/>
</cadsofttools>

shxdefaultfont

Description: Sets default SHX font Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Sets default SHX font -->
  <command text="shxdefaultfont simplex.shx"/>
</cadsofttools>

shxdefaultpath

Description: Sets default SHX path Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Sets default SHX path -->
  <command text="shxdefaultpath "C:\Users\softgold5\AppData\Roaming\CADSoftTools\Resources\SHX\""/>
</cadsofttools>

shxfonts

Description: Adds path to path list for search SHX fonts Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Adds path to path list for search SHX fonts -->
  <command text="shxfonts C:\"/>
</cadsofttools>

shxfromacad

Description: Imports SHX paths to the path list for search SHX fonts Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description: Imports SHX paths to the path list for search SHX fonts -->
  <command text="shxfromacad"/>
</cadsofttools>

SwitchToModel

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Runs command line -->
  <command text="switchtomodel"/>
</cadsofttools>

UnionEdges

Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Sets UnionEdgesPrecision variable -->
  <command text="UnionEdgesPrecision 2"/>
    <!-- Executes UnionEdges command -->
  <command text="UnionEdges"/>
</cadsofttools>

ZoomAtPoint

Description: Zoom at mouse point Example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
    <!-- Description:  Zoom at mouse point -->
  <command text="ZoomAtPoint -120 0 0"/>
</cadsofttools>


Command Reference

Navigation: »No topics above this level«

Command Reference

 Return to chapter overview

You can work with the drawing objects using commands and system variables of the CADEditorX user interface. You can call commands programmatically via the XML interface as it is shown below:

<?xml version="1.0" encoding="UTF-8"?>

<cadsofttools version="2">

<command text="rotate 1,1 15"/>

</cadsofttools>

rotate is the command name

1,1 is the base point relative to which the object will be rotated

15 is the angle at which the object will be rotated

System Variables

List of Commands


System Variables

Navigation: Command Reference >

System Variables

 Return to chapter overview

The full list of CADEditorX system variables. System variables are entered in the command line. To open the command line go to the tab Advanced and select the command Command line in the panel Lisp.

Press the necessary letter to jump to the corresponding section

A

C

D

E

F

G

I

L

M

P

S

T

U

A

ACADVer | Shows internal version name of the loaded DXF and DWG files.
AttributeMode | Controls display of the attributes.

C

CEColor | Sets colors for new objects.
CELTScale | Sets zoom factor of the line type for new objects.
CELType | Sets line type for new objects.
CELWeight | Sets line weight for new objects.
CLayer | Sets the current layer.
CodePage | Shows the code page written in DWG and DXF file.

D

DimAlt | Switches on or off the use of alternative units in dimensions.
DimAltF | Sets scale factor for alternative units of the current dimension style.
DimApost | Sets prefix and/or suffix for alternative units of the current dimension style.
DimAsz | Sets value of dimension lines and leader arrows.
DimClrD | Sets color of dimension lines and arrows for new objects.
DimClrE | Sets color of leader lines of the entity "Dimension".
DimClrT | Sets color of dimension text.
DimDec | Specifies the number of digits after the point for the main units of dimension.
DimExe | Sets value according to which the leader line should overhang the dimension line
DimExo | Sets offset of the dimension leader line from the object against initial points.
DimGap | Sets offset around dimension text from the dimension line.
DimLFac | Sets scale factor for linear dimensions values.
DimLwD | Sets weight of dimension lines.
DimLwE | Sets weight of dimension leader lines.
DimPost | Sets prefix and/or suffix of the main units of dimension of the current dimension style.
DimSD1 | Controls suppression of the first dimension line
DimSD2 | Controls suppression of the second dimension line
DimSE1 | Controls suppression of the first leader line
DimSE2 | Controls suppression of the second leader line
DimStyle | Sets the current dimension style.
DimTad | Specifies location of dimension text vertically against dimension line.
DimTih | Controls location of the dimension text
DIMTXSTY | Specifies text style for dimension.
DimTxt | Specifies height of the dimension text.

E

ExportJPEGSmoothing | Switches on or off smoothing while exporting to JPG.
ExportJPEGQuality | Sets quality of export to JPG.
EXTMIN | Shows coordinates of the bottom left point of the drawing borders..
ExtMax | Shows coordinates of the top right point of the drawing borders

F

Filedia | Suppresses display of dialog boxes of file overview.
FILLETRAD | Sets current radius for the instrument Fillet.

G

GetCommandStatus

Checks the status of the on/off toggle command. Works only via XML API.

I

InsBase

Saves coordinates of the insertion base.

L

LTScale

Sets global scale of line types for both new and created earlier objects.

М

Measurement

Defines the measuring system (metric or imperial) for setting the units in files of sample hatches and line types of the current drawing.

P

PDMODE | Sets style of points display.
PDSIZE | Sets size of points display.

S

SetLanguage | Sets the current program interface language
SetWindowState | Sets the display order of the current drawing window

T

TextStyle | Sets the current text style.
TextSize | Sets text height for new text objects on default.
TileMode | Sets the Model layout or the last active layout as a current one.

U

UCSORG | Stores the starting point of the current coordinate system
UCSXDir | Stores the X direction of the current custom coordinate system
UCSYDir | Stores the Y direction of the current custom coordinate system


ACADVer (read-only)

Navigation: Command Reference > System Variables >

ACADVer (read-only)

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: varies

(read-only)

Shows internal version name of the loaded DXF and DWG files.

DWG and DXF version | Internal name
R9 | AC1004
R10 | AC1006
R11/12 | AC1009
R13 | AC1012, AC1013
R14 | AC1014
2000 | AC1015
2004 | AC1018
2007 | AC1021
2010 | AC1024
2013 | AC1027


Attributemode

Navigation: Command Reference > System Variables >

Attributemode

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 1

Controls display of the block attributes and can have three modes:

0 | Off: all the attributes become invisible.
1 | Normal: all the attributes are shown according to the set parameters.
2 | On: all the attributes become visible.


CEColor

Navigation: Command Reference > System Variables >

CEColor

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: ByLayer

Sets color for new objects on default.


CELTScale

Navigation: Command Reference > System Variables >

CELTScale

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 1

Sets zoom factor of the line type for new objects.It cannot be zero. The variable value can be changed in the panel "Properties" of the program window.

Splitting of the line type in the drawing is implemented according to the global dimension which is set by the variable LTScale. E.g. lines that have the following specified variable values will be represented in the drawing in the same way:


CELType

Navigation: Command Reference > System Variables >

CELType

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: BYLAYER

Sets line type for new objects. Only the line type loaded to the drawing can be specified. To measure the line type it is necessary to enter its name. If the line type name has a space, the name should be entered in quotes. E.g. to set ISO dash dot line type in the command line it is needed to enter "ISO dash dot).

To set "By layer" and "By block" line type use "BYLAYER" and "BYBLOCK" respectively.


CELWeight_2

CELWeight

Navigation: Command Reference > System Variables >

CELWeight

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: -1

Sets line weight for new objects. The following accepted values can be specified as a new value: 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200, 211.

-1 | sets the line weight value ByLayer
-2 | sets the line weight value ByBlock
-3 | sets the line weight value On default

Values are expressed in hundredth parts of a millimetre.


CLayer_2

CLayer

Navigation: Command Reference > System Variables >

CLayer

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: 0

Sets the current layer.Only a layer existing in the drawing can be specified as the current one. To change the layer in response to the command enquiry it is necessary to enter its name. If the layer name has a space, the name should be entered in quotes. E.g. to set the layer Layer 1 it is necessary to enter "Layer 1" in the command line.


CodePage (read-only)_2

CodePage (read-only)

Navigation: Command Reference > System Variables >

CodePage (read-only)

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: varies

(read-only)

Shows the code page written in the CAD drawing file. It shows the current system code page defined by the operating system for new files.


DimAlt_2

DimAlt

Navigation: Command Reference > System Variables >

DimAlt

 Return to chapter overview

Type: Switch

Saved in: Drawing

Initial value: False

Switches on or off the use of alternative units in dimensions. Options of alternative units are specified by the variables DimAltF, DimAPost.

False | Use of alternative units off.
True | Use of alternative units on.


DimAltF_2

DimAltF

Navigation: Command Reference > System Variables >

DimAltF

 Return to chapter overview

Type:Real

Saved in: Drawing

Initial value: 1

Sets scale factor for alternative units of the current dimension style. It is used together with the variable DimAlt.

Example:

·if millimeters are basic units and inches are alternative ones than the factor should be set equal to 0,039370078740.

·if inches are basic units and millimeters are alternative ones than the factor should be set equal to 25,4.


DimApost (read-only)_2

DimApost (read-only)

Navigation: Command Reference > System Variables >

DimApost (read-only)

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: "none"

Shows prefix and/or suffix for alternative units of the current dimension style.

Sets prefix and/or suffix for alternative units of the current dimension style. It is used together with the variable DimAlt.

R[] | sets prefix |R
" | sets suffix "
R[]" | sets prefix R and suffix ''
. | deletes the set prefix and suffix


DimAsz_2

DimAsz

Navigation: Command Reference > System Variables >

DimAsz

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

Sets value of dimension lines and leader arrows.


DimClrD_2

DimClrD

Navigation: Command Reference > System Variables >

DimClrD

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 0

Sets color of dimension lines and arrows for new objects


DimClrE_2

DimClrE

Navigation: Command Reference > System Variables >

DimClrE

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 0

Sets color of leader lines of the entity "Dimension".


DimClrT_2

DimClrT

Navigation: Command Reference > System Variables >

DimClrT

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 0

Sets color of dimension text


DimDec_2

DimDec

Navigation: Command Reference > System Variables >

DimDec

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 2

Specifies the number of digits after the point for the main units of dimension. The value can be set in the range from 0 to 8.


DimExe_2

DimExe

Navigation: Command Reference > System Variables >

DimExe

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

Sets value according to which the leader line should overhang the dimension line. It can be only positive.


DimExo_2

DimExo

Navigation: Command Reference > System Variables >

DimExo

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 0,868

Sets offset of the dimension leader line from the object against initial points


DimGap_2

DimGap

Navigation: Command Reference > System Variables >

DimGap

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 0,868

Sets offset around dimension text from the dimension line.


DimLFac_2

DimLFac

Navigation: Command Reference > System Variables >

DimLFac

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 1

Sets scale factor for linear dimensions values. While adding dimension to the drawing the measured value is multiplied by the factor and the multiplication product is shown as dimension text.


DimLwD_2

DimLwD

Navigation: Command Reference > System Variables >

DimLwD

 Return to chapter overview

Type: Standard list value

Saved in: Drawing

Initial value: -1

Sets weight of dimension lines. The following accepted values can ve set as a new value: 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200, 211.

-1 | sets weight of dimension lines ByLayer
-2 | sets weight of dimension lines ByBlock
-3 | sets weight of dimension lines On default


DimLwE_2

DimLwE

Navigation: Command Reference > System Variables >

DimLwE

 Return to chapter overview

Type: Standard list value

Saved in: Drawing

Initial value: -1

Sets weight of dimension leader lines. The following accepted values can be set as a new value: 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200, 211.

-1 | sets weight of leader lines ByLayer
-2 | sets weight of leader lines ByBlock
-3 | sets weight of leader lines On default


DimPost_2

DimPost

Navigation: Command Reference > System Variables >

DimPost

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: "none"

Sets prefix and/or suffix of the main units of dimension of the current dimension style

R<> | sets prefix R
мм | sets suffix "
R<>мм | sets prefix R and suffix ''
. | deletes the set prefix and suffix


DimSD1_2

DimSD1

Navigation: Command Reference > System Variables >

DimSD1

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: False

Controls suppression of the first dimension line. To switch the mode numbers 0 and 1: 0=False, 1=True can also be used.

False | the first dimension line is shown
True | the first dimension line is suppressed


DimSD2_2

DimSD2

Navigation: Command Reference > System Variables >

DimSD2

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: False

Controls suppression of the second dimension line. To switch the mode numbers 0 and 1: 0=False, 1=True can also be used.

False | the second dimension line is shown
True | the second dimension line is suppressed


DimSE1_2

DimSE1

Navigation: Command Reference > System Variables >

DimSE1

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: False

Controls suppression of the first leader line. To switch the mode numbers 0 and 1: 0=False, 1=True can also be used.

False | the first leader line is shown
True | the first leader line is suppressed


DimSE2_2

DimSE2

Navigation: Command Reference > System Variables >

DimSE2

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: False

Controls suppression of the second leader line. To switch the mode numbers 0 and 1: 0=False, 1=True can also be used.

False | the second leader line is shown.
True | the second leader line is suppressed


DimStyle_2

DimStyle

Navigation: Command Reference > System Variables >

DimStyle

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: GOST or Standard

Shows name of the current dimension style and enables the user to set new current dimension style from the ones existing in the drawing. To change dimension style it is necessary to enter its name. If dimension style name has a space, the name should be entered in quotes. E.g. to set the dimension style Copy Standard it is needed to enter "Copy Standard" in the command line.


DimTad_2

DimTad

Navigation: Command Reference > System Variables >

DimTad

 Return to chapter overview

Type: Integer

Saved in: Drawing

Saved in: 1

Specifies location of dimension text vertically against dimension line

0 | dimension text is in the centre of dimension line
1 | dimension text is under dimension line (except for cases when size is not situated vertically and the variable DimTih has the value True). Distance between text and dimension line is set by the variable DimGap.
2 | dimension text is situated next to dimension line at the side which is the furthest from the specifying points.
3 | dimension text is situated according to the JIS (Japanese Industrial Standards).


DimTih_2

DimTih

Navigation: Command Reference > System Variables >

DimTih

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: False

Controls location of the dimension text

False | dimension text is situated along the dimension line.
True | dimension text is situated horizontally and independently from the rotation angle of the dimension.


DIMTXSTY_2

DIMTXSTY

Navigation: Command Reference > System Variables >

DIMTXSTY

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: STANDARD

Specifies text style for the dimension


DimTxt_2

DimTxt

Navigation: Command Reference > System Variables >

DimTxt

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

Specifies height of the dimension text.


ExportJPEGSmoothing

Navigation: Command Reference > System Variables >

ExportJPEGSmoothing

 Return to chapter overview

Type: Switch

Saved in: the settings.ini settings file

Initial value: False

Switches on or off smoothing while exporting to JPG. Duplicates the setting on the Converting settings of the Options window.

On | Smoothing is switched on.
Off | Smoothing is switched off.


ExportJPEGQuality

Navigation: Command Reference > System Variables >

ExportJPEGQuality

 Return to chapter overview

Type: Integer

Saved in: the settings.ini settings file

Initial value: 60

Sets quality of export to JPG. Sets the value for the setting in the Converting setting tab of the Options window.


EXTMIN (read-only)_2

EXTMIN (read-only)

Navigation: Command Reference > System Variables >

EXTMIN (read-only)

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

(read-only)

Shows coordinates of the bottom left point of the drawing borders.


ExtMax (read-only)_2

ExtMax (read-only)

Navigation: Command Reference > System Variables >

ExtMax (read-only)

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

(read-only)

Shows coordinates of the top right point of the drawing borders.


Filedia_2

Filedia

Navigation: Command Reference > System Variables >

Filedia

 Return to chapter overview

Type: Integer

Saved in: unsaved

Initial value: 1

Suppresses display of dialog boxes of file overview such as "Open" and "Save as".

0 | Dialog boxes are not shown. Work is implemented from the command line.
1 | Dialog boxes are shown.


FILLETRAD_2

FILLETRAD

Navigation: Command Reference > System Variables >

FILLETRAD

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 0,5

Sets current radius for the instrument Fillet.


GetCommandStatus (read only)

Navigation: Command Reference > System Variables >

GetCommandStatus (read only)

 Return to chapter overview

Type: Integer

Saved in: unsaved

Initial value: varies

(read only)

Checks the status of the toggle command and returns information about its state. Works only via XML API. Toggle commands for which the on/off mode is checked: BlackBackground, ArcsSplitted, Lineweight, FastEntitiesInput, PolyEntityInput, ShowScrollbar, Showwindow, ShowforModel, Showprintarea

On | The toggle command is on.
Off | The toggle command is off.

Call of the variable via XML API

Example of the input XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<command text="GetCommandStatus BlackBackground"/>
</cadsofttools>

Result:

<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<cadsofttools version="2.0">
<Results>
<Result Instruction="command">
<Output Result="on"/>
</Result>
</Results>
</cadsofttools>


InsBase (read-only)_2

InsBase (read-only)

Navigation: Command Reference > System Variables >

InsBase (read-only)

 Return to chapter overview

Type: 3D-point

Saved in: Drawing

Initial value: 0,0000,0,0000,0,0000

(read-only)

Saves coordinates of the insertion base.


LTScale_2

LTScale

Navigation: Command Reference > System Variables >

LTScale

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 1

Sets global scale of line types for both new and created earlier objects. It is taken into account while setting scale factor of line types of the variable CELTScale.


Measurement

Navigation: Command Reference > System Variables >

Measurement

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 1 (metric units)

Defines the measuring system (metric or imperial) for setting the units in files of sample hatches and line types of the current drawing.

0 | Imperial units
1 | Metric units

.


PDMODE_2

PDMODE

Navigation: Command Reference > System Variables >

PDMODE

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 0

Sets style of points display at the drawing. The accepted values are 0, 1, 2, 3, 4, 32, 33, 34, 35, 36, 64, 65, 66, 67, 68, 96, 97, 98, 99, 100.


PDSIZE_2

PDSIZE

Navigation: Command Reference > System Variables >

PDSIZE

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 0

Sets size of points display.


SetLanguage

Navigation: Command Reference > System Variables >

SetLanguage

 Return to chapter overview

Type: String

Saved in: the settings.ini settings file

Initial value: English

Sets the current program interface language (see also Options). To get the list of available languages enter *.


SetWindowState

Navigation: Command Reference > System Variables >

SetWindowState

 Return to chapter overview

Type: Integer

Saved in: current session (resets when the program is closed)

Initial value: 2

Sets the display order of the current drawing window

0 | Show the current drawing window not in full screen of the program workspace.
1 | Minimize the current drawing window to its title.
2 | Maximize the current drawing window to fit the program workspace.


TextStyle_2

TextStyle

Navigation: Command Reference > System Variables >

TextStyle

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: GENISO or STANDARD

Sets the current text style. To change text style it is necessary to enter name of the style in the command enquiry. If the text style name has a space, the name should be entered in quotes. E.g. to set the text style Standard copy enter "Standard copy" in the command line.


TextSize_2

TextSize

Navigation: Command Reference > System Variables >

TextSize

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

Sets text height for new text objects on default.


TileMode

Navigation: Command Reference > System Variables >

TileMode

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 1

Sets the Model layout or the last active layout as a current one.

0 | Sets the last modified layout as active.
1 | Sets the Model layout as active.


UCSORG (read only)

Navigation: Command Reference > System Variables >

UCSORG (read only)

 Return to chapter overview

Type: 3D-point

Saved in: Drawing

Initial value: 0.0000,0.0000,0.0000

(read only)

Stores the starting point of the current coordinate system


UCSXDir (read only)

Navigation: Command Reference > System Variables >

UCSXDir (read only)

 Return to chapter overview

Type: 3D-point

Saved in: Drawing

Initial value: 1.0000,0.0000,0.0000

(read only)

Stores the X direction of the current custom coordinate system


UCSYDir (read only)

Navigation: Command Reference > System Variables >

UCSYDir (read only)

 Return to chapter overview

Type: 3D-point

Saved in: Drawing

Initial value: 0.0000,1.0000,0.0000

(read only)

Stores the Y direction of the current custom coordinate system


List of Commands

Navigation: Command Reference >

List of Commands

 Return to chapter overview

Here is a full list of commands of CADEditorX. Commands are entered into the command line. To open the command line, click the item Command line of the Lisp section on the Advanced tab.

Click the letter to pass to the corresponding section

#

A

В

C

D

E

F

G

H

I

L

M

N

O

P

Q

R

S

T

U

V

W

X

Z

#

2DWireframe | Turns the 2D Wireframe display mode on or off
3DFlatshading | Turns the 3D Flat shading display mode on or off.
3DHiddenlines | Turns the 3D Hidden lines mode on or off.
3DOrbit | Turns the 3D Orbit axis on or off to to rotate the drawing in the 3D coordinate system on/off
3DSmoothshading | Turns the Smoothshading mode on or off.
3DView | Turns the 3D Orbit axis on or off to to rotate the drawing in the 3D coordinate system on/off
3DWireframe | Turns the Wireframe mode on or off

A

About

Opens the information on the software.

Absolutescale

Changes size of the selected objects according to the set scale factor.

AddallFilesinFolder

Adds all the files of the specified folder to the favorites.

AddCurrent

Adds the current file to the favorites.

AddFiles

Adds the selected files to the favorites.

Align

Aligns the selected objects against other objects of the drawing according to two points.

Arc

Creates an arc using the start point, the endpoint and the height of the chord.

ArcsSplitted

Turns the mode of display of all the arcs, circles and ellipses as a sequence of short lines for a loaded CAD file on/off.

Area

Measures the area.

AttributeDefinition

Creates an attribute definition.

B

B/Wdrawing | Switches the black-and-white mode on/off.
BackgroundColor | Defines a custom background color.
Back | Opens the previous file in the Last files list.
BackView | Switches to the standard back view.
Batch | Converts a group of files.
BatchPrint | Prints a group of files.
Bevel | Creates a bevel between two segments.
BlackBackground | Switches the background color from the custom to the black one and vice verse.
Blockeditor | Edits the contents of the selected block.
BottomView | Switches to the standard bottom view.
Break | Breaks an element creating a gap between two points.
Breakatpoint | Breaks an entity at a certain point.

C

Calculator | Calls the calculator.
Cascade | Arranges the opened windows cascading.
Center | Turns the Center snap mode on/off
CheckUpdates | Checks if any updates are available.
Circle | Creates a circle.
Close | Closes the current file.
CloseAll | Closes all the opened files.
Closeblockeditor | Closes the mode Block Editor
Commandline | Closes the command line.
Comparefiles | Compares the contents of two files.
ConvertToPolyline | Converts the selected Circle, Arc, Ellipse, Leader and Wipeout objects to 2D Polyline. The ConvertToPolylineMode is used to change the conversion mode.
Copy | Copies the selected objects to the clipboard.
CopyasBMP | Copies the current drawing to the clipboard as BMP.
CopyasEMF | Copies the current drawing to the clipboard as EMF.
Copyfragment | Copies the area selected with the Fragment tool to the clipboard as BMP or EMF.
Copyfullfilename | Copies the path to the selected file in the Favorites panel.
Copyobject | Copies the selected objects and pastes them at a needed distance and in the necessary direction.
Copywithbasepoint | Copies the selected items with the base point to the clipboard.
Createblock | Calls the command Create block.
Customizequickaccesspanel | Enables customizing the quick access panel.
Customizeribbon | Enables customizing the ribbon.
Cut | Copies the selected objects to the clipboard and deletes them from the drawing.

D

Delete | Deletes the selected object, deletes the selected file from the Favorites list.
DeleteAll | Deletes all the files from the Favorites list.
DeleteFavorites | Deletes the selected file from the Favorites panel.
Dimension | Creates a parallel dimension.
DimensionStyles | Calls the Dimension Styles dialog box.
Distance | Measures the distance between two points.

E

Edge | Measures the length of the linear or curvilinear edge of the 3D model.
Editor | Activates the Editor mode.
Ellipse | Creates an ellipse.
Embedall | Embedding of all Xref files from the active layout to the current drawing.
Endpoint | Turns the Endpoint snap mode on/off.
Explode | Breaks connections between entities inside a complex object.
Explodeall | Breaks connections between entities of all complex and composite objects located in the current drawing layout.
Explodeallinserts | Breaks connections between entities of all composite objects (block references) located in the current drawing layout.
Explorer | Opens or closes the Explorer panel.
Extend | Prolongs an entity till it intersects with another one.
Extension | Turns the Extension tracking mode on/off.
Extensions | Opens the company website to download additional extensions.

F

FastEntitiesInput | Turns the mode of fast creating several entities of one type on/off.
Favorites | Opens or closes the Favorites panel.
FileInformation | Open the File Information dialog box.
Fillet | Creates an arc - a tangent to the two chosen segments.
FindNext | Passes to the next found text. The command is used after activating FindText.
FindPrevious | Passes to the previous found text. The command is used after activating FindText.
FindText | Searches for the text in the drawing with the given parameters.
FinezoominCtrlMouseWheelUp | Turns the fine zoom in mode on.
FinezoomoutCtrlMouseWheelDown | Turns the fine zoom out mode on.
FittoWindow | Fits the current drawing to the window.
FloatingLicenseRegistration | Calls the Floating License dialog box.
Forward | Opens the next file in the Last files list.
Fragment | Selects a rectangular area in the drawing for copying, printing and saving.
FrontView | Switches to the standard front view.

G

GetScreenSize | Returns the resolution of the main screen. Functions only via XML API.
Grid | Turns the grid visibility on/off.

H

Hatch | Creates hatch or gradient fill.
Help | Calls CADEditorX help.
HideAllInterface | Hides all interface elements excluding the viewing area and scroll bars
HideInterface | Hides all interface elements excluding the tabs for navigating between drawings, viewing area, layout tabs, status bar and scroll bars
HideLayoutPanel | Hides the layout panel. The ShowLayoutPanel command is used to display the panel.
HideMenuButton | Hides the ribbon File tab. The ShowMenuButton command is used to display the tab.
HideQuickAccess | Hides the quick access panel. The ShowQuickAccess command is used to display the panel.
HideRedline | Hides the redline file.
HideRibbonAdditionalButtons | Hides the Help menu and the list of modes located in the top right corner of the program. The ShowRibbonAdditionalButtons command is used to display them.
HideRibbonPopup | Hides the context menu of the quick access panel. The ShowRibbonPopup command is used to display it.
HideStatusbar | Hides the status bar. The ShowStatusbar command is used to display it.
HideSysButtons | Hides the Minimize, Maximaze and Close window buttons. The ShowSysButtons command is used to display them.
HideTabSet | Hides the area for navigation between the drawings.The ShowTabSet is used to display it.

I

Image | Adds a raster image as an external link to the current drawing.
InitialView | Returns to the initial position of the viewing camera, canceling the fulfilled rotation.
Insertion | Turns the Insertion snap mode on/off.
Intersection | Turns the Intersection snap mode on/off.

L

Layers | Opens the Layers dialog box for managing the list of layers and their properties.
Leader | Creates a leader.
LeftView | Switches to the standard left view.
Line | Creates a line.
Linetypes | Calls the Linetypes window.
Lineweight | Switches the mode of displaying lines according to their lineweight on/off.
LispDebugger | Calls the LISP debugger dialog window.
LoadRedline | Loads an earlier created redline file, The command is available only in the Redline mode.

M

Manual | Opens the quick reference file on CADEditorX.
MatchProperties | Copies the properties of a selected object and assigns them to another object or objects.
Measure | Shows or hides the Measure panel.
Measurements | Shows or hides all the dimensions in the drawing.
MeasureOptions | Opens the Options settings for the measuring tools (see also Options)
Merge | Adds a vector file as an external link into the current drawing
Midpoint | Turns the Midpoint snap mode on/off.
MinimizeAll | Minimizes all opened files to their title and places them to the bottom left corner of the program window.
Mirror | Moves a selected entity or entities in a mirror reflection relative to a given axis.
Move | Moves a selected entity or entities at a given distance in a specified direction.
MovePicture | Offsets the drawing view in the program workspace at the stated distance in X- and Y-diraction in pixels.
MultilineText | Creates multiline text.
MultipagePrinting | Calls the command that enables printing a file on several sheets.

N

Nearest | Turns the Nearest snap mode on/off.
NEIsometric | Activates the standard NE Isometric view.
New | Creates a new file.
Newredline | Creates a new redline file. The command is available only in Redline mode.
NextFileinDirectory | Opens the next file in the current directory.
NextPage | Opens the next page of a multipage drawing.
Normal | Turns the Normal snap mode on/off.
Normalzoomin | Turns the normal zoom in mode on.
Normalzoomout | Turn the normal zoom out mode out.
NWIsometric | Activates the standard NW Isometric view.

O

OLE | Creates an OLE object.
Objecttrim | Deletion of object segments with the help of the specified contours. Segments for deletion are selected with the left mouse button.
Open | Opens a file.
Options | Calls the Options dialog box.
Ortho | Turns the Ortho mode on/off.
Orthogonal | Turns the orthogonal camera style on.

P

PagetoCAD | Converts current layout of the file to vector DWG or DXF
Pan | Moves the drawing within the working area with the help of the left mouse button.
Parallel | Turns the Parallel tracking mode on/off.
Paste | Pastes the contents of the clipboard to the drawing.
Pasteasblock | Pastes the earlier copied objects as a block.
PasteBlock | Pastes a block to the current drawing.
Pen | Draws a free form line.
Perspective | Turns the perspective camera style on.
Point | Creates a point.
Pointtrim | With one left mouse button click the side from the trimming contour against which all segments will be deleted is selected
PolarTracking | Turns the Polar tracking mode on/off
PolyEntityInput | Activates the Poly entity input mode.
Polyline | Creates 2D and 3D polylines
PolylineLength | Measures the length of a polyline.
PreviousFileinDirectory | Opens the previous file in the current directory.
PreviousPage | Opens the previous page of a multipage drawing.
Print | Prints the file with the help of the standard Print dialog box.
PrintPreview | Prints the file with the help of the Print preview dialog box.
PrintSetup | Opens the Print Setup dialog box.
PrintViewArea | Prints the area that is displayed in the window.
Properties | Shows or hides the Properties dialog box.
Purge | Enables deleting the unused ion the drawing objects.

Q

Quadrant | Turns the Quadrant snap mode on/off.
Quickselect | Selects several objects in the drawing according to the chosen filter conditions.

R

Rectangle | Creates a rectangle.
RectZooming | Selects a rectangular area on the drawing and enlarges it to fit to window.
Redline | Switches to the Redline mode.
Redo | Redoes the last undone operation.
Refresh | Refreshes the object tree in the Explorer panel.
Registration | Calls the Registration Dialog.
Relativescale | Scales selected objects according to a new value of length of the set base segment.
Reloadfile | Reopens the current file.
ReportonAttributes | Exports the values of the attributes to an external XLS, RTF or DXF file.
Ribbon | Turns the ribbon on or off.
RightView | Switches to the standard right view.
Rotate | Rotates the selected entity or entities.
RotatebyAngle | Rotates the selected entity or entities by a certain angle along the axes X, Y, Z
RotateClockwise | Rotates of the loaded image clockwise by 90 degrees along the axis Z
RotateCounterclockwise | Rotates of the loaded image counterclockwise by 90 degrees along the axis Z

S

Save | Saves the current file.
SaveAs | Enables saving the current file in a different directory, a different format or with a different name.
SaveRedline | Saves a redline file. The command is available only in Redline mode.
SaveRedlineAs | Saving of the markups file under another name, into another catalogue or format. The command is available only from the mode Redline.
Scale | Changes the size of the selected entity according to the specified scale factor.
SEIsometric | Activates the standard SE Isometric view.
Select | Selects objects that are completely or partially included in to the selection rectangle that is specified by two coordinates via the command line
Selectall | Selects all the displayed objects in the drawing.
SelectByScreenPoint | Selects the object located at the specified coordinates.
Sendasattachment | Enables sending the current file as DXF per e-mail
SendasPDF | Enables sending the current file as PDF per e-mail
SendtoBatch | Adds all the files of the Favorites list to the batch conversion list.
SendtoBatchPrint | Adds all the files of the Favorites list to the batch print list.
SetCurrentWindowsDrawingSize | Sets width and length of the current drawing window in screen pixels.
SetGeoCoordinates | Enables georeferencing a drawing.
ShowforModel | Shows the plott settings for the Model.
ShowInterface | Displays the interface parts hidden with the HideInterface command excluding floating panels
ShowLayoutPanel | Displays the layout panel hidden with the HideLayoutPanel command.
ShowMenuButton | Displays the ribbon File tab hidden with the HideMenuButton command.
Showplotsettings | Displays plot settings.
Showpoint | Searches for the point in the drawing with the given coordinates and displays it in the center of the view area.
Showprintarea | Shows the print area.
ShowRibbonAdditionalButtons | Displays the Help menu and the list of modes located in the top right corner of the program and hidden with the HideRibbonAdditionalButtons command
ShowRibbonPopup | Displays the context menu of the quick access toolbar hidden with the HideRibbonPopup command.
ShowScrollbar | Turns on/off the scroll bars in the right and bottom part of the workspace
ShowSysButtons | Displays the block with the Minimize, Maximize, Close buttons hidden with the HideSysButtons command.
ShowTabset | Displays the area with the tabs for navigating between drawings that was hidden with the HideTabset command
Showwindow | Show the window, specified by the user for print.
SingleLineText | Creates single line text.
Snap | Turns object snap on/off.
Spline | Creates a spline.
Structure | Displays the structure of the current file.
SWIsometric | Activates the standard SW Isometric view.
Switchtomodel | Switches to the model layout.

T

Table | Creates a table entity.
Tangent | Turns the Tangent snap mode on/off.
Text | Creates multiline text
TextsShow | Shows or hides texts in the drawing.
TextStyles | Calls the Text Styles dialog box.
TileHorizontally | Tiles the opened drawing windows window by window fitting them to the workspace
TileVertically | Tiles the opened drawing windows next to each other.
ToolbarConf | Controls visibility of the toolbars and ribbon menu tabs.
TopView | Activates the standard top view.
Tothebackground | Brings the selected object(s) to the foreground.
Totheforeground | Sends the selected object(s) to the background.
Tracking | Turns the Tracking mode on/off.
Triangulationquality | Sets 3D model display quality. If triangulation is maximal, the 3D model is displayed smoother.
Trim | Deletes the specified segment outside or inside the selected outline.
Trimraster | Cuts off the white borders around raster images

U

Undo | Cancels the previous operation.
UnionEdges | Checks whether the outline is closed. If the outline is not closed, an interconnecting line is drawn automatically if the break between the outline edges does not exceed the precision value set by the UnionEdgesPrecision command.
UnionEdgesPrecision | Sets the maximal distance at which the nearest outline points for creating an interconnecting line with the UnionEdges command can be located.
Unite | Unites coaxial entities.

V

Viewer | Switches to the Viewer mode.
Viewport | Adds a viewport to a layout.

W

Wipeout

Creates invisible areas in the drawing.

X

XMLIDE

Calls XML.exe, a demo application

Z

ZoomAtPoint | Increases or decreases the scale of the current file display area relative to the top left corner of the main screen.
ZoomIn | Enlarges the current scale according to the selected scale mode.
ZoomOut | Reduces the current scale according to the selected scale mode.
ZoomUndo | Turns the image to the previous zoom size.


MovePicture

Navigation: Command Reference > List of Commands >

MovePicture

 Return to chapter overview

Offsets the drawing in the program workspace at the stated distance in X- and Y-direction in pixels relative to the top left corner of the workspace. The distance at which the drawing must be offset is set without units of measurement.

Step1. Command: MovePicture

Step2. Enter X offset: enter the offset value in X-direction in screen pixels.

Step3. Enter Y offset: enter the offset value in Y-direction in screen pixels.

Call of the command via XML API

To offset the image at 50 pixels in X-direction and 100 pixels in Y-direction execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<command text="MovePicture 50 100"/>
</cadsofttools>


ToolbarConf

Navigation: Command Reference > List of Commands >

ToolbarConf

 Return to chapter overview

Allows making a toolbar or the whole ribbon tab invisible. When you enter the ToolbarConf command parameters, press Enter at each step to confirm each parameter.

Step1. Command: ToolbarConf

Step2. Enter page name: enter the tab name.

Step3. Enter toolbar name: enter the toolbar name; to hide the whole tab enter allpage.

Step4. Enter visible flag: enter 0 or False to hide a panel; enter 1 or True to show a panel.

E.g. to hide the CAD Image group, do the following:

Step1. Команда: ToolbarConf

Step2. Enter page name: Viewer

Step3. Enter toolbar name: "CAD Image"

Step4. Enter visible flag: 0

Call of the command via XML API

To hide the CAD Image group, execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<command text="ToolbarConf Viewer &quot;CAD Image&quot; 0"/>
</cadsofttools>

To hide the Editor tab, do the following:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<command text="ToolbarConf Editor allpage False"/>
</cadsofttools>

Note: 1) tab and group names can be entered in the current interface or in English; 2) to enter the tab or group name containing spaces use quotes " ".


SetCurrentWindowsDrawingSize

Navigation: Command Reference > List of Commands >

SetCurrentWindowsDrawingSize

 Return to chapter overview

Sets width and length of the current drawing window in screen pixels. The minimal value of the window width is 132px; the minimal value of the window height is 38px.

Step1. Command: SetCurrentWindowsDrawingSize

Step2. Enter drawing window width: enter the current drawing window width in screen pixels.

Step3. Enter drawing window height: enter the current drawing window height in screen pixels.

Call of the command via XML API

To set a 500px window width and a 250px window height execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<command text="SetCurrentWindowsDrawingSize 500 250"/>
</cadsofttools>


ZoomAtPoint

Navigation: Command Reference > List of Commands >

ZoomAtPoint

 Return to chapter overview

Increases or decreases the scale of the current file display relative to the top left corner of the main screen. The Delta value parameter shows scrolling distance per mouse wheel scroll. The Delta parameter can be positive or negative within the following range of values: -120 ≤ Delta ≥ 120 depending on the scrolling direction.

Step1. Command: ZoomAtPoint

Step2. Enter weel delta: enter the distance at which the image must be enlarged or reduced.

Step3. Enter X coordinate: enter the X coordinate in screen pixels relative to the top left corner of the main screen

Step4. Enter Y coordinate: enter the Y coordinate in screen pixels relative to the top left corner of the main screen.

Call of the command via XML API

To reduce the image in the display area execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<command text="ZoomAtPoint -150 0 0"/>
</cadsofttools>


Demos

Navigation: »No topics above this level«

Demos

 Return to chapter overview

CADEditorX includes demo examples in VC++, C#, Delphi, javascript and other developer languages source codes:

CAD Control demos

XML API demos

Tutorials


Control demos

Navigation: Demos >

Control demos

 Return to chapter overview

Sample applications show how to use CADEditorX in different programming languages: VC++, C#, HTML / Javascript, Delphi, VBA.

Location:

c:\Users\{USER_NAME}\Documents\CADEditorX 11\Demos\

Structure of the demo is as follows:


XML API Demos

Navigation: Demos >

XML API Demos

 Return to chapter overview

The sample application shows how to use XML API in Visual C++ application.

Sample applications show how to use XML API in VC++, C#, VB.NET, Delphi, Visual Basic.

Location:

c:\Users\{USER_NAME}\Documents\CADEditorX 11\XML API Demos\

Structure of the demo is similar to XML IDE.

Example in C#:


Tutorials

Navigation: »No topics above this level«

Tutorials

 Return to chapter overview

The following tutorials will help you start working with CADEditorX using the following programming languages:

§ VC++;

§ C#;

§ Delphi.


VC++

Navigation: Tutorials >

VC++

 Return to chapter overview

1. Install CADEditorX.

2. Go to File > New Project and select Win32 project.

3. In project settings specify the usage of ATL.

4. Click Finish.

5. Add cadeditorx.cpp and cadeditorx.h files to the project.

Open #include "stdafx.h" and

after #include <atlbase.h>

add

extern CComModule _Module;

#include <atlstr.h>

#include <atlwin.h>

#include <atldef.h>

#include <atliface.h>

#include <atlcom.h>

6. Add cadeditorx.h (#include "cadeditorx.h") to the main unit.

7. At the very beginning add the InitInstanceCAD() call in the InitInstance function.

8. Add the InitCAD entry (not the main entry) to the menu and call its ID e.g. IDM_INITCAD.

9. Add IDM_INITCAD processing to the WindProc handler:

case WM_COMMAND:

wmId = LOWORD(wParam);

wmEvent = HIWORD(wParam);

// Parse the menu selections:

switch (wmId)

{

case IDM_INITCAD: //---------

Open(hWnd); //---------

break;

case IDM_ABOUT:

DialogBox(hInst, MAKEINTRESOURCE(IDD_ABOUTBOX), hWnd, About);

break;

case IDM_EXIT:

DestroyWindow(hWnd);

break;

default:

return DefWindowProc(hWnd, message, wParam, lParam);

}

break;

case WM_PAINT:

10. Run the application.


C#

Navigation: Tutorials >

C#

 Return to chapter overview

1.Install CADEditorX.

2.Open MS Visual Studio.

3.Create new Windows Forms C# Application.

4.Add the CADEditorX item to the tool palette

5. Activate the SgCADEditor Object.

6.Insert the SgCADEditor Object and a button to the form:

7.Insert the sample code

string command =
"<?xml version=\"1.0\" encoding=\"utf-8\"?><cadsofttools version=\"2\">" +
"<add>"+
"<cstText Text=\"" + buttonHelloWorld.Text + "\" Point=\"0.5, 0.5\" Height=\"1\"/>" +
"</add>" +
"<FitToSize/>" +
"</cadsofttools>";
MessageBox.Show(axSgCADEditor1.ProcessXML(command));

8. Run the application and press the button.


Delphi

Navigation: Tutorials >

Delphi

 Return to chapter overview

1.Install CADEditorX.

2.Create new VCL Forms application - Delphi:

3.Save project in the CADEditorXTutorial folder; project name: CADEditorXTutorial.

4.Add to link to CADEditorLib_TLB to uses (You should add only the text written in bold type):

uses

Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,

Dialogs, CADEditorLib_TLB;

5.Add reference to CADEditorLib_TLB or copy it to the project directory (CADEditorXTutorial) from the CADEditorX Delphi demo.

6.Double-click the form and write the following code for the FormCreate event:

procedure TForm1.FormCreate(Sender: TObject);
begin
SgCADEditor1 := TSgCADEditor.Create(Self);
SgCADEditor1.Parent := Self;
SgCADEditor1.Align := alClient;
end;

7.Add the private declarations SgCADEditor1: TSgCADEditor; to TForm1:

TForm1 = class(TForm)

procedure FormCreate(Sender: TObject);

private

{ Private declarations }

SgCADEditor1: TSgCADEditor;

8.Run the application.

9.Close the application and change the code of FormCreate:

procedure TForm1.FormCreate(Sender: TObject);

begin

SgCADEditor1 := TSgCADEditor.Create(Self);

SgCADEditor1.Parent := Self;

SgCADEditor1.Align := alBottom;

SgCADEditor1.Height := 600;

Height := 800;

end;

10. Add a button to the top of the form and set the “Draw line” caption:

11.Double-click the button and add the following code (the const section and CADEditorX function call):

const
CADXMLBegin: WideString = '<?xml version="1.0" encoding="UTF-16"?>'#13#10'<cadsofttools version="2.0">';
CADXMLEnd: WideString = '</cadsofttools>';
procedure TForm1.Button1Click(Sender: TObject);
begin
SgCADEditor1.ProcessXML(CADXMLBegin + '<command text="line"/>' + CADXMLEnd);
end;

12. Run the application and press the Draw Line button. As a result you can start drawing a line in the Editor window:

The SgCADEditor1.ProcessXML function accepts parameters in XML format. You can find a lot of examples in the XML IDE application.

13. Add a new button with the Add Line caption as well as the following code:

procedure TForm1.Button2Click(Sender: TObject);
begin
SgCADEditor1.ProcessXML(CADXMLBegin + '<add> <cstLine Point="0,0,0" Point1="10,0,0"/> </add> <FitToSize/>' + CADXMLEnd);
end;

consts CADXMLBegin and CADXMLEnd are the same as in the Draw Line button event handler.

14. Run the application and press the Add Line button. The line will be added:

The Tutorial can be found in C:\Users\User\Documents\CADEditorX 11\Demos\Tutorial


How To

Navigation: »No topics above this level«

How To

 Return to chapter overview

The most important functions that can be implemented with the help of CAD XML API are described in this section.

§ How to Create and Process XML

§ How to get layers, text style, etc.

§ How to get information on added entities

§ How to reach functional which is implemented in CADEditorX / ABViewer via XML

§ How to customize tab and panels

§ How to add line, text, block, layer, etc.

§ What should be used as entity ID

§ How to catch events

§ How to add picture

§ How to add Hatch, filled rectangle or circle

§ How to access CAD data from drawing

§ How to ask for confirmation before a deletion

§ How to work with editor instruments “move”, “rotate”, “scale”, etc. from XML?

§ How to work with commands with dialogs: open, save, findtext, etc

§ How to check if the drawing was changed

§ How to renew trial period


How to get information about entities

Navigation: How To >

How to get information about entities

 Return to chapter overview

To get information about the entities located in the Model area execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<get PathName="BLOCKS;*Model_Space;"/>
</cadsofttools>

To get information about the entities located within the layout execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<get PathName="BLOCKS;*PAPER_SPACE;"/>
</cadsofttools>

Note: Name of the *PAPER_SPACE layout block is stated for the corresponding layout.


How to get layers, text style, etc.

Navigation: How To >

How to get layers, text style, etc.

 Return to chapter overview

To get the list of the drawing layers and view their properties execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<get PathName="TABLES;LAYER"/>
</cadsofttools>

To get the list of the drawing text styles execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<get PathName="TABLES;STYLE"/>
</cadsofttools>


How to reach functional which is implemented in CADEditorX / ABViewer via XML

Navigation: How To >

How to reach functional which is implemented in CADEditorX / ABViewer via XML

 Return to chapter overview

These instruments work via the command line that can be used directly in the corresponding panel of the user interface.

The command instruction is used to call the functional via the CAD XML Interface.

Supported commands are described in the User Reference.

Example showing how to start drawing a line:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Runs command line with line command-->
<command text="line"/>
</cadsofttools>

You can find examples of the most important command calls in the Commands section of the XML editor:


How to customize tab and panels

Navigation: How To >

How to customize tab and panels

 Return to chapter overview

Question: Can I remove the Viewer, Editor, Advanced and Output default tabs? I want to create my own tabs with customized groups with existing buttons in them.
I want to retain these changes in ocx so that those will be the same when I open it again.

This is possible.

1. Click Customize ribbon in caption:

2. Deactivate the Tab visible option:

3. Repeat this for all the tabs.

4. To add a new tab please click Add tab and you will see a new tab. You can change its name and add buttons from the left panel by selecting a button and clicking Add or double-clicking the button or dragging and dropping it to the panel:

5. Click OK and you will see a toolbar like this:

Question: How is it possible to remove command line window via xml?

It can be done via the command line:

Commandline

Off.

Xml example:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Hide tab set with open drawing -->
<command text="commandline"/>
<command text="off"/>
</cadsofttools>

See the HideToolbarsPanels.xml to learn more about handling toolbars and panels.

When you execute the following code from HideToolbarsPanels.xml:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Hide tab set with open drawing -->
<command text="HideTabSet"/>
<!-- Hide application system buttons -->
<command text="HideSysButtons"/>
<!-- Hide application statusbar -->
<command text="HideStatusbar"/>
<!-- Hide tab set with layouts -->
<command text="HideLayoutPanel"/>
<!-- Hide Interface -->
<command text="HideInterface"/>
<!-- Hide menu button -->
<command text="HideMenuButton"/>
<!-- Hide Ribbon -->
<command text="HideRibbon"/><command text="on"/>
</cadsofttools>

CADEditorX will look like this:


How to add line, text, block, layer, etc.

Navigation: How To >

How to add line, text, block, layer, etc.

 Return to chapter overview

Such entities as lines, texts, mtexts, blocks and inserts and others as well as invisible objects like layers and styles are called Classes in CAD XML reference. They can be added by calling the add instruction that accepts CAD Drawing XML Structure as a child parameter.

There are a lot of examples of adding particular classes in the Classes section of the XML examples.

To add text and line execute the following XML:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
<add>
<cstText Text="CADSoftTools" Point="0.5,0.5" Height="1"/>
<cstLine point="0,0,0" Point1="10,0,0" color="0;1;"/>
</add>
<fittosize/>
</cadsofttools>

To add a new layer execute the following XML:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<add>
<cstSectionTables Name="TABLES">
<SubEntities>
<cstTable Name="LAYER">
<SubEntities>
<cstLayer Name="New_Layer" color="0;3;"/>
</SubEntities>
</cstTable>
</SubEntities>
</cstSectionTables>
</add>
</cadsofttools>

To add a block execute the following XML:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2">
<add>
<cstSectionBlocks Name="BLOCKS">
<SubEntities>
<cstBlock name="block1">
<SubEntities>
<cstLine point="0,0,0" point1="50,0,0" />
<cstText point="0,3,0" text="This is a block" height="3" />
</SubEntities>
</cstBlock>
</SubEntities>
</cstSectionBlocks>
<!-- Add entities Model -->
<cstInsert blockname="block1" point="0,50,0" layer="Layer2" />
</add>
<fittosize />
</cadsofttools>


How to add text in a box

Navigation: How To >

How to add text in a box

 Return to chapter overview

Sometimes it is needed to mark up the drawing with text. Let us see how to create text in a box:

The following code example creates a rectangle, hatches inside it and adds the text.

<?xml version="1.0" encoding="UTF-8"?>
<!-- Description: Example show how to create text in a box and how to use list of handles. -->
<cadsofttools version="2.0">
<!-- Create simple rectangular Solid Hatch. Handle of polyline is saved as "@1" -->
<add>
<cstLWPolyline HandleSave="@1">
<SubEntities>
<cstVertex Point="0,0,0"/>
<cstVertex Point="2,0,0"/>
<cstVertex Point="2,1,0"/>
<cstVertex Point="0,1,0"/>
<cstVertex Point="0,0,0"/>
</SubEntities>
</cstLWPolyline>
</add>
<!-- Select polyline -->
<Select Handle="@1"/>
<!-- Create hatch -->
<createhatch/>
<!-- Set red color, it's index is 1 -->
<apply Color="0;1;"/>

<add>
<!-- Create text in box -->
<cstMText Point="0.2,0.6" Height="0.2" TextValue="Text in a box" HandleSave="@2"/>
</add>
<ShowSelectedEntities/>
<!-- Handles can be accepted as a list with ";" separator -->
<UnSelect Handle="@1;@2;$24"/>
</cadsofttools>


What should be used as entity ID

Navigation: How To >

What should be used as entity ID

 Return to chapter overview

Each Entity as well as each Class has a unique identification: 64bit digital Handle which stays the same after saving to file and changing the entity.

Handles are convenient IDs to work with the entities. For instance, we sign to the OnSelectEntity event:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Sign to OnSelectEntity event. Handle in result will be the last selected entity. All the selected entities can be accessed through calling "GetSelected" command, see GetSelected.xml -->
<signtoevent Event="OnSelectEntity"/>
</cadsofttools>

When we click on any entity, we get its handle in the result parameter:

<cadsofttools version="2.0">
<selectEntities>
<result handle="$2B"/>
</selectEntities>
</cadsofttools>

After it we can use this handle handle="$2B" to work with the entity.

If we add the entity, the application creates a new Handle automatically and it is not possible to set Handle. This is the problem because when we add an entity, we do not know its handle.

Solution:

Use the HandleSave parameter with "@UniqueDigit"when you add an entity and then it can be called as the Handle alias.

Example, Add3.xml:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2.0">
<!-- Description: Example shows how to work with HandleSave -->
<add>
<cstText point="10,10,0" Text="HandleSave is @77" Height="3" HandleSave="@77" />
</add>
<!-- Handle alias @77 can be used for select and other instructions -->
<select Handle="@77" />
<apply Color="0;1;"/>
<FitToSize/>
<!-- Sign to OnSelectEntity event. Handle in result will be the last selected entity. If you press entity which is created in this example, result will be its real Handle. -->
<signtoevent Event="OnSelectEntity"/>
</cadsofttools>


How to catch events

Navigation: How To >

How to catch events

 Return to chapter overview

The SignToEvent instruction signs for particular events to accept callbacks with XML data.

Example for the OnSelectEntity event:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Sign to OnSelectEntity event. Handle in result will be the last selected entity.
All the selected entities can be accessed through calling "GetSelected" command, see GetSelected.xml -->
<signtoevent Event="OnSelectEntity"/>
</cadsofttools>

Run and select the entity by mouse. Result will be like:

<cadsofttools version="2.0">
<selectEntities>
<result handle="$26"/>
</selectEntities>
</cadsofttools>

Event examples are stored in the Events section that is marked at the left side:

Result parameters are marked in the right bottom side of the screenshot.


How to add picture

Navigation: How To >

How to add picture

 Return to chapter overview

Pictures are stored in cstImageEnt class. Please look at the following example.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Add entities -->
<add>
<cstSectionObjects Name="OBJECTS">
<SubEntities>
<cstDictionary name="IMAGEDEFS">
<SubEntities>
<!-- FileName="Specify the file path" -->
<cstImageDef FileName="%SGSAMPLESPATH%\image.jpg" HandleSave="@1"/>
</SubEntities>
</cstDictionary>
</SubEntities>
</cstSectionObjects>
<!-- Point - insertion point (corresponds to the bottom left corner of the image) -->
<!-- Point1 - top left corner in the drawing coordinates (top left corner of the image) -->
<!-- Point2 - bottom right corner in the drawing coordinates (bottom right corner of the image) -->
<cstImageEnt Point="0,0,0" imagedef="@1">
<Calc mode="0" Point1="0,100,0" Point2="100,0,0"/>
</cstImageEnt>

<cstImageEnt Point="0,0,0" imagedef="@1">
<Calc mode="1" Width="100" Height="400" Angle="30"/>
</cstImageEnt>

</add>
<fittosize />
</cadsofttools>


How to add Hatch, filled rectangle or circle

Navigation: How To >

How to add Hatch, filled rectangle or circle

 Return to chapter overview

Filled figures are implemented in the Hatch class that is created via the CreateHatch instruction. Also this can be linear hatched. Please refer to the CreateHatch examples.

<?xml version="1.0" encoding="UTF-8"?>
<!-- Description: Instruction CREATEHATCH creates Hatch using selecte entities as countours. Please select entity by mouse or by xml Instruction SELECT before calling this Instruction. -->
<!--
Syntax:
<createhatch Hatchname="" Angle="" PatternScale="" Color=""/>
Attributes:
Hatchname - string - name of Hatch, default is "SOLID" which creates a solid hatch. Other names: "Box", "Escher" and others can be found in Hatch dialog in user interface.
Angle - Double - rotation angle of hatch
PatternScale - Double - scale of hatch's pattern
Color - sring CADSoftTools color structure - color as index or RGB
-->
<cadsofttools version="2.0">
<!-- Create simple rectangular Solid Hatch. Handle of polyline is saved as "@1" -->
<add>
<cstLWPolyline HandleSave="@1">
<SubEntities>
<cstVertex Point="140,100,0"/>
<cstVertex Point="141,100,0"/>
<cstVertex Point="141,103,0"/>
<cstVertex Point="140,103,0"/>
</SubEntities>
</cstLWPolyline>
</add>
<!-- Select polyline -->
<Select Handle="@1"/>
<!-- Create hatch -->
<createhatch/>
<UnSelect Handle="@1"/>
<!-- Create polyline for Hatch, -->
<add>
<cstLWPolyline HandleSave="@2">
<SubEntities>
<cstVertex Point="141,109,0"/>
<cstVertex Point="142,112,0"/>
<cstVertex Point="143,109,0"/>
<cstVertex Point="147,109,0"/>
<cstVertex Point="144,107,0"/>
<cstVertex Point="145,105,0"/>
<cstVertex Point="142,107,0"/>
<cstVertex Point="141,105,0"/>
<cstVertex Point="141,107,0"/>
<cstVertex Point="138,108,0"/>
<cstVertex Point="141,109,0"/>
</SubEntities>
</cstLWPolyline>
</add>
<!-- Select polyline -->
<Select Handle="@2"/>
<!-- Create hatch -->
<createhatch hatchname="BOX" Angle="30" PatternScale="0.1" Color="0;34;"/>
<UnSelect Handle="@2"/>

<!-- Create and select some countours for creating hatch. -->
<add>
<cstLine point="120,120,0" point1="130,130,0" Color="0;3;" HandleSave="@3"/>
<cstLine point="120,120,0" point1="130,110,0" Color="0;3;" HandleSave="@4"/>
<cstLine point="130,110,0" point1="130,130,0" Color="0;3;" HandleSave="@5"/>
<cstCircle point="100,100,0" radius="10" Color="0;3;" HandleSave="@6"/>
</add>
<!-- Select contours -->
<Select Handle="@3"/>
<Select Handle="@4"/>
<Select Handle="@5"/>
<Select Handle="@6"/>
<createhatch hatchname="SOLID" Color="0;3;"/>
<UnSelect Handle="@3"/>
<UnSelect Handle="@4"/>
<UnSelect Handle="@5"/>
<UnSelect Handle="@6"/>

<fittosize />
</cadsofttools>


How to access CAD data from drawing

Navigation: How To >

How to access CAD data from drawing

Return to chapter overview

Please use the <get/> instruction to access CAD Drawing Database that will be returned by the OnProcess callback function.


How to ask for confirmation before a deletion

Navigation: How To >

How to ask for confirmation before a deletion

 Return to chapter overview

There are two ways of “confirming the deletion”

1. Library will ask before deleting entities, handles of which are specified in the <CustomSelectMode> parameters:

<?xml version="1.0" encoding="utf-8"?>
<cadsofttools version="2.0">
<CustomSelectMode AskOnDelete="True" Handle="$2C"/>
</cadsofttools>

2. Event="OnConfirmEntitiesDeletion"

Event allows to control it from your application if you wish to delete an entity or not.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<!-- Sign to OnConfirmEntitiesDeletion event. Result is handles list of deleted entities.
The entities deletion works only by xml commands. -->
<signtoevent Event="OnConfirmEntitiesDeletion"/>
</cadsofttools>

When the user wants to delete an entity, CADEditorX will not delete it, just the event will be called with the result like here:

<cadsofttools version="2.0">
<ConfirmEntitiesDeletion>
<result handle="$2C"/>
</ConfirmEntitiesDeletion>
</cadsofttools>

In this event our demo (not CADEDitorX itself!) shows message like this:

And after clicking “Yes” it runs xml to delete the selected entities:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2">
<delete/>
</cadsofttools>

So, you can activate such a dialog in your application and delete entities after pressing OK” in YOUR confirmation dialog.


How to work with editor instruments “move”, “rotate”, “scale”, etc. from XML?

Navigation: How To >

How to work with editor instruments “move”, “rotate”, “scale”, etc. from XML?

 Return to chapter overview

Question: How to work with editor instruments “move”, “rotate”, “scale”, etc. from XML?

These instruments work via the command line. The supported commands are described in the User Reference.

Example of XML for rotating the entity. Entity should be selected by mouse or by the selectentity instruction:

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Runs command line with rotate command-->
<command text="rotate"/>
<!—Base point -->
<command text="1,1"/>
<command text="Angle"/>
<!—Angle value -->
<command text="30"/>
</cadsofttools>


How to work with commands with dialogs: open, save, findtext, etc

Navigation: How To >

How to work with commands with dialogs: open, save, findtext, etc

 Return to chapter overview

Question: how to work with commands with the dialogs: open, save, findtext, etc., automatically, without the user dialog?

To call the open, save, saveas, findtext commands with parameters without the user dialog it is necessary to set the filedia flag as 0.

Command

filedia 0 - dialogs will not appear

filedia 1 - dialogs will be shown

It is recommended to return the filedia parameter to 1 after handling the needed command automatically.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Save as PNG: save Filename.png Width Height Bitperpixel[default = 24] -->
<command text="filedia 0">
<command text="save &quot;C:\Users\User\Documents\Image1.png&quot; 200 100"/>
<command text="filedia 1">
</cadsofttools>


How to check if the drawing was changed

Navigation: How To >

How to check if the drawing was changed

 Return to chapter overview

If you need to save your drawing from your application, you can check if it has been changed or not with the help of the GetDrawingChanged instruction.

<?xml version="1.0" encoding="UTF-8"?>
<cadsofttools version="2.0">
<!-- Description: GETDRAWINGCHANGED instruction checks if any changes were made in a Drawing. Result parameter CHANGED returns True if any changed were implemeted in a Drawing. -->
<getdrawingchanged/>
</cadsofttools>


How to renew trial period

Navigation: How To >

How to renew trial period

 Return to chapter overview

Not all the functions are available during the trial period. To renew it please contact us at info@cadsofttools.com.


User Interface

Navigation: »No topics above this level«

User Interface

 Return to chapter overview

The User Interface Reference is presented in

§User Interface (ENG)

§User Interface (DEU)

§User Interface (FR)

§User Interface (RU)


Using the Help System

Navigation: User Interface >

Using the Help System

 Return to chapter overview

CADEditorX help is very useful, but to use it effectively you need to spend a little time learning how it is organized.

To call the help system press the icon [image] in the top right part of the program.

If you click on the black down directed arrow next to the icon you will see the drop down menu. The help menu consists of:

·Help -> CADEditorX Help... [F1 hotkey] menu item opens CADEditorX online help.

·Help -> Register CADEditorX menu item opens CADEditorX registration dialog box.

·Floating License Registration menu item calls 'Floating License' dialog.

·Check Updates allows setting auto checking for new versions.

·About calls About window.

The help system consists of several tabs: Table of contents, Index, Search and Bookmark.

To browse through the topics choose the tab Table of contents:

To open a chapter with the icon [image] and display the topics it contains click [image] on the left of the chapter icon. The icon will turn into the following one:

To display the contents of a topic click on the icon [image] .

You can search for some information using the Index tab or the Search tab. The results of the search are displayed as links below the search field. Click a link to display the topic. You can use special symbols to make your search query more successful. The symbol * replaces one or more characters in a word. Thus, frag* will find the topic Fragment. The symbol ? replaces one character in the word. The symbol "" with some text in between will find an exact phrase with the same words in the same order.


Overview

Navigation: User Interface >

Overview

 Return to chapter overview

CADEditorX has a wide range of features for work with drawings. This product enables the user to edit CAD files of popular DWG and DXF formats, view 3D models and raster images, print out and convert a file group etc. The following main features are included in the program:

§Viewing in 2D and 3D

§Measure 2D Drawings

§Measuring 3D Models

§Editing

§Markups to the Drawing

§Work with Drawing Fragments

§Conversion

§Print

§File Comparison


Viewing in 2D and 3D

Navigation: User Interface > Overview >

Viewing in 2D and 3D

 Return to chapter overview

The majority of raster and vector formats is supported. You can also view 3D image files of popular formats such as STEP, IGES, STL and others. The full list of import formats can be viewed in the section Supported Formats.

In CADEditorX a large number of tools for navigation through the drawing in the program window is provided. For example it is possible to change background color, hide text and dimensions etc. All viewing tools are situated in the tab "Viewer" for convenience. You can hide all other tabs and leave only the tab "Viewer" available. The full list of viewing features is presented in the section Viewer.

Image 1. The tab "Viewer" in 2D Wireframe viewing mode

Different display modes are available for viewing 3D models (see image 2).

Image 2. The tab "Viewer" in the viewing mode 3D Smooth shading


Editing

Navigation: User Interface > Overview >

Editing

 Return to chapter overview

CADEditorX provides a wide variety of editing tools for 2D drawings. You can add new entities, delete objects from the drawing, relocate, copy, change objects properties etc.

Image 3. Editing of a one-line text

The full list of drawing and editing commands can be found in the following sections:

· Drawing Tools

· Modifying Instruments

· Work with Blocks

· External Reference


Measuring 2D Drawings

Navigation: User Interface > Overview >

Measuring 2D Drawings

 Return to chapter overview

CADEditorX enables the user to measure the distance between two points, area and perimeter with the opportunity of quick and visual setting of a scale factor for measuring. The results of measuring are shown in the panel Measure and is duplicated in the command line history. Read more about measuring instruments in Measure.

How does it work?

For example it is necessary to measure missing dimensions in the drawing taking into account scale in which the drawing is implemented. It is convenient to use the function "Set size as" for this purpose. To calculate the drawing scale, at first the known distance should be measured as it is shown in the picture:

Image 4. Measuring of the known distance to calculate scale

Then in the panel "Measure" it is necessary to enter real value "500" in the field Set size as and press Enter. The scale factor value will be recounted and taken into account in further measurements.

Image 5. Input of a real value to calculate the scale factor

Implement measuring of the foundation base.

Image 6. Measuring of the drawing with the help of the calculated scale factor


Measuring 3D Models

Navigation: User Interface > Overview >

Measuring 3D Models

 Return to chapter overview

CADEditorX allows you not only to view 3D files and convert them to other file formats but also enables you to get information on 3D model parts, measure volume, distance and dimensions of the model parts. You can use the following tools:

·The Structure panel displays information about the selected object including its overall dimensions, volume, area etc.

·The Properties panel displays properties of the selected object of a 3D model.

·The Distance, Edge and Area measuring tools allows measuring distance between two points, height between two parallel surfaces, radius as well as face area.

General information on the selected object is displayed in the Structure and Properties panels. To get more detailed information you can use measuring tools located in the Viewer tab in the Measure group.

·How to get overall dimensions of a 3D model?

·How to get volume of the model part?

·How to measure length on STEP and IGES files?

·How to measure radius in STEP and IGES files?

·How to measure height?

·How to measure area?

How to get overall dimensions of a 3D model?

In STEP and IGES files objects of a 3D model can be united in groups. CADEditorX shows overall dimensions both for the face (surface) of the model part and for the group where it is included. To get the dimensions of the 3D model part do the following:

1. Run CADEditorX and open an IGES or STEP file.

2. If the Structure panel is not displayed, on the Viewer tab select the Structure command.

3. With the left mouse button click the model part overall dimensions of which you want to get. For example, you need to know dimensions of the bolt. Click it with the left mouse button on its visible part:

4. It can be observed in the Structure panel that not the whole model part but only the bolt face named Face_$BD09 is selected. To select all the elements included in the bolt structure select the parent element of this face in the Structure panel. It is convenient to use the full path to the object displayed above the object tree. In the given example the name of the parent object in the displayed path is as follows: BOLT_... . When you click it with the left mouse button, the objects included into this group will be highlighted in the drawing.

5. Dimensions of the selected model part are displayed in the Properties panel in the Box section. You can also view them in the bottom part of the Structure panel:

How to get volume of the model part?

To get volume of the whole 3D model do the following:

1.Run CADEditorX and open a 3D model.

2.In the Structure panel select with the left mouse button the group of elements volume of which you need to know. The selected group will be highlighted in the drawing.

3.In the bottom part of the Structure panel properties of the selected group of objects such as volume, area, center of mass and others are displayed. These parameters are also displayed in the Properties panel.

How to measure length in STEP and IGES files?

To measure distance between two points the Distance tool is used. If you need to know the edge length than you should use the Edge tool.

To get the edge length do the following:

1. On the Viewer tab in the Measure group select the Edge tool. After it the floating Measure panel opens. You can snap it to any border of the program window. In the Edge measuring mode edges of the 3D model are highlighted when you point them with the cursor.

2. Click with the left mouse button the edge the length of which you need to measure. The dimension will be added to the model and the Measure panel:

3. To hide the dimension uncheck the required dimension in the Measure panel.

4. To delete the dimension select it in the drawing with the left mouse button and press Delete or select the dimension in the Measure panel and select the Delete command in the context menu.

To get the distance between two points do the following:

1. On the Viewer tab in the Measure group select the Distance tool.

2. With the left mouse button select the first point. It will be highlighted.

3. With the left mouse button select the second point.

4. As a result the dimension will be added to the drawing and the Measure panel.

How to measure radius in STEP and IGES files?

To measure radius of a circle or a circular arc the Edge tool is used.

1. On the Viewer tab in the Measure tab select the Edge tool.

2. With the mouse cursor point the circular arc and select it with the left mouse button.

3. The radius value will be added to the model and the Measure panel.

How to measure height?

To measure height between two parallel surfaces the Distance tool is used.

1. On the Viewer tab in the Measure group select the Distance command.

2. With the left mouse button select a point on the first surface.

3. With the left mouse button select a point on the second surface.

4. As a result the height dimension will be added to the model and the Measure panel.

How to measure area?

To measure the surface area do the following:

1. On the Viewer tab in the Measure group select the Area command.

2. Move the cursor to the surface the area of which you need and click it with the left mouse button.

3. The measuring result will be displayed in the Measure panel:


Work with Drawing Fragments

Navigation: User Interface > Overview >

Work with Drawing Fragments

 Return to chapter overview

The instrument Fragment enables the user to select a rectangular part of the drawing and carry out the following operations:

·Copying of a part of the drawing to the clipboard in raster (BMP) as well as in vector (EMF) format.

·Saving of the selected area into DWG, DXF, PDF, JPEG and others.

·Printing of the selected area with the opportunity of multipage printing.

The command Fragment is available in the tab Viewer in the panel Tools.


Conversion

Navigation: User Interface > Overview >

Conversion

 Return to chapter overview

CADEditorX enables the user to convert one file or a group of files into another format. The user should create a list of files for conversion, specify settings and press Start. Any file of the supported format can be selected as an input file. Depending on the specified export format the corresponding settings group is activated in the section "Converter settings". Specified settings and list of files for conversion can be saved for further use.

More details about group of files conversion in the section Batch.

How to convert several files into PDF?

Carry out conversion of two DWG and one DXF into PDF. In the tab Output select the command Batch. In the opened dialog box "Batch" press the button Add file(s) and select files for conversion. Select PDF as the output format.

Image 7. Dialog box Batch

Settings for conversion into PDF are set in a separate window which opens after the button [Custom] is pressed. In the opened window set the Black/White color palette and set layout size in accordance with the specified layout settings as input files have DXF and DWG extension.

Image 8. Dialog box PDF Export options

At the end of conversion the report that can be saved will be shown.


Print

Navigation: User Interface > Overview >

Print

 Return to chapter overview

In CADEditorX print of the drawings can be implemented in several ways. All the opportunities of printing are presented in the section Conversion and Print. In this section we'll take a look at the most interesting of them:

Multipage Printing

Sometimes a need to print out a drawing of a bigger format arises but there is only a standard A4 printer. To solve this problem ABViewer has a special tool Multiple print ("mosaic" printing) available in the tab Output.

"Mosaic" printing enables the user to print out images to any number of pages of different format with the required scale. For example large images (A0, A1 etc.) can be divided into a large number of small units ready to the further patching into the whole leaf. Any element of the "mosaic" can be printed out independently from others. So, if one page turns out to be damaged (e.g. due to problems with the printer), you can print out repeatedly only this page.

More details on multiple printing.

Batch Print

CADEditorX enables the user to carry out printing of a group of files with the help of different output devices and different settings. This option is very convenient for work with a large number of files. At the first stage the list of files is created, then layouts for printing are selected, the output device and paper format are specified. Moreover, a separate output device can be specified for each page.

Image 9. Dialog box Batch Print

Printing settings are specified for each layout. There is an access to the parameters of layouts and layers. It is possible to turn on text and size visibility, adjust color scheme of the drawing. The carried out changes are not saved to the file. More details in the section Batch Print.


File Comparison

Navigation: User Interface > Overview >

File Comparison

 Return to chapter overview

CADEditorX has the embedded function for comparing drawing revisions and identification of their differences. This function helps to learn quickly how the source drawing has been changed.The comparison results are displayed in the graphic form in which all found changes are marked with a contrasting color. Only DWG and DXF formats can be compared.

How to compare two files?

In the ribbon tab Advanced it is necessary to select the command Compare files. Then the user selects files for comparison and specifies parameters according to which the comparison should be carried out.

Рисунок 10. Selecting of files for comparison and setting of comparison parameters

When the settings are specified it is needed to press the button Compare. As a result of comparison, changes, deleted or added objects will be displayed in a contrasting color. Source files are not changed.

Рисунок 11. Viewing of two files comparison results

On default the compared drawings are opened next to each other vertically. With the help of the button Horizontally in the window Comparison their location can be changed. Simultaneous change of scale is supported for more convenient viewing of changes. More details on the command in the section Compare Files.


Markups to the Drawing

Navigation: User Interface > Overview >

Markups to the Drawing

 Return to chapter overview

To add comments and notes to the loaded drawing there is a special mode Redline. In this mode the main drawing is presented as a bottom layer and is not edited. At the same time all the notes overlay the drawing. For convenience work with notes file can be presented in the following way:

All the editor instruments can be used to add commentaries. Comments are saved to a separate file and on default are loaded automatically after opening of the drawing. One main file can have a lot of comment files.

How to create a new Redline file?

To add comments to the opened file the user should switch to the mode Redline. To implement it it is needed to select the necessary mode from the list of modes in the top right corner of the program window:

A red frame will appear around the working area. It shows that the mode of Redline file editing is on in the program. It is impossible to change objects in the bottom layer file. If the red frame hasn't appeared, go to the tab Advanced and select the command New Redline.

To save the Redline file go to the tab Advanced and select the command Save Redline in the drop-down list Redline.


User Interface

Navigation: User Interface >

User Interface

 Return to chapter overview

In this chapter the main window is described: its user interface, the position of the main information panels, the modes of work. You can also find the information on the possibility of personalizing the interface by the user and creating your own ribbon.

·The Ribbon

The ribbon facilitates the search of commands and provides you with a quick access to all the instruments of the program without overloading the working space with toolbars. All the commands are grouped according to their functions and are situated in the corresponding tab. On default there are four tabs: File, Viewer, Editor and Advanced. There is a possibility of switching to a classical view of menus and panels.

·The Quick Access Panel

In the left upper corner you can see the quick access panel. It is a customizable panel for a quick access to the frequently used commands.

·Adjusting the Ribbon Stytle

This topic explains how to customize the ribbon and the quick access panel in the dialog box "Ribbon Editor".

·The Classical Menu

The classical menu is a classical representation of commands used in the previous versions.

·Floating Panels

Floating panels are information panels, providing quick access to editing the element's properties, opening a file etc.

·Working with Sheets

This topic explains how to switch between the sheets of a multipage file, how to delete, add and rename them.

·The Status Bar

The status bar is an information bar which shows the current state of the drawing and provides access to backup modes of drawing

·Modes of Work

CADEditorX can work in three modes: Viewer, Editor and Redline.


Ribbon

Navigation: User Interface > User Interface >

Ribbon

 Return to chapter overview

The ribbon is a panel containing a set of tabs with control elements grouped according to the functionality. The ribbon interface makes access to the commands easier, quicker and more convenient, helps to discover all the possibilities of the program. The ribbon is in the upper part of the screen. It is impossible to move it, but the ribbon can be minimized up to the tab names.

By default CADEditorX ribbon consists of four tabs: File tab, Viewer tab, Editor tab and Advanced tab. They can't be deleted or changed. The user can add new tabs with any commands. Tab names reflect the character of instruments they contain.

·File tab deals with managing files. It contains commands, performed over the files like creating a new one, opening an existing drawing, printing, saving, file information and so on.

·Viewer tab contains various tools for convenient viewing of files: positioning, measuring etc.

·Editor tab comprises tools for drawing and editing files. It is active in the modes Editor and Redline.

·Advanced Tab contains a group of commands Redline. They become active by switching to the mode Redline and allow to fulfill saving and loading the redline file as well as to manage the visibility of the markups of the current drawing. The commands from the group “Favorites“ allow to manage the list of favorite files. In addition to that this panel also has the commands for the access to the floating panels Favorites, Explorer and Properties.

To move in the ribbon you need only to click with the left mouse button on the needed tab and icon. To minimize the ribbon left click on the corresponding icon - [image] which is in the right top corner. Double left click on the tab name fulfills the same function. To return to the previous state click on the icon [image] . When the ribbon is minimized, menu is called by clicking on the tab name. After the cursor is moved to the working space, the tab will be minimized.

To call the help window press F1 or click on the help icon [image] . If you click on the black arrow on the right of the icon a drop down menu will appear. It will offer you to choose from a list of variants:

You can customize ribbon according to your needs and wishes.

To switch between the classical view of menus and ribbon style use the option Ribbon Menu Style in the tab Common of the dialog box Options.

Modes of work

Options. Common


Quick Access Panel

Navigation: User Interface > User Interface >

Quick Access Panel

 Return to chapter overview

Quick Access Panel makes the user's work easier and quicker. It allows to bring the most frequently used commands to a separate panel which is always on the top of the window left to the title of the program window. By default it contains 5 commands: New, [image] Open, [image] Save, [image] Undo, and [image] Redo. You can add or remove even default commands according to your needs. To do that press the down-directed arrow on the right of the last command in the quick access panel.

In the drop down menu choose Customize quick access panel. You will be always able to return to the default settings.


Customize Ribbon

Navigation: User Interface > User Interface >

Customize Ribbon

 Return to chapter overview

You can create user's tabs with a set of frequently used tools placing them at the top of the program window. You can also add and remove commands to/from the quick access panel. Customizing the ribbon and the quick access panel is performed in the dialog box Ribbon Editor. By pressing the the down-directed arrow to the right of the last command in the quick access panel you will see a drop-down menu. Select the element to customize.

You will see the dialog box called Ribbon Editor. In the right upper corner select ribbon or quick access panel in the list box depending on what you want to customize.

Depending on the choice of the object to be customized the corresponding elements are loaded. If the ribbon is edited you'll see the hierarchy Tab-Section-Tool. If you are customizing the quick access panel it is the commands, which it contains, that appear in the right field.

Default tabs and tools on them can't be edited or removed. In the list of current commands they are marked by the grey color. Tabs created by the user can be edited and deleted.

The buttons performing the function of adding a new tab or a new section are above the field of the current commands list in the right bottom corner of the current dialog box. They are Add tab and Add group. A tab is added to the end of the list. When creating a group you should preliminarily select the tab where you want it to be placed. The order of groups in the list can't be changed. It is also impossible to move them from one tab into another.

Commands are added to the earlier created groups. All the available tools are presented as a list in the left field of the dialog box Ribbon editor. This list is connected with the list of current commands by means of the buttons "Add', "Remove", "Rename", "Default". Meanwhile the element to be added is selected in the list of available commands and the panel where you wish to place the element is selected from the list of currents commands. You can change the position of the instruments, that were added to a group with the help of the mouse.

The section Button type allows to select the way the icon of the instrument will be displayed. By default, all the added commands will be displayed as small icons without text. The button type can be changed for the tools that have been already added, which are in the list of current commands. The button type can be changed only for the instruments that were added by the user. In the quick access panel only small buttons without text can be used, that is why these settings are not active while editing the list of instruments in the quick access panel.

Creating a Tab

1. In the dialog bow Ribbon editor press Add tab. A tab with the name "NewPage03" will be added.

2. Select this tab in the list of current commands with the left mouse button.

3. Press the button Rename and enter a new name, for example, "Custom" and press Enter.

4. Press the button Add group. A group with the name "NewToolBar" will be added to the tab "Custom".

5. Select the group "NewToolBar" with the left mouse button.

6. Press the button Rename and enter a name, for example, "Editing". Confirm the change by pressing Enter.

7. Add two more groups to the tab "Custom" and rename them as "Measure" and "Color" correspondingly.

8. Select the group "Editing" with the left mouse button.

9. Find the command Paste in the list of available commands, which is in the left part of the dialog box Ribbon editor and left mouse click on it

10. Press the button Add. The command "Paste" will be added to the panel "Editing".

11. Add the commands Paste as block and Purge to the tab "Editing" in the same way.

12. Select the group "Measure" with the left mouse button and add the commands Area, Distance and Polyline length to it.

13 Add the commands B/W Drawing and Black background to the toolbar "Color".

14. Press Apply to save the changes.

Changing the button type on the tab.

1.Select the command the icon of which you want to change in the list of current commands of the tab to be edited (i.e. the tab that was created by the user) with the help of the left mouse button. After that the section Button type will become active.

2.Choose the necessary button type for the chosen command:

·Large. The display of the command in the ribbon is performed with the help of a large button with text.

·No text. The command is displayed in the ribbon as a small button without text.

·With text. The command is displayed in the ribbon as a small button with text.

3. Press Apply.

Ribbon

Quick Access Panel


Classical Menu

Navigation: User Interface > User Interface >

Classical Menu

 Return to chapter overview

The term classical menu stands for the organization of all the instruments as a drop down menu and toolbars. It was used in the earlier versions of the program.

In the classical menu of CADEditorX the position of toolbars and the set of commands in them can be set by the user. To move a panel place the cursor to its left border. Move the toolbar to a needed position holding the left mouse button pressed. To hide or show the command on the toolbar place the cursor to its right border and press the down directed arrow. In the drop down list you'll see al the available in this toolbar commands. The tick opposite to the command means that it is added to the toolbar. Unchecking removes the button from the toolbar.

In order to switch to the classical menu select File -> Options or use the hotkey Ctrl+Shift+F11. Choose the tab Common. In the bottom left corner uncheck the option Ribbon menu style and press OK.

The Classical menu consists of a toolbar and 9 tabs:

·File menu, dealing with managing files.

·Edit menu, containing editing tools.

·View menu allowing to change panels' and windows' settings.

·Favorites menu offering to change favorite files list settings.

·CAD Files Menu dealing with CAD files view and CAD files management settings.

·Draw menu helping to create new files.

·Tools menu comprising additional editing tools for CAD files.

·Window menu dealing with windows placement settings.

·Help menu containing additional information about CADEditorX.

To return to the Ribbon Style check the respective option in the Options window.


Floating Panels

Navigation: User Interface > User Interface >

Floating Panels

 Return to chapter overview

A floating panel (or a floating palette) is a window which is always on top of all the opened files in the program and contains useful information on the opened file or on the way to the files. The floating panels can be placed anywhere in the drawing field. They can be moved, minimized, united in one window, where they can be shown as tabs.

The panels are moved with the help of the mouse: place the cursor onto the panel's title and holding the left mouse button pressed move the panel to the place where you would like to see it. To fix a panel move it to one of the window edges. The area of the panel position will be marked with blue. After that release the mouse button.

To manage the panels quickly you can make use of the preset, which is available from the contextual menu of any panel. You can call the contextual menu by right clicking the mouse on the title of a panel.

Default panel position returns the position of the panels to the default one.

Tab panel position organizes the panels Properties, Explorer, Favorites in one window as tabs.

The docked floating panel can be minimized to a title. To do that press the button [image] in the right part of the title of the panel. It will look in the following way:

Interface comprises four floating panels: Properties, Explorer, Favorites and Measure. The Properties panel gives access to the properties of the currently selected entities and to the default properties which will be applied by default to each new entity created. The Explorer panel displays the hierarchical structure of drives, folders and files of supported formats on your computer. The Favorites panel enables you to get quick access to frequently used files. The Measure panel displays the measurements performed with the help of the tools Distance, Area and Polyline length.

By default the panels are placed in the left part of the drawing. They are dockable and resizable. Double click on the panel's title bar displays the panel in a separate window that you can position anywhere you like on your desktop.

Properties Panel

Explorer Panel

Favorites Panel

Measure Panel


Working with Layouts

Navigation: User Interface > User Interface >

Working with Layouts

 Return to chapter overview

CAD Files support working with additional sheets, which are stored in the drawing file itself. CADEditorX allows to open and view multi-sheet files in Hewlett-Packard HPGL and TIFF formats.

When a multi-sheet file is loaded a list of the additional sheets of the drawing is displayed in the bottom part of the program's working space. Switching between them is fulfilled with the left mouse click on the file's name. To see the full list of layouts of the current drawing click on the down directed arrow which is situated to the right.

The sheet Model is used for viewing and creating drawings. A model can be viewed with different display modes. When 3DS, ASE, B3D, BSP, GLA, GLM, GLSM, GLX, GTS, IGES, IGS, LMTS, LWO, MD2, MD3, MD5anim, MD5mesh, MDC, NMF, NURBS, OBJ, OBJF, OCT, PLY, PRJ, Q3BSP, SMD, STEP, STL, STP, TIN, VRML, WRL files are opened the program automatically switches to the 3D display mode. Viewing one-sheet files is performed in the model area by default. The Model sheet has a limitless area of drawing where it is recommended to draw in the scale "1:1". The Model sheet can't be deleted and renamed.

The Layout sheet also has a limitless area of drawing. Additional sheets are used to prepare the drawing for printing. In the area of the sheet the command "Viewport" becomes active. With the help of this command views of the model of the drawing or its part in different scales are added. It is impossible to view a 3D model in different modes on additional sheets.

By default a new drawing contains one sheet Model. The user can add, delete and rename additional sheets. By right clicking in the area of the sheets position calls a contextual menu with commands:

·New. Creates an additional sheet, which has one viewport by default. The sheet gets the name Layout with a number.

·Delete. Deletes the active sheet. The sheet Model can't be deleted.

·Rename. Calls the dialog box Rename. The sheet Model can't be renamed. Additional sheets can't have identical names.

· Edit plot settings. The command calls the dialog box Plot settings where plot settings for the current layout are specified. The specified parameters are saved to DWG and DXF files.

·Copy. Creates the layout copy saving settings and contents of the layout.

The name of a sheet can contain up to 255 symbols and can include letters, numbers, hyphens, spaces, break characters and dollar signs ($). It isn't allowed to use the symbols <>/":\?*.,=|' in the name of the sheet.

Adding, renaming and deleting additional sheets

1. Right click in the area of sheets position.

2. In the contextual menu choose the command New. A new sheet will be added at the end of the sheets list.

3. Right click on the name of the added sheet and select Rename in the contextual menu.

4. In the dialog box "Rename" enter a new name of the sheet, for example "Facade".

5. Press OK.

6. Right click on the name of the sheet ans select Delete in the contextual menu.

7. To confirm the deletion press Yes.

3D View

The Instrument ViewPort


Status Bar

Navigation: User Interface > User Interface >

Status Bar

 Return to chapter overview

Status bar is an information bar, which can't be relocated or hidden. It is always in the bottom part of the program and contains additional information and functionality:

·the name of the opened file

·its sequence number and the total number of files in the folder

·a block with additional modes of drawing

·coordinates under the mouse cursor

·dimensions of the active file (x;y;z).

The block with additional modes of drawing contains four buttons: Grid, Snap, Ortho and Polar tracking. A green tick over the button means that this mode is on. Switching the modes on/off is fulfilled with the help of the left mouse click.

Right click over one of the following [image] icons in the status bar calls the pop up window:

oPolar Tracking [F6] [image] switches polar tracking mode on or off.

oGrid [F7] [image] - switches grid on a drawing on or off.

oOrtho [F8] [image] - switches orthogonal drawing mode on or off.

oSnap [F9] [image] - switches snap mode on or off.

oOptions... - opens the respective tab of the Options dialog box which allows to change the parameters of the selected tool.

Options. Grid.

Options. Snap.


Modes

Navigation: User Interface > User Interface >

Modes

 Return to chapter overview

The modes of work of the program define the nature of the performed functions. Thus, the mode Redline is used to create markups and the mode Viewer is mostly used for viewing the files. CADEditorX can operate in 3 modes:

Viewer | This mode is used for viewing, printing and measuring the drawing elements. In this mode opening and viewing files is performed faster than in the mode Editor, as the functional of editing and adding entities is switched off.
Editor | This is the main mode of work, in which all the instruments of work with the drawing are available. Creating a new drawing is performed in this mode.
Redline | This is an additional mode of work, allowing to add markups for the current drawing without performing direct changes in the drawing.


Viewer

Navigation: User Interface > User Interface > Modes >

Viewer

 Return to chapter overview

In this mode CADEditorX provides most of its features and viewing options such as zoom, panning, 3D rotating changing background color etc. It is impossible to select an entity and view its properties. Opening and scrolling the drawing is performed faster in this mode than in the mode Editor, as the instruments of drawing and editing are off. Viewing the list of layers, making them invisible, changing their properties are provided.

In the Viewer mode CADEditorX provides the following features:

osaving;

obatch conversion ;

oprint preview;

obatch print ;

oprinting a part of an image;

omeasuring distance, polyline length and area in the drawing;

o3D views;

ocopying the image into the clipboard as BMP and EMF;

orotation, moving and scaling the drawing;

ofinding text and points on a drawing;

oviewing layers.

To switch to the mode Viewer in the ribbon press the button [image] in the top right corner and select Viewer from the list.

To switch to the mode Viewer in the classical CADEditorX menu choose Tools > Mode > Viewer or select Viewer in the drop down list on the toolbar Mode.


Editor

Navigation: User Interface > User Interface > Modes >

Editor

 Return to chapter overview

Editor is the main mode for CADEditorX, in which editing CAD drawings is fulfilled. In this mode of CADEditorX you can use all the features of the Viewer mode. It is also possible to create new files and then save them into AutoCAD DXF. The instruments characteristic of this mode are situated in the tab Editor of the ribbon.

To switch to the mode Editor in the ribbon press the button [image] in the top right corner and choose Editor from the list.

To switch to the mode Editor in the classical CADEditorX menu choose Tools > Mode > Editor or select Editor in the drop down list on the toolbar Mode.


Redline

Navigation: User Interface > User Interface > Modes >

Redline

Return to chapter overview

Redline is an auxiliary mode for CADEditorX. It allows creating, editing and saving markups that overlay the current CAD file. These markups contain marks, notes etc. made by the user. The main drawing is unavailable for editing, it is possible only to scale and to scroll it.

In the Redline mode all the instruments of drawing and editing are available, snap to the elements of the main drawing is active. There is no access to the list of layers of the main drawing in the mode Redline, only the layers used in the file of markups are shown. Markups are saved in a separate DXF file, which is overlaid over the main drawing.

The commands over the redline files available in the Redline mode are situated under the tab Advanced > Redline.

oNew [image] creates a new Redline file. The work in the Redline mode always begins with pressing this button. After that the borders of the drawing area are marked with a red rectangle.

oLoad Redline [image] loads a previously saved Redline file. By default the Redline file consists of the file name with an addition "$$Model.DXF" in the end. This menu item opens the standard Open file dialog window. Redline markup file is a dxf file with a simple set of entities. Redline files are usually stored in a special folder which is created automatically.

oSave Redline [image] opens the standard Save As dialog box. The file can be saved into AutoCAD 200 DXF or AutoCAD 204 DXF. The name of the Redline markup file for saving consists by default of the name of current CAD file and an addition "$$Model.dxf". For example, the name of the Redline file containing markups for "Test.dxf" file will be "Test.$$Model.dxf" by default. It is not recommended to change the default name of the Redline file. CADEditorX loads Redline markup automatically for every opened CAD file. If Redline markup name was changed during the saving procedure, the application may fail to load the markup automatically afterward. It will be necessary to load the Redline file with an altered name manually using Load Redline button.

oHide Redline [Ctrl + H] [image] hides/shows Redline markup over the drawing. If the Redline file was loaded earlier it is not closed when switching to another mode. This command also allows to view or hide markups in the Viewer and Editor modes.

To switch to the mode Redline in the ribbon press the button [image] in the top right corner and choose Redline from the list.

To switch to the mode Redline in the classical CADEditorX menu select Tools > Mode > Redline or select Redline in the drop down list on the toolbar Mode.

In the Redline mode the working area of the window will be marked with a red frame. When switching to the mode the two commands New and Load To start the work in the Redline mode you need to create a redline file or load an existing one with the help of the corresponding commands.

Note: In the classical CADEditorX menu the commands of managing redline files are situated on the toolbar Redline which is shown automatically after switching to this mode.


Viewing

Viewer

Navigation: User Interface >

Viewer

 Return to chapter overview

This chapter contains information about the features that are available on the Viewer tab and some other commands that are necessary for a convenient display but are not included to the tab.

For more details see the following chapters:

·Loading Files

Deals with the means of opening a drawing in CADEditorX and switching between the files in the current directory

·Data Display

Describes the variants of viewing drawings in CADEditorX, setting their visual display

·Getting Information

Tells about the means of getting information on the file itself, the structure, search through the file and measurements.

·Fragment

Describes the instrument for copying, printing and saving a part of an image to a file.

·Copy as BMP, EMF

Deals with copying an image or its part to the clipboard ad BMP or EMF.


Loading Files

Navigation: User Interface > Viewer >

Loading Files

 Return to chapter overview

CADEditorX allows to open several drawings for viewing in one session of the program. All the opened drawings are placed in the tabs, they can also be arranged in a corresponding way with the help of the commands on the tab Advanced in the section Window.

The ways of opening a file in CADEditorX

·Left double click on the name of the drawing in the Windows Explorer. The program will be started and then the drawing will open. If the program is already started the drawing will open in the current window. This way of opening files in CADEditorX is ppossible only under condition that the corresponding associations for the files are set in the settings of the program.

·Drag the drawing or a group of drawings from the WIndows Explorer into the program window using the left mouse button.

·Use the command Open on the tab File or click on the icon [image] in the quick access panel. This activates the standard Open dialog box.

·Use the panel Explorer intergrated in CADEditorX for searching for the files and opening them.

·Use Favorites Panel to open files earlier added to the favorites.

·To open recently loaded files use the Last files list.

To learn how switch between files in the folder quickly and easily see the topic Navigation between Files.

If you want to reload a file choose the corresponding option.

Setting Associations

Arranging the windows of the opened files


Open

Navigation: User Interface > Viewer > Loading Files >

Open

 Return to chapter overview

The Open button activates the standard Open dialog box.

Quick Access Panel:

Ribbon: File -> Open

Menu: File -> Open

Hotkey: Ctrl+O

Please, specify the path to the file in the dialog box. It is possible to preview the drawing - check the option Preview active under the area of preview, which is in the right part of the window. The dialog box Open allows to open several files simultaneously with the help of holding the keys Ctrl and Shift pressed.

The opened file is automatically added to the list of Last files.

Supported CAD Formats

Supported Raster and Vector Images


Import PDF/EMF

Navigation: User Interface > Viewer > Loading Files >

Import PDF/EMF

 Return to chapter overview

Ribbon: File -> Import PDF/EMF

Menu: File -> Import PDF/EMF

The command opens PDF, EMF and WMF files as vector ones for further editing of the objects, viewing their properties or saving to another file format. The import result can be slightly different from the source drawing as objects of the source file are converted into the objects of the DXF file format. The Import PDF/EMF command differs from the Open command because when PDF, WMF or EMF files are just opened, there is no opportunity to edit them.

Import of multipage files (for example PDF files with a large number of pages) can take a lot of time. That is why it is recommended to use the Page to CAD command conversion of single pages. To import layers from the PDF file it is necessary to turn on the Layers option.

To open a PDF file for further editing fo the following:

1.On the File tab select the Import PDF/EMF command.

2.In the standard dialog window select the PDF file for importing and click the Open button.

Please note! Import in vector format can take a lot of time depending on the file size and the number of pages.

3.When importing is over the user gets access to editing of entities such as lines, polylines, arcs, ellipses, splines etc. To import layers from the PDF file turn on the Layers option in the Options window in the Loading/Saving tab. Please pay attention to the fact that it will increase the time of conversion.

Note: to increase the speed of importing and to decrease the size of the output DWG/DXF file it is recommended to turn off the Entities filling option in the Loading/Saving settings. Thus objects will be imported without filling.

Page to CAD

Loading/Saving settings


Reload

Navigation: User Interface > Viewer > Loading Files >

Reload

 Return to chapter overview

The Reload File button allows reloading the current file.

Quick Access Panel:

Ribbon: File -> Reload file

Menu: File -> Reload file

Hotkey: Ctrl+R

If the file was changed in another program and you want the changes to be reflected in CADEditorX, make use of this command. If any changes in the drawing were performed in CADEditorX there will appear a pop up window offering to confirm saving the changes.


Last Files

Navigation: User Interface > Viewer > Loading Files >

Last Files

 Return to chapter overview

The Last files menu option gives access to the list of recently opened files (up to 30 entries).

Ribbon: File -> Last files

Menu: File -> Last files

To open any of them just left click on its name or use the command Open from the context menu. It is impossible to remove the file from the Last files or to clear the list.


Navigation between Files

Navigation: User Interface > Viewer > Loading Files >

Navigation between Files

 Return to chapter overview

CADEditorX has a group of tools which provide fast navigation in the Last files list and in the current folder. The commands are on the Viewer tab in the section Browse. In the classical CADEditorX menu the commands are available from the menu View.

Icon | Key | Description
 | PageUp | Previous File in Directory. The command opens the previous file in the current folder. Switching between the files is performed in the folder, where the opened file is located. If no files are opened the command is unavailable.
 | PageDown | Next File in Directory. The command opens the next file in the current folder. Switching between the files is performed in the folder, where the opened file is located. If no files are opened the command is unavailable.
 |  | Backward. The command opens the previous file from the Last Files list.
 |  | Forward. The command opens the next file from the Last Files list

Last Files List


Explorer

Navigation: User Interface > Viewer > Loading Files >

Explorer

 Return to chapter overview

The Explorer function allows to show or hide the panel Explorer.

Quick Access Panel:

Ribbon: Advanced -> Window -> Explorer

Menu: View -> Explorer

It is a dockable, resizable window that displays the hierarchical structure of drives, folders and files of supported formats on your computer. It also shows any network drives that have been mapped to drive letters on your computer. To open file from the Explorer panel, simply double-click on its name. Files are sorted by name in the order of ANSI coding. Right click over the name of the file calls the contextual menu, which has two commands:

Properties. Calls the window "File Information" for the file, the contextual menu for which was called. The window has two tabs: File and CAD Image. Under the tab File you will see the name, the path, the size, the date of creation and modification of the file. Under the tab CAD Image one can find information about the number of entities, current text and dimension style and some others. It is not necessary to load the file in the program window.

Refresh. Refreshes the contents of the directory, which contains the file, displaying all the changes in the tree. The command Refresh from the contextual menu of a folder refreshes the contents of this folder.

Managing the floating panels

The window "File Information"


Favorites

Navigation: User Interface > Viewer > Loading Files >

Favorites

 Return to chapter overview

Favorites are made to provide you with a quick access to frequently used files. The user can form a list for batch from the favorite list. The files added to the list become bookmarked. So, you won't need to enter the whole path to open them, you'll only click on them in a special panel.

·Favorites Panel

Contains a list of favorite files. It allows to open them in the program window and form the list for batch.

·Managing the Favorites List

Contains commands for managing the Favorites list and access to them.


Favorites Panel

Navigation: User Interface > Viewer > Loading Files > Favorites >

Favorites Panel

 Return to chapter overview

The Favorites button shows or hides the panel Favorites.

Quick Access Panel:

Ribbon: Advanced -> Window -> Favorites

Menu: View -> Favorites

The Favorites panel displays the list of favorite files, allows to open them in the program window and make a selection for sending files to batch. By default the Favorites panel is located in the bottom left corner of the application. It is a dockable, resizable window. To move it left-click the mouse on the heading of the panel and holding the button pressed move the panel with the mouse to any place you like. To fix the panel at the edge of the window move the panel in the corresponding direction until you see a part of the window highlighted with blue. Release the button.

The Favorites Panel contains a list of supported files that interest you. It shows the name of the file and the path to it. The name of the file is specified by the user and doesn't affect the file name in the directory. If a file was moved to another folder, the path in the list will remain the same. To open it correctly after moving it is necessary to update the path to it in the favorites list. Double-click on the necessary file in the Favorites panel to open it in the drawing field.

The last added file is marked by red.

You can set the style of favorites so that it is similar to the bookmarks in Internet Explorer (TM). In this case the name of the file in the list will be underlined when the cursor points at it and the drawing will open by a single click on it. You can set the Favorites Style in the dialog box Options under the tab Common.

Managing the Favorites List

Managing Floating Panels

Supported Formats

Options. Common Tab.


Managing the Favorites List

Navigation: User Interface > Viewer > Loading Files > Favorites >

Managing the Favorites List

 Return to chapter overview

The commands allowing to manage the favorites list are available in the tab Advanced > panel Favorites > drop-down list Favorites. This list of commands is the same as in the contextual menu of the panel Favorites which is called when you click the right mouse button on a file in the Favorites panel.

Adding Files to the Favorites List

Adding files is fulfilled with the help of the commands from the list Favorites on the Advanced tab or with the help with the commands from the contextual menu of the Favorites panel:

Add current [F2] - adds the currently open file to the Favorites list with the current name. Hotkey F2 is supported.

Add files - offers you to select and add one or several files to the Favorites list. It opens the standard dialog box Open, where the files to add should be selected and then the button Open should be pressed. You can select several files using Ctrl and Shift.

Add all Files in Folder - allows you to add all the supported files from the folder to the Favorites list. It opens the standard Select Folder dialog box where all the folders on the computer are listed as a tree structure. Specify the folder the fies from which you wish to add to the favorites list and press OK. The Favorites panel will contain all the supported files from the specified folder.

Setting the automatic adding of all the opened files to the favorites list can be performed in the dialog box Options under the tab Common.

Removing Files from the Favorites List

Removing files from the Favorites list is fulfilled with the help of the commands from the Favorites list on the Advanced tab or with the help with the commands from the contextual menu of the Favorites panel:

Delete [Del] - removes the selected files from the Favorites list. Hotkey Del is supported.

Delete All - removes all the files from the Favorites list.

While removing the file from the favorites list only the link is deleted, the file itself stays untouched.

Conversion and print fron the Favorites Panel

You can form a list for conversion and print from the Favorites list. To do that select the files for manipulation with the help of the keys Ctrl and Shift and use the command Send to Batch or Send to Batch Print.

Send to Batch - calls Batch dialog and fills a list of files to be converted with the files contained in the Favorites panel.

Send to Batch Print - calls Print Preview dialog for batch printing and fills its file list with files contained in the Favorites panel.

Properties

The command Properties... is available if any file in Favorites list is selected. It calls the dialog box Properties, where the name of the selected bookmark and the path to it are stated. The Name here coincides by default with the name of the file, but you can change it the way you need. The Name you enter here will only be stored in the favorites, whereas the file itself on the disc will retain the original name.The path isn't linked with the name of the bookmark. To enter the path you can use the keyboard or the standard dialog box Open which is called by clicking on the button [...] opposite to the path.

The Favorites Panel

Supported Formats

Managing floating panels

Options. The Tab Common


Data Display

Navigation: User Interface > Viewer >

Data Display

 Return to chapter overview

This chapter includes information on the ways of presentation and viewing drawings in CADEditorX, their positioning in the window of the program, setting the color scheme and the choice of the display modes of a 3D model of the drawing:

External CAD viewer (Run AutoCAD)

Opens the current drawing in AutoCAD or DWGTrueView from the program window.

·Switching between the opened files

Contains commands for a fast switching between the opened files and their arrangement in the program window.

·Viewing Parameters

Sets the display of the image in the program window: changing the color scheme, hiding dimensions, texts and lineweights in the drawing

·Positioning of the drawing

Scaling, rotation and 3D viewing.


External CAD Viewer

Navigation: User Interface > Viewer > Data Display >

External CAD Viewer

 Return to chapter overview

The Run AutoCAD button allows to open the currently loaded DWG or DXF file with AutoCAD or DWGTrueView installed on the computer.

Quick Access Panel:

Ribbon: Viewer -> Browse -> Run AutoCAD


Switching between the opened files

Navigation: User Interface > Viewer > Data Display >

Switching between the opened files

 Return to chapter overview

All the opened files are located like bookmarks under the ribbon. To switch between the opened files select the name of the file with the left mouse button. To switch between the files you can also use the combination Ctrl+Tab or Ctrl+Shift+Tab or the group of commands Switch window in the Advanced tab in the Window section.

Ctrl+Tab | Allows switching between the opened files. Switches to the previous opened file.
Ctrl+Shift+Tab | Allows switching between the opened files. Switches to the next opened file.
Switch window | Displays the list of loaded in the program window files. There is a tick opposite to the name of the current file. Allows switching to the selected window.

To arrange the windows in the working area quickly and conveniently there is a group of commands Windows position, which is available from the section Window of the Advanced tab.

Cascade | arranges the windows cascading.
Tile Horizontally | arranges the windows vertically stacked.
Tile Vertically | arranges the windows side by side
Minimize all | hides all the windows.
Arrange | arranges windows.
Full Screen | shows the window in its full size
Ctrl + W | closes the active window.


Visualization Parameters

Navigation: User Interface > Viewer > Data Display >

Visualization Parameters

 Return to chapter overview

This section concerns different options that provide better visualization, but don't change the parameters of the file. Default settings of the visualization parameters, which are not available through the ribbon are performed in the dialog box Options under the tab Visualization.

·Trim raster

Cuts off the white borders around raster images.

·The color scheme of the drawing

Sets the background color and switches the color scheme of the elements of the drawing

·Show/hide

Shows or hides some elements of the drawing while viewing like lineweight, measurements or text.


Trim Raster

Navigation: User Interface > Viewer > Data Display > Visualization Parameters >

Trim Raster

 Return to chapter overview

The Trim raster button cuts off the white borders around raster images.

Quick Access Panel:

Ribbon: Viewer -> Tools -> Trim raster

Menu: Edit -> Trim raster

This feature can be useful when you have to print a scanned drawing. In the below examples the image is displayed against the black background.

Before using Trim Raster:

After using Trim Raster:


Color Scheme

Navigation: User Interface > Viewer > Data Display > Visualization Parameters >

Color Scheme

 Return to chapter overview

CADEditorX has a group of commands allowing to change the color scheme of the drawing and the background color. By default after installing the program all the drawing are opened against the white background in a color mode. Changing these settings is saved even after closing the program.

Commands in the Ribbon

· [image] The B/W drawing button (Viewer tab-> CAD Image) redraws loaded CAD file in black and white (when the button is on) or with all available colors (when the button is off). The mode is useful when it is necessary to print the drawing with a black and white printer. This will fulfill the operation without distorting the lineweight and intensity of the color.

· [image] The Black Background button (Viewer tab-> CAD Image) displays the CAD file on the black background with white default color for entities.

· [image] The Background Color button (Viewer tab-> CAD Image) allows defining a custom color of the background. Selecting the command calls the standard dialog box Color where the color is chosen.

Commands in the Classical Menu

The commands can be found under the menu CAD files and the toolbar CAD files.

· [image] The Draw all colors command redraws loaded CAD file with all available colors.

· [image] The Draw in black command redraws loaded CAD file in Black-and-White mode. Advice: use Black-and-White mode for printing if you use Black-and-White printer and want to have all the lines with the same width and intensity.

· [image] The Custom Background command draws CAD file on the custom background with black default color for entities. To choose the custom background use CAD files -> Change Background Color menu command.

· [image] The Black Background and White entities by default command displays the CAD file on the black background with White default color for entities.

· [image] The Change Background Color command allows defining a custom color of the background.


Show/Hide

Navigation: User Interface > Viewer > Data Display > Visualization Parameters >

Show/Hide

 Return to chapter overview

The group of elements in the section Hide of the Viewer tab enables you to hide and show lineweight, measurements and text and show objects like sequences of short lines or using bent lines.

The Arcs Splitted button (Viewer tab -> CAD Image -> Arcs Splitted) causes drawing of all arcs and circles in the loaded CAD file as a sequence of short lines. Deactivating this button (releasing) causes drawing of the most of arcs and circles in the image by means of Windows GDI functions like Ellipse, Arc, etc., not linearized, that implies some inaccuracy in the drawings display. Dotted arcs and circles are always linearized.

The Show Measurements button (Viewer tab -> Hide -> Show Dimensions) shows or hides dimension lines on the loaded CAD file.

The Show Texts button (Viewer tab -> Hide -> Show Texts) shows or hides texts on the loaded CAD file.

The Show Lineweight button (Viewer tab -> Hide -> Show Lineweight) causes drawing of the all image lines with their real weight. Deactivating this button (releasing) causes drawing of the all image lines with one pixel weight. The scale of the lineweight display is set in the tab Visualization of the dialog box Options.


Positioning of the drawing

Navigation: User Interface > Viewer > Data Display >

Positioning of the drawing

 Return to chapter overview

This section describes the means of positioning a drawing in the program window, changing scales, rotation in a two- and three-dimensional coordinate system, the instruments of 3D view.

·Zoom

Changing the scale of the drawing display with the help of the mouse, the keyboard and the commands in the ribbon.

·Rotation

Rotating the image by a certain angle along the axes X, Y, Z. It is possible to set a custom angle.

·3D View

Calling the 3D Orbit axis to rotate the model in the gnomon freely, a quick access to the list of orthogonal and isometric views the choice of the mode of the 3D model display.


Zoom

Navigation: User Interface > Viewer > Data Display > Positioning of the drawing >

Zoom

 Return to chapter overview

The keyboard, the mouse pointing device, context menu commands and commands situated in the ribbon menu are used to enlarge or reduce the display of the loaded file

Instruments in the context menu

Show. The option is available in the context menu after object selection. It centres and inserts the modifies objects to the size of the progreamme display area with the saved proportions. The context menu is opened by the right mouse button click.

Instruments in the ribbon and classic menu

After loading, the image is automatically scaled to fit the window size. You can change the displayed image size using zoom commands.

The instruments of zoom are presented in the section Position of the Viewer tab. In the classical CADEditorX menu they can be found under the menu View and the Standard toolbar. Apart from that, scaling can be fulfilled with the help of the mouse and keyboard.

· [image] Rect Zooming - allows zooming by selecting rectangle on the image with the mouse. You can select a rectangular area of the image using the tool Rect Zooming by left-clicking on the starting point and dragging to the end-point of the rectangle. After the button is released, the image will be zoomed so that the selected area fits the window size.

· [image] Zoom In (+) enlarges the display of the whole image. By clicking on the black down directed arrow next to the button you can select the zoom mode: normal zoom or fine zoom. Fine zoom allows to zoom in continuously. You can also use "+" key for normal zoom in and Ctrl + Mouse wheel Up for fine zoom in.

· [image] Zoom Out (-) reduces the image. By clicking on the black down directed arrow next to the button you can select the zoom mode: normal zoom or fine zoom. Fine zoom allows to zoom out continuously. You can also use the "-" key for normal zoom out and Ctrl + Mouse wheel down for fine zoom out.

· [image] Zoom Undo [Ctrl + U] turns the image to the previous zoom size (if available).

· ico_fit to window The Fit Drawing to Window button reduces or enlarges the image to fit the window. Double-click on the mouse wheel executes the same action.

Using the mouse to scale the drawing

You can use the mouse wheel to change the scale of the drawing. In this case, the mouse cursor points to the "central" point, around which the drawing will be scaled.

To get use of the Rect Zoom press Alt and make a rectangle selection with the mouse thus, the corresponding scale will be applied to a current drawing.

The mouse wheel can be also used to change the scale of the drawing. The mouse cursor points to the "central" point, around which the drawing will be scaled. Double mouse wheel click in the view area work similarly to the command Fit drawing to window.


Rotation

Navigation: User Interface > Viewer > Data Display > Positioning of the drawing >

Rotation

 Return to chapter overview

In CADEditorX a drawing can be rotated in all the planes of the gnomon regardless of the fact if a two-dimensional drawing was opened or a three dimensional one. Rotation by a certain angle is performed with the help of the commands in the ribbon or with the help of the keyboard. Free rotation of the model is fulfilled with the help of the 3D Orbit axis and the left mouse button. You can set an angle of rotation at the opening for HPGL/2 files. This setting is available on the Tab Visualization of the dialog box Options.

The instruments are located in the section Position of the tab Viewer. In the classical CADEditorX menu they are situated in the menu View and in the toolbar Rotation.

·Press Rotate Counterclockwise [Ctrl + Left] [image] and counterclockwise rotation by 90 degrees along the axis Z occurs.

·Press Rotate Clockwise [Ctrl + Right] [image] and clockwise rotation by 90 degrees along the axis Z occurs.

·Press Rotate by Angle ico_rotate by angle and the 'Rotate by Angle' window will appear where the user can enter a value in degrees for rotation.

Note: Rotate by Angle is available for CAD files only.

Set Hide window after proceeding option inactive to leave Rotate by Angle dialog on the top.

Press Rotate button to apply changes.

A positive value of the angle rotates the image along the specified axis counterclockwise. The directions of the axes and rotation are shown on the picture below:

To undo the rotation and return to the initial view of the drawing use the command 3D Orbit [image] , press the down directed arrow and choose Initial view from the drop down list.

3D Orbit

Options. Visualization.


3D Rotation

Navigation: User Interface > Viewer > Data Display > Positioning of the drawing >

3D Rotation

 Return to chapter overview

To View models of 3D images in the working area of CADEditorX the command 3D Orbit is used. It is available in the section Position of the Viewer tab and provides acces to the list of standard isometric views, the settings of model display and allows to activate the 3D Orbit axis for free rotation of the image model.

·3D Orbit

Allows to activate the 3D Orbit axis to rotates the model of a drawing in the gnomon.

·3D Views

Gives quick access to the list if standard orthogonal and isometric views.

·Display Modes

Provides the change of the display mode of the 3D model of a drawing in DWG and DXF files.


3D Orbit

Navigation: User Interface > Viewer > Data Display > Positioning of the drawing > 3D Rotation >

3D Orbit

 Return to chapter overview

3D Orbit allows to rotate the drawing the way you need, provides you with a set of standard orthogonal and isometric views.

Quick Access Panel:

Ribbon: Viewer -> Position -> 3D Orbit

Menu: CAD files -> 3D Orbit

It switches the program to the mode of 3D display. The option 3D Orbit is available for CAD format files. The green circle around the drawing shows that the 3D Orbit tool is on. Use the mouse to rotate the drawing the way you need. Rotation is fulfilled with the help of the left mouse button. Depending on the position of the cursor relative to the 3D Orbit axis, the image can be rotated in the three axes simultaneously or relative to one of them.

Rotation along the X axis

To rotate along the X axis the mouse cursor must be pointed at one of the vertical markers of the 3D Orbit axis and holding the left mouse button pressed fulfill the rotation.

Rotation along the Y axis

To rotate along the Y axis the mouse cursor must be pointed at one of the horizontal markers of the 3D Orbit axis and holding the left mouse button pressed fulfill the rotation.

Rotation along the Z axis

To rotate along the Z axis the mouse cursor must be pointed outside 3D Orbit. After the cursor changes its form fulfill the rotation holding the left mouse button pressed.

Rotation in all the planes

Rotation in all the planes is possible when the cursor is located inside the 3D Orbit borders. After the cursor changes its form fulfill the rotation holding the left mouse button pressed.

Rotation by angle

3D Views


3D Views

Navigation: User Interface > Viewer > Data Display > Positioning of the drawing > 3D Rotation >

3D Views

 Return to chapter overview

Quick Access Panel:

Ribbon: Viewer -> Position -> 3D Orbit

Menu: CAD files -> 3D Views

Pressing the arrow on the right of the 3D Orbit button opens a list of orthogonal and isometric views. These views will allow you to change 'viewpoints' from which the drawing will be shown.

Orthogonal and isometric views:

Note: this option is available only if a CAD format file is loaded.

The choice of a view from the list changes the direction of the viewing camera on the current sheet according to the position of the drawing in the gnomon. The command Initial View returns to the initial position of the viewing camera, cancelling the fulfilled rotation.

Rotation by angle

3D Orbit


hi

Display Modes

Navigation: User Interface > Viewer > Data Display > Positioning of the drawing > 3D Rotation >

Display Modes

 Return to chapter overview

CADEditorX supports several display modes of a 3D model for DWG and DXF files.

Quick Access Panel:

Ribbon: Viewer -> Position -> 3D Orbit

Menu: CAD files -> 3D Views

3D image display is performed by means of OpenGL. The choice of the mode is fulfilled from the drop down list which is available after clicking on the black down directed arrow of the command 3D Orbit.

By default the mode 2D Wireframe is chosen.When one of the 3D model display modes is set the mode of work is switched to Viewer and the axis 3D Orbit appears. The contextual menu of the view area in which the commands "Camera Style" and "Display Mode" become available is changed. The is no access to the entities and editing of the drawing in 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading, but the export to raster formats and metafiles is available.

Note: 3DS, ASE, B3D, BSP, GLA, GLM, GLSM, GLX, GTS, IGES, IGS, LMTS, LWO, MD2, MD3, MD5anim, MD5mesh, MDC, NMF, NURBS, OBJ, OBJF, OCT, PLY, PRJ, Q3BSP, SMD, STEP, STL, STP, TIN, VRML, WRL files are automatically opened in 3D Smooth shading mode. It is impossible to change the display mode for them.

Camera style

Camera style offers two projections:

·Perspective – the view shows the drawing in perspective. The perspective image is characterized by the distance between the object and a fixed point of view (or a camera) and presupposes a single point of coming together at the horizon. So, the objects become smaller proportionally as they are moved away from the foreground.

·Orthogonal – all the drawing points are projected parallel to the screen. Parallel lines of the image are shown as parallels, the point of their coming together is in the infinity. So, the model is shown in all the coordinate axes without distortion.

By default the orthogonal style is set. After the shutdown of the program the last chosen style is memorized.

Setting the Camera style is available through the contextual menu in the following display modes: 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading.

Orthogonal view: Perspective view:

Display mode

Four modes are available

·Smooth shading – the objects’ surfaces are colored and displayed with transition between light and dark.

·Flat shading – the objects’ surfaces are colored, but presented without the transition between light and dark. This helps to display the surfaces more exactly.

·Hidden lines – the drawing shows the edges on closer surfaces as lines and splines, whereas the elements on ‘hidden’ surfaces (background) are not visible.

·Wireframe – the objects are displayed as a wireframe consisting of lines and splines (as edges of surfaces and objects).

Smooth shading: Flat shading:

Hidden lines: Wire frame:


Pan

Navigation: User Interface > Viewer > Data Display > Positioning of the drawing >

Pan

 Return to chapter overview

Quick Access Panel:

Ribbon: Viewer -> Position -> Pan

Menu: View -> Pan

Command: Pan

The command is used to pan the drawing within the program working area.

1.Click [image] icon in the ribbon or in the toolbar.

2.Move the cursor to the program working area.

3.Press and hold the left mouth button.

4.Move the mouse cursor.

Note: the drawing can be also panned with the help of the right mouse button, the mouse scroll and the scrollbar below and on the right of the program working area.

Zoom

Rotation


Getting Information

Navigation: User Interface > Viewer >

Getting Information

 Return to chapter overview

According to the type of needed information CADEditorX has various methods and instruments of getting it. In this chapter you'll find information on the ways of getting information directly from the drawing.

·File Information

Getting information about the current file: the path to the file, the date of creation and changing and so on. For CAD files it contains information about the version of the format, active text and dimension styles etc.

·2D Structure

Viewing of the active file contents as a tree-like structure.

·3D Structure

Viewing of the active file contents as a tree-like structure. Allows turning on/off elements visibility, provides the user with information on both each object and the group of objects.

·Search through the Drawing

Commands for the quick search for a certain textual information according to given criteria or secrch for a point with given coordinates.

·Measuring in 2D

A group of tools for measuring drawing elements in the 2D mode. Allows measuring distance, area, perimeter and angles.

·Measuring in 3D

A group of tools for measuring in the following display modes: 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading. Allows measuring the distance between two points, radius, area and overall dimensions of the surface in the XYZ space.


File Information

Navigation: User Interface > Viewer > Getting Information >

File Information

 Return to chapter overview

The File Information option (File Tab -> File Information or the hotkey Alt+I) activates the File information dialog box containing information about the file and its contents. It comprises the name of the file, the path, its size, the time of creation and modification if any and measurements.

Quick Access Panel:

Ribbon: File -> File Information

Menu: File -> File Information

Hotkey: Alt+I

Depending on the file format the dialog window contains one or two tabs. The tab File is always present and displays the name of the file the full path to it, its size in bytes and kilobytes, the date of creation and last modification and dimensions along the axes X, Y.

For CAD files the second tab CAD files is available. This tab contains more detailed information on the file: the version of the file, the code page, the active layer and line type; the active text and dimension styles, the amount of tables, blocks and entities.

For 3D image files the dialog box "File Information" contains only one tab File.

For raster files and metafiles the tab Image is available. The information lines differ according to the format of the loaded image.

Note: The dialog box File Information can be called for a file from the context menu of the panel Explorer without loading it into the program window.

The Panel Explorer


2D Structure

Navigation: User Interface > Viewer > Getting Information >

2D Structure

 Return to chapter overview

The Structure button allows to see the tree-structure of the current file's data.

Quick Access Panel:

Ribbon: Viewer -> CAD Image -> Structure

Menu: CAD files -> Structure

The command opens a floating panel :Structure" that enables the user to view the content of the current file as a tree-structure of the entities. The panel can be attached to any border of the program window and has two areas with data: Structure and Properties. They can be situated one under another or near each other; the commands [image] (horizontally) and [image] (vertically) are used for it.

Structure Sektion

This section shows the file content as a tree structure. To update the structure it is needed to press the button [image] at the top part of the window. The name of the selected entry and the path to it can be copied; the context menu is used for it. Search by entries of the tree structure is possible.

Context menu of the section Structure:

·Copy. It copies the name of the selected entry in the tree of objects.

·Copy full path. It copies the full path to the selected entry in the tree of objects.

·Find. It opens the dialog box Find that enables the user to find an entry by Name, Handle or Properties. You can use Ctrl+F key combination to open this dialog box.

·Find next (F3). It is used to move to the entry found next.

·Show entity. It includes the entity selected in the tree in the program working area if it is present in the drawing.

·Show in Browser. Opens file structure as XML in a browser window.

Properties Section

This section shows properties of the selected object in the section Structure.

Context menu of the section "Properties":

·Copy. It copies name and values of the specified properties into the clipboard.

·Copy selected properties Name. It copies names of the selected properties into the clipboard.

·Copy selected properties value. It copies values of the selected properties into the clipboard.

·Select all. Selection of all the properties.

·Unselect all. Deselection of all the properties.

·Activate filter. Shows or hides the filter line under the properties list. Filter line is used to filtrate properties by name.

·Show in Browser. Opens file structure as XML in a browser window.


3D Structure

Navigation: User Interface > Viewer > Getting Information >

3D Structure

 Return to chapter overview

Quick Access Panel:

Menu: CAD Files > Structure

Ribbon: Viewer > CAD Image > Structure

In 3D mode the panel Structure shows the drawing objects as a tree structure. The panel is used to select objects in the drawing, view their properties and also enables the user to control objects visibility. On default while switching to any of the 3D modes the panel is attached to the right border of the program window.

The panel Structure contains two areas with data: Structure and Properties. They can be situated one under another or near each other; the commands [image] (horizontally) and [image] (vertically) are used for it.

Structure Section

This section shows the file content as a tree structure. To update the structure it is needed to press the button [image] . The filter line for searching the entries in the tree of objects is situated in the bottom part of the panel.

Selection of objects and control of visibility

Selection of objects can be implemented directly in the tree of objects or in the drawing with the help of the left mouse button. To hide visibility of drawing surfaces untick the selected object in the tree of objects.

Context menu of the section Structure:

·Copy. It copies the name of the selected entry in the tree of objects.

·Copy full path. It copies the full path to the selected entry in the tree of objects.

·Find. It opens the dialog box Find that enables the user to find an entry by Name, Handle or Properties. You can use Ctrl+F key combination to open this dialog box.

·Find next (F3). It is used to move to the entry found next.

·Show entity. It includes the entity selected in the tree in the program working area if it is present in the drawing.

·Show in Browser. Opens file structure as XML in a browser window.

Properties Section

This section shows properties of the selected object in the section Structure.

Context menu of the section "Properties":

·Copy. It copies name and values of the specified properties into the clipboard.

·Copy selected properties Name. It copies names of the selected properties into the clipboard.

·Copy selected properties value. It copies values of the selected properties into the clipboard.

·Select all. Selection of all the properties.

·Unselect all. Deselection of all the properties.

·Activate filter. Shows or hides the filter line under the properties list. Filter line is used to filtrate properties by name.

·Show in Browser. Opens file structure as XML in a browser window.

Navigation in 3D mode

Structure Panel in 2D mode


Search through the Drawing

Navigation: User Interface > Viewer > Getting Information >

Search through the Drawing

 Return to chapter overview

The chapter contains information on the search for some information through the drawing

Show Point searches for the required point with the given coordinates in the drawing and its display in the center of the view area.

Find text searches for the required text string according to the search criteria.


Show Point

Navigation: User Interface > Viewer > Getting Information > Search through the Drawing >

Show Point

 Return to chapter overview

The Show Point button (Viewer Tab -> Tools) provides the search of a required point in the drawing in the gnomon with given coordinates and fulfills its centering in the working area of the program.

Quick Access Panel:

Ribbon: Viewer -> Tools -> Show point

Menu: Edit -> Show point

Enter X, Y and Z coordinates and the necessary scale factor into the arisen Show point dialog box. The field Scale is used for setting the scale in which the part of drawing containing the point will be displayed. By default the scale is equal to the current one. The coordinates can be entered either with the help of the keyboard or by scrolling the mouse after its pointing at the corresponding field. To increase the current value scroll the mouse wheel in the direction to yourself.

Press Show button. You will see the image displayed with the scale factor you set, and the point to be found will be located in the center of the drawing field, but please note that the point will not be highlighted in any way.

Hide window after proceeding - if this option is checked the dialog closes after the point has been found and shown on the screen. Unchecking the option allows to set the parameters more than once in a single session.

Coordinates must be set taking into account the positive or the negative character of the value (see mouse coordinates marked by the red circle in the status bar below):


Find Text

Navigation: User Interface > Viewer > Getting Information > Search through the Drawing >

Find Text

 Return to chapter overview

The Find Text button provides the search of the required text string.

Quick Access Panel:

Ribbon: Viewer -> Tools -> Find text

Menu: Edit -> Find text

Hotkey: Ctrl+F

The search for the textual string in the drawing is performed according to the given criteria. The choice of the command Find text... activates the dialog box "Find text". Clicking on the button [More>>] will open the additional parameters of the search. The name of the button meanwhile changes into [<<Less]. If the additional parameters of the search are opened they are taken into account while search for the text. That's why if the font name and the height are unknown it is recommended to hide the additional parameters, as if even one criterion doesn't fit the text string won't be found.

The command Find switches to the find mode. If any text lines in the drawing fit the criteria the first found text will be shown and the dialog box "Find text" will be closed. If there were no matches the corresponding dialog box will appear. After the closure of this window the dialog box "Find text" will be opened automatically to specify the search data.

The search is performed according to the date of the text creation and the first found text string will be the one added to the current drawing first. Switching between the search results is performed with the help of the keys F3 and Shift+F3.

The dialog box Find text provides the following options:

·Text to find - you can enter the text here or use the variants from the drop-down list of the search attempts. While entering the text or its part you should mind the case.

·Whole word - defines whether the entered set of characters in the Text to find field should match completely the found text in the drawing or it can be a part of the found text. Please note that letter case affects the match between the searched text and the text in the drawing.

·Case sensitive - if this mode is on, letter case will be taken into account during the text string search.

·Selection - sets the parameters of highlighting the text in the drawing which contains the sought-for combination of symbols. It is available to select only one parameter.

oDon't mark - the found text is not highlighted in any way, but the drawing is scaled to show the found text fitted into the whole drawing field.

oMark - the found text is highlighted by a circle or rectangle. While going to the second found text fragment it becomes highlighted while the previous one has no more any circle around it. Press Esc key if you wish to undo the selection with the circle. To switch between the search results press F3 or Shift+F3.

oMark all - all the pieces of the found text are highlighted by rectangles. Use Esc key to undo the selection.

·Marking color - selecting the color of the circle or the rectangle, which is used to highlight the found text in the drawing. By default the red color is set. To change the color left click on the square of the set color. The dialog box "Select color" will open.

Additional Search Parameters

oFont name - this section will give you the possibility to enter the font of the searched text as one more search parameter.

oHeight - if the height of the searched text is important please use this setting to make the search more exact.


Measuring in 2D mode

Navigation: User Interface > Viewer > Getting Information >

Measuring in 2D mode

 Return to chapter overview

CADEditorX has a group of instruments allowing to measure the elements of a drawing. The measurements can be performed in meters, millimeters and inches regardless of the units in which the drawing is made. It is possible to set a customer scale factor. The instruments are available in all the versions and modes of the program.

· [image] Distance

This command allows measuring a distance between two points in the drawing.

· [image] Polyline Length

This command allows measuring the length of polyline sections in the drawing and the angle formed by these lines.

· [image] Area

This command allows measuring an area in the drawing.

·Measure panel

The floating panel in which the performed measurements are displayed.


Distance

Navigation: User Interface > Viewer > Getting Information > Measuring in 2D mode >

Distance

 Return to chapter overview

The Distance button provides measuring the distance between two points in the drawing in the planes parallel to the plane XY.

Quick Access Panel:

Ribbon: Viewer -> Measure -> Distance

Menu: Tools -> Measure -> Distance

Hotkey: Ctrl+D

The measurements are performed with the help of the mouse. The start and the end points are specified. Snap is available, that makes the process of measuring easier and more convenient. The mode Ortho is unavailable. All the results are displayed in the panel "Measure" and are stored in the Measure window. Previous measurements are separated from the current ones with a dash-line. Clearing the panel is performed automatically after closing the program or by the user (for more details see the topic Measure Panel). At the moment of measuring it is possible to scale and move the drawing with the help of the mouse scroll and its right button. You can quit the measure mode by pressing Esc.

·Click [image] .

·Click on the starting point of the measured distance.

·Click on the end point.

The results of measuring will appear in the following window:

oDistance is the distance between the two points.

oAngle in XY Plane is the angle value between the vector of the specified line and the X axis of XY plane.

oAngle to XY Plane is the angle value between the vector of the specified line and its projection in XY plane.

oDelta X is the length of the measured line's projection on axis X

oDelta Y is the length of the measured line's projection on axis Y

oDelta Z is the length of the measured line's projection on axis Z

The Measure panel for the instrument Distance is a little different from the one for the other measure instruments: there are two additional fields. The first one is "Set size as..." which allows to enter the real distance of the measured distance and to preset a common for all the measure instruments scale factor that influences the results of the following measurements. The second field Scale factor allows to enter a coefficient to receive the needed values.

To get the expected values in the Measure panel, you should preliminarily set the initial measure units of the drawing and the ones in which the measure results should be displayed. Depending on the selected units the scale factor taking part in the interconversion of the initial units into the displayed ones is calculated. There are three available preset categories of units: meters, millimeters and inches. These settings of the measure instruments are available from the Measure tab of the Options window.

Note: For exact measurements we recommend to use the Snap [image] feature (Editor Tab -> Snap).

The Measure Panel

Set Size as...

Options. Measure.


Area

Navigation: User Interface > Viewer > Getting Information > Measuring in 2D mode >

Area

 Return to chapter overview

The Area button allows measuring of the areas and perimeters of linear objects in the drawing.

Quick Access Panel:

Ribbon: Viewer -> Measure -> Area

Menu: Tools -> Measure -> Area

The measurements are performed with the help of the mouse. The points forming the area are successively specified with the help of the left mouse button. The snap is available, that simplifies the process of getting the distances. All the results are displayed in the panel "Measure" and are stored in the Measure window. Previous measurements are separated from the current ones with a dash-line. Clearing the panel is performed automatically after closing the program or by the user (for more details see the topic Measure Panel). At the moment of measuring it is possible to scale and move the drawing with the help of the mouse scroll and its right button. To quit the measure mode press Esc.

·Click [image] .

·Specify the necessary area with the mouse. Click once at each end of the measured area.

·Double-click or right click when done.

The results of measuring will appear in the following window:

Area shows the value of the area of the zone, selected with the help of the instrument "Area".

Perimeter shows the perimeter of the zone, selected with the help of the instrument "Area".

Note: area measuring is supported for the planes parallel to XY plane. It means that Z coordinate for all points in the measured area have to be equal. Otherwise the measured value is a perimeter:

Note: snap tool will be useful to click on the exact points.

To get the expected values in the Measure panel, you should preliminarily set the initial measure units of the drawing and the ones in which the measure results should be displayed. Depending on the chosen units the scale factor taking part in the interconversion of the initial units into the displayed ones is calculated. There are three available preset categories of units: meters, millimeters and inches. One can set a customer scale factor. All the settings of the measure instruments are available from the Measure tab of the Options window.

The Measure Panel

Options. Measure.


Polyline Length

Navigation: User Interface > Viewer > Getting Information > Measuring in 2D mode >

Polyline Length

 Return to chapter overview

The Polyline Length button provides measuring the length of polyline sections in the drawing as well as the angle formed by two sections.

Quick Access Panel:

Ribbon: Viewer -> Measure -> Polyline length

Menu: Tools -> Measure -> Polyline length

The measurements are performed with the help of the mouse. The starting point and then all the following ones of the segments to be measured are successively specified with the help of the left mouse button. To finish entering double click with the left mouse button or click with the right mouse button in the end point. The snap is available, that simplifies the process of getting the distances. The mode Ortho is unavailable. All the results are displayed in the panel "Measure" and are stored in the Measure window. Previous measurements are separated from the current ones with a dash-line. Clearing the panel is performed automatically after closing the program or by the user (for more details see the topic Measure Panel). At the moment of measuring it is possible to scale and move the drawing with the help of the mouse scroll and its right button. To quit the measure mode press Esc.

With the help of this instrument it is possible to measure angles by three points. To do that specify the first point lying on one of the lines forming the angle, then the point of intersection of these lines and the third line lying on the second line. After that the measurement isn't stopped.

The results of measuring will appear in the Measure panel:

The instrument Polyline length allows to get the following data:

·Length is the total length of the broken outline.

·Angle is the angle between the first three points specified while measuring the broken outline. The number of segments of the polyline to be measured isn't limited.

To get the expected values in the Measure panel, you should preliminarily set the initial measure units of the drawing and the ones in which the measure results should be displayed. Depending on the chosen units the scale factor taking part in the interconversion of the initial units into the displayed ones is calculated. There are three available preset categories of units: meters, millimeters and inches. One can set a customer scale factor. All the settings of the measure instruments are available from the Measure tab of the Options window.

The Measure Panel

Options. Measure.


Measure Panel

Navigation: User Interface > Viewer > Getting Information > Measuring in 2D mode >

Measure Panel

 Return to chapter overview

The Measure panel is a floating resizable movable panel. It displays all the measurements in the current session of the program.

The panel appears automatically after selecting one of the measure instruments. After quitting the measure mode the panel is hidden. All the settings are performed in the tab Measure of the dialog box Options: the visibility of the panel, the scale factor, and the units of measurements are set.

The panel Measure has two additional fields for the tool Distance: Set size as and Scale factor.

The function Scale factor sets the scale factor of the current measure units for the active file. It doesn't influence the setting Scale factor in the tab Measure of the dialog box Options and is used only for the drawing in which it was changed.

The function Set size as also changes the scale factor but it is calculated as a correlation between the entered value and the real value of the measured distance.

The context menu can be activated by a right-click over the Measure window:

oCopy. [Ctrl+C] It is possible to copy the results of measurements to the clipboard using the context menu which can be convenient if you need to copy this or that value and, say, attribute it to another entity. So you can select the necessary value and enter it in the corresponding "Properties" cell.

oSelect all. [Ctrl+A] Use this option to select all the measurement results contained in the "Measure" window.

oClear. [Del] Clears the window of the measurements.

oGo to... [Alt+G] Finds the measurement under the necessary number in the "Measure" window.

oPrecision. Sets the precision of the parameters.

oSave as. Saves results of measurements to a TXT file.

Set Size as

The option Set size as... allows to get the precise measurements of any parts of the drawing even if the elements of the drawing are performed in different scales. This option automatically calculates the scale factor as a correlation between the given value and the real one. The Value of the scale factor is specified in the field Scale factor of the Measure tab of the Options dialog box.

Suppose there is a drawing of a detail and its fragment in a larger scale. To get the real size of the increased fragment of the detail while measuring it is necessary to set the corresponding scale factor. Let's do that with the instrument Set size as...

1.Activate the tool Distance of the section Measure.

2.Measure any part of the main view of the detail using the snap mode [F9]. For example, measure the top part of the detail, the diameter of which is equal to 40. The measure line is colored in the picture in red. The results will be shown in the panel Measure.

3.Set a new value for the measured distance. For the fragment of the detail to be measured in real values in the panel Measure, enter a new value for the measured distance in the Set size as... field minding that the detail is shown in the scale of 2:1. So, the new value for the measured distance will be equal to 20. Enter this value into the field Set size as... and press Enter.

4. Fulfill the measurements.

The Tool Distance

The Tool Polyline Length

The Tool Area


Measuring in 3D mode

Navigation: User Interface > Viewer > Getting Information >

Measuring in 3D mode

 Return to chapter overview

In the 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading display modes the information on the 3D model objects is displayed in the Structure panel. Measurement tools (Viewer tab -> Measure section) can be used to get more detailed information on dimensions of the 3D model components.

·Distance

Measures distance between two points or height between two parallel surfaces.

·Snap 3D Edge

Measures the edge length and the radius of an arc or a circle.

·Area

Measures area and overall dimensions of the surface (difference between maximum X, Y and Z values)

·Measure panel

The panel contains measurement results that can be copied if necessary.


Distance

Navigation: User Interface > Viewer > Getting Information > Measuring in 3D mode >

Distance

 Return to chapter overview

Quick Access Panel:

Ribbon: Viewer -> Measure -> Distance

Menu: Tools -> Measure -> Distance

Hotkey: Ctrl+D

The tool measures distance between two points selected on the 3D model in the following display modes: 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading. It also allows measuring height between two parallel surfaces.

When the Distance tool is activated nodes for snap are displayed. Objects can be measured with the help of the left mouse button. At first, the first point of the measured section is selected. After it the end point is selected. To stop measuring press Esc. Measurement results are displayed in the Measure panel (for more information go to Measure Panel).

§To cancel selection of the first dimension point press Esc;

§To delete dimension click the dimension text with the left mouse button and press Delete;

§To move the dimension text click it once with the left mouse button, move to the required position and click again to set the new position of the dimension text.

The Distance tool allows getting the following data:

First point | XYZ coordinates of the first point selected by the user on a 3D model
End point | XYZ coordinates of the second point selected by the user in a 3D model
Distance | Distance between two points in the XYZ space and height between two parallel surfaces.

Note: the tool is available for the following file formats: SAT, STP, STEP, IGS, IGES, BREP.

Snap 3D Edge measurement

Area measurement

Measure panel

Measuring options

Measuring in 2D mode


Edge

Navigation: User Interface > Viewer > Getting Information > Measuring in 3D mode >

Edge

 Return to chapter overview

Quick Access Panel:

Ribbon: Viewer -> Measure -> Edge

Menu: Tools -> Measure -> Edge

Measures length of a linear edge or a curvilinear edge of a 3D model in the following display modes: 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading.

When the Edge command is activated, black edges appear on the 3D model. When you point the edge with the cursor it is highlighted with the orange color. When you click the edge with the left mouse button, you can get dimensions of this edge. If the edge is linear, you will get its length; if the edge is curvilinear, you will get its radius. To quit the Measure mode click Esc. The measurement results are displayed in the Measure panel (more information on the topic in the Measure Panel).

§To delete dimensions click the dimension text with the left mouse button or press Delete using the keyboard.

§To move the dimension text click it once with the left mouse button, move to the required position and click again to set the new position of the dimension text.

The Edge tool allows getting the following data:

First point | XYZ coordinates of the linear edge first point
End point | XYZ coordinates of the linear edge second point
Distance | Length of the linear edge
Center | Radius center of the curvilinear edge
Radius | Radius of the curvilinear edge

Note: the tool is available for the following file formats: SAT, STP, STEP, IGS, IGES, BREP.

Measuring Distance

Measuring Area

Measure Panel

Measuring in 2D mode


Area

Navigation: User Interface > Viewer > Getting Information > Measuring in 3D mode >

Area

 Return to chapter overview

Quick Access Panel:

Ribbon: Viewer -> Measure -> Area

Menu: Tools -> Measure -> Area

Measures area and overall dimensions of the selected face (surface) in the XYZ space in the following display modes: 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading.

When the Area tool is activated, the program works in the mode when you can select a face (surface) of the 3D model. When you point the face (surface) with the cursor, it is highlighted with the orange color. When you click the highlighted face (surface) with the left mouse button, you can get information on its area and overall dimensions. The measurement results are displayed in the Measure panel (more information on the topic in Measure Panel). To quit the Measure mode click Esc.

The Area tool allows getting the following data:

Surface area | Area of the selected face (surface)
Box | Coordinates of the diagonal of a rectangular parallelepiped (box) in which the selected face is embedded.
dX | Length of the selected face (surface) in the X-direction of the XYZ space
dY | Length of the selected face (surface) in the Y-direction of the XYZ space
dZ | Length of the selected face (surface) in the Z-direction of the XYZ space.

Note: the tool is available for the following file formats: SAT, STP, STEP, IGS, IGES, BREP.

Measuring Distance

Measuring Edge

Measure Panel

Measuring options

Measuring in 2D mode


Measure Panel

Navigation: User Interface > Viewer > Getting Information > Measuring in 3D mode >

Measure Panel

 Return to chapter overview

The Measure panel is a floating panel that can be moved, fixed to the program window borders, hidden and the size of which can be changed. The panel contains results of the measurements made by the following measuring tools Distance, Polyline length, Area and Edge in the 3D and 2D Wireframe display modes.

Measurement results displayed in the Measure panel in the 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading display modes are presented in the following picture:

In the 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading display modes the Measure panel has two sections with measurement results. The upper section displays full measurement results made both in the 3D and 2D Wireframe display modes. The section in the bottom displays measurements added to the 3D model with the help of the Edge and Area tools.

Clicking the bottom section of the Measure panel with the right mouse button calls the context menu containing the following commands:

Copy | Copies the name and values of the selected string containing measurement results to the clipboard.
Copy name | Copies the name of the of the measurement result selected in the Measure panel to the clipboard.
Copy value | Copies the value of the measurement result selected in the Measure panel to the clipboard.
Select all | Selects all measurement results in the bottom section of the Measure panel.
Unselect all | Deselects the marked measurements results
Delete | Deletes the marked measurement results both from the drawing and the bottom section of the Measure panel.
Delete all | Deletes all measurement results both from the drawing ans the bottom section of the Measure panel.

Clicking the upper section of the Measure panel with the right mouse button calls the context menu containing the following commands:

Copy | Ctrl+C | Copies the text selected in the Measure panel to the clipboard. The text is selected with the left mouse button in the same way as in text editors.
Select all | Ctrl+A | Selects all the data in the Measure panel.
Clear | Delete | Clears the Measure panel.
Go to | Alt+G | Allows moving the cursor to the panel string according to its number.
Precision |  | Sets value precision for further measurements
Options |  | Opens the Measure tab settings in the Options dialog window.
Save as |  | Saves results of measurements to a TXT file.

The Measure panel opens automatically when any of the measuring tools is activated. When you quit the measuring mode, the panel closes by default. If you want to have the Measure panel always displayed in the program window, turn off the Hide the measurement panel setting in the Measure tab of the Options dialog box.

Distance

Edge

Area

Measuring options

Measure panel in the 2D mode


Fragment

Navigation: User Interface > Viewer >

Fragment

 Return to chapter overview

Fragment is a tool for copying, printing and saving a part of an image to a file.

Quick Access Panel:

Ribbon: Viewer -> Tools -> Fragment

Menu: Edit -> Fragment

After activating the command the user selects a rectangular area in the drawing with the help of the mouse. The area is marked with a rectangular which has the markers of the center, the middle and the corner. The rectangular can be moved and its borders can be changed. To do that point the cursor of the mouse at one of the markers of the rectangular area and holding the left mouse button move it. The central marker moves the rectangular area without changing its size. The corner markers change the size of the rectangular area both horizontally and vertically. The middle markers change the size of the rectangular area in one direction: either horizontally or vertically. It helps to define the fragment of the drawing for copying, printing and saving.

Creating a rectangular area

Creating a rectangular area

The rectangular area is created

The rectangular area is created

The commands over the selected area of the drawing are available from the context menu. To open it right click inside the rectangular area. The access to the listed commands is also available from the ribbon. In the dialog box "Options" an automatic action can be set which will be executed after selection of the drawing part with the tool "Fragment".

·Fragment. The command switches the instrument "Fragment" off and removes the image of the rectangular from the screen without performing any actions over the selected area.

·Copy as BMP. The command copies the area to the clipboard as a BMP picture.

·Copy as EMF. The command copies the area to the clipboard as an EMF picture

·Print Preview. The command allows to perform the preview of the selected area of the drawing and print it in the given scale. It calls the window "Print Preview" where the additional printing settings are made.

·Save. The command saves the area as a separate file. The saving is possible into the supported export formats. The command calls the standard "Save as..." dialog box where the name of the file and the folder where it is saved are specified.

The instrument "Fragment" is available in all the modes of work. In the Redline mode redline elements are also selected with the rectangle.

Using Fragment.

The rectangular area is selected diagonally.

·Press the Fragment [image] button [Viewer tab -> Tools -> Fragment].

·With a single left click set the first point of the diagonal of the rectangle.

·Shift the cursor apart from the specified point selecting a rectangular area. Tick marks forming a rectangle will appear on the screen.

·Left click to set the second point of the diagonal of the rectangle.

·When your mouse button is released, the rectangle appears.

·Fragment can be edited by markers.

·You can correct the placement of the rectangle by moving it with the help of its central marker.

·Right click on the area of rectangle.

·Choose the needed option from the list.

·To switch the command off press Esc or click on the Fragment button again.

Copy as BMP, EMF

Print Preview

Saving

Automatic actions settings


Copy as BMP, EMF

Navigation: User Interface > Viewer >

Copy as BMP, EMF

 Return to chapter overview

There are two commands allowing to copy a part of the drawing to the clipboard: Copy as BMP and Copy as EMF. By default the part of the drawing is copied with the current scale, but this setting can be modified in the dialog box Options under the tab Converting settings.

Ribbon: Viewer -> Tools -> Copy as BMP/ Copy as EMF

Menu: Edit -> Copy as BMP/ Copy as EMF

The Copy as BMP ico_copy as bmp button copies image (full or clipped if the Fragment tool is active) to clipboard as Windows™ Bitmap format. You will be able to paste the clipboard image to MS Paint, MS Word or any other application supporting clipboard operations.

The Copy as EMF ico_copy as EMF button copies the image (full or clipped if the Fragment tool is active) to clipboard as Windows™ Enhanced Metafile format. You will be able to paste the clipboard image to MS Paint, MS Word or any other applications which support clipboard operations.


Navigation in 3D mode

Navigation: User Interface > Viewer >

Navigation in 3D mode

 Return to chapter overview

Mouse pointing device is used for visual orientation in 3D space in display modes 3D Wireframe, 3D Hidden lines, 3D Smooth shading and 3D Flat shading.

Selection | Rotation | Zoom | Relocation
mouse-select | mouse-select | mouse-zoom | mouse-pan or mouse-zoom
Click the left mouse button to select the surface on the object to view its properties | Click and and hold the left mouse button to rotate the object in 3D space | Use scroll to enlarge or reduce the display | Click and hold the right mouse button or scroll to relocate in 3D space

Highlight and selection of objects

The surface on the object can be selected with the left mouse button in the drawing or in tree of objects in the panel "Structure". While pointing the mouse cursor to the object the surface under the cursor is highlighted. To switch off the highlight of entities you should select the command Object's highlighting. When the surface is selected its properties are shown in the panels "Properties" and "Structure".

Structure Panel

Properties Panel


Editor

Navigation: User Interface >

Editor

 Return to chapter overview

CADEditorX offers to edit CAD files and create new ones. The instruments of selection, drawing and editing the entities are on the tab Editor. In this chapter we will dwell upon the tools for creating and editing drawings.

·Creating a New File

·File Templates

gives info on file templates that can be used to create new files. Templates store custom settings and objects that can be passed to a new file.

·Element Selection

explains how to select an element and helps to easily and conveniently select several elements at a time.

·Entity Properties

dwells upon the entity properties, the usage of the properties panel, work with layers and the tool match properties.

·Drawing Aids

gives information on the dynamic input and additional modes: snap, ortho, grid and polar tracking. These modes allow drawing strictly horizontal or vertical lines, showing grid, snapping on certain points of the drawing and creating and moving entities with precise angle affixment.

·Drawing Tools

describes the instruments used for adding new entities and the procedure of creation of every element.

·Modifying Instruments

dwells upon the instruments for editing the earlier created entities.

·Work with Blocks

gives the notion of a block, describes the main operations with blocks (creating, editing, pasting) and working with attribute definitions.

·External References

deals with adding an image and merging several CAD format files.

·Display Order

changing the order of display of the selected objects.

·Purge

gives advice on using the instrument helping to clear a drawing of unnecessary data that are not used but are nevertheless stored in the drawing.

·Command Line

calls the Command Line, is used to enter commands.

·Compare Files

comparison of two files by content

·Set Geo Coordinates

changing the order of display of the selected objects


Creating a New File

Navigation: User Interface > Editor >

Creating a New File

 Return to chapter overview

The button New creates a new file.

Quick Access Panel:

Ribbon: File -> New

Menu: File -> New

Hotkey: Ctrl+N

The New command is used to create a new file. By default new files are named New№.dxf and have standard basic settings that can be changed in the Properties panel after the file creation. It is possible to create drawings based on the template which parameters and objects will be inherited by a new file. File templates allow storing custom settings that must be used in the created drawings e.g. text styles, layers, objects and other parameters.

The usage of file templates is set in the Settings dialog box in the Common category. To switch the template usage on, switch on the Use template option in the Settings window. DXT is the file templates extension and must be stored in the following folder: C:\Users\USER_NAME\Documents\ABViewer 11\Templates

Before adding new elements of the drawing it is recommended to edit the values of those properties in the Properties panel which the created elements should possess and to add new layers and styles. In the Drawing Tools chapter you can find information about the main entities which are available im CADEditorX. The description of the commands editing the elements of the drawing are given in the chapterModifying Instruments.

Properties Panel

File Templates


File Templates

Navigation: User Interface > Editor >

File Templates

 Return to chapter overview

File templates store custom settings like text styles, dimension styles, layers. They can also include any entities. A file that was created on base of a template will have the settings and objects of the selected template. Template files have the extension *.dxt and must be stored in the folder C:\Documents and Settings\...\My Documents\CADEditorX\Templates... Templates options are set in the dialog box Options under the tab Common. By default the usage of templates is off.

After installation of CADEditorX, there are no templates in the folder C:\Users\USER_NAME\Documents\CADEditorX\Templates... They can be created by the user (see below). Please remember that file templates with the extension DXT must be stored in the folder Templates.

Creating and Editing File Templates

To create a new template:

1.Select the command File -> New or use the hotkey Ctrl+N;

2.Modify the default properties and if it is necessary add the elements that the file created on base of this template should contain.

3.Call the dialog box Save as... (File -> Save as...) and select in the drop down list Save as type the lowest option CADSoftTools drawing template (*.dxt). The folder Templates will be offered for saving the file be default. Please, don't change it.

4.Enter the name of the template in the field File name and click on Save.

To edit an existing template

1.Select the command File -> Open or use the hotkey Ctrl+O.

2.Select the last option CADSoftTools drawing template (*.dxt) in the drop down list Files of type in the opened dialog box. Select the following path: C:\Documents and Settings\...\My Documents\CADEditorX\Templates... where the file templates are stored.

3.Select the necessary template with a left mouse click and press the button Open.

4.Make the necessary changes.

5.Select File -> Save.

6.Close the file template.

Create a new file.

Options. Common.


Element Selection

Navigation: User Interface > Editor >

Element Selection

 Return to chapter overview

As a rule, objects are selected with the help of the mouse. To select several entities it is possible to use additional tools like Fast entities input, Quick select, Select all.

·Quick Select

allows easy and quick selection of several entities having the same properties.

·Select All

ignores all the filtering criteria.

·Using the Mouse

allows to select several entities by using a selection rectangle and the fast entities input mode.


Quick Select

Navigation: User Interface > Editor > Element Selection >

Quick Select

 Return to chapter overview

Show/Hide Hidden Text

The Quick Select button allows to select several entities according to the chosen filter conditions.

Quick Access Panel:

Ribbon: Editor -> Selection -> Quick Select

Menu: Draw -> Quick Select

The Quick Select button activates a dialog box which allows defining filtering criteria for selection. The objects meeting the filter criteria are included to the selection after the window is closed. Or on the contrary all the element besides the ones meeting the filter criteria are selected. It is also possible to create a complex selection by adding to the currently selected elements those received while using the Quick select command.

·Apply

Defines whether the selection conditions should be applied to the whole drawing or to the current suite (if exists).

oTo entire drawing - selection conditions are applied to the whole drawing. Is set by default when no entities are selected.

oTo current selection Is a default option when some entities are selected.

· [image] Select entities

Serves to specify a group of objects for the filter. When the button is pressed, the dialog box closes to show the drawing where you can select entities. Select the necessary elements of the drawing and press the Enter key to return to the dialog box. After that select To current selection in the Apply section.

Filter conditions are applied to the whole drawing if To add in to the current set is on. In this case the value To current selection is unavailable for the Apply parameter. Select entities [image] is unavailable too.

·Object type

Defining the object types included into the selection. If filter conditions are applied to the whole drawing the Object type list will contain all the available objects (including those that do not belong to Autodesk). Otherwise this list is filled by the selected object types only.

Example of the available object types list:

SelectAllObjects

·Properties

Defining objects' properties for a filter. It contains a list of all the properties for the currently chosen objects. These properties are to be used as another criterion of the selection you wish to do. Subject to the property you select here the fields Operators and Values get different values.

Common list of properties

Example: properties for the Circle object

·Operators

Defining a range of the filter. According to the type of the selected property this parameter may offer some or all of the following values:

= equals the chosen property of the selection objects must be equal to the value in the field Value of the dialog box Quick Select.

<> not equal to all the object the properties of which aren't equal to the value in the field Value of the dialog box Quick Select will be selected.

> greater than all the objects the value of the chosen property of which exceed the value in the field Value of the dialog box Quick Select will be selected.

< less than all the objects the value of the chosen property of which is less than the one in the field Value of the dialog box Quick Select will be selected

select all ignores all the filtering properties

Operators greater than and less than are unavailable for some properties. A search using template symbols is available for editable text fields only.

Example

Parameter Object type: Circle

Parameter Properties: Linetype

Parameter Operators: equals

Parameter Value: Continuous

Thus the action you need will be performed to all circles with continuous linetypes in the drawing or in the selected part.

·Value

Defining a property's value for the filter. Field Value turns to a list of values if the application contains some known values for the selected property. Otherwise it is necessary to use the keyboard for entering a new value for the property.

Example

Parameter Object type: Circle

Parameter Properties: Linetype scale

Parameter Operators: <> not equal to

Parameter Value: <it is required to be entered from the keyboard>:

·Selected objects

Defines an action to be performed to the objects which meet the filter conditions:

oInclude in new selection set - to create a new set which will contain only those objects which will fit the filter conditions

oExclude from new selection set - create a new set which will contain only those objects which will not fit into filter restrictions

·To add into the current set

Selecting a way of adding new set to the current one: adding new objects to the current set or replacing the current set by a new one.


Using the Mouse

Navigation: User Interface > Editor > Element Selection >

Using the Mouse

 Return to chapter overview

To select an entity click on it with the left mouse button. To select several entities

1. Hold the key Shift pressed and select the required entities with the left mouse click

2. Turn the mode Fast Entities Input on and select the entities.

3. Select the entities with the selection rectangle.

To select entities ignoring all the filtering properties choose the Select All [image] button or press Ctrl+A.

Using the Selection Rectangle

Specify the first point of the rectangle diagonal with the help of the left mouse click and holding the left mouse button pressed move the cursor of the mouse. A violet or green selection rectangle will appear. According to the direction of the cursor movement element selection after releasing the mouse button can be fulfilled in the following two ways:

·creating a selection rectangle from right to left. The color of the rectangle is violet. Only the elements that are entirely in the selection rectangle are selected.

·creating a selection rectangle from right to left. The color of the rectangle is green. All the elements that are crossed by the selection rectangle are selected.


Entity Properties

Navigation: User Interface > Editor >

Entity Properties

 Return to chapter overview

CADEditorX gives access to the properties of entities and allows to modify and set them default.

·the Notion of Entity Properties

·the Properties Panel

describes the panel "Properties" and the main means of work with it.

·Layers

gives information on the access to the list of layers and work with them

·Match Properties

gives details of using the tool, which copies the selected properties of the selected entity and applies them to one or more other entities.

·the color of entities

describes work with the color of the objects. The choice of the color in the dialog box "Select Color"


The Notion of Entity Properties

Navigation: User Interface > Editor > Entity Properties >

The Notion of Entity Properties

 Return to chapter overview

Each entity in CAD files has a definite set of properties. Some properties are common for most of the objects, for example, layer, color, lineweight. Apart from that every entity has a special set of properties, for instance a circle has the special properties radius and area, a line has the length and the angle. The full list of the properties for this or that object is displayed in the panel Properties after selecting the element in the drawing.

The properties for the objects are defined either in the panel Properties or in the window Layers. The properties set in the panel Properties have a priority over the ones defined by layer.

The Panel Properties

The Dialog Box Layers


Properties Panel

Navigation: User Interface > Editor > Entity Properties >

Properties Panel

 Return to chapter overview

Show/Hide Hidden Text

The Properties button shows or hides the panel Properties which is usually located in the left part of the screen - on the left of the drawing area.

Quick Access Panel:

Ribbon: Advanced -> Window -> Properties

Menu: View -> Properties

Hotkey: F4

The Properties panel gives access to

othe properties of the currently selected entities;

odefault properties which will be applied by default to each new entity created.

It is a dockable, resizable window that contains a list of entities' properties and allows changing them. Double click on the panel's title bar displays the Properties panel in a separate window that you can position anywhere you like on your desktop. The Properties panel is available in Editor and Redline modes.

The Properties panel allows setting the necessary default properties. These properties will be applied to every new entity by default. Default properties are grouped into two categories:

·General - properties for all entities.

·Dimension - properties for the Dimension entities.

Default Values

The drop-down menu under the word Properties:

shows the current contents of the Properties panel - i.e what properties are currently shown in this panel. Thus the drop-down menu will contain the name of the selected entity (if any entity or entities are selected) or if no entity is selected the panel will show Default Values which means the properties that are attributed to any new elements of the drawing:

For example:

- none of entities are selected. Properties panel shows currently default values applied to new entities.

- a Polyline is selected.

- 3 Polylines are selected.

- 2 different entities are selected.

You can set the default properties the way you need. They will be applied to every entity you create as default values. Default properties are grouped into two categories:

·General - properties for all entities.

·Dimension - properties for the Dimension entities.

General

Color

Defines entities' color. By default the value is By layer. In CADEditorX the color model RGB is used.

Colors

·By layer - selected entities assume the color assigned to the layer the entities were created on;

·By block - selected entities assume the color of the block which these entities belong to.

·A set of the main colors. Gives access to the 7 main colors of the palette. When another color is used its number in the color palette is added to the beginning of the list.

·Select color - calls The Select Color dialog box. The tab Index color comprises a palette of colors with 255 values. The tab True color specifies the color with three basic colors: red, green and blue. The intensity of each of them can vary from 0 to 255, that allows to select a color out of around 16,7 million shades.

Layer

Allows to change the layer for the selected entities or to set a layer current when no element is selected. For HPGL/2 files this list views available pens. When it is necessary to create a new layer (pen), use menu item Viewer Tab ->CAD Image -> Layers.

Linetype

Allows to change the linetype for the selected entities or to set a linetype current when no element is selected, i.e. all the entities to be created will have this linetype.

The used linetypes are stored in the drawing file. It is impossible to add a new linetype. CADEditorX has a standard set of linetypes that are available for a new drawing. When editing a drawing that was created not in CADEditorX only the used in this file linetypes are available.

Linetype scale

Allows to change the linetype scale for the selected entities or to set a linetype scale current when no element is selected, i.e. all the entities to be created will have this linetype scale. This parameter is used when viewing line with non CONTINUOS linetype. It defines multiplayer which is used to count a distance between dashes in the line. The linetype scale can be the same for all the objects or set for each entity separately. By default it is equal to 1.

Correlation between a line's view and its linetype scale value:

LinetypeScale

Line Weight

Allows changing line weight for the selected entities and SHX fonts. Line weight must be equal to the standard values. When entering an arbitrary value it is changed to the nearest standard value. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.

Correlation between a line's view and its line weight value:

LineWeight

Font Name

Allows defining a font for a new multiline text, single line text or attribute definition.

Text Height

Allows defining the symbols' height. Height is set in drawing units. Symbols of multiline text may have different height. The text height can be an integer number or a decimal fraction. A separator is a comma.

Point Display Mode

Allows to specify the view of a point entity. You can't enter the value from the keyboard. To change the view of the point press [...]. A corresponding window will open.

A list of styles for a point entity:

PointStyle

Point Display Size

Defining the size of all the points in the drawing.

Dimension

Arrow Size

Defines the arrow size of dimension and leader entities.

Dimension Style

Sets the dimension style that will be used by default when adding dimensions and leaders to a drawing. For every element the style can be set separately. To create and edit dimension styles use the command Dimension Styles.

Arrow 1

Arrow 2

Leader Arrow

Defines the arrows' view of dimension and leader entities. The left and the right arrows of dimension entities may have different views.

A list of dimension arrow views.

Closed filled | Closed blank | Closed arrow | Dot
Archtick | Oblique | Opened | Origin
Origin2 | Open90 | Open30 | Dot small
Dot blank | Small | Box blank | Box filled
Datum blank | Datum filled | Integral | None

Text Color

Defines dimensions' text color. By default the value is By layer. In CADEditorX the color model RGB is used.

Colors

·By layer - selected entities assume the color assigned to the layer the entities were created on;

·By block - selected entities assume the color of the block which these entities belong to.

·A set of the main colors. Gives access to the 7 main colors of the palette. When another color is used its number in the color palette is added to the beginning of the list.

·Select color - calls The Select Color dialog box. The tab Index color comprises a palette of colors with 255 values. The tab True color specifies the color with three basic colors: red, green and blue. The intensity of each of them can vary from 0 to 255, that allows to select a color out of around 16,7 million shades.

Text Height

Defines dimension's text height. It can be an integer number or a decimal fraction with a comma as a separator.

Text offset

Defines dimension's text offset.

Text pos vert

Defines a placement of dimension's text on vertical axis relatively to dimension line.

Vertical alignment:

·Center - a placement of dimension's text in the center between extension lines.

·Above - a placement of dimension's text over dimension line. A distance between dimension line and base line of the lowest text border is equal to a current value of Offset from dim line parameter.

·Outside - a placement of dimension's text near the extension line on the side which is the most distant from the first definition point.

·JIS - a placement of dimension's text accordingly to the JIS (Japanese Industrial Standards).

Text Inside Align

Defines the text alignment along the dimension lines.

Measurements Scale

Defines scale parameter which is used for linear dimensions. It is not recommended to change the default value - 1.

Precision

Defines the number of characters after the comma in the dimension text.

Note: all changes are applied for the current file only.

Managing the Floating Panels

The Modes of Work of the Program

Options. Visualization


Layers

Navigation: User Interface > Editor > Entity Properties >

Layers

 Return to chapter overview

Layers allow to structure the drawing. They group objects, allowing to manage their common properties. For any object on the layer the value of a general property can be specified separately. In this case it won't depend on the value on the layer. For a better organization and and quick editing of drawings it is recommended to add own layers. Such a structuring allows

·to change the visibility of the elements on the layer;

·to change the color of the layer objects, which have the color value By layer;

·to set the lineweight of the layer objects, which have the lineweight value By layer;

·to print the layer objects or to hide them while printing;

·to allow or forbid editing the layer objects.

Quick Access Panel:

Ribbon: Viewer -> CAD Image -> Layers

Editor -> Properties -> Layers

Menu: CAD Files -> Layers

The layers button shows the list of layers and allows to manage them. The command is available when a CAD format file is loaded. The list of layers appears in a separate window. By default a new layer is created with the name "0". It can't be deleted or renamed, but its parameters can be changed.

The property Layer in the Properties panel contains the list of all the layers of the current drawing in the alphabet order. This property is used to set the layer current when no entity is selected or to move a selected entity to an other layer.

The dialog box Layers has the following commands:

Icon | Descriptiom
New Layer ( [Alt +N]) | adds a new layer. By default the name of the new layer is Layer1, it can be modified after creation. All the values of the layer are default.
Delete Layer([Alt +D]) | deletes the selected layer. You can delete only unused in the drawing layers. It is impossible to delete the layer 0, DEFPOINTS and the current layer. You can undo the deletion of a layer. To do that close the dialog box Layers and press Ctrl+Z.
Unfreeze All Layers | unfreezes all the earlier frozen layers. By default the added layer is unfrozen.
Freeze All Layers | makes the layer invisible in the drawing, while its data is still stored in the drawing. The frozen layers will not be plotted.
Switch All Layers on | switches all the earlier switched off layers. By default the added layer is switched on.
Switch All Layers off | make the layer invisible in the drawing, while its data is still stored in the drawing, the layer isn't plotted.
ico_set the current_layer Set the Current Layer | sets the selected in the list layer current. All the created entities are automatically added to i.

Difference between the Switch off [image] and Freeze [image] features:

If the layer you've switched off uses a block containing other layers, the block will stay visible, whereas if you used Freeze feature this block would be frozen together with all elements it uses, thus it would become invisible.

"Search for layer" edit box allows quick search of the necessary layer. Just click inside the field and enter the layer name.

There is a line of layers filter in the left bottom corner of the dialog box. While a sequence of symbols is entered fetching of the layers by the value Name is carried out. Layers names of which coincide with the sequence of the entered symbols starting with the first letter are shown in the result of filtration. Letter case is not taken into account while entering them. The option Invert Filter enables the user to invert the results of filtration and shows layers names of which don't coincide with the sequence of the entered symbols.

Layer Parameters

Every layer has a set of parameters. When a new layer is added all the values are set as default ones. To change these parameters you must click with the left mouse button on its icon opposite to the layer name. After that it will change or you will be offered to select a value from the list.

·Name. Sets the name of the layer. Can contain up to 255 characters, including letters, numbers, spaces,break characters, hyphens, dollar signs. The symbols: <>/":\?*,=|'/ can't be used. It can be changed at any stage of work. To edit the name of a layer double click on it with the left mouse button.

·On. Turns on/off the visibility of the objects on this layer. By default the layer is switched on.

·Frozen. Freezes or unfreezes the selected layer. By default the layer is unfrozen.

·Color. Sets the color applied to all the objects of the selected layer which have the color value By Layer.

·Lineweight. Sets the lineweight to all the objects of the selected layer which have the lineweight value By layer.

·Plot. Defines whether the objects on the selected layer will be plotted. The parameter is applied to all the objects of the layer and can't be changed for one entity.

·Lock. Forbids editing, deleting and selecting entities on the layer, but doesn't switch the visibility off. Snap is active.


Match Properties

Navigation: User Interface > Editor > Entity Properties >

Match Properties

 Return to chapter overview

The Match Properties button copies the selected properties of the selected entity and applies them to one or more other entities.

Quick Access Panel:

Ribbon: Viewer -> CAD Image -> Layers or Editor -> Draw -> Layers

Menu: CAD Files -> Layers

It is possible to match the following properties: color, layer, linetype, linetype scale, lineweight, hatch pattern. When copying text properties additional properties are added: text style, rotation, width factor, obliquing.

By default all the available properties are selected for copying. For some properties not to be copied, uncheck the corresponding fields in the dialog box "Select Properties". The dialog box is called via the context menu after specifying the initial object.

Copying Properties of an Object and Assigning them to Another Object.

Way 1.

1.Activate the tool Match properties.

2.Select the initial object the properties of which you want to copy.

3.Press the key Enter to confirm the choice.

4.Click with the left mouse button and select the option Select properties. The dialog box Select Properties with a list of available for copying properties will open. For example, when copying properties of a text the following properties will be presented in the dialog box Select Properties:

Deactivate the properties that shouldn't be copied.

5.Specify the object to which the selected properties should be assigned with a left mouse click. The properties will be changed immediately without the need to confirm with the help of the key Enter.

6.Press the key Esc to quit the match properties mode.

Way 2.

1.Select the initial object the properties of which you want to copy.

2.Activate the tool Match properties. There is no need to confirm the selection with the help of the key Enter.

3.Click with the left mouse button and select the option Select properties. The dialog box Select Properties with a list of available for copying properties will open. Deactivate the properties that shouldn't be copied.

4.Specify the object to which the selected properties should be assigned with a left mouse click.

5.Press the key Esc to quit the match properties mode.

The Notion of Entity Properties


Entities Color

Navigation: User Interface > Editor > Entity Properties >

Entities Color

 Return to chapter overview

This chapter describes the work with the color of the objects and with the choice of the color in the dialog box "Select color.

·Changing Color

dwells upon the ways of setting and changing the color of the entities in CADEditorX.

·The Dialog Box "Select Color"

gives access to all the colors of the color palette RGB, allows to select a color by its number among the standard colors or to set its color in RGB.


Changing Color

Navigation: User Interface > Editor > Entity Properties > Entities Color >

Changing Color

 Return to chapter overview

The current color value of an entity can be seen in the panel Properties. The entity color can either be set explicitly or be inherited from the layer or block.

The color can be changed in the following ways:

·Change the color of the layer where the object is situated in the dialog box "Layers". For the object to assume the specified color of the layer set the color value By Layer for this element.

·Move the object to another layer with a different color. The property Color of the moved entity must be By Layer for the color to change according to the new layer.

·Set the color explicitly to the object in the panel "Properties". The explicitly set color will have a priority over the layer color which the object belongs to.

The color of an entity belonging to a block can be set in the following ways:

·Change the color of the layer where the object is situated in the dialog box "Layers". The entity of the block must have the color value By Layer, the color value of the block doesn't matter. The entity and the block can be situated on different layers.

·Move the block to another layer with a different color.The entity of the block must have the color value By Layer, the color value of the block doesn't matter. The entity and the block can be situated on different layers.

·Set the color explicitly to the object in the panel "Properties" in the Block Editor mode. The explicitly set color will have a priority over the layer and block color which the object belongs to.

·Set the block color explicitly in the panel "Properties". The entity of the block must have the color value By Block.

The Dialog Box "Layers"

The Properties Panel

The Dialog Box "Select Color"


Select Color

Navigation: User Interface > Editor > Entity Properties > Entities Color >

Select Color

 Return to chapter overview

The Select Color dialog box gives access to all the colors of the color mode RGB and allows to set the color by its number from the list of standard colors or to specify the color value from the color spectrum. Regardless of the window or panel where the color must be changed the dialog box is accessed by selecting the value Select Color... from the listed values of the property color.

The dialog box "Select color" has two tabs: Index Color and True Color.

On the tab Index Color there is a table of some colors RGB model, which are indicated by the integer numbers from 0 to 255 for convenience. "0" corresponds to the black color, "255" - to the white color. The current and the selected colors are displayed in the preview field in the bottom right corner. The value of the selected color by number can be viewed in RGB mode on the right under the color table. It is possible to enter the color number into the field Color with the help of the keyboard.

On the tab True Color there is the full color spectrum, which is received while mixing the three primary colors of the RGB model - red, blue and green. The color palette RGB contains more than 16 million colors. You can select a color with the help of the mouse or enter the color value in RGB into the field Color separating the values by a comma.

Changing the Entity Color


Line types

Navigation: User Interface > Editor > Entity Properties >

Line types

 Return to chapter overview

Quick Access Panel:

Ribbon: Editor -> Properties -> Line types

Menu: CAD Files -> Line types

Command: Linetypes

Outline of each line in the drawing corresponds to the requirements that set outline weight and type. Line type can be set both for a separate entity and for a layer where the entity is located.

Line type is described by a recurring sequence of strokes, points and spaces located along a line or a curve. Frequency of fragments recurrence is set by the line scale. When the scale is enlarged, the number of fragments per drawing unit increases. If the object length is less that the line type fragment, the object is displayed as a solid line. Except for strokes, points and spaces, built-in forms that are contained inthe compiled files of *.shx forms can be used in the line description. Line type descriptions are contained in a file with the *.lin extension. Each line type has its name and description containing the sequence of strokes, points and spaces. Several line types can be described in a *.lin file.

To use a line type you should load it to the current drawing. When you create a new drawing or open an existing file CADEditorX standard line types are added to the drawing. Loading of new line types from the *.lin file is implemented in the Line types dialog window. The loaded line types are contained in the file of the drawing (if the drawing is saved as DWG or DXF). Line types that are not used in the drawing can be deleted with the help of the Purge command in the Line types dialog window. The BYLAYER, BYBLOCK and CONTINUOUS line types as well as the line type set as current cannot be deleted.

Note: loading of line types from the *.lin files containing forms is not supported.

The Line types Dialog window

The window is used to load new line types, to delete not used line types or to set the line type as current.

New Linetype (Alt+N). Displays the Load/reload line types dialog window that is used to load line types to the current drawing from the *.lin files.

Delete Linetype (Ald+D). Deletes the selected line type from the drawing. It is possible to delete only line types not used in the drawing. It is impossible to delete the BYLAYER, BYBLOCK, CONTINUOUS line types and the line type that is set as current.

Set current. Sets the selected line type as current. For example, if the BYLAYER type line is set, the created objects will have the BYLAYER line type.

Line type list

List of line type names with text description loaded to the current drawing. The green tick is set opposite the current line type. Dark grey page is displayed opposite the line types used in the drawing. Light grey page is displayed opposite the line types not used in the drawing.

Global scale

Values of the global scale factor for all line types (the LTScale system variable). The resultant scale of line types spacing for the object equals the product of the global scale and the scale of the line.

The Load/reload line types dialog window

Displays line types from the specified *.lin file and allows loading the selected line type to the line types list of the current drawing for further usage. The window appears when the New Linetype button is clicked in the Line types window.

The File button. Allows opening the *.lin file with line type description for viewing and further loading the line type to the current drawing.

Line types list. List of the line types and their descriptions contained in the selected *.lin file. Line types descriptions of which contain forms are not displayed.


Drawing Aids

Navigation: User Interface > Editor >

Drawing Aids

 Return to chapter overview

This chapter includes the topics connected with the additional modes and the means of data input that increase the efficiency of drawing. They secure precision of drawing, allow to set the sizes and coordinates of the created objects, include additional grid lines.

·Dynamic Input

This function provides the user with a possibility to enter numeric values for a more precise drawing or editing the elements.

·Snap

This function snaps the cursor to definite positions of a created or edited object to some other elements of the drawing.

·Tracking

Tracking lines help to place objects relative to other elements. Tracking mode is a part of snap and works together with it.

·Fast Entities Input

This function allows to create several entities of one type successively.

·Grid

This function switches on/off a rectangular grid of points situated on a definite distance from each other, it allows to change the grid step.

·Ortho

This function switches on/off the mode of orthogonal drawing. When this function is on editing the objects with the help of the modifying instruments and creating linear entities are fulfilled strictly horizontally or vertically along the plane XY.

·Polar Tracking

This function allows creating and moving entities with precise angle affixment.

·Means of Editing

It is possible to edit objects in CADEditorX in several ways: with the help of tools, with the help of the mouse and via the panel Properties.


Dynamic Input

Navigation: User Interface > Editor > Drawing Aids >

Dynamic Input

 Return to chapter overview

Dynamic Input is a command interface that contains the coordinates of a chosen point in the Cartesian coordinate system and the dimensions of the element under construction. The characteristic trait of this function is the form of dynamic input which appears near the cursor in the working area of the program at the moment of creating or editing an entity. As the cursor moves the data in the command interface are updated.

The displayed parameters of the form of dynamic input differ according to the chosen tool. For the first point of all the drawing instruments the form has only two parameters: X and Y, where the coordinates of the cursor are tracked dynamically if the values of these fields aren't fixed. You may select the starting point of an element with the help of the left mouse click or by entering the coordinates into the input field. Data entering must be confirmed with the help of the keys enabled in the dynamic input form:

Key Combination

Function

Tab

switches to the next field and fixes the changes.

- if there were no changes in the field it switches to the next field without performing any changes.

- if the value in the field was changed, while switching to the next field it freezes the edited data.

Shift+Tab

switches to the previous field and fixes the changes.

- if there were no changes in the field it switches to the previous field without performing any changes.

- if the value in the field was changed, while switching to the previous field it freezes the edited data.

Backspace

releases a lock from the fields the values of which were frozen. It is also used for the forced block of the values irrespective of the fact whether they were changed or not.

Enter

confirms creating a point of the primitive. Takes the current values of the dynamic input form irrespective of the fact whether they were frozen or not.

To finish entering the entity select the command Enter from the context menu. Switching on/off the feature is fulfilled in the Snap and Grid tab of the dialog box Options.


Snap

Navigation: User Interface > Editor > Drawing Aids >

Snap

 Return to chapter overview

The snap button allows snapping the cursor to a chosen position of an element.

Status Bar:

Ribbon: Editor -> Snap -> Snap

Menu: Tools -> Snap

Hotkey: F9

This function snaps the cursor of the mouse to some exact positions - for example the midpoint of a line, the center of a circle, the endpoint, the intersection point etc.

Object Snap Modes.

Switching on/off separate object snap modes is fulfilled on the Editor tab in the section Snap. In the classical CADEditorX they can also be set in the Snap and Grid tab of the dialog box Options. CADEditorX has the following object snap modes: Insertion, Endpoint, Nearest, Midpoint, Normal, Center, Intersection, Quadrant, Tangent, Parallel, Extension. The mouse cursor turns to the respective shape when it is over any of the active snap objects.

Intersection

snaps to the intersection point of lines, polylines, leaders. While creating an entity point the cursor at the intersection of the objects, after the snap to an intersection shape appears left click or press Enter.

Nearest

snaps to the nearest point of a line, polyline, circle, ellipse, arc, spline, leader. The nearest point is the point which is at the smallest distance to the current position of the cursor in comparison with the other points of the entity.

Midpoint

snaps to the middle of a line, segment of the polyline, segment of a leader. During the creation of a primitive move the cursor to its middle, after the snap to the midline shape appears left click or press Enter.

Normal

snaps to the point of intersection of a normal with a line, polyline, circle, ellipse, arc, leader. spline. It can be applied while drawing lines at right angles toother elements of the drawing. During the creation of a primitive move the cursor to the place of the intersection of the normal, after the snap to the normal appears left click or press Enter.

Endpoint

snaps to the endpoint of a line, a segment of a polyline, an arc, a spline, a segment of a leader, a dimension, a table. While creating an entity move the cursor to the starting point or to the endpoint of an entity, after the snap to the endpoint shape appears left click or press Enter.

Center

snaps to the center of a circle, an ellipse, an arc. While creating an entity move the cursor to the center of an entity, after the snap to the center shape appears left click or press Enter.

Insertion

snaps to the point of insertion of an external raster and vector file, a multiline text, a block.

Quadrant

snaps to the quadrant points (a quarter of the circle - 0, 90, 180 and 270 degrees) of an arc, circle or ellipse.

Tangent

snaps to the intersection point of the directing vector beginning at a specified point with a circle, arc or ellipse.

Parallel

is used to create a directing vector that beging at a specified point and is parallel to a linear segment of a polyline, line, leader and other linear objects of the drawing. The mode is active only if Tracking is on.

Usage: set the start point in the drawing. Set the tracking marker on the object to which the directing vector of the element to be created should be parallel. After that when placing the mouse cursor parallel to the linear segment a tracking line appears.

Extension

is used to create a tracking line that is the extension of a lineare object. The mode is active only if Tracking is on.

Usage: set the start point in the drawing. Set a snap marker (center, endpoint, intersection) on the needed linear object. After that when moving the cursor along the object a tracking line appears with snap to it.

Grid

Polar Tracking

Tracking

Options. Snap and Grid


Tracking

Navigation: User Interface > Editor > Drawing Aids >

Tracking

Return to chapter overview

Ribbon: Editor -> Snap -> Tracking

Tracking lines help to place objects relative to other elements. Tracking mode is a part of snap and works together with it.

How to Use Tracking

Set an orange marker that looks like a small plus sign (+) on the entity that will be the base element for tracking with the help of snap modes. After the alignment point acquisition ( setting the tracking marker) vertical and horizontal tracking lines passing through this point appear. When the cursor is placed away from the tracking lines they disappear, but the marker stays. When creating and editing entities it is possible to snap to tracking lines and their intersections.

By default alignment points are acquired automatically when pointing the cursor at the object. While working with a drawing containing a lot of objects it is recommended to change this setting so that the alignment points are acquired with the key Shift pressed. To remove the tracking marker point the mouse cursor at it and hold it a little in this position. To remove all the set markers it is sufficient to change the scale, for example, by turning the mouse wheel.


Fast Entities Input

Navigation: User Interface > Editor > Drawing Aids >

Fast Entities Input

 Return to chapter overview

The Fast Entities Input button allows you to use one and the same entity several times without the necessity to activate this entity every time.

Quick Access Panel:

Ribbon: Editor -> Draw -> Fast Entities Input

Menu: Draw -> Fast Entities Input

Use the key Esc or the command Cancel in the context menu to deactivate the current entity while Fast Entities Input mode is on.

For example: you need to draw several Polylines.

If the Fast Entities Input mode is off you will have to click the Polyline icon [image] to activate it every time you wish to draw a new polyline.

If the Fast Entities Input mode is on you will be able to activate the Polyline icon once and draw as many polylines as you need until you press Esc to deactivate the Polyline entity or press the icon of another entity.

The feature also affects the selection of entities and the nature of some modifying instruments. With the Fast Entities Input mode on successive clicking on the elements of the drawing selects several entities. When the mode is off you can hold the key Shift pressed to fulfill the same operation.

While modifying elements of the drawing with the help of the instruments Move, Rotate, Scale and Mirror a copy of the selected object with some new parameters is created. The initial object stays untouched.

The Instrument Move

The Instrument Rotate

The Instrument Scale

The Instrument Mirror


Poly Entity Input

Navigation: User Interface > Editor > Drawing Aids >

Poly Entity Input

 Return to chapter overview

The command Poly Entity Input allows to create the entity Line similarly to the entity Polyline without activating it every time.

Quick Access Panel:

Ribbon: Editor -> Draw -> Poly Entity Input

Menu: Draw -> Poly Entity Input

Every created segment is a separate object. Poly Entity Input allows to create a continuous contour consisting of separate lines. The mode is used only when creating elements.

Fast Entities Input


Grid

Navigation: User Interface > Editor > Drawing Aids >

Grid

 Return to chapter overview

The command Grid switches on/off a rectangular grid of points situated at a certain distance from each other.

Status Bar:

Hotkey: F7

The grid is used for a more effective drawing of elements. The grid step can be set by the user. While creating and editing the objects snap to the mesh points is active. Grid isn't printed.

The grid step is specified in the tab Grid of the window Options. By default the grid step is calculated automatically according to the size of the drawing and is equal to one hundredth of its largest side. The sizes of the image are displayed in the right bottom corner of the program in the format X;Y;Z. The user can manually set the grid step along the axes X and Y in the window Options.

To get a quick access to the needed tab of the dialog box Options right click on the grid icon in the status bar and select Options. There will appear the dialog box Options with the corresponding tab opened.

Options. Grid

Snap


Polar Tracking

Navigation: User Interface > Editor > Drawing Aids >

Polar Tracking

 Return to chapter overview

The Polar Tracking mode allows creating and moving entities with precise angle affixment.

Status Bar:

Hotkey: F6

In this mode the polar tracking lines and a hint showing the angle of inclination in the XY plane appear when the cursor is moved. The polar tracking mode can't be used with the ortho mode, that's why when the Polar tracking mode is on, the Ortho mode is automatically switched off.

Polar tracking lines appear only after setting the base point, relative to which the object will be moved or after specifying the first point of the created entity. They appear when the imaginary line drawn from the set point to the cursor position is at an angle which is near to one of the polar tracking ones. The step of key angles is chose from the list in the dialog box Options under the tab Snap and Grid. By default polar tracking angles' step is 15 degrees.

Ortho

Grid

Snap

Options. Snap and Grid


Ortho

Navigation: User Interface > Editor > Drawing Aids >

Ortho

 Return to chapter overview

The command Ortho switches the mode of orthogonal drawing on/off.

Status Bar:

Hotkey: F8

When this function objects are edited and linear entities are created strictly horizontally or vertically along the plane XY. The Ortho and the Polar tracking modes can't be used simultaneously, that's why while switching the Ortho mode on the Polar tracking mode is automatically switched off.

The set deviation angle from the X axis of the element under creation defines the angle explicitly and has a priority over the mode of orthogonal drawing.

Polar Tracking

Grid

Snap

Dynamic Input


Means of Editing

Navigation: User Interface > Editor > Drawing Aids >

Means of Editing

 Return to chapter overview

CADEditorX offers several ways of editing objects, each of which supplement each other and makes the procedure easier and faster. It is impossible to select only one way of editing as some of the operations can be fulfilled only in one of the presented ways, for example, onle the Properties panel allows to change an entity color. It is recommended to master all the ways of editing to achieve the best result.

Editing with the Help of Special Tools

Editing with the Help of Selection Markers and the Mouse

Editing with the Help of the Properties Panel

Editing with the Help of Special Tools

Special editing tools are described in the topic Modifying Instruments. They are presented in the section Instruments of the tab Editor in CADEditorX. Editing objects with their help is usually fulfilled in the following manner: first, the entity that needs to be edited is selected > then the editing tool is activfted (for example, Move) > the selected action is performed upon the object.

Editing with the Help of Selection Markers and the Mouse

When an earlier created entity is selected, it is marked with blue selection markers. The markers are situated in the control points of the object. For instance, the entity Line has a start marker and an end marker and the entity Circle has markers at quadrant points and a center marker. It is possible to change only one control point without affecting other ones with the help of markers.

To acquire a selection marker and change its position

1.Place the mouse cursor on the selection marker, its color will become yellow.

2.Click left on the marker.

3.Move the control point of the object.

4.The following left click will finish editing the control point.

When editing vertexes of an object with the help of a marker snap, tracking, dynamic input and many other drawing aids are available. Special editing tools are described in the topic Modifying Instruments. They are presented in the section Instruments of the tab Editor in CADEditorX. Editing objects with their help is usually fulfilled in the following manner: first, the entity that needs to be edited is selected > then the editing tool is activated (for example, Move) > the selected action is performed upon the object.

Note: If a left mouse click is performed not on the marker of an object but on its line, the whole object will be moved.

Editing an Object in the Properties Panel

The Properties panel allows to redefine the properties of the selected objects. Each redefinition must be confirmed by pressing the key Enter. In contrast to the other ways of editing that are visual and allow to achieve precision with the help of snaps and dynamic input, the properties panel allows to specify the coordinates of the control points of the selected object.For example, it is possible to set the coordinates of the center for a circle.

Properties Panel

Dynamic Input

Tracking

Snap


Drawing Tools

Navigation: User Interface > Editor >

Drawing Tools

 Return to chapter overview

This section includes a set of elements you can use for creating a file:

Line | drawing a straight line
Polyline | drawing a polyline
Spline | drawing a spline
Pen | drawing a freeform line
Hatch | drawing a hatch
Rectangle | drawing a rectangle
Circle | drawing a circle
Ellipse | drawing an ellipse
Arc | drawing an arc
Point | drawing a point
Table | drawing a table
Wipeout | creating invisible areas
Viewport | creating ViewPorts on the Layouts.
Leader | drawing a leader
OLE | intergrading objects from some other applications
Text | inserting a text entity
Dimension | drawing a dimension


Arc

Navigation: User Interface > Editor > Drawing Tools >

Arc

 Return to chapter overview

The Arc button allows to draw an arc by specifying the starting point, the endpoint and the height of the chord.

Quick Access Panel:

Ribbon: Editor -> Draw -> Arc

Menu: Draw -> Arc

To add an arc

1. Click on the button [image] .

2. Specify the starting point with the left mouse click or enter the coordinates via the dynamic input.

3. Move the mouse cursor and specify the end point.

4. Drag the pointer for defining the convexity of the arc.

5. Click when done.

An arc has a set of properties which can be viewed and edited in the Properties panel:

Property | Description
Color | Defines the color of the arc
Layer | Defines the layer which the arc belongs to. The property contains a list of all available in the drawing layers and allows to move the arc to another layer.
Line Weight | Defines the lineweight of the arc. Is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.
Linetype | Defines the linetype of the arc. Is selected from the standard values.
Linetype scale | Sets the scale for the current linetype. By default it is 1.
Point | Sets the coordinates of the center of the arc.
Radius | Sets the value of the radius of the arc.
Height | Sets the value of the height of the arc.
EndAngle | Defines the maxcimal angle between the end point of the arc and the axis OX on the trigonomeric circle. The direction of the axis X from the center of the arc is accepted as the beginning for the angle reading. Angle reading is performed counterclockwise.
StartAngle | Defines the minimal angle between the end point of the arc and the axis OX on the trigonomeric circle. The direction of the axis X from the center of the arc is accepted as the beginning for the angle reading. Angle reading is performed counterclockwise.
Length | Shows the length of the arc. Is unavailable for editing.
Area | Shows the area bordered by the arc. Is unavailable for editing.

Properties Panel.


Circle

Navigation: User Interface > Editor > Drawing Tools >

Circle

 Return to chapter overview

The Circle button allows to draw a circle by specifying its center and radius.

Quick Access Panel:

Ribbon: Editor -> Draw -> Circle

Menu: Draw -> Circle

To add a circle

1. Click on the button [image] .

2. Left click in the drawing field to specify the center of the circle or enter the coordinates via the dynamic input.

3.Drag the pointer to draw a circle or enter the radius.

4.Left click when done.

A circle has a set of properties which can be viewed and edited in the Properties panel:

Property | Description
Color | Defines the color of the circle
Layer | Defines the layer which the circle belongs to. The property contains a list of all available in the drawing layers and allows to move the circle to another layer.
Line Weight | Defines the lineweight of the circle. Is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.
Linetype | Defines the linetype of the circle entity. Is selected from the standard values.
Linetype scale | Sets the scale for the current linetype. By default it is 1.
Point | Sets the coordinates of the center of the circle in the gnomon.
Radius | Sets the value of the radius of the circle.
Circle Length | Shows the length of the circle.
Area | Shows the area of the arc.

Properties Panel


Dimension

Navigation: User Interface > Editor > Drawing Tools >

Dimension

 Return to chapter overview

Show/Hide Hidden Text

The Dimension button allows drawing a dimension.

Quick Access Panel:

Ribbon: Editor -> Text -> Dimension

Menu: Draw -> Dimension

To add a dimension

1.Click on the button [image] .

2.Click once to specify the first point of the entity (Snap mode is available) or enter the coordinates in the the dynamic input window.

3.Specify the second point.

4.Move the mouse to create the extension lines and the dimension line itself. At this point you can specify the length of the extension lines by entering the necessary value from the keyboard in the dynamic input window.

5.Click to fix the position of the extension and dimension lines in the drawing.

A dimension has a set of properties which can be viewed and edited in the Properties panel:

Property

Description

Color

Defines the color of the dimension.

Layer

Defines the layer which the dimension belongs to. The property contains a list of all available in the drawing layers and allows to move the dimension to another layer.

Style

Defines the dimension style of the dimension. Dimension styles allow to apply a constant set of needed properties to a dimension.

Measurements scale

Defines the scale parameter for linear dimensions. It is not recommended to change value by default - 1.000. For instance: if this parameter is 2, then dimension 1mm will be viewed as 2mm.

Precision

Defines the number of characters after the comma.

Text Color

Defines the dimension text color.

Text Height

Defines the dimension text height.

Text Rotation

Defines the dimension's rotation angle.

Text Override

Allows redefining the dimension text and adding special characters (press [image] button on the right):

Text pos vert

Defines the placement of the dimension text against the dimension line.

Vertical alignment:

·Center - the dimension text is placed in the center between the extension lines.

·Above - the dimension text is placed over the dimension line. Distance between the dimension line and the base line of the lowest text border is equal to the current value of Offset from Dim Line parameter.

·Outside - placement of the dimension text near the extension line at the side which is most distant from the first definition point.

·JIS - placement of the dimension text according to the JIS (Japanese Industrial Standards).

Text Inside Align

Defines the text alignment along the dimension lines

Text Offset

Defines the dimension text offset.

Arrow size

Defines the size of the dimension arrows.

Arrow 1, 2

Defines the view of dimension arrows 1 and 2.

Dimension Line Color

Defines the color of the dimension lines.

Extension Line Color

Defines the color of the extension lines.

Extension Line 1, 2

Switches extension lines 1 and 2 on or off.

Extension Line Extension

Defines the length of extension lines.

Extension Line Offset

Defines the space between the extension lines and the measured object.

Dimension Line 1, 2

Switches dimension lines 1, 2 on or off.

Control Point

Contains control point coordinates.

Base Point 1, 2

Contains base points 1 and 2 coordinates.


Dimension Styles

Navigation: User Interface > Editor > Drawing Tools > Dimension >

Dimension Styles

 Return to chapter overview

Show/Hide Hidden Text

The Dimension Styles button allows to manage dimension styles which are used for the current CAD file

Quick Access Panel:

Ribbon: Editor -> Text -> Dimension Styles...

Menu: Draw -> Dimension Styles...

The Dimension Styles button calls a dialog box for managing dimension styles which are used for the current CAD file.

Current Dimstyle contains the name of the current dimension style. The default dimension style is STANDARD. The current style is applied to all the new dimensions.

·Style Name contains a list of dimension styles available for the current file. The current style is highlighted. Right mouse click over the list calls a popup menu which allows selecting the current text style, renaming and deleting styles. The current style or the style in use can not be deleted.

·All styles allows managing the Style name list. Select All styles to view all the dimension styles available in the file. Select Styles in use to view only the dimension styles which are in use.

·Set current sets the selected dimension style as current.

·New allows creating your own dimension style. After you've pressed the button you will see the Create New Dimension Style dialog box appear. Enter the name of your new Dimension Style and click OK. After that you will see the Dimension Style window giving you access to adjusting the style of dimensions as it is most convenient for you.

·Modify opens the Dimension Style dialog box which contains settings for the current dimension style.

·Delete deletes the selected dimension style. Current style or a style which is in use can't be deleted.

·Rename renames the selected dimension style.

The Dialog Box Dimension Style.

The Dialog box Dimension Style contains settings for new or current dimension style:

There are three available tabs:

oLines and Arrows

oText

oPrimary Units

LINES AND ARROWS

The section Dimension Lines allows defining color, line weight and the view of dimension lines. The option Suppress means here which end of a dimension line will not be shown. If you check both boxes, then the whole dimension line will be suppressed.

The section Extension Lines allows defining color, line weight and viewing order for extension lines. The option Suppress means here which end of a extension line will not be shown.

uExtend beyond dim lines - this is the length of the part of the extension line which is above the dimension line.

uOffset from origin - the distance between the measured element in the drawing and the extension lines.

Section Arrowheads allows defining view and size for dimension arrows, defining leader view.

Section Size of center mark/lines - defining size of marker.

TEXT

Text tab

The Text Appearance section allows defining text style, color and height.

The section Text Placement - allows defining the position of the dimension text against the dimension and extension lines - the position can be changed along the vertical axis.

Vertical alignment:

·Center - the dimension text is placed in the center between extension lines.

·Above - the dimension text is over the dimension line. The distance between the dimension line and the lowest level of the dimension text is equal to the current value of Offset from Dim Line parameter.

·Outside - the dimension text is placed near the extension line at the side which is most distant from the first definition point.

·JIS - the dimension text is placed according to the JIS (Japanese Industrial Standards).

PRIMARY UNITS

Primary Units tab

Linear Dimensions allows defining precision and measurement scale.

Precision defines the number of digits after comma.

Measurement Scale defines the scale parameter for linear dimensions. It is not recommended to change the default value - 1.000. For example: if this parameter is 2, then dimension 1mm will be viewed as 2mm.


Ellipse

Navigation: User Interface > Editor > Drawing Tools >

Ellipse

 Return to chapter overview

The Ellipse button allows to draw an ellipse by specifying its center, the length of its first and second axles.

Quick Access Panel:

Ribbon: Editor -> Draw -> Ellipse

Menu: Draw -> Ellipse

To add an ellipse

1.Click on the button [image] .

2.Specify the center with a left mouse click or enter the coordinates via the dynamic input.

3.Left click to indicate the end point of the first axis or enter its coordinates via the dynamic input.

4.Set the end point of the second axis with a left mouse click or specify the radius via the dynamic input.

5.Click when done.

An ellipse has a set of properties which can be viewed and edited in the Properties panel:

Property | Description
Color | Defines the color of the ellipse.
Layer | Defines the layer which the ellipse belongs to. The property contains a list of all available in the drawing layers and allows to move the ellipse to another layer.
Line Weight | Defines the lineweight of the ellipse. Is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.
Linetype | Defines the linetype of the ellipse. Is selected from the standard values.
Linetype scale | Sets the scale for the current linetype. By default it is 1.
Point | Sets the coordinates of the center of the ellipse.
RadPt | Sets the coordinates of the second point of the vector of the major semiaxis, which defines its length and direction in the drawing.
Radius Ratio | Sets the ratio between the minor and major semiaxes. It characterizes the oblongness of the ellipse. The nearer the value to 1 the more like a circle is the ellipse, the nearer the value to 0, the longer is the ellipse.

Properties Panel


Hatch

Navigation: User Interface > Editor > Drawing Tools >

Hatch

 Return to chapter overview

The Hatch button allows drawing a hatch or a fill.

Quick Access Panel:

Ribbon: Editor -> Draw -> Hatch

Menu: Draw -> Hatch

An area in the drawing can have a hatch or a fill. Fills can be solid and gradient. A single command is used for them in CADEditorX. The command Hatch calls the Boundary Hatch and Gradient dialog box.

The user selects the needed tab which contains a set of parameters according to the added type of hatch. The borders are defined by the options Inside Contour and Outside Contour combined with the command Select point or an object is selected which will contain hatch. To add a fill make use of the tab Hatch.

The Hatch Tab

This Tab allows to add a simple hatch and a solid fill. Hatch name is selected from the Pattern drop down list or a hatch is chosen from the collection of hatches which is activated by pressing the Browse button [image] on the right of the drop down list. The graphical image of the chosen hatch is displayed in the preview area.

Before adding a hatch you can set the values of some of its properties. All the changes in these parameters will be viewed in the preview area.

·Color. Sets the color of the hatch lines. The default value is By Layer.

·Angle. Defines the inclination angle of the lines in the drawing.

·Scale. Sets the scale of the hatch lines. The scale sets the frequency of repeating the hatch lines in the drawing. The higher the scale is the bigger the number of fragments per drawing unit is.

Note: To add a solid flat fill select the template with the name "SOLID".

Gradient Tab

A gradient is a hatch gradually changing from one color to another. It can consist of one color with the transition from darker to lighter shades, or of two colors.

In the Color Section the number of colors and their values are specified. If one color is used then the gradient will contain a smooth transition from darker to lighter shades. Switching on the option Two colors allows to add a gradient with a smooth transition from one color to another one.

The tab has nine samples of gradient that also perform preview function, as they change in accordance with the parameters selected. The section of a sample is fulfilled with the left mouse button.

The section Orientation defines the angle and the direction of the gradient. The option Center stands for symmetrical transition of colors. If the option is off you'll get an illusion of a light source.

Setting the Boundaries of Hatch and Gradient

Boundaries of the gradient can only be specified by geometrical entities: line, polyline, circle, ellipse, spline. The contour for the boundaries definition can be specified in different ways:

1)automatically: a point inside or outside the object is specified;

2)by selecting an object: objects cam be selected before or after activating the command Hatch.

To select an object use the commands [Select point] or [Select objects] of the dialog box Boundary hatch and Gradient. The Options Inside Contour and Outside Contour are used in combination with the command Select point and define where a mouse click will take place - inside or outside the object. The command Select objects switches the program to the mode of selecting the objects the shared area of which will contain a hatch. To finish the selection and return to the dialog box Boundary hatch and Gradient press Enter.

To define the borders of the hatch you can use an open object. In such a case it is impossible to define the borders with the help of a point. The command [Select objects] is required. For example,

Before

After

Editing Hatch and Gradient

A hatch has a set of properties which can be viewed and edited. Some parameters can be changed in the Properties panel, some others - only in the dialog box Boundary hatch and Gradient, which is called with the help of a double mouse click over the created hatch. The contour of the hatch can't be changed. It can be moved, copied etc.

Hatch properties:

Property | Description
Color | Defines the color of the lines of the hatch and solid fill.
Layer | Defines the layer which the hatch belongs to. The property contains a list of all available in the drawing layers and allows to move the hatch to another layer.
Line Weight | Defines the lineweight of the hatch. It is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.
Name | Is the name of the sample of the used hatch. To change it call the dialog box Boundary hatch and Gradient.
Angle | Is the angle of rotation of the hatch in the XY plane.
Scale | Sets the rate of hatch lines. The higher the scale is the lower the frequency of the hatch lines is.

Gradient properties:

Property | Description
Color | Defines the color of the lines of the hatch and solid fill.
Layer | Defines the layer which the gradient belongs to. The property contains a list of all available in the drawing layers and allows to move the gradient to another layer.
Name | Is the name of the used hatch. For gradient it is always GRADIENT.
Angle | Is the angle of rotation of the gradient in the XY plane.
Color 1 | Is the value of the color 1 of the gradient.
Color 2 | Is the value of the color 2 of the gradient.

The order of the hatch can be changed with the help of the commands of the dialog box Bring to front and Send to back.

Properties Panel


Leader

Navigation: User Interface > Editor > Drawing Tools >

Leader

 Return to chapter overview

The Leader button allows drawing a leader.

Quick Access Panel:

Ribbon: Editor -> Draw -> Leader

Menu: Draw -> Leader

A leader in CADEditorX is a polyline with an arrow at the beginning. The shape of the arrow is predefined by the current dimension style and can be edited after its creation.

To draw a leader

1. Click on the button [image] .

2. Click once where the leader has to be directed to or enter the coordinates via the dynamic input.

3. Drag the pointer to draw a straight line.

4. Click when done

Note: Use the Polar tracking and the Ortho modes.

A leader has a set of properties which can be viewed and edited in the Properties panel:

Property | Description
Color | Defines the color of the leader
Layer | Defines the layer which the leader belongs to. The property contains a list of all available in the drawing layers and allows to move the leader to another layer.
Line Weight | Defines the lineweight of the leader. Is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.
Linetype | Defines the linetype of the leader. Is selected from the standard values.
Linetype scale | Sets the scale for the current linetype. By default it is 1.
Arrow Size | Sets the arrow size of the leader. By default it is equal to 0.18.
Arrow | Allows to change the type of the arrow.

Properties Panel

Dimension Styles


Line

Navigation: User Interface > Editor > Drawing Tools >

Line

 Return to chapter overview

The Line button allows to draw a straight line.

Quick Access Panel:

Ribbon: Editor -> Draw -> Line

Menu: Draw -> Line

To add a line

1. Click on the button [image] .

2. Click to set the first point or enter its coordinates via the dynamic input.

3. Drag the pointer to draw the line.

4. Specify the end point. Click when done.

A line had a set of properties that can be viewed and edited in the Properties panel.

Property | Description
Color | Defines the color of the line.
Layer | Defines the layer which the line belongs to. The property contains a list of all available in the drawing layers and allows to move the line to another layer.
Line Weight | Defines the lineweight. Is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.
Linetype | Defines the linetype. Is selected from the standard values.
Linetype scale | Sets the scale for the current linetype. By default it is 1.
Angle | Sets the angle of obliquity between the line and the axis OX on the trigonomeric circle. The direction of the axis X from the first point of the line is accepted as the beginning for the angle reading. Angle reading is performed counterclockwise.
Length | Sets the length of the line. While measuring the value of the line length the starting point stays still (the first point), while the end point moves in the direction of the line according to the length value.
Point | Sets the coordinates of the starting point of the line.
Point 1 | Sets the coordinates of the end point of the line.

Properties Panel


Pen

Navigation: User Interface > Editor > Drawing Tools >

Pen

 Return to chapter overview

The Pen button allows to draw a freeform line.

Quick Access Panel:

Ribbon: Editor -> Draw -> Pen

Menu: Draw -> Pen

After being drawn the curve has the properties of a polyline. With the help of this instrument it is possible to create sketches.

To add a curve

1. Click on the button [image] .

2. Press the left mouse button and drag the pointer to draw the line keeping the button pressed.

3. To finish drawing release the mouse button.

Note: Dynamic Input isn't active for this tool. In order not to activate the instrument Pen every time after finishing drawing a curve, turn the Fast Entites Input mode on. If Grid is on, pointer moves on grid points.


OLE

Navigation: User Interface > Editor > Drawing Tools >

OLE

 Return to chapter overview

The OLE button allows to integrate objects from some other applications.

Quick Access Panel:

Ribbon: Editor -> Draw -> OLE

Menu: Draw -> OLE

OLE is a technology of linking and embedding objects realized in Microsoft Windows, which allows to add information from one application to another with the opportunity of editing it in the initial application. So, one can add, for example, Microsoft Excel tables, diagrams, text files and so on into a drawing. Each OLE object is an independent program entity.

The added OLE Object can be a copy of the initial file or a link to it. The object can be presented as some graphical information (a document sheet, diagram etc.) or a sign. This allows to add object of any format but their viewing and editing is possible only in the corresponding application.

There is a difference between linking and embedding OLE objects.

As far as embedding is concerned a copy of the input data is created in the drawing. It doesn't have any link with the initial document. You can edit the object with the help of the application in which it was created, but the initial document will stay invariable. Thus, this option is preferable when the changes in the initial document are unwanted.

As for linking it creates a link to the document. So, any changes in the initial document will lead to the ones in the OLE object. It is important to remember that if the initial file is moved it will be impossible to view OLE object linked to it.

Adding an OLE Object

There are two ways to create OLE objects.

·by means of opening another application and entering data there;

(it inserts a new object of the chosen type)

·by means of importing a file created in another application

(it inserts the contents of the file as the object activated with the help of the program that created it)

You will be able to edit OLE objects at any moment after you have created them.

OLE objects are not transparent and while printing they can hide the objects that are placed underneath. Not to have the objects printed it is recommended to create them in a special layer and to freeze it or switch it off.

Creating an OLE in Another Application

1.Press the OLE button.

2.Specify the area to paste OLE.

3.Choose the option "Create new".

4.Choose one of the listed types of objects. A tick opposite to the option Show as Icon allows you to choose if you want the OLE object to be inserted as an icon or as a document.

5.Press OK.

6.An application where you'll be able to enter all the needed data will be opened. Create a document and after you have finished close the secondary application.

7.Close the application and click No when the request to save will appear. If you wish to save the created file separately to the disk click Yes and select the folder where you will want to save it in the standard dialog box Open.

8.OLE Object will be embedded. That means it will not be connected with the external file.

Importing a File Created in Another Application.

1.Press the OLE button.

2.Specify the area to paste OLE.

3.Choose the option "Create from file".

4.Define the path to the needed file.

If you put a tick opposite the option "linking" it enables you to have the data in the drawing changed in case the initial file was modified.

A tick opposite to the option Show as an Icon allows you to choose if you want the embedded or linked object to be inserted as an icon or as a document.

5.Press OK.

Editing OLE Objects.

After being created an OLE object has one marker in the top left corner, which shows the point of pasting.

To open the embedded or linked objects double click with the left mouse button on the object or click with the right mouse button and choose OLE -> edit. In the opened secondary application make all the needed changes. Changes in the embedded object don't need confirmation, whereas linked objects do.

You can also edit a linked object by opening the related file in the corresponding application. All the changes will be displayed in the OLE object. This method however doesn't concern embedded objects.

An OLE object has a set of properties which can be viewed and edited in the Properties panel:

Property | Description
Color | Defines the color of the borders of the OLE object
Layer | Defines the layer which the OLE object belongs to. The property contains a list of all available in the drawing layers and allows to move the OLE object to another layer.
Point | Defines the coordinates of the point of insertion of an OLE object. The point of insertion is the top right corner.
Size | Defines the height and width of the OLE object. Changing these parameters is fulfilled without keeping proportions.

Properties Panel

Dynamic Input


Point

Navigation: User Interface > Editor > Drawing Tools >

Point

 Return to chapter overview

The Point button allows to draw a point.

Quick Access Panel:

Ribbon: Editor -> Draw -> Point

Menu: Draw -> Point

After creating a point, snap to the endpoint is active to the added point. In the Fast Entities Input mode several points can be created.

By default the entity Point is displayed one pixel large. You can change the point display mode and size. Changing them affects the display of all the entities Point, which are added to the drawing. The mode and the size of point display are set in the fields Point Display Mode and Point Display Size when no entity is selected.

To draw a point

1. Click on the icon [image] .

2. Click on the specified place or enter the coordinates via the dynamic input.

3. Click when done.

Properties Panel

Snap


2D Polyline

Navigation: User Interface > Editor > Drawing Tools >

2D Polyline

 Return to chapter overview

The Polyline button allows to draw a polyline passing through the specified points.

Quick Access Panel:

Ribbon: Editor -> Draw -> Polyline

Menu: Draw -> Polyline

A polyline can consist from line segments and circular arcs. All these segments are a single object. To every segment of the polyline width can be attributed separately. The button is in the Editor tab under the section Draw. In the classical menu the command is under the Draw menu.

Polylines can be closed, i.e. two segments come from each vertex. Only polylines with two or more segments (3 or more vertexes) can be closed. One can close a polyline both at the moment of creation and after finishing to draw it. To close a polyline at the moment of its creation select the command Close in the context menu. The tool Rectangular allows to create a closed rectangular polyline.

To add a polyline

1. Click on the button [image] .

2. Click to set the first point or enter the coordinates via the dynamic input.

3. Drag the pointer to draw a straight line.

4. Click once at each position where you want a new segment to appear or enter new segment's coordinates on the keyboard. By default a line segment is drawn.

5. Right click and select Arc from the context menu to add a circular arc.

6. Drag the pointer and specify the diameter of the arc.

7. Right click and select Line from the context menu to add a line segment.

8. Use Ctrl+Z to undo the last drawn part of a polyline

9. Double-click when done.

Note: Editing the segments is available after the creation of the polyline.

The command Fillet enables the user to create a circular arc to the created linear segment and the conditional linear segment that is perpendicular to the created one. The command is available from the context menu at the stage of polyline creation. Fillet cannot be created in the following cases:

·after a circular arc, as well as after the one created with the command Fillet;

·for creation of the first polyline segment.

Radius of the fillet is "0,5' on default. It can be changed in the window of dynamic input after selection of the command.

Editing the Polyline

To edit a polyline use the markers which appear after having selected the object in the drawing. Line segments have the markers of the beginning, the end and the centre. Markers of the centre for circular arcs which help to set the direction of the convexity and the height of the chord. Linear segments markers of the centre enables the user to relocate the polyline segment parallel to the current position. Markers are moved with the left mouse button: point the cursor at a marker, after the marker changes its color into yellow, after that it can be moved with the left mouse button pressed.

Different width for the segments of a polyline is set with the help of the properties Global Width, Start Segment Width and End Segment Width. In contrast to the property Lineweight, these parameters set the width of a polyline the display of which depends on the performed zoom.

A polyline has a set of properties which can be viewed and edited in the Properties panel:

Property

Description

Color

Defines the color of the polyline

Layer

Defines the layer which the polyline belongs to. The property contains a list of all available in the drawing layers and allows to move the polyline to another layer.

Line Weight

Defines the lineweight of the polyline. Is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.

Linetype

Defines the linetype of the polyline. Is selected from the standard values.

Linetype scale

Sets the scale for the current linetype. By default it is 1.

Vertexes

Contains a group of parameters which are aet for everu vertex separately:

·Count. The total amount of vertexes of the polyline. Vertexes are the beginning and the end of a segment. If they meet at one point, then it is one vertex.

·Index. Switches between the vertexes of a polyline to edit the segments. Switching is performed with the help of the arrows which appear after activation of the field. The active vertex in the drawing is marked with yellow, and all the rest - with blue.

·X, Y. The coordinates of the current vertex in the XY plane.

·Bulge. The value of the tangent of the angle which is formed by a secant passing through the point of the intersection of the circular arc and the height. It takes the values from 0 to 1. If the arc is drawn clockwise fron the starting to the end point, this value is negative. 0 means it is a line segment, 1 means it is a semicircle.

·Bulge height. The value of the height of the circular arc.

·Start segment width. Sets the start segment width.

·End segment width. Sets the end segment width.

Global Width

Sets the common for all the segments width which depends on the performed zoom.

Length

Sets the common for all the segments length.

Area

The area defined by the polyline.

Properties Panel


3D polyline

Navigation: User Interface > Editor > Drawing Tools >

3D polyline

 Return to chapter overview

Quick Access Menu:

Menu: Draw > Polyline

Ribbon: Editor > Draw > Polyline

Command: PolyLine

Command alias: pline

This command enables to draw a polyline curve passing through the specified points. 3D Polyline points can be situated in the same plane as well as in different ones. 3D polylines cannot contain arc segments.

Properties Panel

2D Polyline


Rectangle

Navigation: User Interface > Editor > Drawing Tools >

Rectangle

 Return to chapter overview

The Rectangle button allows to draw a closed rectangular polyline.

Quick Access Panel:

Ribbon: Editor -> Draw -> Rectangle

Menu: Draw -> Rectangle

The rectangle has all the properties of a polyline.

To add a rectangular

1. Click on the icon [image] .

2. Click to start drawing the first corner or enter the coordinates via the dynamic input.

3. Drag the pointer diagonally in the direction you want, to draw a square-cornered shape.

4. Press Enter or left click.

Properties Panel

The Properties of a Polyline


Spline

Navigation: User Interface > Editor > Drawing Tools >

Spline

 Return to chapter overview

The Spline button allows to draw a spline passing through specified points.

Quick Access Panel:

Ribbon: Editor -> Draw -> Spline

Menu: Draw -> Spline

To draw a spline

1. Click on the icon [image] .

2. Click to show the first vertex or enter the coordinates via the dynamic input.

3. Click once at each position where you want a new vertex to be placed or enter data via the dynamic input.

4. Use Ctrl+Z to undo the last drawn part of a spline.

5. Double left click.

A spline has a set of properties which can be viewed and edited in the Properties panel:

Property | Description
Color | Defines the color of the spline
Layer | Defines the layer which the spline belongs to. The property contains a list of all available in the drawing layers and allows to move the spline to another layer.
Line Weight | Defines the lineweight of the spline. Is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.
Linetype | Defines the linetype of the spline. Is selected from the standard values.
Linetype scale | Sets the scale for the current linetype. By default it is 1.
Degree | Shows the degree of the spline.
Fit points | The number of fit points (or vertexes).
Start tangent vector | Coordinates X,Y,Z of a tangent in the start point.
End tangent vector | Coordinates X,Y,Z of a tangent in the end point.

Properties Panel


Table

Navigation: User Interface > Editor > Drawing Tools >

Table

 Return to chapter overview

The Table button allows drawing a table.

Quick Access Panel:

Ribbon: Editor -> Draw -> Table

Menu: Draw -> Table

A table is a rectangular system of cells which form a framework of the table. The data in the table are organized in columns and lines. In CADEditorX it is possible to create new tables and to edit the existing ones. Editing tables that were created with the help of other applications is possible only with DXF files. In DWG files tables are presented as blocks, thus they are edited like blocks.

Creating a Table

To create a table the command [image] Table is used. After selecting a rectangular area which the table will fit, the dialog box "New Table" appears, where the starting parameters are entered:

·Columns. The number of the table's columns.

·Rows. The number of the rows of the table.

·Table Style. The list of styles of a table, that are used in the current file. Only one style STANDARD ist available for a new file. It is impossible to create a custom style for tables in CADEditorX.

·Auto text height. The Option is used to automatically select the text height in all the cells of the table according to the cell height. If the option is off the text height is equal to 0,18 regardless of the table size.

To add a table

1. Click [image] .

2. Click to start drawing the first corner or enter the coordinates via the dynamic input.

3. Drag the pointer diagonally in the direction you want, to draw a square-cornered shape.

4. Define the number of columns and rows of the table. After you finish it press OK.

5. Edit the table in the opened dialog box and press OK.

6. A table consisting from the stated number of rows and columns will be created.

Editing a Table

The contents of a table is edited in the dialog box Table. This dialog box appears automatically after adding a new table to the drawing. You can turn to the mode of editing an earlier created table in the following ways:

1. Double click on the table with the left mouse key.

2. Select the command Edit table from the context menu of the table.

You can edit the contents of a cell in the following ways:

1. Set the mouse cursor in the cell to be edited and enter a new string of text. All the text that was in the cell will be deleted and replaced by a new one.

2. Double click on the cell to be edited with the left mouse button and shift the cursor to a needed position with the help of the arrow keys Left and Right on the keyboard.

3. Select a cell and press F2. Shift the cursor to a needed position with the help of the arrow keys Left and Right on the keyboard.

4. Select a cell, it will be marked with blue. In the field of the contents of the cell which is on the right of the cell address set the cursor in a needed position.

If you press Esc during input the current changes will be canceled. To confirm the changes press Enter or Tab. By pressing Tab you'll switch to the next cell.

The borders of the table or its separate cells can be forbidden to be plotted. In the drawing such border will be shown with grey. To hide all the intermediate cell separators and print only exterior borders do the following:

1. Press Ctrl+A to select all the cells of a table.

2. Click on the black down directed arrow [image] and select the command No Border.

3. Without deselecting the cells press the down directed arrow once more and select the command Outside Borders.

4. After that all the inside borders will be marked with grey and in the preview window they won't be seen.

You can reset the parameters of text view for each cell separately. The executed settings will be applied to the whole text in a cell. By default all the cells have the same editing parameters: text style is "STANDARD", text height is "0,18", font color is "0", vertical alignment is "top align", horizontal alignment is "center".

Changing the Height and Width of the Cells.

The size of columns and rows can be change with the help of the mouse or by entering the values into the corresponding field. To change the size of a row or a column point the mouse cursor on the border of the cells in the field of the line of names and after the cursor changes its form edit the size holding the left mouse button pressed. You will see the current value of the changed parameter.

To set the exact value of the column width or the row height select the changed column or row and choose the corresponding command Row Height or Column Width from the context menu. In the appeared window enter the new value and press Ok.

The commands Distribute Rows Evenly and Distribute Columns Evenly are available from the context menu. Select the cells which must have the same width or height and select the corresponding command in the context menu. The width and the height of the selected cells are averaged the table size doesn't change.

Note: By changing the cell height or width the total height or width will change respectively.

Merging and Splitting Cells.

The command [image] Merge Cells allows to unite several selected cells into a single one.To select several cells select the first one and then holding the left mouse button pressed specify the rest of the cells. You can also select the cells with the Shift key pressed.

The command [image] Split Cells executes the reverse function and can be applied only to the earlier merged cells.

Note: You can't remove the title row but you can transform it into an information row by splitting the cell. You can't add or remove rows and columns.

Search through the Table.

To pass to the edited cell you can enter its address into the field of the cell address. It is also possible to make use of the search through the contents of the cells. To call the search line click with the right mouse button within the table borders and select the command Search or use the hotkey Ctrl+F. In the bottom part of the table editor you will see the search line:

In the input field specify the text combination you want to find. The search begins automatically after entering a symbol into the filed. The coincidence of the entered symbol with the first letter of the word is searched for. If there are no such coincidences the search switches to the next word. If no word combination is found the entered symbol is marked with red.

Work with Blocks

Properties Panel

Dynamic Input


Text

Navigation: User Interface > Editor > Drawing Tools >

Text

 Return to chapter overview

Text characters type face is defined by fonts and design effects that are set by the text style. CADEditorX allows using TrueType (TTF) fonts and vector SHX fonts. The *.ttf fonts are available in the program after they are installed in Windows. It is necessary to specify the search path for SHX fonts in Options. After it SHX fonts files will be available for the program.

If the font used in the current drawing is absent, it is automatically changed to an alternative font that is specified in the settings. The default alternative font for regular SHX fonts is simplex.shx while for big SHX fonts (for Asian characters) the default one is bigfont.shx.

To add text and configure settings of its visual representation the following commands are used in the program:

·Multiline Text

Creates multiline texts representation of which may not be affected by the text style.

·Single Line Text

Creates single-line texts.

·Text Styles

The Text Style dialog box is used to create, edit and delete the text styles. The text style sets font, type face, height and other parameters of text representation.


Multiline Text

Navigation: User Interface > Editor > Drawing Tools > Text >

Multiline Text

 Return to chapter overview

The Multiline text button allows to create a string of multiline text in the drawing.

Quick Access Panel:

Ribbon: Editor -> Text -> Multiline text

Menu: Draw -> Multiline text

To add a multiline text:

1. Click on the button [image] .

2. Click over the drawing to set the first point of the rectangle that will contain the text or enter the coordinates via the dynamic input.

3. Drag the pointer to define the width of the text string or use the dynamic input:

- the text line will be limited by the left and the right sides of the rectangle. In the end when you've entered the text and adjusted the settings the result will be approximately like this:

- the rectangle will not be visible.

4. Click to finish the rectangle. The text formatting dialog will arise. Adjust the necessary setting:

oFont name

oFont height

oText style: Bold, Italic and Underlined

o [image] - allows entering special symbols (see below)

oText alignment: Right Justification, Center Justification and Left Justification

oReverses last action

oSet text color:

§By Layer - text assumes the color assigned to the layer on which the text was created

§By Block - text assumes the color of the block which this text belongs to

§Select color... - calls the Select Color dialog box

·Set the necessary indent parameters:

oFirst Line

oParagraph.

·Right mouse click over the Text Editor window, the following popup window will arise:

oSelect Symbol submenu item if it is necessary to enter a special symbol:

Selecting Charmap submenu item calls standard Windows application Character Map:

Press [image] when done. Please note that after you've finished the text it is possible to correct its properties via the Properties Panel.

oOptions:

§Word wrap - moves carriage to a new line when achieving right edge of the text field.

§Alpha blend - sets transparency for the text Editor window.

§Store Editor Position - defines a placement for the Editor window for the future calls. Editor window stores its last placement and size when this parameter is checked.

oCharacter set:


Single Line Text

Navigation: User Interface > Editor > Drawing Tools > Text >

Single Line Text

 Return to chapter overview

The Single Line Text button allows to draw a single line text.

Quick Access Panel:

Ribbon: Editor -> Text -> Single line text

Menu: Draw -> Single line text

To create a single line text string:

1. Click [image] .

2. Left click over the image to set the point of text insertion or enter the coordinates via the dynamic input.

3. Enter text line in the Text editor dialog:

4. If it is necessary to modify the properties, do it using the Properties Panel. Select the text with the mouse and in the Properties Panel you will see the current properties of the text which can be altered as you need.


Text Styles

Navigation: User Interface > Editor > Drawing Tools > Text >

Text Styles

 Return to chapter overview

The Text Styles button allows to manage text styles which are used for the current file.

Quick Access Panel:

Ribbon: Editor -> Text -> Text styles...

Menu: CAD Files -> Text styles...

The Text style dialog box is used to create, edit and delete text styles as well as to set the current text style.

Current text style. Displays name of the current text style. On default the GOST style is used as the current one.

Styles. List of styles of the current drawing. The current style is marked with the green tick.

·To set the style as current select it with the left mouse button and click the Set current button or select the Set Current command from the context menu.

·To rename the style select it from the list with the left mouse button. Click it with the right mouse button and select the Rename command from the context menu.

·To delete the text style select it from the list with the left mouse button and click Delete or select the Delete command from the context menu.

·It is impossible to delete the following styles: the STANDARD text style, the current text style and the style that is used in the current drawing.

Style list filter. Controls the display of styles in the list for the current drawing.

·All styles. All text styles are displayed in the Styles list.

·Styles in use. Only the styles that are used in the current drawing are displayed in the Styles list.

Preview. Preview of the text string that displays the results of settings configuration of the selected text style. To enter a text string use the field under the preview area.

Text font. Sets the font in use for the selected text style. Changes applied to the existing text style will affect all the text objects that use this text style.

·Name. The list of the registered TrueType and SHX fonts located in the custom fonts search folders. If the font used in the drawing doesn't exist in the system, its name in the Name field will be marked as red and it will be automatically changed to another font. Alternative font for usual and big SHX fonts is set in the Fonts category of the Options window. On default simplex.shx is used as alternative for usual SHX fonts while bigfont.shx is used for big SHX fonts.

·Style. Sets type face of the selected TrueType font: Regular, Italic, Bold, Bold italic. This option is not available for SHX fonts and is replaced by the Big font option.

·Big font. Switches on the usage of big font for Asian languages. The option is used together with the regular SHX font and includes the file list of big SHX fonts.

List of standard big fonts included in the program:

Font name | Description | Code page
bigfont.shx | Japanese font | 932
chineset.shx | Traditional Chinese font | 950
gbcbig.shx | Simplified Chinese font | 936
whgdtxt.shx | Korean font | 949
whgtxt | Korean font | 949
whtgtxt.shx | Korean font | 949
whtmtxt.shx | Korean font | 949

Text Measurements. Settings to change the default text height, width factor and oblique angles.

·Text height. Text height of single-line texts. This setting is used to change automatically the single-line height that is used in this style. If the height value is set as 0, the default text height will be set in accordance with the value set in the Properties panel (when no entity is selected). If the set value is greater than 0, the text height will be set by style.

·Width factor. Stretching or compressing degree of characters. Values less than 1 compress the characters. Values greater that 1 stretch the characters. Values less than or equal to 0 are forbidden.

·Oblique Angle. The angle of characters incline. The range of angle values lies from -85 to 85 inclusively.

Text generation. Setting the used font fpr the selected font style. Changes of parameters applied to the existing text style will affect all text objects using this text style.

·Print text backwards. Reflects characters left to right.

·Print text upside down. Displays reversed characters.

Set current. Sets the selected text style as current.

New. Creates a new text style based on a selected one. This command calls the New Text Style window in which the name of a new style must be entered.

Delete. Deletes the text style that is not in use. It is impossible to delete the STANDARD style, the current text style and the style used in the current drawing.

Options: Fonts


Wipeout

Navigation: User Interface > Editor > Drawing Tools >

Wipeout

 Return to chapter overview

The Wipeout button allows to create invisible areas in the drawing.

Quick Access Panel:

Ribbon: Editor -> Draw -> Wipeout

Menu: Draw -> Wipeout

The Wipeout command is used to hide some parts of the drawing without deleting them. It is an object of the background color, the borders of which have a different color and can be hidden.

An object

Adding a wipeout

Adding a wipeout

The borders of the wipeout are off

The borders of the wipeout are off

Creating a Wipeout Object.

It is possible to create a rectangular and non-rectangular wipeout object. By default a polyline mode is on, which allows to create a non-rectangular wipeout. The submenu of the tool is called by clicking on the black down directed arrow:

·Rectangle. Creates a rectangular wipeout. Is added like the entity Rectangular.

·PolyLine. Creates a non-rectangular wipeout. Is added like the entity Polyline.

·Show. Shows the display of the borders of all the wipeout objects in the current drawing.

·Hide. Hides all the wipeout borders in the current drawing.

To add a non-rectangular wipeout

1. Click on the black down directed arrow on the right of the button [image] and select PolyLine from the list.

2. Specify the first point of the wipeout object by left clicking in any place of the drawing or via the dynamic input.

3. Drag the cursor aside and left click to select the second point.

4. Right click and select Arc from the context menu to add a circular arc.

5. Drag the pointer and specify the third point of the wipeout object.

6. Right click and select Line from the context menu to add a line segment.

7. Double-click when done.

Editing a Wipeout Object

After being created the element is placed in the foreground. If you need to hide only some of the entities you can specify the corresponding order of drawing with the help of the commands of the context menu Bring to front and Send to back.

The borders of the wipeout object can be changed with the help of markers which appear after its selection. To drag the markers point the cursor at the marker. After the marker changes its color into yellow it can be dragged with the left mouse button pressed.

A wipeout has a set of properties which can be viewed and edited in the Properties panel:

Property | Description
Color | Defines the color of the wipeout object.
Layer | Defines the layer which the wipeout belongs to. The property contains a list of all available in the drawing layers and allows to move the wipeout to another layer.
Line Weight | Defines the lineweight of the wipeout. Is selected from the standard values. You can turn the function of showing the lines according to their lineweight on or off. Each lineweight value corresponds to a number of pixels on the screen. The number of these pixels isn't changed while scaling in the program window. The scale of lineweighht display on the screen is set in the Visualization tab of the Options window.
Linetype | Defines the linetype of the wipeout entity. Is selected from the standard values.
Linetype scale | Sets the scale for the current linetype. By default it is 1.
Point | Is the base point of modification of the wipeout object, relative to which the sizes are changed with the help of the properties Width and Height. The left bottom angle of the circumsribing rectangle of the wipeout object is referred to as a base point.
Width | Is the total width of the wipeout object. For a nonrectangular wipeout this value ie equal to the width of the circumscribing rectangle.
Height | Is the total height of the wipeout object. For a nonrectangular wipeout this value ie equal to the height of the circumscribing rectangle.

Properties Panel


ViewPort

Navigation: User Interface > Editor > Drawing Tools >

ViewPort

 Return to chapter overview

The ViewPort button allows creating ViewPorts on the Layouts.

Quick Access Panel:

Ribbon: Editor -> Draw -> ViewPort

Menu: Draw -> ViewPort

Viewports are used to arrange the drawing to be printed. They allow to set the visibility of all the drawing located on the Model sheet or only some part of it and specify the customer scale in the Layout area. Viewports can be moved, resized and their properties can be edited. For the Viewport border no to be printed it should be placed on a separate layer, which should be later switched off or forbidden to be plotted. It is impossible to add Viewports on the Model area.

Modifying a Viewport.

A Viewport can be created in different ways which allows to get viewports of an arbitrary shape. to specify the borders of a viewport one can use three modes which are available after clicking on the black down directed arrow:

By default the Rectangle mode is selected. The Options PolyLine and Object allow to create Wipeouts of an arbitrary shape.

Rectangle

Adding a rectangular viewport. It is craeted like the entity Rectangle: The first point of the diagonal of the rectangle is specified, and then the second one. In the dynamic input mode you can set the width and height of the viewport.

PolyLine

Adds a nonrectangular viewport using the specified points. It is created like the entity polyline. Selecting Enter in the context menu finishes drawing and closes the contour by drawing the last segment.

Object

Allows to modify a viewport into a closed object, that has been added to the layout earlier. A circle, an ellipse, a spline, and a polyline, forming a closed contour can be used as an object for modification. After creating a viewport the oblect that sets its borders becomes connected with it.

To create a viewport from an object

1.Create an object which will determine the borders of the viewport with the help of the drawing tools.

2.Select the mode Object from the drop down list of the tool Viewport.

3.Selet the earlier created object for modifying it into a viewport.

After a viewport is created all the objects which are on the Model sheet will be displayed in the specified viewport. The contents of the viewport aren't available for editing, but they can be moved within the borders of the viewport and their scale can be changed. All the changes performed in the sheet Model are displayed in the viewport.

Viewports, created with the help of a polyline or modified from an object consist of two elements: a viewport and a cutting border. The cutting border is a geometrical object, which is used to create a viewport. You can edit a viewport, a cutting border or the both parameters.

For the Viewport border no to be printed it should be placed on a separate layer, which should be later switched off or forbidden to be plotted.

Work with the Contents of a Viewport

The image in the viewport can be moved and scaled. The work with the contents of a viewport is available after its activation.

To activate a viewport left double click within the borders of the viewport or select the viewport and click on the command Active viewport in the context menu. After activation the markers of the viewport will disappear and its borders will be shown with a dashed line.

Moving | Activate the viewport and holding the left mouse button pressed drag the cursor of the mouse in the direction where the image should be moved.
Scaling | The image can be scaled with the help of the mouse wheel or commands of the context menu when the viewport is activated. A precise scale coefficient can be specified in the panel Properties by means of the property Scale. Each viewport can have its own scale.

To deactivate a viewport select the command Deactive viewport in the context menu or double click with the left mouse button outside the viewport.

Editing a Viewport

After creating a viewport its borders can be shifted and resized. Editing is performed with the help of the markers, which appear after a viewport is selected. The central marker serves to move the viewport without resizing it. Corner and middle markers allow to change the size of the viewport.

A viewport like other objects has a certain set of properties which are displayed in the Properties panel after a viewport is selected. Some properties are available for editing, some other ones are for information only.

Property

Description

Color

Defines the color of the viewport. Allows to set a new color value.

Layer

Defines the layer which the viewport belongs to. The property contains a list of all available in the drawing layers and allows to move the viewport to another layer.

Paper Center

Defines the coordinates X, Y, Z of the center of the viewport in the sheet area. The values can be edited by the user.

Note: Viewports created with a polyline or modified from objects consist of two objects: a viewport and a cutting border. This property shows and allows to edit the center of the viewport, without editing the coordinates of the cutting border.

Height

Defines the height of the viewport. The property can be edited. When the height of the viewport is changed the scale is changed proportionally in the panel Properties.

Width

Defines the width of the viewport. The property can be edited.

Scale

Defines the scale coefficient of the viewport. Each viewport has an own scale value.

View Twist Angle

Is the angle to the axis OX by which the contents of the viewport is rotated relative to the base point of transformation.

View Target

Is the base point of transformation relative to which rotation of the image in the viewport is performed. Shows the coordinates in the Model area.

Model Center

Is the coordinates of the center of the model image, shown by the viewport :

Front Clip Plane

Sets the front cutting plane.

Back Clip Plane

Sets the back cutting plane.

Disable

Switches the visibility of the image in the viewport on or off.

Properties Panel

Additional Sheets


Modifying Instruments

Navigation: User Interface > Editor >

Modifying Instruments

 Return to chapter overview

Tools for editing ready drawings:

Mirror | mirroring selected entity or entities.
Rotate | rotating the selected entity or entities relative to a base point.
Move | moving selected entity or entities relative to a base point.
Copy object | creating a copy of the selected entity or entities at a pre-defined distance and in the pre-set direction.
Scale | proportional change of the size of the selected entity or entities.
Trim | truncating of the selected entity or entities.
Break | creating a gap in an entity.
Break at point | creating a break in an entity.
Explode | breaking connections between entities inside of a complex object (block).
Fillet | conjugating line segments by a tangential arc.
Bevel | conjugating line segments by a bevel.
Union | uniting coaxial entities.
Extend | extending an entity to an intersection with another entity.
To the foreground | bringing the selected entity 'to the foreground' against other entities. This will make the entity fully visible - without any other entities overlapping it.
To the background | moving the selected entity to the background level against other entities of the drawing.
Offset | positioning of an element of a drawing relative to other parts of the drawing.
Double offset | creating an object on a given distance from two different points.


Align

Navigation: User Interface > Editor > Modifying Instruments >

Align

 Return to chapter overview

Quick Access Panel:

Ribbon: Editor -> Instruments -> Align

Menu: Tools -> Modify -> Align

The Align tool aligns objects according to the specified vector that is defined by two target points. As a result of objects alignment they are moved, rotated and scaled (on demand).

Aligning Objects

1.Select objects that must be aligned.

2.Select the Align command in the ribbon.

3.Specify the first source point on the group of selected objects (Point 1 in the picture above).

4.Using the left mouse button specify the first destination point (Point 2 in the picture above).

5.Specify the second source point on the group of selected objects (Point3 in the picture above).

6.Using the left mouse button specify the second destination point (Point 4 in the picture above).

7.Click Yes in the appeared enquiry window to make the objects change their scale as a result of alignment.

The first destination point is the base point against which the aligned objects will be rotated and scaled.

The second destination point defines the vector for objects rotation during alignment.

Distance between the first and the second destination points is the base segment for scaling the selected objects during their alignment.

To make the dialog window enquiring whether to scale the objects not appear, in Options select the necessary action that must be implemented during objects alignment: Scale or Do not scale.

Options - Editors


Bevel

Navigation: User Interface > Editor > Modifying Instruments >

Bevel

 Return to chapter overview

The Bevel button creates a bevel between two points.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Bevel

Menu: Tools -> Modify -> Bevel

If the segments intersect - superfluous parts are automatically cut off after the use of this tool. If the line segments do not intersect, the segments can be extended.

Example 1: intersecting lines

before: after:

Example 2: non intersecting lines

before: after:

Note: bevel's value is available for changing:

To create a bevel between two lines:

1.Select the first line segment;

2.Press the Bevel [image] button;

3.Place mouse cursor over the drawing field; the field in the dynamic input shows the current bevel value [image] (physically this is the distance from the intersection point to the sections' cut off points). Enter the new value.

4.Press the Enter key;

5.Select the second line segment.


Break

Navigation: User Interface > Editor > Modifying Instruments >

Break

 Return to chapter overview

The Break button breaks an entity creating a gap in it.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Break

Menu: Tools -> Modify -> Break

To create a gap in an entity:

1. Select the needed entity

2. Press the Break [image] button.

3. Click to set the first and the second points of the gap.

Example - break a circle:

·press the Break [image] button;

·select a circle:

·click to set the first break point on the circle:

·click to select the second break point on the circle:

·the result is:

Note: For circle and ellipse entities Break operation cuts off a sector between the two points in the clockwise direction.


Break at point

Navigation: User Interface > Editor > Modifying Instruments >

Break at point

 Return to chapter overview

The Break at point button breaks an entity at a certain point.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Break at point

Menu: Tools -> Modify -> Break at point

Select an entity and press the Break at point [image] button.

Example:

·press [image] ;

·select an entity:

·click to set the break point:

->

·move the resulting elements apart by markers:


Convert to polyline

Navigation: User Interface > Editor > Modifying Instruments >

Convert to polyline

 Return to chapter overview

Context menu: Convert to polyline

This instrument enables the user to transform the following objects: Circle, Arc, Ellipse, Spline, Leader and Wipeout into 2D polyline. The command is available in the context menu after selection of objects. To open the context menu click the right mouse button.

Example:

1.Create a Circle;

2.Select the Circle on the drawing by single left mouse button click;

3.Click the right mouse button and in the appeared context menu select Convert to polyline command.

4.Press Esc key to deselect the transformed circle.


Copy object

Navigation: User Interface > Editor > Modifying Instruments >

Copy object

 Return to chapter overview

The Copy Object button allows to create a copy of an entity or entities at a predefined distance and in the necessary direction.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Copy Object

Menu: Tools -> Modify -> Copy Object

Select an entity and press the Copy object [image] button.

Example:

·select an entity or group of entities:

·press Copy object [image] button;

·click to set the base point (for instance, snap to the circle center):

·move an object in the necessary direction:

and place the copied object in the drawing in one of the two ways:

-type in the distance with the help of the dynamic input and press Enter:

-left mouse button click:

Note: copies of the object will be created until ESC key is pressed.


Copy with base point

Navigation: User Interface > Editor > Modifying Instruments >

Copy with base point

 Return to chapter overview

Context menu: Copy with base point

Copying of the selected objects to the clipboard with the base point. The top left border corner of the pasted objects is set as the base point to paste objects from the clipboard on default. The command Copy with the base point enables the user to set a user base point at the stage of copying of the selected objects.

1.Create a circle;

2.Clicking the left mouse button select the created circle in the drawing;

3.Press the right mouse button and select the command Copy with base point in the opened context menu.

4.With the left mouse button select a base point, e.g. center of the circle, in the drawing;

5.Press the right mouse button and select the command Paste;

6.While pasting the circle from the clipboard the mouse cursor is situated in the centre of the circle as the centre of the circle was pointed as the base point for pasting. To compare it please look at the command Copy

Explode

Explode all inserts


Double Offset

Navigation: User Interface > Editor > Modifying Instruments >

Double Offset

 Return to chapter overview

The function Double Offset [image] is a tool for precise positioning of an object relative to two other points in the drawing. The command is available through the context menu of the object. The offset point can be any apex of the created entity. THe tool is available for all the entities of CADEditorX.

After activation of the command the program temporarily stops creation an entity and switches to the mode of positioning of the apex relative to other objects in the drawing. To fulfill double offset do the following:

1. Select a drawing tool. For example, a line [image] [Editor -> Draw -> Line].

2. Set the first point of the entity with the left mouse click.

3. Click the right button of the mouse and select Double Offset.

4. Specify the first reference point of the offset relative to which at a needed distance the second point of the line will be situated.

5. Specify the second reference point.

6. Witness lines and circles with reference points as a center will appear.

7. Insert the offset values in the dynamic input form. Distance 1 stands for the distance between the first reference point and the position of the second point of the line.

8. Press Tab to lock the value.

9. Enter the value in the field Distance 2 which stands for the distance between the second reference point and the second point of the line.

10.Press Enter. The line will be drawn, the second point of the line will be at a given distance from the 2 specified reference points.

Note: The Double offset tool is unavailable for editing objects. To move created objects use the commands Copy Object and Move.

Offset


Embed all

Navigation: User Interface > Editor > Modifying Instruments >

Embed all

 Return to chapter overview

Quick Access Panel:

Ribbon: Editor > Instruments > Embed all

Embedding of all Xref files from the active layout to the current drawing. After embedding of CAD files added with the command "Merge" a block containing the Xref is created in the current file. After embedding of raster images added with command "Image" a raster image is embedded as OLE object. The command is used to create The command is used to create archive files that include Xref content. It enables the user to relocate the basic file without additional files used as Xrefs.

The command Embed is available in the context menu and embeds only the selected Xref file.

Command Merge

Command Image


Explode

Navigation: User Interface > Editor > Modifying Instruments >

Explode

 Return to chapter overview

The Explode button breaks connections between entities inside of a complex object (block).

Quick Access Panel:

Ribbon: Editor -> Instruments -> Explode

Menu: Tools -> Modify -> Explode

All entities inside the block having properties (color, linetype etc.) equal to By Block may change them when using Explode tool.

Example:

·Create a new drawing: select File -> New.

·Add a simple set of entities:

set the Color and the LineWeight properties for spline equal to By Block

·select the entities to be added as a block using Ctrl + A keys or using the mouse (click over entities with the Shift key pressed);

·press the Copy [image] button (Edit -> Copy) to copy the selected entities to the Clipboard;

·press the Paste as Block [image] button (Edit -> Paste as Block) to paste the copied entities as block;

·set the block properties as Color - Purple, Line Weight - 1,58:

as a result the color and the lineweight of the spline have changed according to the set block properties

·select the new block and press the Explode [image] button (Editor Tab -> Instruments -> Explode):

the spline gets its original properties and the entities can be moved separately which was impossible when they were united into a block.


Explode All

Navigation: User Interface > Editor > Modifying Instruments >

Explode All

 Return to chapter overview

Context menu: Explode all

This button breaks connections between elements of all compound and complex objects situated in the current drawing without preliminary selection of the objects. Block reference is a compound object; 2D polyline, 3D Polyline, Table, Multiline text, Dimension, Leader, linear Hatch are complex objects. After partitioning of the compound object into its components properties specified for the objects are saved.

The command is available from the context menu in the normal position, i.e. when no object in the drawing is selected. To open the context menu use the right mouse button.

Explode

Explode all inserts


Explode all inserts

Navigation: User Interface > Editor > Modifying Instruments >

Explode all inserts

 Return to chapter overview

Context menu: Explode all inserts

This instrument breaks connections between the elements of all compound objects (block references) situated in the current drawing. After partitioning of the compound object into its components properties specified for the objects are saved.

The command is available from the context menu in the normal position, i.e. when no object in the drawing is selected. To open the context menu use the right mouse button.

Explode

Explode all


Extend

Navigation: User Interface > Editor > Modifying Instruments >

Extend

 Return to chapter overview

The Extend button prolongs an entity till it intersects with another one.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Extend

Menu: Tools -> Modify -> Extend

Select entities holding the Shift key and press Extend [image] .

Example:

before: MergeLines1 after: MergeLines2


Fillet

Navigation: User Interface > Editor > Modifying Instruments >

Fillet

 Return to chapter overview

The Fillet button connects two separate line segments with an arc.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Fillet

Menu: Tools -> Modify -> Fillet

If the segments intersect - superfluous parts are automatically cut off after the use of this tool. If the line segments do not intersect, the segments can be extended.

Select the first segment and press the Fillet [image] button. Select the second segment.

Example 1: intersecting lines

before: after:

Example 2: non intersecting lines

before: after:

Note: the arc's radius is available for changing:

·select the first line segment

·press the Fillet [image] button;

·place the mouse cursor over the drawing field; the field in the dynamic input shows the radius of the fillet arc [image] (physically this is the distance from the intersection point to the sections' cut off points);

·delete the current value using Backspace key and set the new one;

·press Enter key;

·select the second segment.


Mirror

Navigation: User Interface > Editor > Modifying Instruments >

Mirror

 Return to chapter overview

The Mirror button allows to mirror a selected entity or entities relative to a given axis.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Mirror

Menu: Tools -> Modify -> Mirror

Select an entity and press the Mirror [image] button.

Example:

·select an entity or a group of entities:

·press Mirror [image] button;

·left mouse button click to set first mirror axis point:

·moving mouse cursor to get the necessary placement for the selected entity(ies) or use the dynamic input;

·left mouse button click to fix entity(ies) at the new placement:

Note: selected entity(ies) are copied if Fast Entities Input [image] mode is on:


Move

Navigation: User Interface > Editor > Modifying Instruments >

Move

 Return to chapter overview

The Move button moves a selected entity or entities relative to a base point.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Move

Menu: Tools -> Modify -> Move

Select an entity and press the Move [image] button.

Example:

·select an entity or a group of entities:

·press the Move [image] button;

·click to set the first moving ray point:

·moving the mouse cursor get new placement for the selected entity(ies);

·click to fix entity(ies) at the new placement:

Note: the selected entity(ies) is (are) copied if the Fast Entities Input [image] mode is on:


Offset

Navigation: User Interface > Editor > Modifying Instruments >

Offset

Return to chapter overview

Offset [image] provides you with a convenient means of positioning of an element of a drawing relative to other parts of the drawing. The tool can be applied in case of creating elements of the drawing on the given distance from the set point. As a set point the objects of the drawing can be used. It is permissive to set the exact coordinates of the set point in the XY plane in the dynamic input mode. The command is available fron the context menu at the moment of creating an element.

Using Offset While Creating Elements

The activation of the function will temporally stop drawing of a chosen element and will offer the user to set the offset point in the drawing. The point is set by the click of the left button of the mouse in a needed position. After that the direction is set with the help of the mouse cursor and the length by which the object is to be offset is specified in the dynamic input form or by the mouse click. Pressing Enter sets the cursor into the established position and restarts the drawing if it is not the last point of the object.

For example. You wish to offset the line entity.

1.Select the instrument [image] Line [Editor -> Draw -> Line].

2.Specify the first point of the entity with the left mouse click.

3.Right click and select the command Offset.

4.With the help of the left mouse button specify the set point relative to which the second point of the created line must be.

5.A witness line beginning at the set point will appear.

6.Enter the distance of offset in the field Length of the dynamic input field.

7.Press Tab to confirm the value and Enter to finish the offset operation.

8.The line will be drawn and the second point of the line will be at a given distance from the set point.

Note: The Offset tool is unavailable for editing objects. To move created objects use the commands Copy Object and Move.

Double Offset


Rotate

Navigation: User Interface > Editor > Modifying Instruments >

Rotate

 Return to chapter overview

The Rotate button allows to rotate the selected entity or entities relative to a base point.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Rotate

Menu: Tools -> Modify -> Rotate

Select an entity and press [image] .

Example:

·select an entity or group of entities:

·press Rotate [image] button;

·click to set the first rotation axis point:

·moving the mouse cursor get a new placement for the selected entity(ies);

·click to fix the entity(ies) at the new placement:

Note: selected entity(ies) are copied if the Fast Entities Input [image] mode is on:


Scale

Navigation: User Interface > Editor > Modifying Instruments >

Scale

 Return to chapter overview

The Scale button allows to change the size of the selected entity or entities proportionally.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Scale

Menu: Tools -> Modify -> Scale

Select an entity and press the Scale [image] button.

Example:

·make a drawing of two entities:

·select the rectangle:

·press the Scale [image] button;

·snap to the left bottom rectangle corner (to set a base point for scaling):

·move the mouse cursor in any direction, you will see a rectangle showing the scale factor which will appear in the right part of the status bar:

·type in 2 and press Enter:

Note: selected entity(ies) are copied if Fast Entities Input [image] mode is on:


Trim

Navigation: User Interface > Editor > Modifying Instruments >

Trim

 Return to chapter overview

The Trim button allows to delete the specified segment outside or inside the outline of the selected objects.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Trim

Menu: Tools -> Modify -> Trim

Object trim

To perform trimming select the outline press the key Enter to confirm the selection and specify the segments that must be deleted.

For example, you want to delete the circle and line segments that are inside the red rectangle:

1. Select the command Trim.

2. Select the cutting element. In the given example the red rectangle is selected as a cutting element. Several cutting objects can be specified.

3. Press the key Enter to confirm the selection.

4. Use the green selection rectangle (draw the selection rectangle in the bottom-up direction) to select the objects inside or outside the cutting object that should be deleted.

5. Press the key Esc to finish and leave the trim mode.

Note: a segment that doesn't intersect the selected outline can't be deleted.

Point trim

Deletion of segments takes place on the internal or external side of the selected outlines after a single click with the left mouse button on the corresponding outline side. For example a red rectangle is used as the outline.

1.Click with the left mouse button the black rectangle situated to the right from the command Trim and choose Point trim mode from the list;

2.With the help of the left mouse button choose the red rectangle on the drawing which will be used as the outline for objects trimming;

3.Press Enter key to finish selection of the outline objects;

4.To delete segments within the rectangle click with the left mouse button within its boundaries. As a result object segments intersecting the trimming outline will be deleted at the internal side of the rectangle.To delete segments on the external side click with the left mouse button in any place outside the rectangle boundaries. As a result object segments intersecting the trimming outline will be deleted on the external side of the rectangle.

5.Press Esc key to quit segments trimming mode.


Union

Navigation: User Interface > Editor > Modifying Instruments >

Union

 Return to chapter overview

The Union button unites coaxial entities.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Union

Menu: Tools -> Modify -> Union

Select coaxial entities holding the Shift button and press the Union [image] button.

Example: coaxial entities

before: ExtendLines1 after: ExtendLines2


What Is a Block

Navigation: User Interface > Editor > Work with Blocks >

What Is a Block

 Return to chapter overview

A Block is an element of the drawing that consists of several entities 'moulded' together to form a single selectable entity. Thus the operations like moving, rotation etc are made not with the separate elements but with the whole group of elements. The elements which form a block can belong to different layers and have different properties which do not depend on the values of the block properties. The set of elements of a block and their initial properties can be redefined after its creation.

The usage of blocks makes the process of creating and editing identical elements of the drawing easier. One should distinguish the notions of a block definition and a block reference while working with blocks. When a block is created its definition is set. It is stored in the file of the drawing and shows what objects a block consists of. Block definition is not displayed in the drawing. When a block is pasted a block reference is created. A block can be pasted an unlimited number of times, which makes it easier to create identical elements of a drawing. All the block references are connected with its definition that's why all the changes in a block definition (for example, a redefinition of its constituents) are automatically reflected in its references. unused in the drawing block definitions can be deleted with the help of the command Purge.

Block definitions can be deleted in two ways:

·with the help of the command Create block

·by means of pasting objects from the clipboard with the help of the command Paste as block

Some semantic information in the form of different textual data can be connected with blocks to characterize an object. To add such data attributes are used.

The dialog box Create block

The dialog box Paste block

Attribute definitions

Block editor


Create block

Navigation: User Interface > Editor > Work with Blocks > What Is a Block >

Create block

 Return to chapter overview

The Create Block button unites the chosen entities into a single block.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Create block

Menu: Draw -> Block -> Create block

To create a new block definition with a possibility to give it a user name the command Create block is selected. After its activation the dialog box Create block appears. The objects included in the definition can be selected either before activation of the command or from the dialog of creating a block. Block definitions are stored in the drawing.

Block name

Here you can enter the name of the block. It should be unique for each block and can not be changed. It is impossible to create several blocks with identical names.

Position

Use this section to select the coordinates for the insertion of the block. It is possible to select a point to paste the block only if the option Modify as block is active. If another option is selected the point of block insertion will be its upper left corner. The data can be input both from the keyboard or shown in the drawing itself. In order to select the necessary point right in the drawing please press Select objects after which you'll be able to mouse-click in the drawing to show the necessary placement. The default setting for the point of insertion is the zero point.

Objects

This section provides options for choosing a set of objects to be added to the block and for defining the actions that are going to be performed with the selected objects. Pressing of the button Select objects brings you to the window of the drawing field so that you can mouse-click on the necessary objects which should be united into a block. The choice of several objects is possible with the use of Fast entities input [image] option. The selection is confirmed with pressing the key Enter after what the dialog box "Create block" appears. In its preview area you can see the selected objects. One can also select the needed objects preliminarily before opening the dialog box "Create block". The number of objects a block consists of is displayed in the field Selected objects.

oLeave on the drawing - creates a block definition for the further usage - without inserting it into the drawing. The selected objects stay unchanged - they are not united into a block. You just create a block out of these objects that can be used later anytime when it is necessary using Paste Block option.

oModify as block - the selected objects are deleted and instead of them a block reference is created after creating its definition.

oDelete from drawing - creates a block definition without inserting it into the drawing. The selected entities are deleted from the drawing. Such block can be inserted into the drawing anytime.

All the blocks you create will be available for insertion under Paste block feature.

The navigator area in the right part allows previewing the block. Left-click on the navigator field to drag the preview picture. Use the mouse wheel to scale it.

The selected settings are saved in the drawing and are available after closing the file.


Paste block

Navigation: User Interface > Editor > Work with Blocks >

Paste block

 Return to chapter overview

The Paste Block button inserts a block that has already been created into the drawing.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Paste block

Menu: Draw -> Block -> Paste block

A block reference is added to the drawing with the help of the command Paste block. The dialog box Paste block appears. It contains the full list of the block definitions of the current file and allows to paste them. A block reference is added to the current layer. The elements of a block can have properties which do not depend on the block reference.

Name - you can select the name of the block from the drop-down menu for subsequent pasting into the drawing. The list contains the names of all the blocks in the current drawing. If the list is blank there are no block definitions in the file.

Position - use this area to select the coordinates for the insertion of the block. The data can be input both from the keyboard and by mouse-clicking on the necessary point in the drawing itself. In order to select the necessary point right in the drawing please press [image] after which you'll be able to show the necessary placement. The default setting for the point of insertion is the zero point.

Scale - shows the scale along the X, Y and Z axes and the angle of the block for its insertion. By default the scale is "100%" in all the axes and the angle is "0". That is by default the block is inserted into the drawing without changes - with the same scale and angle as it was created.

The navigator area in the right part allows previewing the block. Left-click on the navigator field to drag the preview picture. Use the mouse wheel to scale it.

Creating a block

Block editor

Attributes of a block


Paste as Block

Navigation: User Interface > Editor > Work with Blocks >

Paste as Block

 Return to chapter overview

The Paste as Block button pastes data from Clipboard as a block of entities.

Quick Access Panel:

Ribbon: Editor -> Instruments -> Paste as block

Menu: Draw -> Block -> Paste as block

Hotkey: Ctrl+Shift+V

A block definition that was created in this way is named automatically with an eight digit number and a prefix "sgBlockByEnt_" Is is displayed in the dialog box Paste block. To paste elements as a block do the following:

1. Select an object or a group of objects in the drawing. To select several objects use the option Fast entities input.

2. Right click and select Copy or Cut or use the hotkeys Ctrl+C or Ctrl+X correspondingly.

3. Press Esc to deselect the objects.

4. Right click and select the command Paste as block or use the hotkey Ctr+Shift+V.

The elements will be connected into an entity.


Block Editor

Navigation: User Interface > Editor > Work with Blocks >

Block Editor

 Return to chapter overview

The Block editor button allows editing the existing blocks.

Quick Access Panel:

Ribbon: Editor -> Selection -> Block editor

Menu: Draw -> Block -> Block editor

Context menu: Block editor

When a block definition is edited block references are edited automatically. In order to call the Block editor mode please

1. Select the necessary block reference the definition of which needs editing in the drawing. If there is not any needed block reference in the drawing add it and select. After that the command Block editor will be active.

2. Switch to the Block editor mode in any way that is described above.

3. You will see the selected block appear on a beige colored background which can be changed with the help of the command Background color and Block editor inscription in the mode section. Please perform the necessary changes

4. In order to close the block editor mode right-click anywhere in the drawing field and select 'Close block editor'. Or select another mode of work.

5. To save changes press OK in the dialog box. If you do not want to save changes press Cancel.

In this mode the commands for viewing and editing other objects are temporarily unavailable. To modify the objects of a block the same instruments as in the Editor mode are used.

You can't create or delete an attribute in the Block editor mode. The work with attributes is performed in the dialog box Edit attribs.

Note: If you wish to undo changes that you performed you can do it using Undo [image] Redo [image] (in the quick access panel Undo/Redo) buttons. Please note that undoing changes one by one is only possible if you are still in the Block editor mode. If you exit the mode and press Undo [image] button, all the changes that you performed in the block editor mode will be undone at once.

Creating a block

Block editor

Attributes of a block


Editing blocks

Navigation: User Interface > Editor > Work with Blocks >

Editing blocks

 Return to chapter overview

After a block reference is created one can modify it: move, rotate, scale, mirror, explode, copy. A block as other objects of CADEditorX has properties that can be viewed and redefined in the panel Properties.

Property | Description
Color | Defines the color of the block reference, which is applied to all the block objects which have the color value By layer.
Layer | Defines the layer which the block reference belongs to. The property contains a list of all available in the drawing layers and allows to move the block reference to another one.
Line Weight | Defines the lineweight of the block reference, which is applied to all the block objects which have the color value By layer.
Block name | Defines the block definition name in the file.
Angle | Sets the rotation angle of the block reference in the XY plane relative to the point of insertion.
Point | Sets the coordinated of the insertion point.
Scale | Sets the scale of the block reference along the axes X, Y, Z. The proportions of a block aren't kept when the scale along one of the axes is changed. A negative value results in a mirrored reflection of the block along this axis. By default the scale is 100% (1 in the properties).

If a block has no attributes its size can be changed with the help of the markers. If a block reference has attributes, only the block insertion point with the help of which it is moved is shown.

To divide a block reference into constituents select the block reference and use the command Explode. This command affects only the block reference and doesn't influence the block definition. To delete a block definition use the command Purge.

Changing an entity color


Attribute Definition

Navigation: User Interface > Editor > Work with Blocks >

Attribute Definition

 Return to chapter overview

Various textual information which is used to characterize the block image like the cost or some other parameters can be connected with a block. Such information is added as an attribute which will be connected with a block when it is created. Several attributes can be connected with one block. Every attribute has a name which is not necessarily unique. Attributes can be hidden, it means that the attribute information is storted in the file and is not displayed on the screen.

·Creating an attribute definition

To connect an attribute with a block you should first create an attribute definition and after that create a block definition which must include the attribute definition.

·Editing block attributes

The values of block attributes can be edited in the Properties panel when a block reference is selected. To delete or add an attribute the dialog box "Edit attribs" is used.

·Dialog Report on Attributes.

If the drawing has block references and attributes connected with them, it is possible to extract these data and add to the drawing as a table or save to external file of *.xls, /.rtf or /-*. dxf formats. These operations can be fulfilled in the dialog box Report on Attributes.

·Report on Attribues by Template.

It is possible to extract attributes to an external Microsoft Word (DOC)document. This option requires a template that was preliminarily created. The templates can contain different kinds of design as the data is extracted to a *.doc file.


Create

Navigation: User Interface > Editor > Work with Blocks > Attribute Definition >

Create

 Return to chapter overview

The Attribute Definition button allows creating an attribute definition.

Quick Access Panel:

Ribbon: Editor -> Text -> Attribute Definition

Menu: Draw -> Text -> Attribute Definition

To create an attribute connected with a block you should first create an attribute definition, which contains its characteristics. To connect an attribute with a block you should create a block definition, the list of elements of which must contain the created attribute definition. If an attribute definition isn't included to the list of the block constituents at the moment of creation of a block definition it will be impossible to connect any attribute with this block. It will have to be deleted and created anew.

When creating an attribute definition the user enters the name and the value of the attribute when needed. The value of the attribute can be added at the stage of creation or while editing with the help of the Properties panel or in the dialog box Edit attribs. Several attributes can be connected with a block. Their names can coincide.

An attribute is a textual tag which is one line long. To add special signs and symbols special combinations are used instead of which the corresponding symbols appear:

After creating a block the attribute connected with it has a marker of insertion with the help of which it position in the drawing can be changed. Some attributes can be hidden with the help of the settings in the dialog box Edit attribs.

Connecting an attribute with a block.

To connect an attribute with a block do the following:

1.Click [image] .

2.Left click over the image where you want to place the attribute.

3.Enter the name in the Attribute Definition dialog:

Leave the field Text blank.

4.Press the OK button.

5.Draw a rectangle with the help of the corresponding command [image] .

6.Select both entities using Ctrl+A or mouse cursor with the Shift button pressed.

7.Select the command Create block [image] [Editor-> Instruments-> Create block].

8.In the dialog box Create block enter the name of the block Appartment. Set the option Modify as block in the section Objects. In the section Position click on the button Select point and set the point of insertion of the block by left clicking in the upper left corner of the rectangle. After that press OK in the dialog box Create block.

9.A block reference will be created. When an attribute is created with a block not the name of the attribute but its value is shown. That's why the word Number has disappeared. The value (the field Text) of the attribute was left blank.

10.Without deselecting the block enter the value 13 in the Attributes section of the Properties panel for the attribute Number.

Every block attribute is available for editing by its contents - through the Properties panel, and by its placement:

·move mouse cursor inside of the block and perform a single left button click selecting the block and its entities;

·place mouse cursor exactly over the attribute marker, press and hold left mouse button, move cursor right:

Editing attributes


Edit

Navigation: User Interface > Editor > Work with Blocks > Attribute Definition >

Edit

 Return to chapter overview

Block attributes are available for editing through the respective dialog box. Please follow the instructions to enter the attributes editing mode:

·use left mouse click for selecting a block;

·right mouse click and to select Edit attribs item in the appeared popup menu;

·perform necessary changes in the Edit attribs dialog:

Name is the name of the attribute. It is not available for editing.

Value is the displayed information of the attribute which is connected with the block name. Attribute values are the data which are extracted from the file while making a report.

Color is the attribute color in the drawing. When the value By block is selected the color will be defined according to the block color.

Show sets the visibility of the attribute in the drawing. If it is not checked the attribute won't be displayed, but can be used.

Style parameter allows selecting one of the available text styles. The text styles list is also available under CAD Files -> Text Styles... menu item.

Point is the point of attribute insertion. It may be changed in the following ways:

·left click in the respective point coordinates field and press [image] button which appeared on the right and enter the coordinated in the dialog box.

·press Select point button; both dialog boxes disappear opening a drawing, left mouse click in the drawing for a new insert point.

Layer sets the layer where the attribute will be.

Rotate is the rotation angle of the attribute in the XY plane.

Height is the text height of the attribute.

Line is the lineweight of the attributes which use an SHX fonts.

Adding and Deleting Attributes.

Adding and deleting attribute is possible only with the help of the dialog box Edit attribs. But it is not possible to delete attributes which were connected with a block at the moment of its creation. To add and delete attributes use the buttons [+] and [-] which are in the left bottom corner of the dialog box Edit attrbs.

Creating a block


Dialog Report on Attributes

Navigation: User Interface > Editor > Work with Blocks > Attribute Definition >

Dialog Report on Attributes

 Return to chapter overview

The command Report on Attributes calls the dialog box of the same name which contains a list of blocks and displays the values of their attributes and form a table for export into an external file or adding to the current drawing. It is especially convenient when specifications are created.

Quick Access Panel:

Ribbon: Advanced -> Report on Attributes

The dialog box is divided into two areas: 1) the left part lists blocks as a tree structure; 2) the right part displays the attributes of the selected in the tree structure blocks.

The table is built in the right part of the dialog box. Building a table means here setting the columns that the table will comprise. This table can be exported to an external file or added to the drawing. The values of the attributes which belong to a single block are stated in a line. The columns comprise the values of the attributes with the same names which belong to different blocks. The names of the columns correspond to the names of the attributes which contain these values. The user can change the number of columns and save the current set of columns as a template to use it later. The Settings of the columns are saved to the file c:\Users\...\AppData\Roaming\Soft Gold\ABViewer 11\DesignDate.XML.

Export of the table to Microsoft Excel (XLS), Microsoft Word (RTF) and AutoCAD 2000 DXF is performed by clicking on the button [Report]. To add the table to the drawing click on the button [Insert a table in the drawing]. You can also export the attributes of a single block selected in the table to a Microsoft Word document (DOC) on the basis of an earlier created template.

Some commands of the work with the dialog box are available only from the context menu. The command Show on plan centers the selected block in the working area of the program and selects it in the drawing.

Setting Columns

You can change the visibility and the order of the columns (or attributes) and set the information columns of the table in a needed way. The user's set of columns of the table is saved under a definite name. By default there are two types of columns: All and Default.

·All. Displays all the attributes of all the available in the drawing blocks. You can't change the set of the columns in this option. when you try to change it the program offers you to create a new set.

·Default. Contains a definite set of columns which can be edited without the need to confirm the changes.

The commands for selecting and adding a set of columns are in the right upper corner of the dialog box "Report on attributes". All the sets of columns which were created by the user and are available for all the files are added to the drop down list.

Managing the columns of the table is performed in te dialog box Columns. To call the dialog box Columns click with the right mouse button in the right part of the dialog box Report on attributes and select the command Columns.

The dialog contains two interconnected lists of block attributes with the help of which the visibility of the corresponding columns of the table is set. In this dialog box only the unique attribute names are displayed as the attribute name corresponds to a certain column which contains the value of this attribute.

·Available columns is the list of columns which are not displayed in the table of the dialog box Report on Attributes, but can be added. After adding a column it is deleted from the list of Available columns and is moved to the list of Currents columns.

·Current columns is the list of columns which must be shown in the table of the dialog box Report on Attributes. The list of columns and their order can be changed. The column Description can't be deleted, it contains the block name.

Setting the list of columns is fulfilled with the help of the buttons which are in the middle part of the dialog box Columns:

Add all | Adds the whole list of parameters from Available columns to Current columns.
Delete all | Clears the list of Current columns. All the values are moved to the list of Available columns.
Add | Adds the selected element from the list of Available columns to the list of Current columns.
Delete | Deletes the selected element from the list of Current columns and moves it to the list of Available columns.
Up | Moves the selected elements up in the list of Current columns.
Down | Moves the selected elements down in the list of Current columns.

Export of the Attributes Data to an External File.

The attribute data are exported to external files of the following formats: Microsoft Word (DOC), Microsoft Word (RTF), Microsoft Excel and AutoCAD 2000 DXF. Export is fulfilled as a table with data from the attributes of all the blocks of the drawing or by a template for a single block selected in the table.

Report by template

The data of the attributes of only one block which is selected in the table (the line marked with blue) is exported by a template.The template for such a report is prepared beforehand in Microsoft Word 97/2000/XP (DOC) format which allows to include any elements to the report. To create a report select the command Create report by template from the context menu and specify the path to the template.

You can find information on the way of creating the template for the report in the topic Report on Attributes by Template.

Export of the Table.

The table with the attributes data as it is presented in the dialog box Report on Attributes is exported to an external file into the following formats: Microsoft Word (RTF), Microsoft Excel и AutoCAD 2000 DXF. To export the table do the following:

1.Select Report in the left bottom corner of the dialog box Report on attributes. or click right in the table and select Report from the context menu.

2.In the dialog box select the format for the output file and click Ok.

3.In the dialog box Save as... specify the name of the output file and the folder where the file should be saved.

4.Open the folder and view the file.

Search through the Table

The search through the table is performed in the lines. The line with the found text is marked with blue. To search for the data in the table two commands: Search and Advanced Search can be used.

Search

The command Search calls the search line which is in the bottom part of the dialog box. To call the search line activate the command Search from the context menu or use the hotkey Ctrl+F.

In the input field specify the text combination you want to find. The search begins automatically after entering a symbol into the filed. If no word combination is found the entered symbol is marked with red.

Advanced Search

Selecting the command Advanced Search in the context menu call the dialog box Find text. It allows to use more criteria for the text search:

Direction | Sets the direction of search relative to the current cell.
Scope | Sets the limits of search within the information area of the panel.
Options | Allows to use additional settings: ·case sensitive ·whole words only ·match from first character ·ignore HTML tags ·Find in fixed cells ·Match with wildcards("*", "?")

Report on Attributes by Template


Report on Attributes by Template

Navigation: User Interface > Editor > Work with Blocks > Attribute Definition >

Report on Attributes by Template

 Return to chapter overview

The values of attributes of a single block can be extracted to a Microsoft Word 97/2000/XP (DOC) file, which allows to include any elements to a report. The report is generated by template which is preliminarily created by the user in the *.doc format. YOu can select the necessary block for extracting the attributes data in the dialog box Report on Attributes.

Creating a Report.

1.Select Advanced > Report on Attributes.

2.In the dialog box Report on Attributes select the block the attribute values of which you wish to extract to an external file.

3.Click right and select Create report by template in the context menu.

4.Specify the path to the template in the dialog box that has appeared and select [Open].

5.Select the application in which the created document will be opened in the new dialog box and click on [Ok].

6.A textual document with the name Document1 will be created. It contains the same design elements as the template but in the specified place the extracted attribute data have been added. Save the report.

Creating a Template.

A template is a textual Microsoft Word 97/2000/XP (DOC) document which contains the structure of the future report. Using the *.doc format allows to include any elements (tables, diagrams, pictures) to the template.

Every attribute has a tag and a text. The tag is given when an attribute definition is created and can't be changed. Attribute text can contain any symbols or be a blank line. The attribute is connected with the template by means of the attribute tag. In the template text you need to write the attribute tag in programmatic qoutes in the place where the attribute value must be extracted. For example,

Apartment number %%number%%.

In this example the attribute name in the programmatic quotes is the text in bold (%%number%%). While export the attribute name in the programmatic quotes is changed into a corresponding attribute value of the selected block. It is not important to match case but you must be attentive to write the attribute tag. The text in the template must coincide with that in the drawing.

The dialog box Report on attributes.


External Reference

Navigation: User Interface > Editor >

External Reference

 Return to chapter overview

In CADEditorX it possible to add a raster or a vector file to the drawing as an external reference. External references serve to make a connection with the current drawing and the inserted file. Thus, the file size doesn't change a lot as not the file itself is added to the drawing but only a link to it. Every drawing can contain several external links.

It isn't possible to edit the external file in the current drawing. All the changes are performed in the source file and will be reflected in the current drawing after reloading it. It is also impossible to divide the drawing into separate objects with the help of the command Explode. When deleting an external reference from the drawing it is not deletes completely, for example layers and styles stay in the drawing. To delete the external reference completely take use of the command Purge.

To add a file as an external reference to the drawing two commands - Merge and Image are used. They call the corresponding dialog boxes.

·Merge

The user can merge two or more CAD format files.

·Image

There is a possibility to insert a raster image into the drawing.


Merge

Navigation: User Interface > Editor > External Reference >

Merge

 Return to chapter overview

The Merge button allows to merge of two or more CAD format files.

Quick Access Panel:

Ribbon: Editor -> Draw -> Merge

Menu: Draw -> Merge

You will see the Merging parameters dialog box which allows defining the position, the scale and the rotation angle for the inserted drawing:

·Name This field contains a list of files that were inserted into the current drawing as external links ans allows to select them to add to the drawing once more. The list contains only the file name and the extension. When the file is deleted from the drawing it still stays in this list. To delete the external link completely use the command Purge.

The browse button [image] will allow you the selection of the necessary file. It will be added to the list after pressing the OK button.

·Path. This field is filled in when adding the file and can't be changed later. You can select the type of the path to be saved from the drop-down menu on the right of the Save path part. When moving the file to another PC or folder, the search for the external link will be fulfilled according to the saved path.

·Full path specifies the path to the file from the root directory. It consists from the directory letter with a colon and a double slash after it, then all the subfolders separated by a slash are enumerated with the name of the file is at the end.

·Relative path is the path relative to the current directory of the active file. It can't be set if the drawing wasn't saved. If the file to insert is in the same directory as the active one the relative path to it will contain the folder name, the name of the file to insert and the extension. If the file to insert is one level lower, the relative path will consist from the folder name, the file name and the extension.

·No path means that only the file name and extension will be saved. For a correct opening of the end file it is required that the merged files are stored in the same folder.

Note: It is impossible to modify the external link name and path. If the file isn't found with the saved search path, it will be searched for in the folder containing the drawing.

·Position. Scale. Rotation. Define the insertion point, the scale and the rotation angle of the merged file by entering the corresponding values from the keyboard:

Position - allows the selection of the point in the drawing where the merged file is to be added. The insertion point is the left bottom point of the drawing rectangle. It is also possible to select the insertion point right in the drawing. For that press the Select point button. The field of the drawing appears. Click on the necessary point after which the corresponding "Position" fields will be filled with the coordinates of the selected point.

Scale - regulates the scale of the merged file.

Rotation defines the rotation angle of the added file around the "z" axis in the clockwise direction.

Apply default Press this button to give the merged file the default values which are zero coordinates and rotation and 100% scale.

External links

Purge


Image

Navigation: User Interface > Editor > External Reference >

Image

 Return to chapter overview

The Image button allows inserting raster images into drawings.

Quick Access Panel:

Ribbon: Editor -> Draw -> Image

Menu: Draw -> Image

The command calls the dialog box Image:

The browse button will allows you to select the necessary file.

·The path to the selected file appears below:

You can select the type of the path to be saved from the drop-down menu on the right of the Save path part. When moving the file to another PC or folder, the search for the external link will be fulfilled according to the saved path.

·Full path specifies the path to the file from the root directory. It consists from the directory letter with a colon and a double slash after it, then all the subfolders separated by a slash are enumerated with the name of the file is at the end.

·Relative path is the path relative to the current directory of the active file. It can't be set if the drawing wasn't saved. If the file to insert is in the same directory as the active one the relative path to it will contain the folder name, the name of the file to insert and the extension. If the file to insert is one level lower, the relative path will consist from the folder name, the file name and the extension.

·No path means that only the file name and extension will be saved. For a correct opening of the end file it is required that the merged files are stored in the same folder.

Note: It is impossible to modify the external link name and path. If the file isn't found with the saved search path, it will be searched for in the folder containing the drawing.

The Section Point allows setting the insert point for the raster image in the following ways:

ofilling in the respective coordinate fields (X;Y;Z);

ousing Select point button:

§press Select point button;

§Image dialog box disappears, and the drawing field opens. Select the point using the left mouse button; coordinate fields (X;Y;Z) get filled with the corresponding coordinates:

The Section Size gets by default image size data contained in the file:

To change the size follow the instructions:

opress [image] button on the right of the respective parameter;

othe Image dialog disappears; in the drawing filed select the first point by pressing the left mouse button;

odrag the cursor to the required distance, and click on the end-point.

The second parameter is attributed the proportionate value calculated on the basis of the original file proportions.

Image information section shows the size data for the file.

External links

Purge


Display Order

Navigation: User Interface > Editor >

Display Order

 Return to chapter overview

Ribbon: Editor -> Tools -> Bring to front/Send to back

Menu: Tools -> Display order ->Bring to front/Send to back

The Bring to front [image] button brings the selected entity to front against other entities. This will make the entity fully visible - without any other entities overlapping it. The Send to back [image] button allows to move the selected entity to back against other entities of the drawing. Thus, some other entities may overlap it.

The display order of the selected entities after using these commands depends on the order of their selection. The first selecte4d object will be displayed in the background relative to the other selected objects. For example,

Note: The objects are selected from the image with the initial position of colored circles.


Purge

Navigation: User Interface > Editor >

Purge

 Return to chapter overview

The Purge button allows clearing a drawing of unnecessary data that are not used but are nevertheless stored in the drawing.

Quick Access Panel:

Ribbon: Editor -> Edit -> Purge

Menu: Tools -> Modify -> Purge

Unused objects, blocks, dimension and text styles, layers, linetypes can be deleted. Deleting unused objects decreases the size of the file. The fulfilled deletion can be canceled after closing the dialog box Purge with the help of the command Undo or the hotkey Ctrl+Z. If the object is used in the drawing it can't be purged.

Note: when a file is opened CADEditorX standard linetypes CENTER, ISO dash, ISO dot, ISO dash dot, ISO dash double-dot, ISO dash triple-dot, ISO dash long gaps are automatically added. If the drawing is closed without saving the listed linetypes aren't saved into the file.

The command Purge calls the dialog box Purge which shows all the named objects of the current file. The objects are presented as a tree like structure in this dialog box. The lists of deletable and undeletable elements are formed separately with the help of the correspondent options.

·The Deletable radio button allows to see the unused elements stored in the drawing that can be deleted. The black triangle in front of the group name means that this group has nested objects. To expand the list click on this black triangle with the left mouse button or double left click on the name of the group.

To delete an element select it in the list with the left mouse key and press Delete in the dialog box Purge. If the option Ask before delete is on you'll be asked to confirm the deletion.

To delete all the elements - nested ones as well - use the button Delete All. If the option Ask before delete is on you'll be asked to confirm the deletion.

This option allows you to make sure you don't occasionally or by mistake delete the element you do wish to have in the drawing. It can be especially useful if you choose deletion of all unused elements at once. In this case you will be consecutively asked to confirm the deletion of each of the deleted elements:

oDelete this element. The command deletes the element the name of which is in the confirmation dialog box. In the current example it is the linetype CENTER. The confirmation request appears after deleting each deletable element.

oSkip this element. The element the name of which is in the confirmation dialog box will not be deleted. The command will switch to the next element.

oDelete all elements. This command deletes all deletable elements including nested objects.

·The Not deletable radio button lists the elements that are used in the drawing and cannot be deleted. After selecting the object with the left mouse button the information about the reason why this elements can't be deleted is displayed under the tree-like structure.


Command Line

Navigation: User Interface > Editor >

Command Line

 Return to chapter overview

Command line

Ribbon: Advanced > Lisp > Command line

This is a floating panel that is used to enter commands. In CADEditorX, commands are an alternative for selecting options in the ribbon. You can find the full list of commands in the section List of commands.

The file commandex.txt contains the list of overridden commands. This file allows giving another name for every command or defining a list of additional parameters for AutoCAD compatibility. The file is placed into the folder containing the installed software. For the changes applied to come to force, the program must be restarted.

Overriding a command

The command name in CADEditorX=The custom name of the command

Defining additional parameters

The command name in CADEditorX=[Command1 /Command2]

Note: The Help file is being improved. Please, visit http://cadsofttools.com/help/en/ for an updated variant

List of commands


Lisp Debugger

Navigation: User Interface > Editor >

Lisp Debugger

 Return to chapter overview

Lisp Debugger

Ribbon: Advanced > Lisp > Lisp Debugger

It is possible, to debug a LISP program in CADEditorX with a built-in LISP debugger. To run the debugger, click the Lisp Debugger button on the ribbon (Advanced tab -> Lisp).

The built-in LISP debugger provides the essential functionality to expose the details of your program's operation.

Press [F9] to run a program

Press [Esc] to pause

Press [Ctrl+F2] to stop the programm.

You can also toggle breakpoints and execute a program step-by-step by pressing [F8].


XML Interface

Navigation: User Interface > Editor >

XML Interface

 Return to chapter overview

Ribbon: Advanced -> Lisp > Run DDE Demo

InCADEditorX, you can access the drawing structure with the help of XML-interface. The software package includes an application that communicates with CADEditorX with the help of DDE technology. The command Run DDE Demo runs the file XML.exe, that is stored in the folder with the software installed.

The package includes several demo examples that show the way objects can be added, edited and deleted. After installation of the software, the demo examples in XML format are placed into the folder named xml, that is located in the directory with the software installed.

File Name | Description
Add.xml | Demonstrates adding new objects to the current drawing.
Apply.xml | Demonstrates modifying properties of the selected entities. Objects are selected with the help of the command Select by their handle.
ContextMenu.xml | Demonstrates adding custom items to the context menu.
Delete.xml | Demonstrates deleting objects with the stated handles from the drawing.
Get.xml | Returns the structure of the current drawing in XML format.
GetEntity.xml | Displays information on the element with the stated handle.
GetSelected.xml | Displays the handles of the selected objects.
HideToolbar.xml | Manages the visibility of the ribbon.
LoadFile.xml | Demonstrates loading the specified file into the program window.
Select.xml | Demonstrates selecting an object in the drawing by its handle.

The section Select application API allows selecting the application to demonstrate the operation of the application XML.exe. To run the needed demo, follow the steps below

1.Select the input XML in the list of the suggested examples. Its contents will be loaded into the upper input field;

2.Click [Run] to process it;

3.Click [Show in Browser] to view XML in a browser.

Note: XML demo examples should be run in the following order: Add.xml, Apply,xml, Delete.xml.

XML API Reference


Compare Files

Navigation: User Interface > Editor >

Compare Files

 Return to chapter overview

The Compare files button button allows comparing two files or two versions of the same file and trace the differences

A click on the button Compare files calls the dialog box Selection of files to Compare.

.

The Files section allows specifying the path to the files that need comparing. Click [Browse] to select the first and the second file.

The Settings section enables specifying parameters for comparison and the preferred display colors.

The option Compare allows selecting the parameters that will be compared. By default, all the options in the compare group are checked. If you prefer to ignore any of the options, uncheck it. It is possible to compare files with the following parameters: layer, linetype, linetype scale, thickness, color, lineweight, and geometry data.

The button Select all selects all the parameters, the button No selection unchecks all the options.

The right part of the section makes it possible to select the preferred colors for the added, deleted, modified and unmodified entities.

The button Compare opens the Comparison window, in which the two files under consideration are displayed dynamically side by side, i.e. when one of the drawings is zoomed or panned, the other one is zoomed or panned in the same way. The modifications are marked with the selected colors.


Set Geo Coordinates

Navigation: User Interface > Editor >

Set Geo Coordinates

 Return to chapter overview

Quick Access Panel:

Ribbon: Advanced -> Geo Coordinates -> Set Geo Coordinates

Menu:

The command Set Geo Coordinates enables georeferencing. During the process sheet coordinates are replaced with geo coordinates. This feature is especially convenient when working with maps, e.g. when several files with different coordinates are merged. Activating of the command calls the dialog window "Geo coordinates".

Table of coordinates

The current drawing and the geographic coordinates are set for the subsequent transformation

The fields X1 and Y1 are intended for sheet coordinates of the current drawing. X2 and Y2 are fields for geo coordinates.

It is possible to enter sheet coordinates into the columns X1 Easting and Y1 Northing and geo coordinates into the columns X2 Easting and Y2 Northing in the following ways:

1.By selecting the command Get coordinates from the drawing. It enables the user to click on the needed point of the drawing. The coordinates will be entered into the corresponding fields automatically.

2.By entering sheet coordinates manually. A comma should be used as a separator.

3.By pasting the values from the clipboard with the help of the hotkey Shift+Ins. The separator is a comma.

When two lines are filled in, georeferencing can be performed.

The command Transformation georeferences the file. The drawing will be fit to the window size so that it is possible to see the results and make some changes.

The command Close saves the changes and closes the dialog box. To change anything, you’ll need to call the command Undo and redo the transformation.

The command Cancel closes the dialog box, no changes are applied.

To georeference a file, follow the steps below:

1.Open the drawing to be georeferenced.

2.Call the command Set Geo coordinates [Advanced -> Geo coordinates -> Set Geo coordinates].

3.Enter the sheet coordinates into the first line in the columns X1 and Y1.

4.Enter the geo coordinates into the same line in the columns X2 and Y2.

5.Fill in the second line.

6.Klick Close.


Conversion and Print

Navigation: User Interface >

Conversion and Print

 Return to chapter overview

Conversion.

CADEditorX allows to save drawings into the formats AutoCAD 2000 DXF, AutoCAD 2004 DXF and CADSofttools drawing template DXT. It is also possible to export one file or a group of drawings to BMP, WMF, EMF, JPG, GIF, PNG, TIF, PDF, PLT, CGM, SVG and SWF with the help of the command Save as...

·Save As

·Save and Send

·Save into a Raster Format

·Save as HPGL/2

·Save as PDF

·Batch

·Page to CAD

Print

Print tools are represented by several commands that enable printing single files, their view area, or a group of files. The command Multipage printing allows printing a drawing on several sheets. For example, a large format file can be printed on several smaller sheets. When using the dialog box Multipage printing you’ll be able to manage a great number of parameters. By the drawinf from the window Print Preview the drawing will be printed with layout settings.

·Print Setup

·Print

·Print Preview

·Print View Area

·Batch Print

·Print Part of an Image


Save As

Navigation: User Interface > Conversion and Print >

Save As

 Return to chapter overview

The Save option (when the file is opened for the first time) or the Save As... item activates the standard Save as dialog box. It contains the list of file formats available for conversion.

Quick Access Panel:

Ribbon: File -> Save as...

Menu: File -> Save as...

Hotkey: Shift+Ctrl+S

The command is used to save the current file under another name, into another folder or into another format. When converting to HPGL/2 file format HPGL/2 Export options is called.

Save as a raster image

Savea s PDF

Save as HPGL/2


Save and Send

Navigation: User Interface > Conversion and Print >

Save and Send

 Return to chapter overview

CADEditorX allows to save the current file and send it via Internet. To use this option a default e-mail client must be set, for instance, Microsoft® Outlook®, that will be started automatically after the command is selected. The file to send will be attached to the e-mail as a DXf or PDF attachment. You can also swith on the compression of attached files in the tab Converting Settings of the dialog box Options. In this case the file will be attached to the e-mail as a ZIP-archive.

To send a file per e-mail select the command File -> Save and send.

Options. Converting Settings


Save into a Raster Format

Navigation: User Interface > Conversion and Print >

Save into a Raster Format

 Return to chapter overview

While exporting the current file to BMP, JPEG, GIF, TIFF and PNG the Export file size dialog box containing conversion settings is called by default. The call of this dialog box during saving to the raster formats can be switched off. To switch it off in the Settings window in the Converting tab select one of the following options: saving with actual size or saving with maximum size.

To export files to BMP, JPG, GIF and TIFF do the following:

1. Create a new file or open an existing file which you need to save to raster format.

2. Select File -> Save as or use the Ctrl+Shift+S hot key.

3. In the standard Save as dialog box select the required export folder, enter the output file name in the File name field, select the required formst (Bitmap Files (*.bmp), JPEG (*.jpg,*.jpeg), GIF (*.gif) или TIFF (*.tiff)) in the Save of type drop-down list.

4. Click OK.

5. After it the Export file size dialog box is called. By default the Actual size option is set in this dialog box. In other words, the sizes of the output file correspond to the current display scale factor.

6. If required edit settings. Click OK to save the file.

Note: depending on the export file format, the Export file size dialog box can have a set of different parameters

Export File Size for the Copy as BMP Command

export file size

·1:1 - sets sizes equal source file extents. DPI (dots per inch) is a value used to describe the resolution of the image. It can have different values horizontally and vertically and is used only for raster images. By default it is equal to 96 but it is possible to select another value from the drop down list. The higher is the DPI value the better is the quality ant the bigger is the file size.

·Actual size - sets sizes according to the current scale of the loaded image.

·Maximum recommended size - sets maximum size which will not cause possible system's slowing down while converting (size values depend on system resources)

·Custom size - user defined size. It is recommended to check Maximum recommended size previously.

·Depth defines the maximal number of colors that can be used in the drawing of this type by showing the bits quantity used to present each color. The higher is the depth value the bigger is the file size. The depth is expressed by bits per pixel, bpp. By default the depth is equal to 24 Bit. The values 1 Bit, 4 Bit, 8 Bit, 24 Bit and 32 Bit are also possible.

1 Bit | The image is presented in black and white.
4 Bit | Has 16 colors.
8 Bit | Contains 256 (8x8x4) different colors. Three bits are used for Red and Green and 2 bits per pixel are used for Blue.
24 Bit | Truecolor is the color that resembles the colors of the real world.It contains around 16,8 million different colors and uses 8 bits to present Red, Blue and Green each.
32 Bit | Has a supplementary 8-bit channel that can either be empty or contain data about the transparency of the image in definite pixels.

As the formats EMF and WMF are Windows metafiles the parameter Depth is absent for them.

·Transparency is present only when saving as GIF. One of the colors of the palette that is used as the background color is set as transparent. Thus the background will be seen through the pixels of this color.


Save as HPGL/2

Navigation: User Interface > Conversion and Print >

Save as HPGL/2

 Return to chapter overview

Saving a drawing as HPGL/2 you will have several options to choose from considering the output you would like to get.

After selecting the menu option 'Save' or 'Save as...' with HPGL/2 selected as the export format you will see the following window appear:

It specifies size parameters of the drawing (image) to be converted to HPGL/2 file format.

·HPGL/2 units - defines the number and type of output parameters:

·Units of original drawing - defines a portion of input drawing's units respective to the specified HPGL/2 units parameter:

Some applications are very sensitive to the contents of HPGL/2 files. For example if source CAD file contains a spline, after converting to HPGL/2 this spline thill get zigzag outline. HPGL/2 Export options dialog allows to overcome this trouble. It is necessary to set maximum available correspondence of the drawing units to its output size.


Save as PDF

Navigation: User Interface > Conversion and Print >

Save as PDF

 Return to chapter overview

Saving a drawing as PDF you will have several options to choose from considering the output you would like to get, to be exact its quality, size and coloring as well as such features as line weight in the resulting PDF file and the layouts to be converted.

After selecting the menu option 'Save' or 'Save as...' with PDF selected as the export format you will see the following window appear:

The left part of the menu shows the parameters of the output. Click on the parameter or set of parameters to see the details in the right part of the window.

v Output sizes, colors, quality

· Page sizes

Selecting between Standard and Custom size you can choose either the standard page size or adjust it to your needs. If you choose Custom size option you can set the necessary width and height of the page using the units that are convenient to you - mm or inches.

Get sizes from layout's plot settings. The size of the layout will be equal to the one specified in the dialog box Plot Settings.

The Margin option defines the offset from the edge of the page all over the perimeter of the drawing.

·Colors

In this part you can define the palette of the output PDF. It can be Color palette, Black/White one or palette of Grey shades.

Background color - here you can choose the color of the drawing background which will be in the PDF.

Default color - the color which is considered to be the default one. This parameter will be applied to the elements of the drawing the color of which is set as 'default'. Thus the coloring of elements may change in the output.

·Quality

This part shows correlation between the scale and the initial and output sizes of the drawing. Mind that lower quality corresponds to a smaller output size whereas high quality is for a bigger output size.

Note: 1) When exporting to PDF, the drawing will fit into the specified layout size taking into account the margins of the largest side. That is why to get a drawing in format 1:1, specify a custom size of the file equal to the drawing size and margins equal to zero in the dialog box PDF Export Options. 2) If the initial file contains a color raster picture, the color setting for the raster image will be ignored.

v Output layouts

With the help of the settings in this part you can define which layouts of the original CAD file should be exported into the output file.

The layouts include the following options:

- Model

- All Layouts

- Layouts by name. (Here in the field on the right you will be able to indicate the layout name)

- All Layouts + model

- Current layout

v Line width

In this part you can define the width of the lines to be saved in the output PDF file.

Check the Save lineweight box: if you wish the output file lines to retain the lineweights attributed to lines in the drawing.

Leave this box unchecked if you wish all the lines in the drawing to be output into PDF with zero-width.

Lineweight scale - in this part you can set the scaling factor for lines in the output.

Width of zero-width lines - here you can set the width for the zero-width lines in the output file.

v Description

In this part you can add some additional information about the saved PDF file - its title, author, subject and keywords.

Conversion and Print

Batch


Page to CAD

Navigation: User Interface > Conversion and Print >

Page to CAD

 Return to chapter overview

Quick access panel:

Ribbon: Output -> Page to CAD

Menu: File -> Page to CAD

The command converts the current file page of the supported formats to vector DWG and DXF file formats providing access to editing drawing objects. For files of 3D STEP and IGES formats the command is available in the 2D Wireframe display mode only.

The command calls the standard Save as dialog window in which name of the output file, its format and the saving folder are specified. Raster objects contained in the files are saved to DWG and DXF as OLE-objects. In other words, vectorization of raster images is not supported.

To convert the current layout of the loaded file to vector DWG format do the following:

1.Open the PDF file and select the required page.

2.In the Options window in the Loading/Saving tab turn on the Entities filling option and turn on the Layers option if required.

3.On the Output tab select the Page to CAD command.

4.In the opened Save as dialog window specify the folder for saving, in the File name field enter the name of the output file and select the DWG file format from the Save as type drop-down list.

5.In the Save as window click OK.

6.On the File tab select the Open command, select the folder specified while saving and select the saved DWG file. As a result the file contents will be available for editing.

Note: 1) Layers from the source PDF file are not imported when the Page to CAD command is used; 2) to convert all pages of a multipage PDF file it is recommended to use the Import PDF/EMF command.

Import PDF/EMF

Loading/Saving settings


Batch

Navigation: User Interface > Conversion and Print >

Batch

Return to chapter overview

Menu: File -> Batch

Ribbon: tab File > Batch > Batch

Keyboard: Ctrl+B(И)

It is used to convert file groups to the BMP, WMF, EMF, JPG, GIF, TIFF, AutoCAD 2000 DXF, AutoCAD 2004 DXF, DWG, PDF, PLT, CGM, SVG file formats with specified settings. Activation of this command opens the "Batch" dialogue box in which export settings are specified. Depending on the selected export file format the corresponding group of settings is activated.

Input file

The list of files for conversion is generated in the "Input file" section. To add and delete files the commands situated to the left from the list field are used.

Add file(s) | adds one or several selected files to the list. The standard "Open" dialogue box opens in which files are selected. Shift and Alt keys are used to select several files.
Add from... | adds all files from the specified directory in "Browse folders" window.
Remove | removes one or several selected files from the conversion list. Shift and Alt keys are used for multiple selection of files.
Remove all | empties the current file list.

Save/load list:

The option enables the user to save the current list of converted files or to load files saved beforehand. There are three commands available in the drop-down menu:

§<default>. Clears the file list field.

§Save settings. Saves the current file list under the specified name which is entered into "Enter name" window. The name should be unique otherwise confirmation concerning change of the previously saved list will appear. The name of the newly saved file list is added at the end of "Save settings" drop-down list

§Delete entry. Deletes the file list saved previously. It is necessary to select the deleted list beforehand.

Output format

The option presents the list of formats in which conversion may be carried out. Depending on the selected format in "Converter settings" section the corresponding group of settings is activated.

Output format | Specified options
BMP, JPEG, GIF, TIFF | all the converter settings are available.
WMF, EMF | it is impossible to indicate the margin size of the final image, the DPI value and color depth.
DXF, DWG, PLT | only CAD section options are available for change. The converted layouts are determined on default "All layouts + model".
CGM, SVG | only CAD section parametres are available for change. As the output files of this formats can't be multipage the model conversion is performed on default.
PDF | the output settings become inactive, while exporting into PDF all the settings are made in the PDF Export Options dialogue box, which opens after clicking [Custom...]

Summary table of file formats conversion:

Input format | Output format
 | BMP, JPG, GIF, TIFF | WMF, EMF | DXF, DWG | PDF | PLT | CGM | SVG
Bit-mapped formats: BMP, JPEG, PNG etc. | ✓ | ✓ | ✓ | - | - | - | -
WMF, EMF | ✓ | ✓ | ✓ | - | - | - | -
DXF, DWG, PLT, SVG, CGM, PDF | ✓ | ✓ | ✓ | ✓ | ✓ | ✓ | ✓

Converter settings

This contains settings with the help of which files should be converted. Depending on the selected output format the corresponding group of settings becomes active.

Format size

The option defines size of the output image, color depth and resolution. It is the main parameter in the process of converting into bit-mapped formats.

§1:1. File conversion takes place at the scale 1:1, i.e. sizes of the input and output files will be the same.

§DPI. It is used to describe the resolution capacity of the output image. It describes the number of dots per inch. On default this option is equal to "96".

§Width and height. The option enable to specify the user's sizes of the output image in pixels. On default the sizes are 640х480px The options auto width and auto height set autodetermination of one of the parametres proportionally to another one.

§Max possible size. The option specifies the maximal possible size of the output file.

§Fit to max size. The option sets the value for the bigger side of the input file which it will have after conversion. At the same time the smaller part is computed proportionally.

§Fit to min size. The option sets the value for the smaller side of the input file which it will have after conversion. At the same time the smaller side is computed proportionally.

§Depth. The option defines the maximal number of colors which can be used in the image setting the number of bits used to save and represent colors while coding one pixel. The bigger color depth is, the bigger the size of the output file will be.

Margins

The option sets the width of the margins around the image of the output file.

Command "Custom"

The option opens PDF Export options in which parametres of the output file are set. The command is active when PDF file format is specified as the output format.

CAD

The option enables to set parametres for input CAD files before their export to the specified format.

§Color. The option defines the color scheme for the drawing after conversion. Black/white or color mode.

§Background color.The option sets color of the background for the output file: White or Black.

§Layout. The list of input CAD file layouts for conversion is set. Command Default produces export of the current layout (model).

§Line width. The option specifies visibility of line width in the output file.

§Arc. The option defines the mode of arc display for the output file.

- Split: the arcs will be displayed as a set of short lines.

- Smooth: the arcs will be smoothed.

·PDF page as image. If the option is off, the objects are converted from PDF to DWG and DXF as vector with the possibility of further editing. If the option is off, each layout of the PDF file is converted to DWG and DXF as an OLE-object.

Layouts

·Layout to file. Each layout of a multipage DWG, DXF, PDF file and files of other formats is saved to a separate file of the selected output format.

Output directory

The option defines the place on the disk where storing of conversion results will be produced. Pressing the command [Browse] opens "Browse folders" standard dialogue box to select the output directory.

Save/Load converter settings

The option enables the user to save the current settings of the converter or to load settings saved earlier. The drop-down list contains three commands:

§<default>. The option returns converter to the original settings.

§Save settings. The option saves the specified converter settings under the given name. The name is entered in "Enter name" window which appears after selection of this command. The name should be unique. The saved list of settings is added at the end of the drop-down list.

§Delete entry. The option deletes the converter settings saved previously. To delete them select the list of settings which should be deleted and then select "Delete entry".

Preview pane

Image of the drawing selected in "Input file" list with all defined conversion specifications is loaded to the preview pane. Preview is inactive on default. Ticking of the mode Preview Active switches Preview on.

Conversion report

When conversion is over the dialog box "Batch log file" opens which contains results of all batch conversion launches in the current session the Batch mode. Data of each next launch is saved at the end of the Log file. After closure of the dialog box "Batch" the log file is cleared. It is possible to execute forced clearing of the results of the changes implemented before or to save them to the text document with the help of the commands [Save log file] and [Clear log].

PDF Export options" dialogue box

Export formats

Save as


Print Setup

Navigation: User Interface > Conversion and Print >

Print Setup

 Return to chapter overview

Choosing the option File -> Print -> Print Setup calls the corresponding dialog box, containing information about the name, the status, the type and the location of the printer, the size and the feed of paper and the orientation.


Print

Navigation: User Interface > Conversion and Print >

Print

 Return to chapter overview

The command File -> print -> print will open the Print dialog from where you can select printer, number of copies and more. An example dialog is shown below:

Print range allows selecting pages (layouts) for printing.

Note: Print dialog box view depends on your Windows™ version.


Plot Settings

Navigation: User Interface > Conversion and Print >

Plot Settings

 Return to chapter overview

The dialog box Plot settings is used to set plot parameters for the current layout of the drawing. The specified settings are used when plotting the drawing in the dialog box Print Preview and Batch Print, they can also be used when converting a drawing to PDF. These settings can be accepted or modified when plotting. The specified settings are saved to the file.

When new drawings are created the printer None and format А4 are used as default ones. When the printer None is specified, the drawing will not be plotted. To apply the specified settings, click on Apply in the dialog box Plot Settings.

To call the dialog box Plot settings click with the right mouse button on the current layout name and select the command Edit plot settings. The command is unavailable in the Viewer mode.

Printer / Plotter

The section allows selecting the paper format and the plotting device that will be used to print the current layout. The default printer is None and the default format is А4. The plot area is defined according to the selected printer or plotter. The size of the plot area depends on the unprintable area of the printer.

Offset

The section defines the offset of the drawing from the left bottom corner of the plot area. By default, the coordinates of the bottom left corner are specified as [0,0] for new drawings. Both positive and negative values can be set in the offset options. Please, mind that the elements of the drawing that are exceed the area to plot will not be plotted.

The option Center the plot centers the drawing on the paper.

Plot area

The section enables specifying the area of the drawing to plot. The plot area is marked with a dotted frame in layouts and Model. One can show or hide the plot area Show print area that is under the Output tab in the Plot Settings section. Plot area is defined by the installed printing device and the selected paper format.

One of the following possible parameters can be selcted:

§Extents. Prints all the objects of the current drawing or Model area.

§Layout. Prints all the objects of the layout of the specified format. The option is available only for the additional layouts.

§Window. Allows specifying a rectangular area that will be printed.

§Display. Prints the part of the drawing that is displayed in working area of the application.

Plot Scale

The section enables specifying the precise scale of the drawing that will be used when plotting it. The scale can be selected in the list of the standard formats or manually set.

The option Fit to paper fits the drawing to a paper sheet of the selected format. The setting isn’t active if the Layout option is selected in the Plot Area section.

Drawing Orientation

The section sets the drawing orientation on the paper of the selected format. It is possible to select one of the two values: portrait (the largest sidet is vertical) and landscape (the largest side is horizontal).

Print Preview

Batch Print

Save as PDF


Print Preview

Navigation: User Interface > Conversion and Print >

Print Preview

 Return to chapter overview

Quick Access Panel:

Ribbon: Output -> Print… -> Print preview

Menu: File -> Print… -> Print preview

Hotkey: Ctrl+P

The Print preview dialog box consists of the preview area and the print settings area. It has two tabs: Plot settings and CAD Image.

The Plot settings tab allows selecting the needed parameters for plotting the current drawing.

Printer/Plotter

The section is used to select the plot device and the output paper size.

Drawing orientation

The section enables the choice of the paper orientation:

Portrait - orients and plots the drawing so that the short edge of the paper represents the top of the page.

Landscape - orients and plots the drawing so that the long edge of the paper represents the top of the page.

Plot Scale

The section allows selecting the needed scale and setting a custom scale factor. The scale option defines the exact line length on the paper sheet and the one in drawing units ration. This correlation is expressed by the following formula: X = Y, where X – is one millimeter (or inch) of a sheet, Y – drawing units. Thus, Scale factor: 1:2 means that 1 sheet millimeter will contain two drawing points.

The Fit to paper option plots the layout into one sheet.

Plot area

The section is used to select the area to be plotted. The following options are available:

Extents plots the part of the drawing that contains entities.

Layout plots the whole layout with the origin 0,0 in the drawing

Window plots the selected by the window area

Display plots the current displayed area

Offset

The setting allows specifying the offset coordinates.

If the option "Center the plot" is checked, the image will be located in the center of the paper.

Restore Settings

The button [Default] sets all the parameters as default ones.

The CAD Image tab sets the CAD files display when plotting. It is possible to specify the line weight, color mode, texts and dimensions display in the drawing when plotting. These settings do not influence the drawing file, but its output settings.

Width of zero-width lines

Specifies the width of the lines, which have a width equal to zero, in chosen units (inches or millimeters) for printing. All entities with null-width will be printed with the width equal to the entered value.

Print lines weight

If the option is checked all the entities with null (zero) width will be printed with the width equal to the one entered in the edit box Width of null-width lines, and all the entities with zero-width will be printed with the width of 1 pixel.

Apply scale to lines weight

Use this property to scale lines weight according to the drawing's Scale factor.

Print with colors

Displays the drawing (image) in the color or black-and-white mode.

Note: use black-and-white mode for printing if you use black-and-white printer and want to have all the lines with the same weight and intensity.

Print dimensions

Allows printing dimension entities if they exist.

Print texts

Allows printing text entities if they exist.

Edit layers – calls the Layers dialog.

Set line weight by color

In CAD color system each color is identified by an AutoCAD Color Index (ACI) number, an integer from 1 to 255. Standard color names are available only for colors 1 to 7. These colors are names in the following way: 1 Red, 2 Yellow, 3 Green, 4 Cyan, 5 Blue, 6 Magenta, 7 White/Black.

This option allows manual definition of the line weight according to its color.

Press Save... button to save already made settings.

Press Load... button to load previously saved settings (file with CWS extension).

The Apply to Layout button applies the settings to the current layout

The Print button plots the layout.

The Close button closes the dialog box.

Printer

If the Show stamp option is active, the file name, layout name, current date and time are printed in the upper part of the drawing.

Multipage Printing

Batch Print


Multipage Printing

Navigation: User Interface > Conversion and Print >

Multipage Printing

 Return to chapter overview

The command Multipage printing allows printing a drawing on several sheets. For example, a large format file can be printed on several smaller sheets. When using the dialog box Multipage printing you’ll be able to manage a great number of parameters. The Multipage Printing dialog includes the following tabs:

·Device settings

·Borders

·CAD Image

·Additional settings

Note: Tab "CAD Image" available when CAD format file is loaded.

Cols and Rows

Displays number of papers of the horizontal and vertical placement. The amount of pages is automatically calculated using the image size and the printer's printable area size. Also the amount of pages can be changed manually.

Auto - recalculate an optimal sheets' number of columns and rows accordingly to the current Scale factor.

Press Print button to print the image.

Press Close button to hide the Print preview.


Device Settings

Navigation: User Interface > Conversion and Print > Multipage Printing >

Device Settings

 Return to chapter overview

Show/Hide Hidden Text

The Device settings tab includes settings of the output device, sets paper orientation and format, size of the output drawing and switches on/off nonprinting areas.

Printer

Displays the current printer, paper format and the port to which it is connected or its network location. Button Settings... calls a standard Print Setup dialog window.

Paper orientation

Paper orientation can be

Portrait - orients and plots the drawing so that the short edge of the paper represents the top of the page.

Landscape - orients and plots the drawing so that the long edge of the paper represents the top of the page.

Fit to paper - draws files within current number of sheets.

Scale factor - allows defining exact correspondence between a line length on the paper sheet (in millimeters or in inches) and its length in drawing units. This correlation is expressed by the following formula: X = Y, where X – is one millimeter (or inch) of a sheet, Y – drawing units. Thus Scale factor: 1:2 means that 1 sheet millimeter will contain two drawing points.

The most recently used standard scales are displayed in the following drop down list:

The additional drop down list is available when Hewlett-Packard HPGL file is loaded only:

Predefined format

You can select any one of the standard formats (DIN: A4, A3, A2, A1, A0) or input a new size of the drawing (image).

Edit formats - calls Formats dialog box.

Formats

Formats dialog box contains the same list of standard formats as Predefined format does and it allows to create new items.

New and Edit - calls Edit dialog box:

Delete - deletes the selected user's format.

Standard formats are unavailable for editing or deleting.

Printer

If the Show stamp option is active, the file name, layout name, current date and time are printed in the upper part of the drawing.


Borders

Navigation: User Interface > Conversion and Print > Multipage Printing >

Borders

 Return to chapter overview

Show/Hide Hidden Text

Specify the size, scale, offset, and other options of the drawing.

Drawing frame - specifies a shape type and its color of the frame on a sheet for printed images:

Enabled - switches on or off a frame on sheets.

Line - defines line type and color of the frame's shape.

Line types

·Solid line

·Dash line

·Dot line

·Dash Dot line

·Dash Dot Dot line

·None

Drawing cutting line - defines line type and its color for "cutting off" bounding rectangle. "Cutting off" bounding rectangle allows separating usable area on the sheet from the useless. It is used when it is necessary to print a big drawing on small sheets for further gluing.


CAD Image

Navigation: User Interface > Conversion and Print > Multipage Printing >

CAD Image

 Return to chapter overview

Specifies parameters for printing CAD files.

qWidth of zero-width lines

Specifies the width of the lines, which have a width equal to zero, in chosen units (inches or millimeters) for printing. All primitives with null-width will be printed with the width equal to the entered value.

qPrint lines weight

If it is checked all primitives with null (zero) width will be printed with the width equal to the one entered in the edit box Width of null-width lines, and all primitives with zero-width will be printed with the width of 1 pixel.

qApply scale for lines weight

Use this property to scale lines weight according to the drawing's (image) Scale factor.

qPrint with colors

Displays the drawing (image) in the colors or black-and-white mode.

Note: use black-and-white mode for printing if you use black-and-white printer and want to have all the lines with the same weight and intensity.

qPrint dimensions

Allows to print dimension entities if they exist.

qPrint texts

Allows to print text entities if they exist.

qEdit layers - calls Layers dialog.

qSet line weight by color

In CAD color system each color is identified by an AutoCAD Color Index (ACI) number, an integer from 1 to 255. Standard color names are available only for colors 1 to 7. These colors are names in the following way: 1 Red, 2 Yellow, 3 Green, 4 Cyan, 5 Blue, 6 Magenta, 7 White/Black.

This option allows manual definition of the line weight according to its color.

qPress Save... button to save already made settings.

qPress Load... button to load previously saved settings (file with CWS extension).


Additional settings

Navigation: User Interface > Conversion and Print > Multipage Printing >

Additional settings

 Return to chapter overview

Show/Hide Hidden Text

Specify additional options for printing.

qDrawing rect - defines a placement of the drawing on the sheet (upper left corner + width and height). It influences the scale of the drawing directly.

qPaper offset

·Defines the size of the printable area of the sheet. This option is necessary for the convenient combining of the sheets. It is the gluing maps principle is used - sheets are laid from the left to right and from the top to bottom.

·Use paper offset - set this option on to draw an image inside of the sheet's drawing area.

What does it mean? Every printer defines an area where it puts ink. This is printable area. In most cases this area is less than sheet sizes. The difference between printable area and sheet sizes has standard values for every specific printer.

For instance, there is a drawing with bounding rectangle scaled 1:1 within sheet's extents. If Use paper offset is on, the drawing will be limited by bounds of the printable area. Thus the image will be distorted - it will be less then its real size. If Use paper offset is off, the drawing will be fitted in the bounds of the sheet sizes and the image will be printed precisely.

qOverlapped mode

This option defines an area size for adjoining sheets which contain the same drawing parts. This area is used while gluing big drawings printed on small sheets.

qDrawing rect position

This drop down list specifies a predefined offset of the drawing (image) on the printer's printable area.

A list of positions:


Print View Area

Navigation: User Interface > Conversion and Print >

Print View Area

 Return to chapter overview

This option allows to print only the area being viewed. Thus, only a fragment of the drawing will be printed. The choice of this option calls a standard print dialog box, offering you to set the number of copies and the name of the printer.


Batch Print

Navigation: User Interface > Conversion and Print >

Batch Print

 Return to chapter overview

Ribbon: File -> Batch -> Batch Print...

File -> Print -> Batch Print...

Output -> Batch Print...

Menu: File -> Batch Print...

Command: BatchPrint

Batch Print is used to print a group of files. It enables you to set printing settings for each layout separately. To set the same printing parameters for several layouts meeting some criteria printing rules are used.

Preview Area

Previews the selected layout in such a way as it will be printed out. To preview layouts double-click the layout name in the file list.

List of Files for Printing

Shows the list of the loaded files and their status. The list has a hierarchical structure. Its first level is a path to the file, the second level is a list of layouts contained in the file. You can select layouts for printing in the file list as well as specify printing settings for each layout in particular. To set printing parameters for all layouts or a group of layouts, you can use printing rules.

Adding and Deleting Files to/from the List

To add and delete files use the buttons located under the file list.

[Add file(s)] Adds one or several selected files to the list. It calls the Open dialog box that allows filtering files by their extension. To select several files use Shift or Alt.

[Add from...]. Adds all files of the supported file formats from the specified folder. Calls the Browse Folders dialog box in which you should specify path to the folder with files.

[Remove]. Removes selected files from the list of files for printing.

[Remove all]. Removes all files from the list of files for printing.

Selecting Layouts for Printing

The Print column is used to select layouts that should be printed out. By default when files are added to the list, all layouts except for the Model layout are selected for printing.

The Select to print and Unselect commands from the context menu are used to select quickly all additional layouts or the Model layouts.

Selecting the Output Device (Printer, Plotter) and Paper Format

The Printer and Paper size columns are used to display paper format and name of the output device that will be used for printing. If these columns are empty, this means that the output device is not selected for the layout and it won't be printed out. If printing rules are applied to the layout, information about paper format should not be entered in the Paper size column while the Printer column displays the name of the rule in use.

Printing settings can be configured separately for each layout with the help of commands in the Options column or you can use printing rules applied to a group of files meeting selection requirements. Printing rules are applied to the layouts the printer of which is not set. By default printing rules are turned off. To set printing options fora group of files it is necessary to create a rule and after it turn on the Create rules for files with unspecified printers option in the Print Setup section.

In the Print Setup section the Printer and Paper size settings are used to set the output device fast for the selected layouts. Please note that after it you should preview the drawing as the printing area of the drawing is set in Plot settings and by default may be set in a wrong way.

Commands in the Options Column

When you select a layout, in the Options settings the commands used to configure printing settings are displayed. These options state with which scale the image must be displayed at the selected paper format.

CAD files options. Calls the CAD file options dialog box for further setting of CAD files display. For example to turn on black and white printing option.

Layers. Calls the Layers window. Allows changing layers options for all layers of the DWG or DXF file. Changes are not saved in the drawing file.

Plot settings. Calls the Plot settings dialog box for selecting the output device and paper format. Other options in this dialog box set the printing area of the image that should be printed out, the output scale and printing area position in the layout of the selected format.

Highlighting of Files in the List with Color

If the layout is highlighted with color in the file list, it will not be printed out. The following colors are used:

the layout is excluded (the Print option is off)

the list is selected for printing but the output device is not specified. When there are such layouts in the file list, the corresponding message will be displayed in the Status section.

Print Setup

Displays printing settings for the selected layout and its original sizes. If a rule is applied to the selected layout, the name of the rule in use is displayed opposite to Plot settings.

Printer. Is used to set quickly the output device for the layout selected in the file list. The not installed value allows resetting the set printer so that the rules could be applied to the specified layout.

Paper size. Is used to select quickly the paper format which will be used to print the layout selected in the file list. The list of paper formats is available only after choosing the output device.

Create rules for files with unspecified printers. Turns on the usage of active printing rules. If you click the [...] button, the Rules for files with unspecified printers dialog box used for creating and editing rules will be opened.

Print settings

Displays printing settings for the selected layout and its original sizes. If a rule is applied to the selected layout, the name of the rule in use is displayed opposite to Plot settings.

Original size. Displays original paper size of the selected layout. The original paper size is logged in layouts settings of DXF, DWG, CGM and PDF files. The A4 paper format is always set for raster and some vector formats (PLT, DWF etc.).

Plot settings. Displays printing settings which the layout will have when it is printed. Printing settings can be set for the layout via plot settings or they can be used from the printing rules.

Status

Displays whether the file is ready for printing. If print settings and the printer are not set for the selected layouts, the following message will be displayed: "The following settings were not specified for some files: plot settings." The plot setting link leads to the first layout found in the file list for which Print settings have not been set. The section also displays the number of sheets to be plotted.

Print button

Prints the layouts in accordance with the specified printing settings.

Close button

Closes the Batch Print dialog box not clearing the file list. The file list is cleared after closing the program window.

CAD files options

Printing Rules

Plot Settings

Printing in Print Preview

Multipage Printing


CAD files options

Navigation: User Interface > Conversion and Print > Batch Print >

CAD files options

 Return to chapter overview

Settings of CAD files representation are produced in CAD Files Options dialog box while printing output. Options of width of lines, drawing color scheme, dimensions and texts display are adjusted while printing.

Additional options for CAD files display

Width of zero-width lines.

The option defines width in millimetres for lines which have width value "On default" and "0.00 mm". CAD file lines of such width are printed out with 0.00 mm width.

Print lines weight.

The option switches on or off the use of specified widths for the current CAD file lines. If this option is switched off, the specified line width values will be ignored and the lines will be printed out with the width specified by the "Width of zero-width lines" option.

Apply scale to line-weight.

If this option is switched on, proportions of line widths are are taken into account depending on the scale of the printed-out drawing.

Print with colors.

The option defines the color scheme of the drawing in which it will be printed out. If the option is switched off, the drawing will be printed in black and white mode. This option is useful while printing of color drawings with the help of monochrome printer that prints colors different from black and white in gray gradations. That is why preliminary switching to black and white mode provides the user with accurate and bright image after printing.

Print dimensions.

The option switches on or off printing of dimension lines.

Print texts.

The option switches on or off printing of texts added to the drawing.

Section "Set line weight by color"

In AutoCAD system each color has its own color index (AutoCAD Color Index - ACI), numbers range from 1 to 255. The standard set of colors has numbers from 1 to 7:

·Red - 1

·Yellow - 2

·Green - 3

·Blue - 4

·Dark blue - 5

·Magenta - 6

·Black - 7

There is a list of color numbers with the option to specify user-width for each color in the section "Set line weight by color".Options for this section may be saved and loaded from a file with *.cws extension. It is done with the help of the commands [Load] and [Save] situated below. The commands [Clear] resets specified settings of this section.

Batch Print


Printing Rules

Navigation: User Interface > Conversion and Print > Batch Print >

Printing Rules

 Return to chapter overview

The Rules for files with unspecified printers dialog box is used to create and edit printing rules.

The Name Column

The rule name. It can contain any characters. The rule name is displayed in the Printer column of the file list opposite to the layout the printing settings of which are set by the rule.

The File filter column

The column is used to set filters for layouts and files for which printing rules are set. When you click the entry field of the File filter column, the [...] button appears. When you click this button, the Filter settings dialog box will be opened:

Filter name. Used to enter the filter name that is displayed in the File filter column. It is an optional field.

Apply to. Selection of layouts to which the filter will be applied.

§All Layouts + model. The filter is applied to all additional file layouts and layouts called Model.

§All Layouts. The filter is applied only to additional layouts. The filter won't be applied to the Model layout.

§Модель. The filter is applied only to the layouts called Model.

Use filter by file type. Sets the file formats to which the rule, which this filter is configured for, must be applied. For example if *.dwg is entered, the rule will be applied only to DWG files.

Use filter by plot size. Selects layouts by paper size written in the plot settings of the original file. When you enter the paper size, you should take into account the drawing orientation.

Layout size. Layout size can be selected from the list of standard formats or entered with the help of the keyboard.

Units. Measurement units in which the layout size for search is entered.

The Print properties column

Used to configure printing settings. When you click the entry field of the Print properties column the [...] button appears. When you click it, the menu with commands is called:

Print settings. Calls the Plot settings dialog box to select the output device and paper format. Other parameters of this dialog box set the printing area, its position in the drawing and scale with which the selected area must be printed out at the page of the selected format.

CAD files options. Calls the CAD files options dialog box for further configuration of CAD files. For example it turns on the black and white printing of the drawing.

Area with hints

Used to view quickly printing settings of the selected rule.

Black and white printing of all the files with the same printing settings

To print all the added files at one printer at the A4 paper format in black and white please do the following:

1.In the file list select the Select all command from the context menu.

2.In the Print Setup section in the Printer list select the not installed value.

3.In the Print settings section turn on the Create rules for files with unspecified printers option and click the [...] button.

4.In the appeared Rules for files with unspecified printers window click the [+] button to add a new rule.

5.Enter the rule name: Black and white printing (all).

6.In the Print properties column select the CAD files options command. In the appeared CAD files options window turn off the Print with colors option and click OK.

7.In the Print properties column select the Print settings command. In the appeared window select the output device and A4 paper size. In the Plot area section select Extents and turn on the Fit to paper option. Click OK.

8.In the Rules for files with unspecified printers window turn on the created Black and white printing (all) rule and click OK.

9.In the file list in the Printer column the name of the used rule will be shown opposite each layout. Double-click the layout for preview.

Batch print


Print a Part of an Image

Navigation: User Interface > Conversion and Print >

Print a Part of an Image

 Return to chapter overview

To Print a part of an image choose the needed area with the tool Fragment (Viewer tab-> Tools -> Fragment) and right click on the chosen fragment. Select Print Preview and follow the instructions. If you want to print the area displayed strictly on the screen make use of the Print View Area button.

User has an ability to select a separate part of the drawing for printing. This ability is useful if printing of any sheets failed. There is no need to reprint the whole drawing. Just use mouse for excluding those parts of drawing which don't have to be printed.

If on scene of the sheet are drawn gray lines, that given page will not be printed.

As a matter of convenience choice printed/unprinted sheet serves the buttons Select All (notes all sheets printed) and Hide All (notes all sheets not printed).

Press Auto button to place image on the selected number of sheets (Cols and Rows parameter).

Press Print button to print the image.


Options

Navigation: User Interface >

Options

 Return to chapter overview

The Options button calls the Options dialog box.

Quick Access Panel:

Ribbon: File -> Open

Menu: Tools -> Options

Hotkey: Ctrl+Shift+F11

All the settings except customizing the ribbon are in this dialog box. In the left part it has a search field. The dialog box consists of the following tabs:

·Common. This tab allows to select a language and a program style, to set the usage of file templates.

·Converting settings. This tab offers to fulfill preliminary settings of saving and copying into raster formats and metafiles.

·Measure. This tab contains the settings for the measure tools. It allows to change drawing's units and set a scale factor.

·Visualization. This tab contains settings that influence the display of the drawing in the program window like splitting parameters for arcs and splines, lineweight options, border around CAD images and rotating parameter for HPGL files.

·Proxy server. This tab allows configuring the proxy server.

·Fonts. This tab allows to perform SHX fonts settings.

·Cursor. This tab contains settings of the cursor outlook.

·Snap. This tab contains settings for Snap, Polar tracking and Ortho modes.

·Grid. This tab contains settings for the mode Grid.

·Redline. This tab contains Redline settings.

·Associations. This tab contains the list of the file extensions which CADEditorX supports. It allows to specify the formats which will be opened in CADEditorX by default.

·Loading/Saving. This tab allows to manage comments added to the file.


Common

Navigation: User Interface > Options >

Common

 Return to chapter overview

This tab contains style and language settings, and allows to set usage of file templates when creating a new drawing.


Converting Settings

Navigation: User Interface > Options >

Converting Settings

 Return to chapter overview

The tab contains settings determining the action which will be fulfilled when saving the current drawing into a file and copying the image to the clipboard. The settings affect conversion and saving only into raster formats and metafiles.

Copy to clipboard settings

The Copy to clipboard settings section defines the conditions for copying loaded images to the clipboard when the Copy as BMP command is used.

·Actual size - the currently loaded image will be copied to the clipboard with its actual size.

·Maximum size - the currently loaded image will be copied to the clipboard with its maximum available size.

·Show dialog - when coping an image to the clipboard with the help of the Copy as EMF or Copy as BMP commands the Export file size dialog will be called. You will be able to set the sizes and the quality of the output file there.

Note: the image is always copied to the clipboard with the maximum available size when the Copy as EMF command is used.

Save to file settings

The Save to file settings section defines the size of the file saved to a format:

·Actual size - the currently loaded image will be saved into a raster format or metafile with its actual size.

·Maximum size - the currently loaded image will be saved into a raster format or a metafile with its maximum available size.

·Show dialog - when saving Export file size dialog will be called. You will be able to set the size and the quality of the output file there.

JPEG settings

The JPEG settings section defines the conversion quality for JPEG file format

·Export quality is used to define the compression quality of the output image. It may range from 0 to 100. A higher compression may result in a poorer picture quality, but a smaller file size. The default value is equal to 60.

·Smoothing is used to determine whether the JPEG image is displayed in small blocks or with blurred edges. If Smoothing is checked the edges are blurred during progressive displaying of the image. If Smoothing is unchecked raw blocks of color are used to display the image.

E-mail

·Pack attached file allows to pack the file automatically into a ZIP-archive when sending via e-mail.

Automatic action after selecting a Fragment

Selection of the action which will be implemented automatically after the use of the instrument Fragment.

·None. After selection of the part of the drawing with the help of the tool "Fragment" automatic actions are not executed. The action necessary to execute with the selected fragment is selected from the context menu of the instrument.

·Copy as BMP. It copies the selected fragment to the clipboard as BMF.

·Copy as EMF. It copies the selected fragment to the clipboard as EMF.


Measure

Navigation: User Interface > Options >

Measure

 Return to chapter overview

This tab contains settings which are used for measuring tools such as Distance, Polyline Length and Area. These settings do not influence the view of the dimension values and other similar information appearing in the drawing. They allow to set the scale factor and the units in which the measurement of the drawing must be performed. These settings aren't saved into the drawing file and are cleared after closing the drawing.

Units

Settings of measurement results precision, scale and displayed units of measurement. Settings of this section affect all measurement tools in 2D and 3D modes.

·Original units of the drawing. Sets units of measurement in which the drawing is made. Used in 2D mode only.

·Displayed units of the drawing. Sets units of measurement in which measurement results must be displayed in the current file. If the displayed units are the same as the original ones the scale factor will be equal to 1. Used in 2D mode only.

·Scale factor. Defines custom unit's multiplier.

For instance: loaded drawing's units are millimeters. You want to have coordinates in centimeters when using measuring tools. Set Scale factor equal 0.1. Now all measuring values will be in centimeters.

Conversion of CAD units to the viewed values occurs by the following formula:

"Original units" * "Scale factor" * k = "Displayed units",

where k - is correspondence coefficient between two unit types - "Original units" and "Displayed units".

If Scale factor <> 1, k takes value 1 and "Displayed units" are turned to Unitless.

·Precision. Sets the number of the decimal digits for the values obtained after measuring. The option can be changed in the context menu of the Measure panel during measurement.

·Hide measurement panel. Regulate the appearance or disappearance of the Measure panel after the measurements have been made. Check the box if you prefer the Measure panel to stay visible.

Measuring the polyline

Selection of parameters for meausuring with the help of the Polyline Length tool, that is available in the 2D mode.

§Polyline length is the total length of the polyline outline.

§Angle in XY Plane is an angle between the vector of the measured segment and the X-axis in the XY plane.

§Angle from XY Plane is an angle between the vector of the measured segment of the polyline outline and the Y-axis in the XY plane.

§Segment length is the distance between the start and end points of the polyline outline segment.

§Delta X is the value of the projection of the vector of the measured segment of the broken outline on the X-axis.

§Delta Y is the value of the projection of the vector of the measured segment of the broken outline on the Y-axis.

§Delta Z is the value of the projection of the vector of the measured segment of the broken outline on the Z-axis.

§Angle is the angle contained by two adjacent segments of the polyline outline. The angle value for the first polyline outline segment is equal to 0 degrees.

Dimension Styles for Measurements

Settings of the dimension lines form that are showed while measuring drawings elements with the help of any measurement tool.

§Show dimensions allows showing or hiding dimension lines when measuring elements of the drawing in the 2D mode.

§2D [...]. When the [...] button is clicked, the Dimension Style dialogue box opens and the user can set the visual style of dimension lines displayed when the drawing is measured in the 2D mode.

§3D [...]. When the [...] button is clicked, the Dimension Style dialogue box opens and the user can set dimension lines size and text height as well as change color of the dimension lines displayed when the drawing is measured in the 3D mode.

Measurement Tools

Measure Panel


Visualization

Navigation: User Interface > Options >

Visualization

 Return to chapter overview

The tab contains the settings for the visualization of CAD files. It allows to set the splitting parameters of a circle and spline and some other parameters.

Lineweight

The section Lineweight defines lineweight parameters. A one pixel wide line corresponds to the lineweight value of "0,00 mm". The lineweight of other lines in pixels is set in proportion to their precise values.

·Display Lineweight - if checked the lineweight of all the entities of a vector image is displayed according to the specified value of the property Lineweight. If the option is switched off the lines are displayed one pixel wide. The corresponding icon on the toolbar is [image] .

·Adjust display scale - use this option for increasing or decreasing entities' lineweight scale factor. It doesn't affect the lineweight when printing but an additional print option allows to take it into account.

HPGL

When opening rotate HPGL drawing by angle - sets the necessary angle value for automatic rotation of Hewlett-Packard HPGL files when they are loaded. By default the option is off.

EPS import library

The section contains information about the third-party library GhostScript(gsdll32.dll), with the help of which viewing of PDF and EPS files is performed in CADEditorX. The path to the library is entered automatically after its installation and the following opening of a PDF or EPS file. The library can be loaded at

http://sourceforge.net/projects/ghostscript/

http://www.ghostscript.com/

·Path to GhostScript library - determines the path to the GhostScript library.

·DPI - determines the resolution of your computer screen. It is characterized by the number of pixels per inch.

3D

The Build triangular mesh option adds third-party library to display SAT, IGES, STEP, STP and BREP file extensions.

Border around CAD image

The section Border around CAD image serves for adding a border around the image for better visualization: The given sizes will affect the sizes of the image both when saving into another format and while displaying in the drawing area. The option On adds or hides a border around the image. When it is checked three parameters are activated:

·Border width - sets the widthe of the borders which will be added along the perimeter of the image. The border width is determined by two additional options:

oRatio - the border width is calculated dependent on the initial sizes of the loaded CAD file

oAbsolute - the border width is equal to the number of units specified in the Border width edit box

Quality

The section Quality contains three options which set the quality of display of vector elements and allow to use double buffering when viewing graphics files.

·Split circle to allows setting up the number of lines the arcs would be split up to. The greater the number of lines, the smoother the appearance of the circle or arc is. The setting affects the display of the drawing, printing and saving it into raster formats. That is why if you need to get a raster image of a high quality it is necessary to enter the maximal split number before export.

·Split spline element to allows likewise setting up the number of lines which splines would be split up to. The more lines set the better the quality of the drawing is.

·Double buffering determines whether the image is rendered directly to the window or painted to an in-memory bitmap first. It reduces the amount of flickers when the image repaints, but is more memory intensive and can affect performance as all the drawing operations are first executed in the memory and then on the screen.


Proxy server

Navigation: User Interface > Options >

Proxy server

 Return to chapter overview

The tab allows configuring the proxy server (a connection between a company network and the Internet). It's necessary for automatic or manual update-checks.

·Use Proxy Server switches the usage of Proxy Server on or off. The settings of the section Proxy Server become active.

Proxy Server:

·Host: here you can give the Internet IP address or the server name of the proxy server.

·Port: here you can give a port number

·Authentication activates the fields for entering the authentication data for the access to the proxy server.

oUser name: this field allows entering your user name on the proxy server. Many proxy servers don't need a user name and password.

oPassword: here you can enter proxy server password (if needed). Only enter the password here if your PC is completely secure!


Fonts

Navigation: User Interface > Options >

Fonts

 Return to chapter overview

The tab has the settings that allow to use SHX fonts in the drawings. The paths of SHX fonts search are set.

Use SHX Fonfs - allows CADEditorX to use SHX fonts installed into the system (SHX fonts are required for many DWG/DXF files).

·Add SHX path - allows adding SHX paths registered on the computer. If AutoCAD is not installed on the computer the path to the fonts folder supplied by CADEditorX is added by default.

·Search path - contains a list of SHX fonts paths where the search for SHX fonts is performed. The path can be entered manually (as a separator ";" is used) or selected in the dialog box Directories. Pressing the button [image] on the right from the Search path edit box calls Directories dialog window.

This dialog box allows managing a list of SHX fonts paths. Invalid paths are marked with the grey color. Clicking on the Delete Invalid Paths button allows deleting invalid paths. The selected path can be deleted or relaced with a new one. To add a path you should first define the path top it in the input field and then pres the Add button.

·Default path and Default font - defining the default name and path for SHX font. By default simplex.shx font is used.

§Default Big font. A font used as an alternative one for big SHX fonts if the original SHX font is not found in the paths defined in the list. The bigfont.shx font is used as an alternative font on default.

Code pages of big custom SHX fonts

To use big SHX font characters (Asian characters) it is necessary to specify usage of the big font in text styles. But to convert big custom SHX fonts to Unicode characters correctly the code page must be specified. Code pages for custom files of big SHX fonts are specified in the table.

§Font name. Name of the SHX font with its extension. The name can be entered using the keyboard or the user can select the required font in the Open dialog box that opens when the [...] button is pressed.

§Type. Selection of the code page from the list by type: Japanese, Traditional Chinese, Korean, Simplified Chinese. When the type is changed, the code page also changes.

§Code page. Selection of the code page from the list: 932, 950, 949, 936. When the code page is changed, the type also changes.

The program includes the following standard files of big fonts the code pages of which are set programmatically.

List of Standard Fonts
Font Name | Description | Code page
bigfont.shx | Japanese font | 932
chineset.shx | Traditional Chinese font | 950
gbcbig.shx | Simplified Chinese font | 936
whgdtxt.shx | Korean font | 949
whgtxt.shx | Korean font | 949
whtgtxt.shx | Korean font | 949
whtmtxt.shx | Korean font | 949

Note: you can download the set of additional SHX fonts at: http://cadsofttools.com/downloads/

Adding and replacing SHX fonts


Cursor

Navigation: User Interface > Options >

Cursor

 Return to chapter overview

Here you can regulate cursor size and view settings.

Preview. The preview area shows the graphical image of the cursor, which will be applied after pressing the button OK. It displays all the performed changes including the background color of the working area.

Default. The cursor acquires the initial form which was used in the 6th version of the program.

System Crosshair. When placed in the drawing area the cursor acquires the from which is set by the system.

Custom view: The option allows to set the custom shape and coloring of the cursor. When the option is on the group of settings below becomes active. Use

Aperture size and Crosshair size options to regulate the size of the cursor. The changes are displayed in the preview area.For Advanced settings please press the button Advanced. In the appearing window you'll be able to select the size of the aperture and crosshairs as well as the coloring of the cursor on one of the color masks - Xor Color Mask or And Color Mask.

For your convenience you can change the background color against which you can better see the changing color or the cursor. (See 'Background color' part).

In the preview area you'll see the image of the cursor which it will have after pressing OK. The window contains several settings:

·Xor Color Mask. It is the main color of the crosshair in the working area of the program. The color value of the Xor mask is set in the RGB color scheme. To confirm the changes press [Apply]. For the cursor to be correctly displayed in the working area of the program you should change the value of And Color Mask when the Xor Color Mask is edited.

·And Color Mask. It defines the value of the And color mask color in RGB color scheme.

·Form. It allows to change the form and size of the crosshair.

·Background color. It is the background color of the working area of the program. The value is entered in RGB color scheme. To confirm the changes press [Apply].

Pan with the right mouse button. Switches on or off panning of the drawing in the program working area with the help of the right mouse button.


Grid

Navigation: User Interface > Options >

Grid

 Return to chapter overview

This tab allows to specify the grid settings like size and step.

·Grid on (F7) - switches grid on or off:

oAuto - grid spacing parameters are based on the loaded drawing's size and are equal to one hundredth of its largest side..

oStep by X size (Step by Y size) are distances between points along OX and OY axes.

Unlocked UnLock button points that step values along OX and OY axes are independent of each other.

Locked Lock button points that step values along OX and OY axes depend on each other. Step value along OY axis is counted proportionally to the value of step along OX axis.


Snap

Snap and Grid

Navigation: User Interface > Options >

Snap and Grid

Return to chapter overview

The tab contains settings for snap, ortho and polar tracking.

Snap Options

·Snap on (F9) - switches snap mode on or off. Is used in combination with the Object Snap modes. The command is also available from the Editor tab.

·Object Snap modes - this section contains a list of snap modes. The option can be also found under the Editor tab. The Object Snap modes set the points to which the cursor will snap while creating or editing an object. Mouse cursor turns to the respective shape when it is pointed at any of the active snap objects.

·Alignment point acquisition allows to select the mode of setting tracking markers:

oAutomatic - alignment points are acquired automatically in the points where the snap to Intersection, Endpoint, Midpoint, Normal, Quadrant, Center, Insertion and Tangent has been detected.

oShift to acquire - alignment points (Intersection, Endpoint, Midpoint, Normal, Quadrant, Center, Insertion and Tangent) are acquired only when the key Shift is pressed. The setting is convenient when a drawing contains a lot of entities and you want to avoid acquiring unwanted alignment points.

·Ortho on (F8) - switches orthogonality mode on or off.

·Polar Tracking on (F6) - switches Polar Tracking mode on or off.

·Polar Angles - defines the step for polar angle. The value is selected from the listed angles and can be 1, 5, 10, 15, 18, 22.5, 50, 45, 90. By default the polar angle value is 15. This setting is used in combination with the polar tracking mode and defines to which angles it will be stuck.

Dynamic Input Settings

·Dynamic Input on - switches the dynamic input while creating and editing elements on/off.

·Titles position defines whether the titles in the dynamic input form will be situates on the left or on the right.


Associations

Navigation: User Interface > Options >

Associations

 Return to chapter overview

The tab lists the file extensions for which CADEditorX can be used as a default program.

Associate file extensions with CADEditorX: if any extension in the list is checked then all files with this extension will be opened in CADEditorX by default.

You may press the Vector Files Only button and as a result only Vector files will be checked. If you press Select All all the extensions will be checked. The button Clear All will uncheck everything.


Loading/Saving

Navigation: User Interface > Options >

Loading/Saving

 Return to chapter overview

This tab allows to switch on/off adding commentaries to the file created in CADEditorX.

Add comments to file. When saving the current drawing into DXF the line "Created by Soft Gold Ltd. www.cadsofttools.com" and the version of the program in which it was created is added to the file. The option allows to switch these comments on/off.


Supported formats

Navigation: User Interface >

Supported formats

 Return to chapter overview

CAD Formats
AutoCAD™ | DWG all versions (2.5 up to 2016 inclusive) DXF ASCII DXF/BINARY all versions
Drawing Template | DWT
Autodesk Design Web Format | DWF
CADSoftTools Drawing Template | DXT

Vector Image
Metafiles | WMF
Enhanced Metafiles | EMF
Scalable Vector Graphics | SVG, SVGZ
Encapsulated PostScript | EPS
Adobe Post Script | PS
Hewlett-Packard HPGL | PLT, HGL, HG, HPG, PLO, HP, HP1, HP2, HP3, HPGL, HPGL2, HPP, GL, GL2, PRN, SPL, RTL, PCL

Raster Image
Arts & Letters thumbnail images | GED
Alias/Wavefront images | RLA, RPF
Autodesk images | CEL, PIC
CALS Image | CAL, CG4, GP4
Compuserve GIF | GIF
Dr. Halo images | CUT, PAL
DirectDraw Surface | DDS
GFI fax images | FAX
High Dynamic Range | HDR, IFF
Icon file | ICO
ILM OpenEXR | EXR
Interleaved Bitmap | IMB
JPEG images | JPG, JPEG
JPEG 2000 images | J2K, J2C, JNG, JP2
Koala Graphics | KOA
Macintosh PICT | PCT, PICT
Multiple-image Network Graphics | MNG
Paintshop Pro images | PSP
Photo-CD images | PCD
Photoshop images | PSD, PDD
Portable network graphic images | PNG
Portable pixel map image/ Portable gray map images/ Portable bitmap images | PPM, PGM, PBM
RAW camera image | RAW
Raw Fax Format CCITT | G3
SGI images | BW, RGB, RGBA, SGI
Sun Raster Image | RAS
Tagged Image File Format TIF images | TIF, TIFF
Truevision images | TGA, VST, ICB, VDA, WIN
Windows Bitmap | BMP, RLE, DIB
Wireless Bitmap | WAP, WBMP, WBM
X11 Bitmap Format | XBM
X11 Paxmap Format | XPM
ZSoft Paintbrush images | PCX
Complex Formats
Computer Graphics Metafile | CGM
Portable Document Format | PDF

3D Formats
3DS | 3D Studio and many others
SAT | ACIS SAT Model File
STL | Stereolithography file format (ASCII and binary)
IGES | Initial Graphics Exchange Specification
STEP | Standard for the Exchange of Product model data
OBJ | Wave Front model file
GTS | GNU Triangulated Surface
TIN | Triangular Irregular Network vector file format
ASE | ASCI Scene Export
B3D | Blitz 3D model files
GLM, GLX, GLA | Ghoul2 (GLM) model files
LMTS | Pulsar Studio LMTS File Format
LWO | LightWave 3D Object File (6.0 or above)
NURBS | Nurbs surfaces vector file
NMF | NormalMapper Files
OCT | FSRad OCT Files
PLY | Stanford Triangle Format vector file
VRML | Virtual Reality Modeling Language vector file
MDC | MDSfiles
MD2 | Quake2
MD3 | Quake3
MD5 | Doom3 mesh vector file format
SMD | Half-Life
BSP | Quake3


Hotkeys

Navigation: User Interface >

Hotkeys

 Return to chapter overview

Mouse shortcuts:

Left button click + drag | Makes a rectangle selection. If the selection is performed in the upward direction from the right to the left all the entities that are crossed by the rectangle selection are selected. If the selection is performed in the downward direction wrom the left to the right only the entities that fully fit into the rectangle selection are selected.
Right button click + drag | Scrolls the image in the direction of drag.
Middle button click + drag | Scrolls the image in the direction of drag.
Turning the mouse wheel | Turn the mouse wheel to apply the needed scale.
Double click with the mouse wheel | Scaling the drawing to fit the window.
Alt + left mouse button click +drag | Scaling of the selected part of the drawing to fit the window.
Shift +left mouse click over the objects | Selecting several entities.

Hotkeys:

Ctrl+A | Selects all the drawing's entities when Editor mode is on. Selects all the Redline entities when Redline mode is on. Selects all the data of the Measure panel when the measure mode is on.
Ctrl+B | Activates the Batch dialog box.
Ctrl+C | Copies selected entities to the Clipboard when Editor or Redline mode is on
Ctlr+D | Activates the measure distance pop up window
Ctrl+F | Activates the dialog box Find text.
Ctrl+H | Hides or shows the Redline file for the current drawing.
Ctrl+Ins | Copies the selected entities to the clipboard.
Ctrl+N | Opens a new window.
Ctrl+O | Activates the standard Open dialog box.
Ctrl+P | Activates the Print Preview dialog box.
Ctrl + Alt + P | Sends all pages to the printer (layouts for dwg and dxf, pages for hpgl/2 and tiff file formats).
Ctrl+R | Forces CADEditorX to reload currently opened file.
Ctrl+S | Activates the standart Save dialog box.
Shift+Ctrl+S | Activates the standard Save as dialog box respectively to the current mode: ·Editor - saves changes to the previously loaded for editing CAD file or anew created ·Redline - saves redline file
Ctrl+U | Returns an image to a previous scale, if it exists.
Ctrl+V | Pastes data from the Clipboard when Editor or Redline mode is on.
Ctrl+W | Closes the current window.
Ctrl+X | Cuts selected entities to the Clipboard.
Ctrl+Z | Undoes the last editing action.
Ctrl+Shift+Z | Reverses the last undo operation.
Ctrl+Shift+V | Pastes data from the Clipboard as block of entities when Editor or Redline mode is on.
Ctrl+Shift+F11 | Activates the Options window.
Shift+Ins | Pastes data from the Clipboard when Editor or Redline mode is on.
Shift+Tab | Switches to the field above in the dynamic input window.
Tab | Switches to the next field in the dynamic input window.
Space | Unlocks the fields in the dynamic input window. It is also used for locking values.
Ctrl+left arrow | Rotates the drawing counterclockwise by 90 degrees.
Ctrl+right arrow | Rotates the drawing clockwise by 90 degrees.
Ctrl+Shift+Tab | Switches to the next opened file.
Ctrl+Tab | Switches to the previous opened file.
Ctrl+F4 | Closes the current file.
* in numpad | Fits drawing to window.
+ in numpad | Zooms in the drawing in the working field.
- in numpad | Zooms out the drawing in the working field.
PgUp und PgDn | Switches to files up and down in the current directory correspondingly if the drawing window is active or page by page if Explorer or Favorites panel is active.
F1 | Activates the Help window (contextual help if the mouse cursor is on the Viewer Tab or a menu item is chosen).
F2 | Adds current loaded file to the Favorites list.
F3 | Switches to the next found text string. Is used after applying the command Find text.
Shift+F3 | Switches to the previous found text string. Is used after applying the command Find text.
F4 | Shows or hides Properties panel.
F5 | Refreshes the list of files in Explorer panel.
F6 | Switches on/off Polar tracking
F7 | Switches grid on/off
F8 | Switches Ortho on/off
F9 | Switches Snap on/off
F11 | Activates Full Screen mode.
Delete | Deletes selected entities when mouse cursor is over main editing (viewing) window when Editor or Redline mode is on. in the panel Favorites removes the selected file from it. Clears the Measure panel in the corresponding mode.
Enter | Confirms creating an entity point.
Alt + Enter | Activates Full Screen mode.
Alt+D | Deletes the selected layer in the dialog box Layers.
Alt+F | Switches to the Last Files list.
Alt+G | Goes to the certain line in the Measure Panel. The number of the line is specified in the dialog box Go to.
Alt+I | Activates the File information dialog box.
Alt+N | Adds a new layer in the dialog box Layers.
Alt+down, up, left, right arrows | Moves the selected elements in the drawing down, up, to the left, to the right respectively.


Details

Credits

Navigation: User Interface >

Credits

 Return to chapter overview

The following libraries which were made by exterior developers are used in this program:

·Library by Anders Melander for animated GIF files support, anders@melander.dk

·GraphicEx by Dipl. Ing. Mike Lischke, www.delphi-gems.com

·TurboPower Abbrevia library, http://sourceforge.net/projects/tpabbrevia/

·PASZLIB 1.0 by Jacques Nomssi Nzali, http://www.nomssi.de/paszlib/paszlib.html

·JEDI Visual Component Library, http://jvcl.sourceforge.net

·The Indy Project Indy.Sockets (VCL), http://www.indyproject.org/

·Batch form uses some ideas of IrfanView, www.irfanview.com

·GLScene, www.glscene.org

·OpenCascade library, http://www.opencascade.org/

·Ghostscript library to import PDF and EPS files. http://www.ghostscript.com/

·FreeImage, http://freeimage.sourceforge.net/

·Virtual Treeview component http://www.soft-gems.net/index.php/controls/virtual-treeview


Extensions

Navigation: User Interface >

Extensions

 Return to chapter overview

Here are the links to download the additional extensions that are used in the program:

The library to view EPS files - http://www.ghostscript.com/download/gsdnld.html

SHX fonts package - http://www.cadsofttools.com/download/shxsetup.exe

You can also download the extensions from our website: http://www.cadsofttools.com/en/documents/downloads.html


Licensing

Navigation: User Interface >

Licensing

 Return to chapter overview

This chapter includes information about licensing states the license agreement in which you can read the conditions of using this software product, the user registration of the program, a list or CADEditorX versions and their restrictions and settings for the program that allow to get the registration information from the floating license server.

·Check Updates

Allows setting auto checking for new versions.

·User Registration

Entering the user's data into the dialog box CADEditorX Registration Dialog.


Check Updates

Navigation: User Interface > Licensing >

Check Updates

 Return to chapter overview

Check Updates allows setting auto checking for new versions.


User Registration

Navigation: User Interface > Licensing >

User Registration

 Return to chapter overview

You need to register the program to work with it after buying CADEditorX and getting the registration data. The license data which are sent to the specified e-mail address of the user are entered in the dialog boxCADEditorX Registration Dialog. To call it do the following:

1.Click on the button [image] in the right top corner of the program and select Register CADEditorX... in the drop down list. In the classical CADEditorX menu the command can be accessed by selecting Help > Register CADEditorX....

2.In the opened dialog box enter the registration data:

·Name. The field is necessary to be filled in. You can enter any name. It doesn't depend on the one specified in the registration data.

·E-Mail. The field is necessary to be filled in. You can enter any e-mail. It doesn't depend on the one specified in the registration data.

·Key. The key must correspond with the one specified in the registration data sent to your mailbox.

3. Press the Register button.

Press the Trial button if you are only evaluating the program. The evaluation period lasts 45 days. The number of the left days is displayed in the dialog box CADEditorX Registration Dialog on the left under the dialog title. If the trial period is over the dialog box CADEditorX Registration Dialog will appear every time after running the program and pressing the Trial button will lead to closing the program.


License

CADEditorX License Agreement and Limited Warranty

Navigation: »No topics above this level«

CADEditorX License Agreement and Limited Warranty

 Return to chapter overview

CADEditorX License Agreement and Limited Warranty

This Soft Gold License Agreement ("LICENSE AGREEMENT") is a legal agreement between you (either individual or an entity) and Soft Gold Limited ("SOFT GOLD") for CADEditorX ("SOFTWARE"). By installing, copying, accessing, or otherwise using the SOFTWARE, you agree to be bound by the terms of this LICENSE AGREEMENT. If you do not agree to the terms of this LICENSE AGREEMENT, you must cease using the SOFTWARE immediately.

1.OWNERSHIP

All copyrights to SOFTWARE and everything that comes with it are exclusively owned by the author - SOFT GOLD, CADSoftTools trademark.

This SOFTWARE is protected by copyright laws and international copyright treaties. At all times SOFT GOLD retains full title to the SOFTWARE. Subject to your acceptance of and accordance with the terms and conditions stated in this LICENSE AGREEMENT, you shall be granted a SOFTWARE license. Any previous agreement with SOFT GOLD is superseded by this LICENSE AGREEMENT.

2.UNREGISTERED VERSION

You may distribute the unregistered version of SOFTWARE freely, provided that all files are included and remain unmodified and that no extra files have been added to the package. You may not ask any money for the distribution.You may use the unregistered version of SOFTWARE free of charge for testing purposes, but if you want to use it for other purposes than testing - you have to register it.

The unregistered version have some restrictions: Nagscreen, demo text when saving, copying and printing images.

3.GRANT OF LICENSE AND SCOPE OF USE

3.1. Grant of license.

Subject to the terms and conditions of this License, SOFT GOLD grants to you, if you are an individual, or, if you are an entity, one (1) designated person in your organization ("Named Developer") a personal, nonexclusive, and limited license to use the SOFTWARE solely to create your own application programs and other works ("Works"). You may install the SOFTWARE on a reasonable number of machines provided that the Named Developer is the only individual permitted to use the SOFTWARE. Subject to the other terms and conditions of this License, you may distribute your Works to others for production use. SOFT GOLD reserves the right to refuse granting a license without reasons explanation. All rights not specifically granted to you herein are retained by SOFT GOLD.

3.2 Multiple Licensed Copies.

You may purchase from SOFT GOLD or its authorized reseller additional licenses to permit multiple Named Developers to use the SOFTWARE (each, a "Named Developer License"). Such rights will be effective only when granted in writing by SOFT GOLD or its authorized reseller and are conditioned upon your payment of the applicable fees. If you purchase additional Named Developer Licenses for the SOFTWARE then you are granted for each Named Developer License the personal, nonexclusive, nontransferable and limited license to designate one individual in your organization as the Named Developer and permit such Named Developer to install and use the SOFTWARE solely as permitted under Section 3.1. In such case, the SOFTWARE may be used exclusively by the specifically designated Named Developer, subject to all the terms and conditions of this License. You agree that you will not designate more Named Developers than the number of Named Developer Licenses that SOFT GOLD or its authorized reseller has expressly granted to you and you will not allow the SOFTWARE to be used by any individuals other than the Named Developers designated by you from time to time. You agree to maintain accurate records of the Named Developer designated by you to use the SOFTWARE under each Named Developer License you hold.

3.3 Server licenses

3.3.1 On-Premises licenses

Subject to the terms and conditions of this License, SOFT GOLD grants to you, if you are an entity ("Licensee") a personal, nonexclusive and limited license, which allows to install and use the SOFTWARE on one (1) server or Web-server without end-users royalties. You may also make a reasonable number of copies of the SOFTWARE to backup devices such as hard disks, optical media, or tape and one (1) physical CD media backup copy of the SOFTWARE solely to replace the original copy provided to you if the original copy is damaged or destroyed. SOFT GOLD reserves the right to refuse granting a license without explanation of reasons. All rights not specifically granted to you herein are retained by SOFT GOLD.

The SOFTWARE may be used by all employees of Licensee at facilities governed by Licensee in connection with the server or Web-server. Licensee must use commercially reasonable efforts to restrict network or any other access to the SOFTWARE by anyone outside of Licensee's facilities who is not authorized to use the SOFTWARE.

3.3.2 Web-licenses

Terms and conditions of granting a web-license shall be discussed with SOFT GOLD.

3.3.3 Cloud licenses

Terms and conditions of granting a cloud license shall be discussed with SOFT GOLD.

3.4 Special licenses

If necessary Soft Gold Ltd is entitled to grant you a special license which conditions are preliminarily discussed by the parties and don’t contradict conditions of standard license.

4.DISCLAIMER OF WARRANTY

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. BECAUSE OF THE VARIOUS HARDWARE AND SOFTWARE ENVIRONMENTS INTO WHICH SOFTWARE MAY BE PUT, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.YOU ASSUME THE WHOLE RISK CONCERNING QUALITY AND WORK OF SOFTWARE.IF THE SOFTWARE PROVES TO BE DEFECTIVE YOU ASSUME COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program.

You may not alter this software in any way, including changing or removing any windows.

5.AGREEMENT PERTAINING TO THE RELEASE OF SOURCE CODE

5.1 Recipient WILL NOT distribute the source. Particularly this includes such files as .dcu, .dfm, .pas and others which SOFTWARE has provided.

5.2 SOFT GOLD reserves the right to change any part of the source in future versions of the product. These changes may include removal of classes, properties and methods or creation of new classes, properties and methods.

6. ENGAGING IN ANY OF THE ACTIVITIES LISTED BELOW WILL TERMINATE THE SOFTWARE LICENSE. IN ADDITION TO SOFTWARE LICENSE TERMINATION, SOFTWARE MAY PURSUE CRIMINAL,CIVIL, OR ANY OTHER AVAILABLE REMEDIES.

6.1. Removal of proprietary notices, labels or marks from the SOFTWARE or SOFTWARE Documentation.

6.2. Utilize the SOFTWARE for the creation of products (whether it be freeware, shareware or a commercial product) which competes directly or indirectly with software published at www.cadsofttools.com, www.cadsofttools.ru, www.cadsofttools.de

6.3. Disclose the SOFTWARE to any person or party, involved in the creation of products which competes directly or indirectly with software published at www.cadsofttools.com.

6.4. Violation of the section 5 of this LICENSE AGREEMENT

7. LIMITATIONS OF DAMAGES

SOFT GOLD LTD SHALL NOT BE LIABLE FOR ANY INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES (INCLUDING DAMAGES FOR LOSS OF BUSINESS, LOSS OF PROFITS, OR THE LIKE), WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE, EVEN IF SOFT GOLD LTD OR ITS REPRESENTATIVES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND EVEN IF A REMEDY SET FORTH HEREIN IS FOUND TO HAVE FAILED OF ITS ESSENTIAL PURPOSE.

Thank you for using CADEditorX!

Soft Gold Ltd., 2016

Address:

Russia, 300057 Tula, Malye Gonchary 14.

Tel: +1 (800) 469-9789

World Wide Web: http://www.cadsofttools.com

E-mail: info@cadsofttools.com


Get Support

Navigation: »No topics above this level«

Get Support

 Return to chapter overview

If you have any technical questions on CADEditorX, please contact us at support@cadsofttools.com and CADSoftTools support team will help you to integrate the library into your final application.

For any other information on CADEditorX please contact us at info@cadsofttools.com.


Load Redline

Navigation: »No topics above this level«

Load Redline

 Return to chapter overview

The Load Redline menu item allows to open a redline markup file.

The Load Redline [image] menu item opens standard Open file dialog window. Redline markup file is a dxf file with a simple set of entities.

Loading a Redline file becomes possible after you've switched the application to the Redline mode.

Redline files are usually stored in a special folder which is created automatically. The files themselves receive the name consisting of the name of the basic file, the Redline was created on, and an addition $$Model.DXF.


Save Redline

Navigation: »No topics above this level«

Save Redline

 Return to chapter overview

The Save Redline menu item allows to save the edited markup file.

The Save Redline [image] menu item opens the standard Save As dialog box. The name of the Redline markup file for saving consists by default of the name of current CAD file and an addition"$$Model.dxf". For example, the name of the Redline file containing markups for "Test.dxf" file will be "Test.$$Model.dxf" by default.

Note:

·It is not recommended to change the default name of the Redline file. CADEditorX loads Redline markup automatically for every opened CAD file. If Redline markup name was changed during the saving procedure, the application may fail to load the markup automatically afterwards. It will be necessary to load the Redline file with an altered name manually using Load Redline button.


Find

Navigation: »No topics above this level«

Find

 Return to chapter overview

The dialog box "Find" is used for search of the entries in the tree structure of the floating toolbar Structure according to the specified parameters.

Find what

The entry field of the text that should be found. To start search press the button [Find].

Find where

Specifies the search area of the entered text.

Name. The entered text is searched only according to the property Name of all the objects.

Handle. The entered text is searched only according to the property Handle of all the objects.

All properties. The search is implemented according to all properties of all the objects.

Match whole word only. The search is implemented according to the full match of the entered words.

Match case. Takes into account the entered words case.

Direction. Sets direction of search up or down the tree of objects relative to the current entry.


Die Einheiten hinzufügen

Navigation: »No topics above this level«

Die Einheiten hinzufügen

 Return to chapter overview

English Deutsch Français Русский

Der XML Befehl <Add> erlaubt, die Sektionen und Einheiten zu der angegebenen Zeichnung hinzuzufügen.

1. In der Classes-Sektion in der Dropdown-Menü gibt es die Beispiele, die zeigen wie man die Einheiten hinzufügen kann:

2. Wählen Sie Layer:

Das Ergebnis des XML Befehls <Add> ist auf dem folgenden Bild dargestellt:


Ajouter des éléments

Navigation: »No topics above this level«

Ajouter des éléments

 Return to chapter overview

English Deutsch Français Русский

La commande XML <Add> permet d’ajouter des sections et entités au dessin courant.

Le résultat d’exécution de la commande est représenté dans la capture d’écran ci-dessous.


Добавление примитивов

Navigation: »No topics above this level«

Добавление примитивов

 Return to chapter overview

English Deutsch Français Русский

XML команда <Add> позволяет добавлять секции и примитивы к текущему чертежу.

1. Примеры добавления примитивов представлены в разделе Classes из выпадающего списка:

2. Выберите Layer:

3. Результат выполнения XML команды <Add> представлен на приведенном ниже скриншоте:


Adding an SHX font

Navigation: »No topics above this level«

Adding an SHX font

 Return to chapter overview

CADEditorX supports SHX fonts. If the used in the drawing font is missing or the path to it isn't specified it is automatically substituted for an alternative font which is defined by the user. By default simplex.shx font is used.

Adding a Search Path for SHX Fonts

Adding SHX fonts is fulfilled in the Fonts tab of the dialog box Options.

1.Select the command File -> Options.

2.Open the tab Fonts.

3.Check the option Use SHX fonts in the upper left corner of the tab. The fields of the group SHX Fonts will become available for editing.

4.Click on the button [...] on the right of the field Search Path. The dialog box Directories will open.

5.Click on the button [...] over the button Delete Invalid Paths. Select the directory with SHX fonts in the opened dialog box. Press OK.

6.In the dialog Directory you will see the path to the chosen directory in the edited field over the control buttons. To add this directory to the list of the search paths click on the button Add. After that the selected path will be displayed in the list of the search paths.

7.Press OK.

For the changes to take effect you should reload the file. To do that select the command Reload File from the File tab or use the hotkey Ctrl+R. After that the fonts will be searched for from the specified folder.

Replacing an existing SHX fonts search path with another one.

There is a possibility of replacing an existing SHX fonts search path with a new one.

1.Select the command File -> Options.

2.Open the tab Fonts.

3.Check the option Use SHX fonts in the upper left corner of the tab. The fields of the group SHX Fonts will become available for editing.

4.Click on the button [...] on the right of the field Search Path. The dialog box Directories will open.

5.Select the path you want to replace with another one in the list of the paths.

6.Click on the button [...] over the button Delete Invalid Paths. Select the new directory with SHX fonts in the opened dialog box. Press OK.

7.In the dialog Directory you will see the path to the chosen directory in the edited field over the control buttons. Click on the button Replace. After that the earlier selected directory will be replaced with another one in the list.

8.Press OK.

For the changes to take effect you should reload the file. To do that select the command Reload File from the File tab or use the hotkey Ctrl+R. After that the fonts will be searched for from the specified folder.

Options


Anwendungsbereich

Navigation: »No topics above this level«

Anwendungsbereich

 Return to chapter overview

English Deutsch Français Русский

Die universale CADEditorX-Bibliothek findet ihre breite Anwendung in der Softwareentwicklung für zahlreiche Industriebranchen. Dieses angegebene Programm wird erfolgreich verwendet in:

v der Arbeit mit den Datenbanken

v den Programmen des Monitorings und der Fernbedienung

v den CNC-Maschinen

v der Entwicklung der CAD-Anwendungen

v dem Informationsexport in CAD-Formate

v den Systemen des Dokumentenverkehrs

v den hochspezialisierten Produkten mit der Zeichnungsverwendung

Die Bibliothek CADEditorX kann in folgenden Programmiersprachen verwendet werden: Visual C++, .NET Sprachen (C#, VB .NET), Delphi, Visual Basic, Javascript, C++Builder.


Domaine d’application

Navigation: »No topics above this level«

Domaine d’application

 Return to chapter overview

English Deutsch Français Русский

La bibliothèque CADEditorX est utilisée dans le développent de logiciels pour les domaines différentes d’industrie et de construction. Nos clients l’utilisent dans les programmes différents tels que

vBases de données ;

vLogiciels de surveillance et d’administration à distance ;

vMachines CNC ;

vApplications CAO ;

vExportation d’information aux formats CAO ;

vSystèmes de gestion de documentation ;

vLogiciels spécialisés qui utilisent des fichiers CAO.

La bibliothèque CADEditorX peut être utilisée avec les langages de programmation suivants : Visual C++, .NET langages (C#, VB .NET), Delphi, Visual Basic, Javascript, C++Builder.


Области применения

Navigation: »No topics above this level«

Области применения

 Return to chapter overview

English Deutsch Français Русский

Универсальная библиотека CADEditorX находит свое широкое применение в разработках ПО для различных областей промышленности. Данный программный продукт с успехом используется в:

vработе с базами данных

vпрограммах мониторинга и удалённого управления

vCNC машинах

vразработке CAD приложений

vэкспорте информации в CAD форматы

vсистемах документооборота

vузкоспециализированных продуктах с использованием чертежей

Библиотека CADEditorX может быть использована в таких языках программирования, как Visual C++, .NET languages (C#, VB .NET), Delphi, Visual Basic, Javascript, C++Builder.


Avant de commencer

Navigation: »No topics above this level«

Avant de commencer

 Return to chapter overview

English Deutsch Français Русский

1. Lancez XML IDE et cliquez sur Execute XML.

2. Le contrôle de CADEditorX apparaîtra. Cliquez sur l'onglet Editeur et sélectionnez Ligne:

Vous pouvez tracer une ligne et utiliser beaucoup de fonctions, y compris l'entrée de coordonnées, l'accrochage, le repérage, etc. L'interface utilisateur est traduite en plusieurs langues, le système d'aide est présenté en anglais, en allemand, en russe et en français.

3. Ouvrez un projet de démonstration nécessaire:

4. Les projets de démonstration illustrent comment on peut lancer les commandes les plus répandues:

La fonction DoCommand crée un XML qui envoie le texte “Open” à ligne de commande de CADEditorX. La boîte de dialogue “Open” apparaît:

File> Open in C#

private void menu_open_Click(object sender, EventArgs e)

{

DoCommand("Open");

}

Open in Delphi

procedure TForm1.mmi_openClick(Sender: TObject);
begin
DoCommand('Open');
end;

5. Regardez la section Tutorials

6. Apprenez plus d'informations sur l'interface CAD XML.

7. Utilisez XML IDE pour trouver plus d'exemples de XML et créer des nouvelles données XML pour votre projet.

8. Apprenez comment on peut se connecter à l'interface XML.

9. Utilisez l'information sur l'interface de programmation d'application de CAD XML API (CAD XML API Reference).

10. N'oubliez pas de lire la section How to.


Additional settings for batch print

Navigation: »No topics above this level«

Additional settings for batch print

 Return to chapter overview

Show/Hide Hidden Text

Specifies additional options for batch printing.

Drawing rect - defines a placement of the drawing on the sheet (upper left corner + width and height). It influences in the drawing's scale directly.

Paper offset

·Defines a size of the printable area of the sheet. This option is necessary for the convenient combining of the sheets. It is the gluing maps principle is used - sheets are laid from the left to right and from the top to bottom.

·Use paper offset - set this option on to draw an image inside of the sheet's drawing area.

What does it mean? Every printer defines an area where it puts ink. This is printable area. In most cases this area is less then sheet sizes. The difference between printable area and sheet sizes has standard values for every specific printer.

For instance, there is a drawing with bounding rectangle scaled 1:1 within sheet's extents. If Use paper offset is on, the drawing will be limited by bounds of the printable area. Thus the image will be distorted - it will be less then its real size. If Use paper offset is off, the drawing will be fitted in the bounds of the sheet sizes and the image will be printed precisely.

Overlapped mode

This option defines an area size for adjoining sheets which contain the same drawing parts. This area is used when gluing big drawing printed the small sheets.

Drawing rect position

This drop down list specifies a predefined offsets of the drawing (image) of the printer's printable area.

A list of positions:


Borders for batch print

Navigation: »No topics above this level«

Borders for batch print

 Return to chapter overview

Show/Hide Hidden Text

Specifies drawing size, scale, offset, and other options.

Drawing frame - specifies a shape type and its color of the frame on a sheet for printed images:

Enabled - switches on or off a frame on sheets.

Line - defines line type and color of the frame's shape.

Line types

·Solid line

·Dash line

·Dot line

·Dash Dot line

·Dash Dot Dot line

·None

Drawing cutting line - defines line type and its color for "cutting off" bounding rectangle. "Cutting off" bounding rectangle allows separating usable area on the sheet from the useless. It is used when necessary to print big drawing on the small sheets for further gluing.


CAD Image for batch print

Navigation: »No topics above this level«

CAD Image for batch print

 Return to chapter overview

Specifies options for CAD format file printing

Width of zero-width lines

Specifies width in printing unit values (inches or millimeters) of the lines which has a width equal zero. All primitives with null-width will be printed with width equal entered value.

Print lines weight

If it is checked all primitives with null (zero) width will be printed with width equal entered to the edit box Width of null-width lines, else all primitives with zero-width will be printed with width equal 1 pixel.

Apply scale for lines weight

Use this property to scale lines weight according to the drawing (image) scaling.

Print with colors

Displays the drawing (image) in the colors or black-white mode.

Note: use black-white mode for printing if you use black-white printer and want to have all the lines with the same weight and intensity.

Print dimensions

Print dimension entities if exist.

Print texts

Print text entities if exist.

Edit layers - calls Layers dialog.

Set line weight by color

In CAD color system each color is identified by an AutoCAD Color Index (ACI) number, an integer from 1 to 255. Standard color names are available only for colors 1 to 7. These colors are assigned as the following: 1 Red, 2 Yellow, 3 Green, 4 Cyan, 5 Blue, 6 Magenta, 7 White/Black.

This option allows manual defining the line weight accordingly to its color.

Press Save... button to save already made settings.

Press Load... button to load previously saved settings (file with CWS extension).


Device settings for batch print

Navigation: »No topics above this level«

Device settings for batch print

 Return to chapter overview

Show/Hide Hidden Text

Specifies the printer to use.

Printer

Displays the current printer, paper format and the port to which it is connected or its network location. Button Settings... calls standard Print Setup dialog window.

Paper orientation

Paper orientation can be

Portrait

Orients and plots the drawing so that the short edge of the paper represents the top of the page.

Landscape

Orients and plots the drawing so that the long edge of the paper represents the top of the page.

Fit to paper - draws files within current number of sheets.

Scale factor - allows defining exact correspondence between a line length on the paper sheet (in millimeters or in inches) and its length in drawing units. This correlation is expressed by the following formula: X = Y, where X – is one millimeter (or inch) of a sheet, Y – drawing units. Thus То есть Scale factor: 1:2 means that 1 sheet millimeter will contain two drawing points.

The most recently used standard scales are displayed in the following drop down list:

Predefined format

You can select any one of the standard format (DIN: A4, A3, A2, A1, A0) or input new size of the drawing (image).

Edit formats - calls Formats dialog box.

Formats

Formats dialog box contains the same list of standard formats that Predefined format and it allows creating new items.

New and Edit - calls Edit dialog box:

Delete - deletes the selected user's format.

Standard formats are unavailable for editing or deleting.

Allow nonprinting area - set this option on to draw an image without fitting inside of the sheet's drawing area.

What does it mean? Every printer defines an area where it puts ink. This is printable area. In most cases this area is less then sheet sizes. The difference between printable area and sheet sizes has standard values for every specific printer.

For instance, there is a drawing with bounding rectangle scaled 1:1 within sheet's extents. If Allow nonprinting area is off, the drawing will be limited by bounds of the printable area. Thus the image will be distorted - it will be less then its real size. If Allow nonprinting area is on, the drawing will be fitted in the bounds of the sheet sizes and the image will be printed precisely.


Begriffe

Navigation: »No topics above this level«

Begriffe

 Return to chapter overview

English Deutsch Français Русский

Eine einzigartige und bequeme XML API, die nur eine Funktion und ein Ereignis besitzt, erlaubt diese CADSoftTools SDK zu Ihre Anwendung schnell einzuzufügen.

Schenken Sie Ihre Aufmerksamkeit auf die folgenden einleitenden Sektionen:

· XML Struktur

· XML IDE

· XML

· Wie kann man XML erschaffen und verarbeiten

· Verbindung mit XML aus Ihrer Programmiersprache

· Information über CAD XML Instruktionen, Klassen und Parameter

· XML Zeichnungsstruktur

· Beispiele

· Wie kann man


Concepts

Navigation: »No topics above this level«

Concepts

 Return to chapter overview

English Deutsch Français Русский

Un XML API unique qui contient une seule fonction et un seul événement permet d'intégrer rapidement CADEditorX à votre application. Veuillez attirer votre attention sur les sections de présentation suivantes :

§ Structure de XML

§ XML IDE

§ XML

§ Comment créer et traiter un XML

§ Connexion à XML de votre langage de programmation

§ Information sur instructions, classes et paramètres de CAD XML

§ Structure XML de dessin

§ Exemples

§ Comment on peut


.topic 2213
Enter topic text here.
.topic 2168
Enter topic text here.
.topic 2221
Enter topic text here.
.topic 2247
Enter topic text here.
.topic 2080
Enter topic text here.
.topic 2214
Enter topic text here.
.topic 2204
Enter topic text here.
.topic 2224
Enter topic text here.
.topic 2661
Enter topic text here.
.topic 2670
Enter topic text here.
.topic 2430
Enter topic text here.
.topic 2601
Enter topic text here.
.topic 2223
Enter topic text here.
.topic 2170
Enter topic text here.
.topic 2314
Enter topic text here.
.topic 2241
Enter topic text here.
.topic 2240
Enter topic text here.
.topic 2227
Enter topic text here.
.topic 2361
Enter topic text here.
.topic 2342
Enter topic text here.
.topic 2306
Enter topic text here.
.topic 2164
Enter topic text here.
.topic 2230
Enter topic text here.
.topic 2220
Enter topic text here.
.topic 2243
Enter topic text here.
.topic 2285
Enter topic text here.
.topic 2385
Enter topic text here.
.topic 2162
Enter topic text here.
.topic 2239
Enter topic text here.
.topic 2363
Enter topic text here.
.topic 2192
Enter topic text here.
.topic 2211
Enter topic text here.
.topic 2191
Enter topic text here.
.topic 2210
Enter topic text here.
.topic 2159
Enter topic text here.
.topic 2238
Enter topic text here.
.topic 2237
Enter topic text here.
.topic 2690
Enter topic text here.
.topic 2215
Enter topic text here.
.topic 2231
Enter topic text here.
.topic 2205
Enter topic text here.
.topic 2196
Enter topic text here.
.topic 2212
Enter topic text here.
.topic 2368
Enter topic text here.
.topic 2207
Enter topic text here.
.topic 2312
Enter topic text here.
.topic 2222
Enter topic text here.
.topic 2235
Enter topic text here.
.topic 2171
Enter topic text here.
.topic 2332
Enter topic text here.
.topic 2371
Enter topic text here.
.topic 2208
Enter topic text here.
.topic 2287
Enter topic text here.
.topic 2197
Enter topic text here.
.topic 2226
Enter topic text here.
.topic 2275
Enter topic text here.
.topic 2248
Enter topic text here.
.topic 2373
Enter topic text here.
.topic 2254
Enter topic text here.
.topic 2233
Enter topic text here.
.topic 2228
Enter topic text here.
.topic 2229
Enter topic text here.
.topic 2372
Enter topic text here.
.topic 2194
Enter topic text here.
.topic 2200
Enter topic text here.
.topic 2201
Enter topic text here.
.topic 2276
Enter topic text here.
.topic 2217
Enter topic text here.
.topic 2193
Enter topic text here.
.topic 2209
Enter topic text here.
.topic 2225
Enter topic text here.
.topic 2530
Enter topic text here.
.topic 2195
Enter topic text here.
.topic 2253
Enter topic text here.
.topic 2216
Enter topic text here.


Deutsch

Navigation: »No topics above this level«

Deutsch

 Return to chapter overview

English Deutsch Français Русский

Willkomen ins CADEditorX Bibliothek Hilfesystem!

CADEditorX ist eine universelle Bibliothek zur Betrachtung von den 2D Zeichnungen, Rasterbildern und 3D Modellen (STEP, IGES, STL usw.), die auch als eine komplette CAD-Plattform für die Bearbeitung der AutoCAD DWG, DXF und anderen Formate gilt. Eine einzigartige und einfache XML API, die nur aus einer Funktion und einem Ereignis besteht, erlaubt, CADEditorX ganz schnell in Ihre finale Anwendung zu integrieren.

Wir möchten Ihre Aufmerksamkeit auf die grundlegenden Konzepte der Bibliothekverwendung lenken, die Ihnen helfen, die Arbeit mit dem Programm möglichst schnell zu beginnen:

· Wie zu starten

· XML API

· Editor der Zeichnungen

· Redline

· Unterstützte Formate

· Export Formate

· Das Werkzeug für die Arbeit mit den Zeichnungen

· Die Einheitenangaben lesen

· Die Einheiten hinzufügen

· XML Struktur

· Anwendungsbereich

· Lizensierung


Export File Formats

Navigation: »No topics above this level«

Export File Formats

 Return to chapter overview

CADEditorX supports conversion into the following file formats:

Vector Formats
Adobe Acrobat Document | PDF
AutoCAD™ | DWG
AutoCAD™ | DXF
Adobe Flash | SWF
Computer Graphics Metafile | CGM
CADSoftTools drawing template | DXT
Scalable Vector Graphics | SVG
Hewlett-Packard HPGL | PLT
3D Images Formats
Stereolithography files | STL
WaveFront model file | OBJ
Stripe model file | OBJF
NormalMapper files | NMF
Pulsar Studio LMTS File Format | LMTS
Raster Formats and Metafiles
Bitmap Files | BMP
Compuserve GIF | GIF
JPEG images | JPG
Portable network graphic images | PNG
TIFF images | TIF, TIFF
Windows Metafiles | WMF
Enhanced Metafiles | EMF
Adobe Flash File Format | SWF


Wie zu starten

Navigation: »No topics above this level«

Wie zu starten

 Return to chapter overview

English Deutsch Français Русский

1.Starten Sie XML IDE und klicken Sie auf Execute XML:

2. CADEditorX-Panel wird geöffnet werden. Klicken Sie auf die Editor-Registerkarte und wählen Sie Linie:

Sie können eine Linie zeichnen und viele Optionen wie Koordinateneinsetzung, Fang, Verfolgung und andere verwenden. Die Benutzeroberfläche ist in viele Sprachen übersetzt und die Hilfe-System für CADEditorX existiert auf englisch, deutsch, russisch and französisch

3. Im Startmenü öffnen Sie das benötige Demoprojekt:

4. Demos zeigen, wie man die gewöhnlichsten Instruktionen ausführen kann:

Die Funktion DoCommand erschafft XML, das Text "Open" zu der CADEditorX Kommandozeile sendet, und Open-Dialog erscheint:

File> Open in C#

        private void menu_open_Click(object sender, EventArgs e)

        {

            DoCommand("Open");

        }

Open in Delphi

procedure TForm1.mmi_openClick(Sender: TObject);
begin
DoCommand('Open');
end;

5. Sehen Sie Tutorials

6. Lesen Sie mehr über CAD XML Interface

7. Verwenden Sie XML IDE, mehr über XML Beispiele zu finden und neue XML Daten für Ihr Projekt zu erschaffen.

8. Erfahren Sie, wie zum XML Interface zu verbinden

9. Verwenden Sie CAD XML API Reference.

10. Vergessen Sie nicht über die How to Sektion.


С чего начать

Navigation: »No topics above this level«

С чего начать

 Return to chapter overview

English Deutsch Français Русский

1. Запустите XML IDE и нажмите кнопку "Execute XML":

2. Откроется управление CADEditorX. Выберите вкладку "Редактор", нажмите инструмент Линия:

Вы можете нарисовать линию и использовать множество возможностей таких, как ввод координат, объектная привязка, объектное отслеживание и другие. Пользовательский интерфейс переведён на множество языков, а справка существует на английском, немецком, русском и французском языках.

3. Откройте демо-проекты:

4. Демо-примеры показывают, как запустить наиболее распространённые команды:

Функция DoCommand создаёт XML, который посылает текст "Open" в командную строку CADEditorX, и появляется диалоговое окно "Open":

File> Open in C#

        private void menu_open_Click(object sender, EventArgs e)

        {

            DoCommand("Open");

        }

Open in Delphi

procedure TForm1.mmi_openClick(Sender: TObject);
begin
DoCommand('Open');
end;

5. Смотрите раздел Tutorials.

6. Узнайте больше об интерфейсе СAD XML.

7. Воспользуйтесь XML IDE, чтобы найти больше примеров XML и создать новые данные XML для Вашего проекта.

8. Узнайте, как подключиться к XML интерфейсу.

9. Воспользуйтесь справочной информацией об интерфейсе прикладного программирования СAD XML API.

10. Не забудьте о разделе How to.


Français

Navigation: »No topics above this level«

Français

Return to chapter overview

English Deutsch Français Русский

Bienvenue sur l’aide de CADEditorX!

CADEditorX est une bibliothèque multifonctionelle qui permet de visualiser des dessins 2D, images raster et modèles 3D (STEP, IGES, STL et d'autres). Elle offre toute une gamme d’outils d’édition performants de fichiers AutoCAD® DWG, DXF et d’autres formats. Une API XML pratique et facile à utiliser qui contient une seule fonction permet d'intégrer rapidement CADEditorX à l’application finale.

Nous voudrons attirer votre attention sur les sections suivantes qui sont pratiques pour commencer le travail avec la bibliothèque :

§ XML API

§ Edition de dessins

§ Annotations au dessin

§ Formats supportés

§ Formats d’exportation

§ Les outils de traitement de dessins

§ Lire les propriétés d’entités

§ Ajouter des éléments

§ Structure de XML

§ Domaine d’application

§ Licences


Russian

Русский

Navigation: »No topics above this level«

Русский

 Return to chapter overview

English Deutsch Français Русский

Добро пожаловать в справочную систему библиотеки CADEditorX!

CADEditorX - это универсальная библиотека для просмотра и 2D чертежей, растровых изображений и 3D моделей (STEP, IGES, STL и других форматов). Это полнофункциональная платформа CAD для редактирования AutoCAD DWG, DXF и других файлов. Уникальное по удобству XML API, состоящее из одной функции и одного события, позволит быстро интегрировать CADEditorX в конечное приложение.

Предлагаем Вашему вниманию основные положения библиотеки CADEditorX, которые помогут Вам быстро начать работу с программой:

§ С чего начать

§ XML API

§ Редактирование чертежей

§ Пометки к чертежу

§ Поддерживаемые форматы

§ Форматы экспорта

§ Инструмент для работы с чертежами

§ Чтение данных о примитивах

§ Добавление примитивов

§ Структура XML

§ Области применения

§ Лицензирование


Set size as

Navigation: »No topics above this level«

Set size as

 Return to chapter overview

Set size as gives flexible access to the drawings dimensions. It allows making precise measurements in the drawing with several scale factors.

·Let us start with a simple drawing containing some parts drawn with different scale factor:

·Press Distance [Ctrl+D] [image] button on the toolbar or select Tools -> Measure -> Distance menu command and measure any distance on the main part of the drawing:

·We have measured diameter 40 and resulting Distance is 40.0000:

That is right. But if we measure the neighbouring drawing:

we will get incorrect values:

·We have measured a distance which must actually equal to 3 mm, but we got 6 mm. This is not a failure inasmuch as we know that this part of the drawing has 2:1 scale factor. So we just set the size of the last measured part equal to 3 and press "ENTER":

Thus without changing the view of the drawings we will now have correct measurements in both parts:


Lizensierung

Navigation: »No topics above this level«

Lizensierung

 Return to chapter overview

English Deutsch Français Русский

Die flexible Lizenzpolitik der CADEditorX Bibliothek stellt Ihnen mehrere Lizensierungsvariante zur Verfügung. Wenn keine Lizenzvariante Ihren Anforderungen im vollen Maß entspricht, sind wir bereit eine personalisierte Lizenzoption zu besprechen, die maximal bequem für Sie ist.

Wir bieten eine kostenlose Unterstützung und freie Updates im Rahmen der Hauptversion an.

Um mehr Information zu erhalten, kontaktieren Sie uns unter info@cadsofttools.com


Licences

Navigation: »No topics above this level«

Licences

 Return to chapter overview

English Deutsch Français Русский

La politique flexible de licences offre plusieurs options. Nous sommes toujours ravis de discuter une option personnalisée si aucune de licences ne vous passe.

Nous offrons mises à jour et support gratuits dans les limites de la version majeure.

Pour plus d'informations, veuillez envoyer un e-mail à l'adresse : info@cadsofttools.com


Лицензирование

Navigation: »No topics above this level«

Лицензирование

 Return to chapter overview

English Deutsch Français Русский

Гибкая лицензионная политика позволяет выбрать наиболее удобный вариант лицензирования. Наши менеджеры также готовы обсудить отдельный вид лицензирования, если ни один из предложенных вариантов Вам не подойдёт.

Мы предлагаем бесплатную техническую поддержку и возможность бесплатных обновлений внутри основной версии программы.

Для получения более подробной информации свяжитесь с нами по адресу info@cadsofttools.com


Suppoted OLE Objects

Navigation: »No topics above this level«

Suppoted OLE Objects

 Return to chapter overview

The supported OLE objects are

·an Adobe Acrobat document,

·a ConceptDraw document,

·a ConceptDrawProject document,

·a DWG TrueView drawing,

·a Microsoft equation 3.0,

·a package,

·a paintbrush picture,

·a SmartDraw drawing,

·a WordPad document,

·a Microsoft Office Excel binary worksheet,

·a Microsoft Graf Diagram,

·a Microsoft Office Excel diagram,

·a Microsoft Office Word 97-2003 document,

·a Microsoft Office Word document with macro support,

·a Microsoft Office Word document,

·a Microsoft Office Excel 97-2003 worksheet,

·a Microsoft Office Excel worksheet with macro support,

·a Microsoft Office Excel worksheet,

·a Microsoft Office PowerPoint 2007 presentation,

·a Microsoft PowerPoint 2007 presentation with macro support,

·a Microsoft Office PowerPoint 97-2003 presentation,

·an OpenDocument presentation,

·an OpenOffice.org1.1 presentation,

·a presentation in the OpenDocument format,

·an OpenDocument drawing,

·an OpenOffice.org1.1 drawing,

·a text in the OpenDocument format,

·an OpenDocument text document,

·an OpenOffice.org 1.1 text document,

·an OpenDocument formula,

·an OpenOffice.org 1.1 formula,

·a Microsoft Office PowerPoint 2007 template,

·a Microsoft ofice PowerPoint 2007 template with macro support,

·a Microsoft Office PowerPoint 97-2003 template,

·an OpenDocument spreadsheet,

·an OpenOffice.org 1.1 spreadsheet,

·a spreadsheet in the OpenDocument format.


Changing position of image

Navigation: »No topics above this level«

Changing position of image

 Return to chapter overview

You may remove the scene in the center of the format, in right to lower corner and any other positions using following instrument:

Edit boxes Top and Left of Drawing rect section allows changing the coordinates of the left upper corner of the conclusion of the scene. Thereby, by means of these two windows you will be able to remove the picture in any positions of the format (is not excluded possibility of the conclusion of the subimage, by offsets of the part for format).

Besides, Position of rectangle section simplifies the procedure of the positioning. By means of given groups of the switches you will easy be able to place the picture in one of enumerated in sections position (in the center of the format, overhand, from below and etc.).

Also, positioning possible to execute direct moving the picture. For this press the right key a mouse in the field of scenes. Holding key, move the mouse until expose the rectangle, meaning area, occupied by scene, in desired position for you.


Changing size of printing zone

Navigation: »No topics above this level«

Changing size of printing zone

 Return to chapter overview

Printed zone defines that part of the sheet where printing will be made. It is set in section Paper offset. This is made for easy combining the sheets after printing superimposing their friend on friend when glued. Default 1 mm on every side of pages is for superimposing.


Changing sizes of image

Navigation: »No topics above this level«

Changing sizes of image

 Return to chapter overview

For change the sizes of the picture serves two windows of the editing Height and Width in sections Drawing rect. Moreover, change of one size (for instance heights) will cause change of the other size until You will not translate the button Lock in sections Drawing rect in condition UnLock (the condition of the button is changed one-touches on it).


Die Einheitenangaben lesen

Navigation: »No topics above this level«

Die Einheitenangaben lesen

 Return to chapter overview

Show/Hide Hidden Text

English Deutsch Français Русский

Der XML Befehl <Get> erlaubt, sowohl den Zugang zu der Struktur der ganzen Zeichnung im XML Format, als auch die Eigenschaften der einzelnen Einheit beim angegebenen Handle-Wert zu bekommen.

Das unten angefürte Beispiel demonstriert den Aufruf der ganzen Zeichnungsstruktur im XML Format:

read entities DEU

<XML>
<cadsofttools version="2.0">
<cstConverter>

<cstSectionHeader Name="HEADER" />

<cstSectionTables Name="TABLES">
<SubEntities>
<cstTable Handle="$1" Name="LTYPE">
<SubEntities>

<cstLineType Handle="$7" Name="BYLAYER" />
<cstLineType Handle="$8" Name="BYBLOCK" />
<cstLineType Handle="$9" Name="CONTINUOUS" />
<cstLineType Handle="$16" Name="CENTER" />
<cstLineType Handle="$17" Name="ISO dash" />
<cstLineType Handle="$18" Name="ISO dot" />
<cstLineType Handle="$19" Name="ISO dash dot" />
<cstLineType Handle="$1A" Name="ISO dash double-dot" />
<cstLineType Handle="$1B" Name="ISO dash triple-dot" />
<cstLineType Handle="$1C" Name="ISO dash long gaps" />

</SubEntities>

</cstTable>
<cstTable Handle="$2" Name="LAYER">
<SubEntities>

<cstLayer LineWeight="-3" Handle="$D" Color="0;7;" Name="0" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$22" Color="0;3;" Name="Layer2" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$23" Color="0;7;" Name="Invisible" Visible="false" Locked="false" />
<cstLayer LineWeight="-3" Handle="$24" Flags="4" Color="0;7;" Name="Locked" Visible="true" Locked="true" />

</SubEntities>

</cstTable>
<cstTable Handle="$3" Name="STYLE">
<SubEntities>

<cstStyle Handle="$A" Name="STANDARD" />
<cstStyle Handle="$12" Name="GOST" />

</SubEntities>

</cstTable>
<cstTable Handle="$4" Name="DIMSTYLE">
<SubEntities>

<cstDimensionStyle Handle="$B" Name="STANDARD" />
<cstDimensionStyle Handle="$13" Name="GOST" />

</SubEntities>

</cstTable>
<cstBlockRecords Handle="$5" Name="BLOCK_RECORD">
<SubEntities>

<cstBlockRecord Handle="$10" Name="_CLOSEDFILLED" />
<cstBlockRecord Handle="$15" Name="ABViewer_RedLine" />
<cstBlockRecord Handle="$21" Name="*[Model]" />
<cstBlockRecord Handle="$28" Name="block1" />

</SubEntities>

</cstBlockRecords>
<cstTable Handle="$6" Name="VPORT">
<SubEntities>

<cstVport Handle="$1D" Name="*ACTIVE" CircleZoomPercent="100" UCSOrigin="0,0,1" UCSXDir="1,0,0" UCSYDir="0,1,0" UCSVP="false" ViewAspectRatio="1" ViewCenterPoint="0,0,0" ViewDirection="0,0,1" ViewTarget="0,0,0" ViewHeight="0" ViewTwistAngle="0" />

</SubEntities>

</cstTable>

</SubEntities>

</cstSectionTables>
<cstSectionBlocks Name="BLOCKS">
<SubEntities>
<cstBlock Handle="$F" Name="_CLOSEDFILLED">
<SubEntities>

<cstSolid LineWeight="-2" Handle="$C" Color="0;0;" Point="-1,0.166666666666667,0" Point1="0,0,0" Length="1.0137937550497" Point2="-1,0.166666666666667,0" Point3="-1,-0.166666666666667,0" />

<cstLine LineWeight="-2" Handle="$E" Color="0;0;" Point="-1,0,0" Point1="-2,0,0" Length="1" />

</SubEntities>

</cstBlock>

<cstBlock Handle="$14" Flags="1" Name="ABViewer_RedLine" />

<cstBlock Handle="$20" Name="*[Model]">
<SubEntities>

<cstInsert Handle="$2A" Layer="$22" Point="0,50,0" BlockName="block1" Extrusion="0,0,1" Angle="0" Scale="1,1,1" />

<cstLine Handle="$2B" Point="10,10,0" Point1="20,30,0" Length="22.3606797749979" />

<cstCircle Handle="$2C" Flags="128" Point="10,10,0" Radius="20" CircleLength="125.663706143592" Area="1256.63706143592" />

<cstText Handle="$2D" Point="0,-20,0" Height="3" Rotation="0" ObliqueAngle="0" Text="Enghlish Русский Französisch Français" StyleName="STANDARD" />

</SubEntities>

</cstBlock>
<cstBlock Handle="$27" Name="block1">
<SubEntities>

<cstLine Handle="$25" Point="0,0,0" Point1="50,0,0" Length="50" />

<cstText Handle="$26" Point="0,3,0" Height="3" Rotation="0" ObliqueAngle="0" Text="This is a block" StyleName="STANDARD" />

<cstLWPolyline Handle="$29" Point="0,0,0">
<SubEntities>

<cstVertex Point="10,10,0" />

<cstVertex Point="10,40,0" />

<cstVertex Point="40,40,0" />

</SubEntities>

</cstLWPolyline>

</SubEntities>

</cstBlock>

</SubEntities>

</cstSectionBlocks>
<cstSectionObjects Name="OBJECTS">
<SubEntities>

<cstDictionary Name="MLINESTYLES" />

<cstDictionary Name="LAYOUTS">
<SubEntities>

<cstLayout Handle="$11" Name="Model" PaperSpaceBlock="*[Model]" />

</SubEntities>

</cstDictionary>

<cstDictionary Name="IMAGEDEFS" />

</SubEntities>

</cstSectionObjects>

</cstConverter>

</cadsofttools>

</XML>


Lire les propriétés d’entités

Navigation: »No topics above this level«

Lire les propriétés d’entités

 Return to chapter overview

Show/Hide Hidden Text

English Deutsch Français Русский

La commande <Get> permet d'obtenir la sructure d'un dessin au format XML et les propriétés d’une entité si la valeur Handle est spécifiée.

L’exemple ci-dessous montre comment on appelle la structure complète au format XML :

<XML>
<cadsofttools version="2.0">
<cstConverter>

<cstSectionHeader Name="HEADER" />

<cstSectionTables Name="TABLES">
<SubEntities>
<cstTable Handle="$1" Name="LTYPE">
<SubEntities>

<cstLineType Handle="$7" Name="BYLAYER" />
<cstLineType Handle="$8" Name="BYBLOCK" />
<cstLineType Handle="$9" Name="CONTINUOUS" />
<cstLineType Handle="$16" Name="CENTER" />
<cstLineType Handle="$17" Name="ISO dash" />
<cstLineType Handle="$18" Name="ISO dot" />
<cstLineType Handle="$19" Name="ISO dash dot" />
<cstLineType Handle="$1A" Name="ISO dash double-dot" />
<cstLineType Handle="$1B" Name="ISO dash triple-dot" />
<cstLineType Handle="$1C" Name="ISO dash long gaps" />

</SubEntities>

</cstTable>
<cstTable Handle="$2" Name="LAYER">
<SubEntities>

<cstLayer LineWeight="-3" Handle="$D" Color="0;7;" Name="0" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$22" Color="0;3;" Name="Layer2" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$23" Color="0;7;" Name="Invisible" Visible="false" Locked="false" />
<cstLayer LineWeight="-3" Handle="$24" Flags="4" Color="0;7;" Name="Locked" Visible="true" Locked="true" />

</SubEntities>

</cstTable>
<cstTable Handle="$3" Name="STYLE">
<SubEntities>

<cstStyle Handle="$A" Name="STANDARD" />
<cstStyle Handle="$12" Name="GOST" />

</SubEntities>

</cstTable>
<cstTable Handle="$4" Name="DIMSTYLE">
<SubEntities>

<cstDimensionStyle Handle="$B" Name="STANDARD" />
<cstDimensionStyle Handle="$13" Name="GOST" />

</SubEntities>

</cstTable>
<cstBlockRecords Handle="$5" Name="BLOCK_RECORD">
<SubEntities>

<cstBlockRecord Handle="$10" Name="_CLOSEDFILLED" />
<cstBlockRecord Handle="$15" Name="ABViewer_RedLine" />
<cstBlockRecord Handle="$21" Name="*[Model]" />
<cstBlockRecord Handle="$28" Name="block1" />

</SubEntities>

</cstBlockRecords>
<cstTable Handle="$6" Name="VPORT">
<SubEntities>

<cstVport Handle="$1D" Name="*ACTIVE" CircleZoomPercent="100" UCSOrigin="0,0,1" UCSXDir="1,0,0" UCSYDir="0,1,0" UCSVP="false" ViewAspectRatio="1" ViewCenterPoint="0,0,0" ViewDirection="0,0,1" ViewTarget="0,0,0" ViewHeight="0" ViewTwistAngle="0" />

</SubEntities>

</cstTable>

</SubEntities>

</cstSectionTables>
<cstSectionBlocks Name="BLOCKS">
<SubEntities>
<cstBlock Handle="$F" Name="_CLOSEDFILLED">
<SubEntities>

<cstSolid LineWeight="-2" Handle="$C" Color="0;0;" Point="-1,0.166666666666667,0" Point1="0,0,0" Length="1.0137937550497" Point2="-1,0.166666666666667,0" Point3="-1,-0.166666666666667,0" />

<cstLine LineWeight="-2" Handle="$E" Color="0;0;" Point="-1,0,0" Point1="-2,0,0" Length="1" />

</SubEntities>

</cstBlock>

<cstBlock Handle="$14" Flags="1" Name="ABViewer_RedLine" />

<cstBlock Handle="$20" Name="*[Model]">
<SubEntities>

<cstInsert Handle="$2A" Layer="$22" Point="0,50,0" BlockName="block1" Extrusion="0,0,1" Angle="0" Scale="1,1,1" />

<cstLine Handle="$2B" Point="10,10,0" Point1="20,30,0" Length="22.3606797749979" />

<cstCircle Handle="$2C" Flags="128" Point="10,10,0" Radius="20" CircleLength="125.663706143592" Area="1256.63706143592" />

<cstText Handle="$2D" Point="0,-20,0" Height="3" Rotation="0" ObliqueAngle="0" Text="Enghlish Русский Französisch Français" StyleName="STANDARD" />

</SubEntities>

</cstBlock>
<cstBlock Handle="$27" Name="block1">
<SubEntities>

<cstLine Handle="$25" Point="0,0,0" Point1="50,0,0" Length="50" />

<cstText Handle="$26" Point="0,3,0" Height="3" Rotation="0" ObliqueAngle="0" Text="This is a block" StyleName="STANDARD" />

<cstLWPolyline Handle="$29" Point="0,0,0">
<SubEntities>

<cstVertex Point="10,10,0" />

<cstVertex Point="10,40,0" />

<cstVertex Point="40,40,0" />

</SubEntities>

</cstLWPolyline>

</SubEntities>

</cstBlock>

</SubEntities>

</cstSectionBlocks>
<cstSectionObjects Name="OBJECTS">
<SubEntities>

<cstDictionary Name="MLINESTYLES" />

<cstDictionary Name="LAYOUTS">
<SubEntities>

<cstLayout Handle="$11" Name="Model" PaperSpaceBlock="*[Model]" />

</SubEntities>

</cstDictionary>

<cstDictionary Name="IMAGEDEFS" />

</SubEntities>

</cstSectionObjects>

</cstConverter>

</cadsofttools>

</XML>


Чтение данных о примитивах

Navigation: »No topics above this level«

Чтение данных о примитивах

 Return to chapter overview

Show/Hide Hidden Text

English Deutsch Français Русский

XML команда <Get> позволяет получать структуру чертежа в формате XML, а также свойства отдельного примитива при заданном значении Handle.

Приведенный ниже пример демонстрирует вызов полной структуры чертежа в формате XML:

read entities 2 RU

<XML>
<cadsofttools version="2.0">
<cstConverter>

<cstSectionHeader Name="HEADER" />

<cstSectionTables Name="TABLES">
<SubEntities>
<cstTable Handle="$1" Name="LTYPE">
<SubEntities>

<cstLineType Handle="$7" Name="BYLAYER" />
<cstLineType Handle="$8" Name="BYBLOCK" />
<cstLineType Handle="$9" Name="CONTINUOUS" />
<cstLineType Handle="$16" Name="CENTER" />
<cstLineType Handle="$17" Name="ISO dash" />
<cstLineType Handle="$18" Name="ISO dot" />
<cstLineType Handle="$19" Name="ISO dash dot" />
<cstLineType Handle="$1A" Name="ISO dash double-dot" />
<cstLineType Handle="$1B" Name="ISO dash triple-dot" />
<cstLineType Handle="$1C" Name="ISO dash long gaps" />

</SubEntities>

</cstTable>
<cstTable Handle="$2" Name="LAYER">
<SubEntities>

<cstLayer LineWeight="-3" Handle="$D" Color="0;7;" Name="0" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$22" Color="0;3;" Name="Layer2" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$23" Color="0;7;" Name="Invisible" Visible="false" Locked="false" />
<cstLayer LineWeight="-3" Handle="$24" Flags="4" Color="0;7;" Name="Locked" Visible="true" Locked="true" />

</SubEntities>

</cstTable>
<cstTable Handle="$3" Name="STYLE">
<SubEntities>

<cstStyle Handle="$A" Name="STANDARD" />
<cstStyle Handle="$12" Name="GOST" />

</SubEntities>

</cstTable>
<cstTable Handle="$4" Name="DIMSTYLE">
<SubEntities>

<cstDimensionStyle Handle="$B" Name="STANDARD" />
<cstDimensionStyle Handle="$13" Name="GOST" />

</SubEntities>

</cstTable>
<cstBlockRecords Handle="$5" Name="BLOCK_RECORD">
<SubEntities>

<cstBlockRecord Handle="$10" Name="_CLOSEDFILLED" />
<cstBlockRecord Handle="$15" Name="ABViewer_RedLine" />
<cstBlockRecord Handle="$21" Name="*[Model]" />
<cstBlockRecord Handle="$28" Name="block1" />

</SubEntities>

</cstBlockRecords>
<cstTable Handle="$6" Name="VPORT">
<SubEntities>

<cstVport Handle="$1D" Name="*ACTIVE" CircleZoomPercent="100" UCSOrigin="0,0,1" UCSXDir="1,0,0" UCSYDir="0,1,0" UCSVP="false" ViewAspectRatio="1" ViewCenterPoint="0,0,0" ViewDirection="0,0,1" ViewTarget="0,0,0" ViewHeight="0" ViewTwistAngle="0" />

</SubEntities>

</cstTable>

</SubEntities>

</cstSectionTables>
<cstSectionBlocks Name="BLOCKS">
<SubEntities>
<cstBlock Handle="$F" Name="_CLOSEDFILLED">
<SubEntities>

<cstSolid LineWeight="-2" Handle="$C" Color="0;0;" Point="-1,0.166666666666667,0" Point1="0,0,0" Length="1.0137937550497" Point2="-1,0.166666666666667,0" Point3="-1,-0.166666666666667,0" />

<cstLine LineWeight="-2" Handle="$E" Color="0;0;" Point="-1,0,0" Point1="-2,0,0" Length="1" />

</SubEntities>

</cstBlock>

<cstBlock Handle="$14" Flags="1" Name="ABViewer_RedLine" />

<cstBlock Handle="$20" Name="*[Model]">
<SubEntities>

<cstInsert Handle="$2A" Layer="$22" Point="0,50,0" BlockName="block1" Extrusion="0,0,1" Angle="0" Scale="1,1,1" />

<cstLine Handle="$2B" Point="10,10,0" Point1="20,30,0" Length="22.3606797749979" />

<cstCircle Handle="$2C" Flags="128" Point="10,10,0" Radius="20" CircleLength="125.663706143592" Area="1256.63706143592" />

<cstText Handle="$2D" Point="0,-20,0" Height="3" Rotation="0" ObliqueAngle="0" Text="Enghlish Русский Französisch Français" StyleName="STANDARD" />

</SubEntities>

</cstBlock>
<cstBlock Handle="$27" Name="block1">
<SubEntities>

<cstLine Handle="$25" Point="0,0,0" Point1="50,0,0" Length="50" />

<cstText Handle="$26" Point="0,3,0" Height="3" Rotation="0" ObliqueAngle="0" Text="This is a block" StyleName="STANDARD" />

<cstLWPolyline Handle="$29" Point="0,0,0">
<SubEntities>

<cstVertex Point="10,10,0" />

<cstVertex Point="10,40,0" />

<cstVertex Point="40,40,0" />

</SubEntities>

</cstLWPolyline>

</SubEntities>

</cstBlock>

</SubEntities>

</cstSectionBlocks>
<cstSectionObjects Name="OBJECTS">
<SubEntities>

<cstDictionary Name="MLINESTYLES" />

<cstDictionary Name="LAYOUTS">
<SubEntities>

<cstLayout Handle="$11" Name="Model" PaperSpaceBlock="*[Model]" />

</SubEntities>

</cstDictionary>

<cstDictionary Name="IMAGEDEFS" />

</SubEntities>

</cstSectionObjects>

</cstConverter>

</cadsofttools>

</XML>


Special symbols

To enter the symbol of diameter into the entity Text use:

%%с

or Unicode:

\U+2205

CADEditorX also has the corresponding window Properties, where you can add this symbol into the text.

Otherwise the correctness of display of this sign in different codings can't be guaranteed.


Structure_XML2

Navigation: »No topics above this level«

Structure_XML2

 Return to chapter overview

Show/Hide Hidden Text

<XML>
<cadsofttools version="2.0">
<cstConverter>

<cstSectionHeader Name="HEADER" />

<cstSectionTables Name="TABLES">
<SubEntities>
<cstTable Handle="$1" Name="LTYPE">
<SubEntities>

<cstLineType Handle="$7" Name="BYLAYER" />
<cstLineType Handle="$8" Name="BYBLOCK" />
<cstLineType Handle="$9" Name="CONTINUOUS" />
<cstLineType Handle="$16" Name="CENTER" />
<cstLineType Handle="$17" Name="ISO dash" />
<cstLineType Handle="$18" Name="ISO dot" />
<cstLineType Handle="$19" Name="ISO dash dot" />
<cstLineType Handle="$1A" Name="ISO dash double-dot" />
<cstLineType Handle="$1B" Name="ISO dash triple-dot" />
<cstLineType Handle="$1C" Name="ISO dash long gaps" />

</SubEntities>

</cstTable>
<cstTable Handle="$2" Name="LAYER">
<SubEntities>

<cstLayer LineWeight="-3" Handle="$D" Color="0;7;" Name="0" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$22" Color="0;3;" Name="Layer2" Visible="true" Locked="false" />
<cstLayer LineWeight="-3" Handle="$23" Color="0;7;" Name="Invisible" Visible="false" Locked="false" />
<cstLayer LineWeight="-3" Handle="$24" Flags="4" Color="0;7;" Name="Locked" Visible="true" Locked="true" />

</SubEntities>

</cstTable>
<cstTable Handle="$3" Name="STYLE">
<SubEntities>

<cstStyle Handle="$A" Name="STANDARD" />
<cstStyle Handle="$12" Name="GOST" />

</SubEntities>

</cstTable>
<cstTable Handle="$4" Name="DIMSTYLE">
<SubEntities>

<cstDimensionStyle Handle="$B" Name="STANDARD" />
<cstDimensionStyle Handle="$13" Name="GOST" />

</SubEntities>

</cstTable>
<cstBlockRecords Handle="$5" Name="BLOCK_RECORD">
<SubEntities>

<cstBlockRecord Handle="$10" Name="_CLOSEDFILLED" />
<cstBlockRecord Handle="$15" Name="ABViewer_RedLine" />
<cstBlockRecord Handle="$21" Name="*[Model]" />
<cstBlockRecord Handle="$28" Name="block1" />

</SubEntities>

</cstBlockRecords>
<cstTable Handle="$6" Name="VPORT">
<SubEntities>

<cstVport Handle="$1D" Name="*ACTIVE" CircleZoomPercent="100" UCSOrigin="0,0,1" UCSXDir="1,0,0" UCSYDir="0,1,0" UCSVP="false" ViewAspectRatio="1" ViewCenterPoint="0,0,0" ViewDirection="0,0,1" ViewTarget="0,0,0" ViewHeight="0" ViewTwistAngle="0" />

</SubEntities>

</cstTable>

</SubEntities>

</cstSectionTables>
<cstSectionBlocks Name="BLOCKS">
<SubEntities>
<cstBlock Handle="$F" Name="_CLOSEDFILLED">
<SubEntities>

<cstSolid LineWeight="-2" Handle="$C" Color="0;0;" Point="-1,0.166666666666667,0" Point1="0,0,0" Length="1.0137937550497" Point2="-1,0.166666666666667,0" Point3="-1,-0.166666666666667,0" />

<cstLine LineWeight="-2" Handle="$E" Color="0;0;" Point="-1,0,0" Point1="-2,0,0" Length="1" />

</SubEntities>

</cstBlock>

<cstBlock Handle="$14" Flags="1" Name="ABViewer_RedLine" />

<cstBlock Handle="$20" Name="*[Model]">
<SubEntities>

<cstInsert Handle="$2A" Layer="$22" Point="0,50,0" BlockName="block1" Extrusion="0,0,1" Angle="0" Scale="1,1,1" />

<cstLine Handle="$2B" Point="10,10,0" Point1="20,30,0" Length="22.3606797749979" />

<cstCircle Handle="$2C" Flags="128" Point="10,10,0" Radius="20" CircleLength="125.663706143592" Area="1256.63706143592" />

<cstText Handle="$2D" Point="0,-20,0" Height="3" Rotation="0" ObliqueAngle="0" Text="Enghlish Русский Französisch Français" StyleName="STANDARD" />

</SubEntities>

</cstBlock>
<cstBlock Handle="$27" Name="block1">
<SubEntities>

<cstLine Handle="$25" Point="0,0,0" Point1="50,0,0" Length="50" />

<cstText Handle="$26" Point="0,3,0" Height="3" Rotation="0" ObliqueAngle="0" Text="This is a block" StyleName="STANDARD" />

<cstLWPolyline Handle="$29" Point="0,0,0">
<SubEntities>

<cstVertex Point="10,10,0" />

<cstVertex Point="10,40,0" />

<cstVertex Point="40,40,0" />

</SubEntities>

</cstLWPolyline>

</SubEntities>

</cstBlock>

</SubEntities>

</cstSectionBlocks>
<cstSectionObjects Name="OBJECTS">
<SubEntities>

<cstDictionary Name="MLINESTYLES" />

<cstDictionary Name="LAYOUTS">
<SubEntities>

<cstLayout Handle="$11" Name="Model" PaperSpaceBlock="*[Model]" />

</SubEntities>

</cstDictionary>

<cstDictionary Name="IMAGEDEFS" />

</SubEntities>

</cstSectionObjects>

</cstConverter>

</cadsofttools>

</XML>


Support of PDF, EPS

Navigation: »No topics above this level«

Support of PDF, EPS

 Return to chapter overview

To get use of the function of viewing PDF, EPS with the library GhostScript, the installation file of which you can download from:

http://sourceforge.net/projects/ghostscript/

http://www.ghostscript.com/

needs to be located on your computer. CADEditorX usually defines the way to the library automatically if it is installed on the computer. However in case this has failed, it is possible to specify the path manually (in the settings of the CADEditorX, see screenshot).

To improve the quality of the image the setting of DPI is available (the higher the DPI the higher the quality).


Supported CAD Formats

Navigation: »No topics above this level«

Supported CAD Formats

 Return to chapter overview

CADEditorX supports the following CAD formats:

·AutoCAD™:

oDWG - all versions (2.5 up to 2009)

oDXF - ASCII and Binary all versions

oDrawing Template: DWT

oAutodesk Design Web Format: DWF

·Hewlett-Packard HPGL: PLT, HGL, HG, HPG, PLO, HP, HP1, HP2, HPGL, HPGL2, GL2, PRN, SPL

·Scalable Vector Graphics: SVG, SVGZ

·Computer Graphics Metafile: CGM

·Adobe Post Script: PS


Supported Formats

Navigation: »No topics above this level«

Supported Formats

 Return to chapter overview

CADEditorX supports viewing of more than 50 different formats of raster images, 2D drawings and 3D models.

CAD Formats
AutoCAD™ | DWG all versions (from 2.5 till 2013 inclusive) DXF ASCII all versions
Template files | DWT
Autodesk Design Web Format | DWF
CADSoftTools template files | DXT

Vector Formats and Metafiles
Metafiles | WMF
Enhanced Metafiles | EMF
Scalable Vector Graphics | SVG, SVGZ
Encapsulated PostScript | EPS
Adobe Post Script | PS
Hewlett-Packard HPGL | PLT, HGL, HG, HPG, PLO, HP, HP1, HP2, HP3, HPGL, HPGL2, HPP, GL, GL2, PRN, SPL, RTL, PCL

Raster Formats
Arts & Letters thumbnail images | GED
Alias/Wavefront images | RLA, RPF
Autodesk images | CEL, PIC
CALS Image | CAL, CG4, GP4
Compuserve GIF | GIF
Dr. Halo images | CUT, PAL
DirectDraw Surface | DDS
GFI fax images | FAX
High Dynamic Range | HDR, IFF
Icon file | ICO
ILM OpenEXR | EXR
Interleaved Bitmap | IMB
JPEG images | JPG, JPEG
JPEG 2000 images | J2K, J2C, JNG, JP2
Koala Graphics | KOA
Macintosh PICT | PCT, PICT
Multiple-image Network Graphics | MNG
Paintshop Pro images | PSP
Photo-CD images | PCD
Photoshop images | PSD, PDD
Portable network graphic images | PNG
Portable pixel map image/ Portable gray map images/ Portable bitmap images | PPM, PGM, PBM
RAW camera image | RAW
Raw Fax Format CCITT | G3
SGI images | BW, RGB, RGBA, SGI
Sun Raster Image | RAS
Tagged Image File Format TIF images | TIF, TIFF
Truevision images | TGA, VST, ICB, VDA, WIN
Windows Bitmap | BMP, RLE, DIB
Wireless Bitmap | WAP, WBMP, WBM
X11 Bitmap Format | XBM
X11 Paxmap Format | XPM
ZSoft Paintbrush images | PCX
Composite Formats
Computer Graphics Metafile | CGM
Portable Document Format | PDF

Archives

ZIP, 7z, RAR, CAB, BZIP, TAR


Supported Raster and Vector Images

Navigation: »No topics above this level«

Supported Raster and Vector Images

 Return to chapter overview

CADEditorX supports following raster images:

·Arts & Letters thumbnail images: GED

·Autodesk images: CEL, PIC

·Bitmaps: BMP, RLE, DIB

·CALS Raster: CAL

·Compuserve GIF: GIF

·Dr. Halo images: CUT, PAL

·GFI fax images: FAX

·Icons: ICO

·JPEG images: JPG, JPEG

·Kodak Photo-CD images: PCD

·Paintshop Pro images: PSP

·Photoshop images; PSD, PDD

·Portable network graphic images: PNG

·Portable pixel/gray map images: PPM, PGM, PBM

·SGI images: BW, RGB, RGBA, SGI

·SGI Wavefront images: RLA, RPF

·TIFF images: TIF, TIFF

·Truevision images: TGA, VST, VDA, WIN

·ZSoft Paintbrush images: PCX

CADEditorX supports following vector images:

·Metafiles: WMF

·Enhanced Metafiles: EMF


CELWeight

Navigation: »No topics above this level«

CELWeight

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: -1

Sets line weight for new objects. The following accepted values can be specified as a new value: 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200, 211.

-1 | sets the line weight value ByLayer
-2 | sets the line weight value ByBlock
-3 | sets the line weight value On default

Values are expressed in hundredth parts of a millimetre.


CLayer

Navigation: »No topics above this level«

CLayer

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: 0

Sets the current layer.Only a layer existing in the drawing can be specified as the current one. To change the layer in response to the command enquiry it is necessary to enter its name. If the layer name has a space, the name should be entered in quotes. E.g. to set the layer Layer 1 it is necessary to enter "Layer 1" in the command line.


CodePage (read-only)

Navigation: »No topics above this level«

CodePage (read-only)

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: varies

(read-only)

Shows the code page written in the CAD drawing file. It shows the current system code page defined by the operating system for new files.


DimAlt

Navigation: »No topics above this level«

DimAlt

 Return to chapter overview

Type: Switch

Saved in: Drawing

Initial value: False

Switches on or off the use of alternative units in dimensions. Options of alternative units are specified by the variables DimAltF, DimAPost.

False | Use of alternative units off.
True | Use of alternative units on.


DimAltF

Navigation: »No topics above this level«

DimAltF

 Return to chapter overview

Type:Real

Saved in: Drawing

Initial value: 1

Sets scale factor for alternative units of the current dimension style. It is used together with the variable DimAlt.

Example:

·if millimeters are basic units and inches are alternative ones than the factor should be set equal to 0,039370078740.

·if inches are basic units and millimeters are alternative ones than the factor should be set equal to 25,4.


DimApost (read-only)

Navigation: »No topics above this level«

DimApost (read-only)

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: "none"

Shows prefix and/or suffix for alternative units of the current dimension style.

Sets prefix and/or suffix for alternative units of the current dimension style. It is used together with the variable DimAlt.

R[] | sets prefix |R
" | sets suffix "
R[]" | sets prefix R and suffix ''
. | deletes the set prefix and suffix


DimAsz

Navigation: »No topics above this level«

DimAsz

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

Sets value of dimension lines and leader arrows.


DimClrD

Navigation: »No topics above this level«

DimClrD

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 0

Sets color of dimension lines and arrows for new objects


DimClrE

Navigation: »No topics above this level«

DimClrE

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 0

Sets color of leader lines of the entity "Dimension".


DimClrT

Navigation: »No topics above this level«

DimClrT

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 0

Sets color of dimension text


DimDec

Navigation: »No topics above this level«

DimDec

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 2

Specifies the number of digits after the point for the main units of dimension. The value can be set in the range from 0 to 8.


DimExe

Navigation: »No topics above this level«

DimExe

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

Sets value according to which the leader line should overhang the dimension line. It can be only positive.


DimExo

Navigation: »No topics above this level«

DimExo

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 0,868

Sets offset of the dimension leader line from the object against initial points


DimGap

Navigation: »No topics above this level«

DimGap

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 0,868

Sets offset around dimension text from the dimension line.


DimLFac

Navigation: »No topics above this level«

DimLFac

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 1

Sets scale factor for linear dimensions values. While adding dimension to the drawing the measured value is multiplied by the factor and the multiplication product is shown as dimension text.


DimLwD

Navigation: »No topics above this level«

DimLwD

 Return to chapter overview

Type: Standard list value

Saved in: Drawing

Initial value: -1

Sets weight of dimension lines. The following accepted values can ve set as a new value: 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200, 211.

-1 | sets weight of dimension lines ByLayer
-2 | sets weight of dimension lines ByBlock
-3 | sets weight of dimension lines On default


DimLwE

Navigation: »No topics above this level«

DimLwE

 Return to chapter overview

Type: Standard list value

Saved in: Drawing

Initial value: -1

Sets weight of dimension leader lines. The following accepted values can be set as a new value: 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200, 211.

-1 | sets weight of leader lines ByLayer
-2 | sets weight of leader lines ByBlock
-3 | sets weight of leader lines On default


DimPost

Navigation: »No topics above this level«

DimPost

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: "none"

Sets prefix and/or suffix of the main units of dimension of the current dimension style

R<> | sets prefix R
мм | sets suffix "
R<>мм | sets prefix R and suffix ''
. | deletes the set prefix and suffix


DimSD1

Navigation: »No topics above this level«

DimSD1

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: False

Controls suppression of the first dimension line. To switch the mode numbers 0 and 1: 0=False, 1=True can also be used.

False | the first dimension line is shown
True | the first dimension line is suppressed


DimSD2

Navigation: »No topics above this level«

DimSD2

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: False

Controls suppression of the second dimension line. To switch the mode numbers 0 and 1: 0=False, 1=True can also be used.

False | the second dimension line is shown
True | the second dimension line is suppressed


DimSE1

Navigation: »No topics above this level«

DimSE1

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: False

Controls suppression of the first leader line. To switch the mode numbers 0 and 1: 0=False, 1=True can also be used.

False | the first leader line is shown
True | the first leader line is suppressed


DimSE2

Navigation: »No topics above this level«

DimSE2

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: False

Controls suppression of the second leader line. To switch the mode numbers 0 and 1: 0=False, 1=True can also be used.

False | the second leader line is shown.
True | the second leader line is suppressed


DimStyle

Navigation: »No topics above this level«

DimStyle

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: GOST or Standard

Shows name of the current dimension style and enables the user to set new current dimension style from the ones existing in the drawing. To change dimension style it is necessary to enter its name. If dimension style name has a space, the name should be entered in quotes. E.g. to set the dimension style Copy Standard it is needed to enter "Copy Standard" in the command line.


DimTad

Navigation: »No topics above this level«

DimTad

 Return to chapter overview

Type: Integer

Saved in: Drawing

Saved in: 1

Specifies location of dimension text vertically against dimension line

0 | dimension text is in the centre of dimension line
1 | dimension text is under dimension line (except for cases when size is not situated vertically and the variable DimTih has the value True). Distance between text and dimension line is set by the variable DimGap.
2 | dimension text is situated next to dimension line at the side which is the furthest from the specifying points.
3 | dimension text is situated according to the JIS (Japanese Industrial Standards).


DimTih

Navigation: »No topics above this level«

DimTih

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: False

Controls location of the dimension text

False | dimension text is situated along the dimension line.
True | dimension text is situated horizontally and independently from the rotation angle of the dimension.


DIMTXSTY

Navigation: »No topics above this level«

DIMTXSTY

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: STANDARD

Specifies text style for the dimension


DimTxt

Navigation: »No topics above this level«

DimTxt

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

Specifies height of the dimension text.


ExtMax (read-only)

Navigation: »No topics above this level«

ExtMax (read-only)

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

(read-only)

Shows coordinates of the top right point of the drawing borders.


EXTMIN (read-only)

Navigation: »No topics above this level«

EXTMIN (read-only)

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

(read-only)

Shows coordinates of the bottom left point of the drawing borders.


Filedia

Navigation: »No topics above this level«

Filedia

 Return to chapter overview

Type: Integer

Saved in: unsaved

Initial value: 1

Suppresses display of dialog boxes of file overview such as "Open" and "Save as".

0 | Dialog boxes are not shown. Work is implemented from the command line.
1 | Dialog boxes are shown.


FILLETRAD

Navigation: »No topics above this level«

FILLETRAD

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 0,5

Sets current radius for the instrument Fillet.


InsBase (read-only)

Navigation: »No topics above this level«

InsBase (read-only)

 Return to chapter overview

Type: 3D-point

Saved in: Drawing

Initial value: 0,0000,0,0000,0,0000

(read-only)

Saves coordinates of the insertion base.


LTScale

Navigation: »No topics above this level«

LTScale

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 1

Sets global scale of line types for both new and created earlier objects. It is taken into account while setting scale factor of line types of the variable CELTScale.


PDMODE

Navigation: »No topics above this level«

PDMODE

 Return to chapter overview

Type: Integer

Saved in: Drawing

Initial value: 0

Sets style of points display at the drawing. The accepted values are 0, 1, 2, 3, 4, 32, 33, 34, 35, 36, 64, 65, 66, 67, 68, 96, 97, 98, 99, 100.


PDSIZE

Navigation: »No topics above this level«

PDSIZE

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 0

Sets size of points display.


TextSize

Navigation: »No topics above this level«

TextSize

 Return to chapter overview

Type: Real

Saved in: Drawing

Initial value: 2,5

Sets text height for new text objects on default.


TextStyle

Navigation: »No topics above this level«

TextStyle

 Return to chapter overview

Type: String

Saved in: Drawing

Initial value: GENISO or STANDARD

Sets the current text style. To change text style it is necessary to enter name of the style in the command enquiry. If the text style name has a space, the name should be entered in quotes. E.g. to set the text style Standard copy enter "Standard copy" in the command line.


Основные положения

Navigation: »No topics above this level«

Основные положения

 Return to chapter overview

English Deutsch Français Русский

Уникальный и удобный XML API, содержащий одну функцию и одно событие, позволяет быстро интегрировать набор средств для разработки ПО CADSoftTools в Ваше приложение. Вашему вниманию представлены следующие ознакомительные разделы:

· XML Структура

· XML IDE

· XML

· Как создать и обработать XML

· Подключение к XML из Вашего языка программирования

· Справочная информация о CAD XML инструкциях, классах и параметрах

· XML структура чертежа

· Примеры

· Инструкции


XML Struktur

Navigation: »No topics above this level«

XML Struktur

 Return to chapter overview

English Deutsch Français Русский

In allgemeiner Form kann man die XML Struktur auf folgende Weise darstellen:

In der angegebener Struktur ist cstConverter eine Zeichnung. Danach folgen die Sektionen:

HEADER

TABLES

BLOCKS

OBJECTS

Die Sektion TABLES speichert die Linientype, Ebenen, Stile und andere Information. Die Einheiten befinden sich in der Sektion BLOCKS im Block mit dem Namen <cstBlock Name="*MODEL_SPACE">


Structure de XML

Navigation: »No topics above this level«

Structure de XML

 Return to chapter overview

English Deutsch Français Русский

La structure XML peut être représentée de la façon suivante :

Dans cette structure cstConverter est le dessin. Ensuite vous pouvez voir les sections suivantes :

HEADER

TABLES

BLOCKS

OBJECTS

La section TABLES garde les types de ligne, calques, styles et d’autre information. Les entités sont dans la section BLOCKS dans le bloc <cstBlock Name="*MODEL_SPACE">


Структура XML

Navigation: »No topics above this level«

Структура XML

 Return to chapter overview

English Deutsch Français Русский

Структуру XML в общем виде можно представить следующим образом:

В данной структуре cstConverter - чертеж. Далее следуют секции:

HEADER

TABLES

BLOCKS

OBJECTS

Секция TABLES хранит типы линий, слои, стили и другую информацию. Примитивы находятся в секции BLOCKS в блоке с именем <cstBlock Name="*MODEL_SPACE">